

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects
    (     module GI.WebKit2WebExtension.Objects.ContextMenu,
    module GI.WebKit2WebExtension.Objects.ContextMenuItem,
    module GI.WebKit2WebExtension.Objects.DOMAttr,
    module GI.WebKit2WebExtension.Objects.DOMBlob,
    module GI.WebKit2WebExtension.Objects.DOMCDATASection,
    module GI.WebKit2WebExtension.Objects.DOMCSSRule,
    module GI.WebKit2WebExtension.Objects.DOMCSSRuleList,
    module GI.WebKit2WebExtension.Objects.DOMCSSStyleDeclaration,
    module GI.WebKit2WebExtension.Objects.DOMCSSStyleSheet,
    module GI.WebKit2WebExtension.Objects.DOMCSSValue,
    module GI.WebKit2WebExtension.Objects.DOMCharacterData,
    module GI.WebKit2WebExtension.Objects.DOMClientRect,
    module GI.WebKit2WebExtension.Objects.DOMClientRectList,
    module GI.WebKit2WebExtension.Objects.DOMComment,
    module GI.WebKit2WebExtension.Objects.DOMDOMImplementation,
    module GI.WebKit2WebExtension.Objects.DOMDOMSelection,
    module GI.WebKit2WebExtension.Objects.DOMDOMTokenList,
    module GI.WebKit2WebExtension.Objects.DOMDOMWindow,
    module GI.WebKit2WebExtension.Objects.DOMDocument,
    module GI.WebKit2WebExtension.Objects.DOMDocumentFragment,
    module GI.WebKit2WebExtension.Objects.DOMDocumentType,
    module GI.WebKit2WebExtension.Objects.DOMElement,
    module GI.WebKit2WebExtension.Objects.DOMEntityReference,
    module GI.WebKit2WebExtension.Objects.DOMEvent,
    module GI.WebKit2WebExtension.Objects.DOMFile,
    module GI.WebKit2WebExtension.Objects.DOMFileList,
    module GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLBRElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLBaseElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLBaseFontElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLBodyElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLButtonElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLCanvasElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLCollection,
    module GI.WebKit2WebExtension.Objects.DOMHTMLDListElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLDirectoryElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLDivElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLDocument,
    module GI.WebKit2WebExtension.Objects.DOMHTMLElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLFieldSetElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLFontElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLFormElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLFrameSetElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLHRElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLHeadElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLHeadingElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLHtmlElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLImageElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLInputElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLLIElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLLabelElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLLegendElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLMapElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLMarqueeElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLMenuElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLMetaElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLModElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLOListElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLOptGroupElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLOptionElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLOptionsCollection,
    module GI.WebKit2WebExtension.Objects.DOMHTMLParagraphElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLParamElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLPreElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLQuoteElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLSelectElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLStyleElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTableCaptionElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTableElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLTitleElement,
    module GI.WebKit2WebExtension.Objects.DOMHTMLUListElement,
    module GI.WebKit2WebExtension.Objects.DOMKeyboardEvent,
    module GI.WebKit2WebExtension.Objects.DOMMediaList,
    module GI.WebKit2WebExtension.Objects.DOMMouseEvent,
    module GI.WebKit2WebExtension.Objects.DOMNamedNodeMap,
    module GI.WebKit2WebExtension.Objects.DOMNode,
    module GI.WebKit2WebExtension.Objects.DOMNodeIterator,
    module GI.WebKit2WebExtension.Objects.DOMNodeList,
    module GI.WebKit2WebExtension.Objects.DOMObject,
    module GI.WebKit2WebExtension.Objects.DOMProcessingInstruction,
    module GI.WebKit2WebExtension.Objects.DOMRange,
    module GI.WebKit2WebExtension.Objects.DOMStyleSheet,
    module GI.WebKit2WebExtension.Objects.DOMStyleSheetList,
    module GI.WebKit2WebExtension.Objects.DOMText,
    module GI.WebKit2WebExtension.Objects.DOMTreeWalker,
    module GI.WebKit2WebExtension.Objects.DOMUIEvent,
    module GI.WebKit2WebExtension.Objects.DOMWheelEvent,
    module GI.WebKit2WebExtension.Objects.DOMXPathExpression,
    module GI.WebKit2WebExtension.Objects.DOMXPathResult,
    module GI.WebKit2WebExtension.Objects.Frame,
    module GI.WebKit2WebExtension.Objects.HitTestResult,
    module GI.WebKit2WebExtension.Objects.ScriptWorld,
    module GI.WebKit2WebExtension.Objects.URIRequest,
    module GI.WebKit2WebExtension.Objects.URIResponse,
    module GI.WebKit2WebExtension.Objects.WebEditor,
    module GI.WebKit2WebExtension.Objects.WebExtension,
    module GI.WebKit2WebExtension.Objects.WebHitTestResult,
    module GI.WebKit2WebExtension.Objects.WebPage,


    ) where

import GI.WebKit2WebExtension.Objects.ContextMenu
import GI.WebKit2WebExtension.Objects.ContextMenuItem
import GI.WebKit2WebExtension.Objects.DOMAttr
import GI.WebKit2WebExtension.Objects.DOMBlob
import GI.WebKit2WebExtension.Objects.DOMCDATASection
import GI.WebKit2WebExtension.Objects.DOMCSSRule
import GI.WebKit2WebExtension.Objects.DOMCSSRuleList
import GI.WebKit2WebExtension.Objects.DOMCSSStyleDeclaration
import GI.WebKit2WebExtension.Objects.DOMCSSStyleSheet
import GI.WebKit2WebExtension.Objects.DOMCSSValue
import GI.WebKit2WebExtension.Objects.DOMCharacterData
import GI.WebKit2WebExtension.Objects.DOMClientRect
import GI.WebKit2WebExtension.Objects.DOMClientRectList
import GI.WebKit2WebExtension.Objects.DOMComment
import GI.WebKit2WebExtension.Objects.DOMDOMImplementation
import GI.WebKit2WebExtension.Objects.DOMDOMSelection
import GI.WebKit2WebExtension.Objects.DOMDOMTokenList
import GI.WebKit2WebExtension.Objects.DOMDOMWindow
import GI.WebKit2WebExtension.Objects.DOMDocument
import GI.WebKit2WebExtension.Objects.DOMDocumentFragment
import GI.WebKit2WebExtension.Objects.DOMDocumentType
import GI.WebKit2WebExtension.Objects.DOMElement
import GI.WebKit2WebExtension.Objects.DOMEntityReference
import GI.WebKit2WebExtension.Objects.DOMEvent
import GI.WebKit2WebExtension.Objects.DOMFile
import GI.WebKit2WebExtension.Objects.DOMFileList
import GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement
import GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement
import GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement
import GI.WebKit2WebExtension.Objects.DOMHTMLBRElement
import GI.WebKit2WebExtension.Objects.DOMHTMLBaseElement
import GI.WebKit2WebExtension.Objects.DOMHTMLBaseFontElement
import GI.WebKit2WebExtension.Objects.DOMHTMLBodyElement
import GI.WebKit2WebExtension.Objects.DOMHTMLButtonElement
import GI.WebKit2WebExtension.Objects.DOMHTMLCanvasElement
import GI.WebKit2WebExtension.Objects.DOMHTMLCollection
import GI.WebKit2WebExtension.Objects.DOMHTMLDListElement
import GI.WebKit2WebExtension.Objects.DOMHTMLDirectoryElement
import GI.WebKit2WebExtension.Objects.DOMHTMLDivElement
import GI.WebKit2WebExtension.Objects.DOMHTMLDocument
import GI.WebKit2WebExtension.Objects.DOMHTMLElement
import GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement
import GI.WebKit2WebExtension.Objects.DOMHTMLFieldSetElement
import GI.WebKit2WebExtension.Objects.DOMHTMLFontElement
import GI.WebKit2WebExtension.Objects.DOMHTMLFormElement
import GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement
import GI.WebKit2WebExtension.Objects.DOMHTMLFrameSetElement
import GI.WebKit2WebExtension.Objects.DOMHTMLHRElement
import GI.WebKit2WebExtension.Objects.DOMHTMLHeadElement
import GI.WebKit2WebExtension.Objects.DOMHTMLHeadingElement
import GI.WebKit2WebExtension.Objects.DOMHTMLHtmlElement
import GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement
import GI.WebKit2WebExtension.Objects.DOMHTMLImageElement
import GI.WebKit2WebExtension.Objects.DOMHTMLInputElement
import GI.WebKit2WebExtension.Objects.DOMHTMLLIElement
import GI.WebKit2WebExtension.Objects.DOMHTMLLabelElement
import GI.WebKit2WebExtension.Objects.DOMHTMLLegendElement
import GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement
import GI.WebKit2WebExtension.Objects.DOMHTMLMapElement
import GI.WebKit2WebExtension.Objects.DOMHTMLMarqueeElement
import GI.WebKit2WebExtension.Objects.DOMHTMLMenuElement
import GI.WebKit2WebExtension.Objects.DOMHTMLMetaElement
import GI.WebKit2WebExtension.Objects.DOMHTMLModElement
import GI.WebKit2WebExtension.Objects.DOMHTMLOListElement
import GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement
import GI.WebKit2WebExtension.Objects.DOMHTMLOptGroupElement
import GI.WebKit2WebExtension.Objects.DOMHTMLOptionElement
import GI.WebKit2WebExtension.Objects.DOMHTMLOptionsCollection
import GI.WebKit2WebExtension.Objects.DOMHTMLParagraphElement
import GI.WebKit2WebExtension.Objects.DOMHTMLParamElement
import GI.WebKit2WebExtension.Objects.DOMHTMLPreElement
import GI.WebKit2WebExtension.Objects.DOMHTMLQuoteElement
import GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement
import GI.WebKit2WebExtension.Objects.DOMHTMLSelectElement
import GI.WebKit2WebExtension.Objects.DOMHTMLStyleElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTableCaptionElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTableElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement
import GI.WebKit2WebExtension.Objects.DOMHTMLTitleElement
import GI.WebKit2WebExtension.Objects.DOMHTMLUListElement
import GI.WebKit2WebExtension.Objects.DOMKeyboardEvent
import GI.WebKit2WebExtension.Objects.DOMMediaList
import GI.WebKit2WebExtension.Objects.DOMMouseEvent
import GI.WebKit2WebExtension.Objects.DOMNamedNodeMap
import GI.WebKit2WebExtension.Objects.DOMNode
import GI.WebKit2WebExtension.Objects.DOMNodeIterator
import GI.WebKit2WebExtension.Objects.DOMNodeList
import GI.WebKit2WebExtension.Objects.DOMObject
import GI.WebKit2WebExtension.Objects.DOMProcessingInstruction
import GI.WebKit2WebExtension.Objects.DOMRange
import GI.WebKit2WebExtension.Objects.DOMStyleSheet
import GI.WebKit2WebExtension.Objects.DOMStyleSheetList
import GI.WebKit2WebExtension.Objects.DOMText
import GI.WebKit2WebExtension.Objects.DOMTreeWalker
import GI.WebKit2WebExtension.Objects.DOMUIEvent
import GI.WebKit2WebExtension.Objects.DOMWheelEvent
import GI.WebKit2WebExtension.Objects.DOMXPathExpression
import GI.WebKit2WebExtension.Objects.DOMXPathResult
import GI.WebKit2WebExtension.Objects.Frame
import GI.WebKit2WebExtension.Objects.HitTestResult
import GI.WebKit2WebExtension.Objects.ScriptWorld
import GI.WebKit2WebExtension.Objects.URIRequest
import GI.WebKit2WebExtension.Objects.URIResponse
import GI.WebKit2WebExtension.Objects.WebEditor
import GI.WebKit2WebExtension.Objects.WebExtension
import GI.WebKit2WebExtension.Objects.WebHitTestResult
import GI.WebKit2WebExtension.Objects.WebPage

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



