#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.ContextMenu where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ContextMenu = ContextMenu (ManagedPtr ContextMenu)
instance GObject ContextMenu where
class (GObject o, O.IsDescendantOf ContextMenu o) => IsContextMenu o
instance (GObject o, O.IsDescendantOf ContextMenu o) => IsContextMenu o
instance O.HasParentTypes ContextMenu
#if ENABLE_OVERLOADING
data ContextMenuAppendMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuFirstMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuGetItemAtPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuGetItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuGetNItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuGetUserDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuLastMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuMoveItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuPrependMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuRemoveAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContextMenuSetUserDataMethodInfo
#endif
