#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMAttr where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMAttr = DOMAttr (ManagedPtr DOMAttr)
instance GObject DOMAttr where
class (GObject o, O.IsDescendantOf DOMAttr o) => IsDOMAttr o
instance (GObject o, O.IsDescendantOf DOMAttr o) => IsDOMAttr o
instance O.HasParentTypes DOMAttr
#if ENABLE_OVERLOADING
data DOMAttrLocalNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrNamespaceUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrOwnerElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrPrefixPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrSpecifiedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetLocalNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetNamespaceUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetOwnerElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetSpecifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMAttrSetValueMethodInfo
#endif
