#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMDOMSelection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMDOMSelection = DOMDOMSelection (ManagedPtr DOMDOMSelection)
instance GObject DOMDOMSelection where
class (GObject o, O.IsDescendantOf DOMDOMSelection o) => IsDOMDOMSelection o
instance (GObject o, O.IsDescendantOf DOMDOMSelection o) => IsDOMDOMSelection o
instance O.HasParentTypes DOMDOMSelection
#if ENABLE_OVERLOADING
data DOMDOMSelectionAnchorNodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionAnchorOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionBaseNodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionBaseOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionExtentNodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionExtentOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionFocusNodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionFocusOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionIsCollapsedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionRangeCountPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionAddRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionCollapseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionCollapseToEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionCollapseToStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionContainsNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionDeleteFromDocumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionEmptyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionExtendMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetAnchorNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetAnchorOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetBaseNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetBaseOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetExtentNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetExtentOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetFocusNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetFocusOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetIsCollapsedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetRangeAtMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetRangeCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionGetSelectionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionModifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionRemoveAllRangesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionSelectAllChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionSetBaseAndExtentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMSelectionSetPositionMethodInfo
#endif
