#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMDOMWindow where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMDOMWindow = DOMDOMWindow (ManagedPtr DOMDOMWindow)
instance GObject DOMDOMWindow where
class (GObject o, O.IsDescendantOf DOMDOMWindow o) => IsDOMDOMWindow o
instance (GObject o, O.IsDescendantOf DOMDOMWindow o) => IsDOMDOMWindow o
instance O.HasParentTypes DOMDOMWindow
#if ENABLE_OVERLOADING
data DOMDOMWindowClosedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowDefaultStatusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowDevicePixelRatioPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowDocumentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowFrameElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowFramesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowInnerHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowInnerWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowOffscreenBufferingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowOpenerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowOrientationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowOuterHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowOuterWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowPageXOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowPageYOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowParentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScreenLeftPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScreenTopPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScreenXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScreenYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScrollXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScrollYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowSelfPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowStatusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowTopPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowWindowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowAlertMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowBlurMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowCaptureEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowConfirmMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowFindMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetClosedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetComputedStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetDefaultStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetDevicePixelRatioMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetDocumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetFrameElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetFramesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetInnerHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetInnerWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetOffscreenBufferingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetOpenerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetOuterHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetOuterWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetPageXOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetPageYOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenLeftMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenTopMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetScrollXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetScrollYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetSelfMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetTopMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowGetWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowMoveByMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowMoveToMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowPrintMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowPromptMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowReleaseEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowResizeByMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowResizeToMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScrollByMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowScrollToMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowSetDefaultStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowSetStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowStopMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDOMWindowWebkitMessageHandlersPostMessageMethodInfo
#endif
