#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMDocument where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMDocument = DOMDocument (ManagedPtr DOMDocument)
instance GObject DOMDocument where
class (GObject o, O.IsDescendantOf DOMDocument o) => IsDOMDocument o
instance (GObject o, O.IsDescendantOf DOMDocument o) => IsDOMDocument o
instance O.HasParentTypes DOMDocument
#if ENABLE_OVERLOADING
data DOMDocumentActiveElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentAnchorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentAppletsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentBodyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCharacterSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCharsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentChildElementCountPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentChildrenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCompatModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentContentTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCookiePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCurrentScriptPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDefaultViewPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDesignModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDirPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDoctypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDocumentElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDocumentUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentDomainPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentEmbedsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentFirstElementChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentFormsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentHeadPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentHiddenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentImagesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentImplementationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentInputEncodingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentLastElementChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentLastModifiedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentLinksPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentOriginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentPluginsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentPointerLockElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentPreferredStylesheetSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentReadyStatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentReferrerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentScriptsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentScrollingElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSelectedStylesheetSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentStyleSheetsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentUrlPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentVisibilityStatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitCurrentFullScreenElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitFullScreenKeyboardInputAllowedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitFullscreenElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitFullscreenEnabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitIsFullScreenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentXmlEncodingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentXmlStandalonePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentXmlVersionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentAdoptNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCaretRangeFromPointMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateAttributeNsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateCdataSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateCommentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateCssStyleDeclarationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateDocumentFragmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateElementNsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateEntityReferenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateExpressionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateNodeIteratorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateNsResolverMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateProcessingInstructionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateTextNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentCreateTreeWalkerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentElementFromPointMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentEvaluateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentExecCommandMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentExitPointerLockMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetActiveElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetAnchorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetAppletsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetCharacterSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetChildElementCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetCompatModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetContentTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetCurrentScriptMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDefaultCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDefaultViewMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDesignModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDoctypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDocumentElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDocumentUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementByIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByClassNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByClassNameAsHtmlCollectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByTagNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByTagNameAsHtmlCollectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByTagNameNsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetElementsByTagNameNsAsHtmlCollectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetEmbedsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetFirstElementChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetFormsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetImagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetImplementationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetInputEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetLastElementChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetLastModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetLinksMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetOriginMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetOverrideStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetPluginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetPointerLockElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetPreferredStylesheetSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetReadyStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetReferrerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetScriptsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetScrollingElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetSelectedStylesheetSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetStyleSheetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetUrlMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetVisibilityStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetWebkitCurrentFullscreenElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetWebkitFullscreenElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetWebkitFullscreenEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetWebkitFullscreenKeyboardInputAllowedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetWebkitIsFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetXmlEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetXmlStandaloneMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentGetXmlVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentHasFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentImportNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQueryCommandEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQueryCommandIndetermMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQueryCommandStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQueryCommandSupportedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQueryCommandValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQuerySelectorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentQuerySelectorAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetDesignModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetDocumentUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetSelectedStylesheetSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetXmlStandaloneMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentSetXmlVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitCancelFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMDocumentWebkitExitFullscreenMethodInfo
#endif
