#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLAnchorElement = DOMHTMLAnchorElement (ManagedPtr DOMHTMLAnchorElement)
instance GObject DOMHTMLAnchorElement where
class (GObject o, O.IsDescendantOf DOMHTMLAnchorElement o) => IsDOMHTMLAnchorElement o
instance (GObject o, O.IsDescendantOf DOMHTMLAnchorElement o) => IsDOMHTMLAnchorElement o
instance O.HasParentTypes DOMHTMLAnchorElement
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementCharsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementCoordsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHashPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHostPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHostnamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHrefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHreflangPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementPathnamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementPortPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementRelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementRevPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSearchPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementShapePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHostnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHreflangMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetPathnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetRelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetRevMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetShapeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetTypeAttrMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHostnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHreflangMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetPathnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetRelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetRevMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetShapeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetTypeAttrMethodInfo
#endif
