

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement
    ( 

-- * Exported types
    DOMHTMLAppletElement(..)                ,
    IsDOMHTMLAppletElement                  ,
    toDOMHTMLAppletElement                  ,
    noDOMHTMLAppletElement                  ,


 -- * Methods
-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetAlignMethodInfo  ,
#endif
    dOMHTMLAppletElementGetAlign            ,


-- ** getAlt #method:getAlt#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetAltMethodInfo    ,
#endif
    dOMHTMLAppletElementGetAlt              ,


-- ** getArchive #method:getArchive#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetArchiveMethodInfo,
#endif
    dOMHTMLAppletElementGetArchive          ,


-- ** getCode #method:getCode#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetCodeMethodInfo   ,
#endif
    dOMHTMLAppletElementGetCode             ,


-- ** getCodeBase #method:getCodeBase#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetCodeBaseMethodInfo,
#endif
    dOMHTMLAppletElementGetCodeBase         ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetHeightMethodInfo ,
#endif
    dOMHTMLAppletElementGetHeight           ,


-- ** getHspace #method:getHspace#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetHspaceMethodInfo ,
#endif
    dOMHTMLAppletElementGetHspace           ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetNameMethodInfo   ,
#endif
    dOMHTMLAppletElementGetName             ,


-- ** getObject #method:getObject#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetObjectMethodInfo ,
#endif
    dOMHTMLAppletElementGetObject           ,


-- ** getVspace #method:getVspace#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetVspaceMethodInfo ,
#endif
    dOMHTMLAppletElementGetVspace           ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementGetWidthMethodInfo  ,
#endif
    dOMHTMLAppletElementGetWidth            ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetAlignMethodInfo  ,
#endif
    dOMHTMLAppletElementSetAlign            ,


-- ** setAlt #method:setAlt#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetAltMethodInfo    ,
#endif
    dOMHTMLAppletElementSetAlt              ,


-- ** setArchive #method:setArchive#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetArchiveMethodInfo,
#endif
    dOMHTMLAppletElementSetArchive          ,


-- ** setCode #method:setCode#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetCodeMethodInfo   ,
#endif
    dOMHTMLAppletElementSetCode             ,


-- ** setCodeBase #method:setCodeBase#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetCodeBaseMethodInfo,
#endif
    dOMHTMLAppletElementSetCodeBase         ,


-- ** setHeight #method:setHeight#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetHeightMethodInfo ,
#endif
    dOMHTMLAppletElementSetHeight           ,


-- ** setHspace #method:setHspace#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetHspaceMethodInfo ,
#endif
    dOMHTMLAppletElementSetHspace           ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetNameMethodInfo   ,
#endif
    dOMHTMLAppletElementSetName             ,


-- ** setObject #method:setObject#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetObjectMethodInfo ,
#endif
    dOMHTMLAppletElementSetObject           ,


-- ** setVspace #method:setVspace#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetVspaceMethodInfo ,
#endif
    dOMHTMLAppletElementSetVspace           ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLAppletElementSetWidthMethodInfo  ,
#endif
    dOMHTMLAppletElementSetWidth            ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementAlignPropertyInfo   ,
#endif
    constructDOMHTMLAppletElementAlign      ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementAlign               ,
#endif
    getDOMHTMLAppletElementAlign            ,
    setDOMHTMLAppletElementAlign            ,


-- ** alt #attr:alt#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementAltPropertyInfo     ,
#endif
    constructDOMHTMLAppletElementAlt        ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementAlt                 ,
#endif
    getDOMHTMLAppletElementAlt              ,
    setDOMHTMLAppletElementAlt              ,


-- ** archive #attr:archive#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementArchivePropertyInfo ,
#endif
    constructDOMHTMLAppletElementArchive    ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementArchive             ,
#endif
    getDOMHTMLAppletElementArchive          ,
    setDOMHTMLAppletElementArchive          ,


-- ** code #attr:code#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementCodePropertyInfo    ,
#endif
    constructDOMHTMLAppletElementCode       ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementCode                ,
#endif
    getDOMHTMLAppletElementCode             ,
    setDOMHTMLAppletElementCode             ,


-- ** codeBase #attr:codeBase#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementCodeBasePropertyInfo,
#endif
    constructDOMHTMLAppletElementCodeBase   ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementCodeBase            ,
#endif
    getDOMHTMLAppletElementCodeBase         ,
    setDOMHTMLAppletElementCodeBase         ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementHeightPropertyInfo  ,
#endif
    constructDOMHTMLAppletElementHeight     ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementHeight              ,
#endif
    getDOMHTMLAppletElementHeight           ,
    setDOMHTMLAppletElementHeight           ,


-- ** hspace #attr:hspace#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementHspacePropertyInfo  ,
#endif
    constructDOMHTMLAppletElementHspace     ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementHspace              ,
#endif
    getDOMHTMLAppletElementHspace           ,
    setDOMHTMLAppletElementHspace           ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementNamePropertyInfo    ,
#endif
    constructDOMHTMLAppletElementName       ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementName                ,
#endif
    getDOMHTMLAppletElementName             ,
    setDOMHTMLAppletElementName             ,


-- ** object #attr:object#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementObjectPropertyInfo  ,
#endif
    constructDOMHTMLAppletElementObject     ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementObject              ,
#endif
    getDOMHTMLAppletElementObject           ,
    setDOMHTMLAppletElementObject           ,


-- ** vspace #attr:vspace#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementVspacePropertyInfo  ,
#endif
    constructDOMHTMLAppletElementVspace     ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementVspace              ,
#endif
    getDOMHTMLAppletElementVspace           ,
    setDOMHTMLAppletElementVspace           ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAppletElementWidthPropertyInfo   ,
#endif
    constructDOMHTMLAppletElementWidth      ,
#if ENABLE_OVERLOADING
    dOMHTMLAppletElementWidth               ,
#endif
    getDOMHTMLAppletElementWidth            ,
    setDOMHTMLAppletElementWidth            ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLAppletElement = DOMHTMLAppletElement (ManagedPtr DOMHTMLAppletElement)
foreign import ccall "webkit_dom_html_applet_element_get_type"
    c_webkit_dom_html_applet_element_get_type :: IO GType

instance GObject DOMHTMLAppletElement where
    gobjectType = c_webkit_dom_html_applet_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLAppletElement`, for instance with `toDOMHTMLAppletElement`.
class (GObject o, O.IsDescendantOf DOMHTMLAppletElement o) => IsDOMHTMLAppletElement o
instance (GObject o, O.IsDescendantOf DOMHTMLAppletElement o) => IsDOMHTMLAppletElement o

instance O.HasParentTypes DOMHTMLAppletElement
type instance O.ParentTypes DOMHTMLAppletElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLAppletElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLAppletElement :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m DOMHTMLAppletElement
toDOMHTMLAppletElement = liftIO . unsafeCastTo DOMHTMLAppletElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLAppletElement`.
noDOMHTMLAppletElement :: Maybe DOMHTMLAppletElement
noDOMHTMLAppletElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLAppletElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLAppletElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLAppletElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLAppletElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLAppletElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLAppletElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLAppletElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLAppletElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLAppletElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLAppletElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLAppletElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLAppletElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLAppletElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLAppletElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLAppletElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLAppletElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLAppletElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLAppletElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLAppletElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLAppletElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLAppletElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLAppletElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLAppletElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLAppletElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLAppletElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLAppletElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLAppletElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLAppletElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLAppletElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLAppletElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLAppletElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLAppletElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLAppletElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLAppletElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLAppletElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLAppletElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLAppletElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLAppletElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLAppletElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLAppletElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLAppletElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLAppletElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLAppletElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLAppletElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLAppletElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLAppletElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLAppletElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLAppletElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLAppletElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLAppletElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLAppletElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLAppletElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLAppletElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLAppletElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLAppletElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAlign" o = DOMHTMLAppletElementGetAlignMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAlt" o = DOMHTMLAppletElementGetAltMethodInfo
    ResolveDOMHTMLAppletElementMethod "getArchive" o = DOMHTMLAppletElementGetArchiveMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLAppletElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLAppletElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLAppletElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLAppletElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLAppletElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLAppletElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLAppletElementMethod "getCode" o = DOMHTMLAppletElementGetCodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "getCodeBase" o = DOMHTMLAppletElementGetCodeBaseMethodInfo
    ResolveDOMHTMLAppletElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLAppletElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLAppletElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLAppletElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLAppletElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAppletElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAppletElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAppletElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "getHeight" o = DOMHTMLAppletElementGetHeightMethodInfo
    ResolveDOMHTMLAppletElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLAppletElementMethod "getHspace" o = DOMHTMLAppletElementGetHspaceMethodInfo
    ResolveDOMHTMLAppletElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLAppletElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLAppletElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLAppletElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLAppletElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLAppletElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLAppletElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getName" o = DOMHTMLAppletElementGetNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLAppletElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLAppletElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLAppletElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLAppletElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLAppletElementMethod "getObject" o = DOMHTMLAppletElementGetObjectMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLAppletElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLAppletElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLAppletElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLAppletElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLAppletElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLAppletElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLAppletElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLAppletElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLAppletElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLAppletElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLAppletElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLAppletElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLAppletElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLAppletElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLAppletElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLAppletElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLAppletElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLAppletElementMethod "getVspace" o = DOMHTMLAppletElementGetVspaceMethodInfo
    ResolveDOMHTMLAppletElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLAppletElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLAppletElementMethod "getWidth" o = DOMHTMLAppletElementGetWidthMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAlign" o = DOMHTMLAppletElementSetAlignMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAlt" o = DOMHTMLAppletElementSetAltMethodInfo
    ResolveDOMHTMLAppletElementMethod "setArchive" o = DOMHTMLAppletElementSetArchiveMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLAppletElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "setCode" o = DOMHTMLAppletElementSetCodeMethodInfo
    ResolveDOMHTMLAppletElementMethod "setCodeBase" o = DOMHTMLAppletElementSetCodeBaseMethodInfo
    ResolveDOMHTMLAppletElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLAppletElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLAppletElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLAppletElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLAppletElementMethod "setHeight" o = DOMHTMLAppletElementSetHeightMethodInfo
    ResolveDOMHTMLAppletElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLAppletElementMethod "setHspace" o = DOMHTMLAppletElementSetHspaceMethodInfo
    ResolveDOMHTMLAppletElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLAppletElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLAppletElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLAppletElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLAppletElementMethod "setName" o = DOMHTMLAppletElementSetNameMethodInfo
    ResolveDOMHTMLAppletElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLAppletElementMethod "setObject" o = DOMHTMLAppletElementSetObjectMethodInfo
    ResolveDOMHTMLAppletElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLAppletElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLAppletElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLAppletElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLAppletElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLAppletElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLAppletElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLAppletElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLAppletElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLAppletElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLAppletElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLAppletElementMethod "setVspace" o = DOMHTMLAppletElementSetVspaceMethodInfo
    ResolveDOMHTMLAppletElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLAppletElementMethod "setWidth" o = DOMHTMLAppletElementSetWidthMethodInfo
    ResolveDOMHTMLAppletElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLAppletElementMethod t DOMHTMLAppletElement, O.MethodInfo info DOMHTMLAppletElement p) => OL.IsLabel t (DOMHTMLAppletElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #align
@
-}
getDOMHTMLAppletElementAlign :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementAlign :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementAlign :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementAlignPropertyInfo
instance AttrInfo DOMHTMLAppletElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementAlignPropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLAppletElementAlignPropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementAlign
    attrSet _ = setDOMHTMLAppletElementAlign
    attrConstruct _ = constructDOMHTMLAppletElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "alt"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@alt@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #alt
@
-}
getDOMHTMLAppletElementAlt :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementAlt obj = liftIO $ B.Properties.getObjectPropertyString obj "alt"

{- |
Set the value of the “@alt@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #alt 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementAlt :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementAlt obj val = liftIO $ B.Properties.setObjectPropertyString obj "alt" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@alt@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementAlt :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementAlt val = B.Properties.constructObjectPropertyString "alt" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementAltPropertyInfo
instance AttrInfo DOMHTMLAppletElementAltPropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementAltPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementAltPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementAltPropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementAltPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementAltPropertyInfo = "alt"
    type AttrOrigin DOMHTMLAppletElementAltPropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementAlt
    attrSet _ = setDOMHTMLAppletElementAlt
    attrConstruct _ = constructDOMHTMLAppletElementAlt
    attrClear _ = undefined
#endif

-- VVV Prop "archive"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@archive@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #archive
@
-}
getDOMHTMLAppletElementArchive :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementArchive obj = liftIO $ B.Properties.getObjectPropertyString obj "archive"

{- |
Set the value of the “@archive@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #archive 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementArchive :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementArchive obj val = liftIO $ B.Properties.setObjectPropertyString obj "archive" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@archive@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementArchive :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementArchive val = B.Properties.constructObjectPropertyString "archive" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementArchivePropertyInfo
instance AttrInfo DOMHTMLAppletElementArchivePropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementArchivePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementArchivePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementArchivePropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementArchivePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementArchivePropertyInfo = "archive"
    type AttrOrigin DOMHTMLAppletElementArchivePropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementArchive
    attrSet _ = setDOMHTMLAppletElementArchive
    attrConstruct _ = constructDOMHTMLAppletElementArchive
    attrClear _ = undefined
#endif

-- VVV Prop "code"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@code@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #code
@
-}
getDOMHTMLAppletElementCode :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementCode obj = liftIO $ B.Properties.getObjectPropertyString obj "code"

{- |
Set the value of the “@code@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #code 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementCode :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementCode obj val = liftIO $ B.Properties.setObjectPropertyString obj "code" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@code@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementCode :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementCode val = B.Properties.constructObjectPropertyString "code" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementCodePropertyInfo
instance AttrInfo DOMHTMLAppletElementCodePropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementCodePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementCodePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementCodePropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementCodePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementCodePropertyInfo = "code"
    type AttrOrigin DOMHTMLAppletElementCodePropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementCode
    attrSet _ = setDOMHTMLAppletElementCode
    attrConstruct _ = constructDOMHTMLAppletElementCode
    attrClear _ = undefined
#endif

-- VVV Prop "code-base"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@code-base@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #codeBase
@
-}
getDOMHTMLAppletElementCodeBase :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementCodeBase obj = liftIO $ B.Properties.getObjectPropertyString obj "code-base"

{- |
Set the value of the “@code-base@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #codeBase 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementCodeBase :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementCodeBase obj val = liftIO $ B.Properties.setObjectPropertyString obj "code-base" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@code-base@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementCodeBase :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementCodeBase val = B.Properties.constructObjectPropertyString "code-base" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementCodeBasePropertyInfo
instance AttrInfo DOMHTMLAppletElementCodeBasePropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementCodeBasePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementCodeBasePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementCodeBasePropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementCodeBasePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementCodeBasePropertyInfo = "code-base"
    type AttrOrigin DOMHTMLAppletElementCodeBasePropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementCodeBase
    attrSet _ = setDOMHTMLAppletElementCodeBase
    attrConstruct _ = constructDOMHTMLAppletElementCodeBase
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #height
@
-}
getDOMHTMLAppletElementHeight :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementHeight obj = liftIO $ B.Properties.getObjectPropertyString obj "height"

{- |
Set the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #height 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementHeight :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementHeight obj val = liftIO $ B.Properties.setObjectPropertyString obj "height" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementHeight :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementHeight val = B.Properties.constructObjectPropertyString "height" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementHeightPropertyInfo
instance AttrInfo DOMHTMLAppletElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementHeightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementHeightPropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementHeightPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLAppletElementHeightPropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementHeight
    attrSet _ = setDOMHTMLAppletElementHeight
    attrConstruct _ = constructDOMHTMLAppletElementHeight
    attrClear _ = undefined
#endif

-- VVV Prop "hspace"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@hspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #hspace
@
-}
getDOMHTMLAppletElementHspace :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m CLong
getDOMHTMLAppletElementHspace obj = liftIO $ B.Properties.getObjectPropertyLong obj "hspace"

{- |
Set the value of the “@hspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #hspace 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementHspace :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> CLong -> m ()
setDOMHTMLAppletElementHspace obj val = liftIO $ B.Properties.setObjectPropertyLong obj "hspace" val

{- |
Construct a `GValueConstruct` with valid value for the “@hspace@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementHspace :: (IsDOMHTMLAppletElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLAppletElementHspace val = B.Properties.constructObjectPropertyLong "hspace" val

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementHspacePropertyInfo
instance AttrInfo DOMHTMLAppletElementHspacePropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementHspacePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementHspacePropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLAppletElementHspacePropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementHspacePropertyInfo = CLong
    type AttrLabel DOMHTMLAppletElementHspacePropertyInfo = "hspace"
    type AttrOrigin DOMHTMLAppletElementHspacePropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementHspace
    attrSet _ = setDOMHTMLAppletElementHspace
    attrConstruct _ = constructDOMHTMLAppletElementHspace
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #name
@
-}
getDOMHTMLAppletElementName :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementName :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementName :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementNamePropertyInfo
instance AttrInfo DOMHTMLAppletElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementNamePropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLAppletElementNamePropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementName
    attrSet _ = setDOMHTMLAppletElementName
    attrConstruct _ = constructDOMHTMLAppletElementName
    attrClear _ = undefined
#endif

-- VVV Prop "object"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@object@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #object
@
-}
getDOMHTMLAppletElementObject :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementObject obj = liftIO $ B.Properties.getObjectPropertyString obj "object"

{- |
Set the value of the “@object@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #object 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementObject :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementObject obj val = liftIO $ B.Properties.setObjectPropertyString obj "object" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@object@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementObject :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementObject val = B.Properties.constructObjectPropertyString "object" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementObjectPropertyInfo
instance AttrInfo DOMHTMLAppletElementObjectPropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementObjectPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementObjectPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementObjectPropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementObjectPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementObjectPropertyInfo = "object"
    type AttrOrigin DOMHTMLAppletElementObjectPropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementObject
    attrSet _ = setDOMHTMLAppletElementObject
    attrConstruct _ = constructDOMHTMLAppletElementObject
    attrClear _ = undefined
#endif

-- VVV Prop "vspace"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@vspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #vspace
@
-}
getDOMHTMLAppletElementVspace :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m CLong
getDOMHTMLAppletElementVspace obj = liftIO $ B.Properties.getObjectPropertyLong obj "vspace"

{- |
Set the value of the “@vspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #vspace 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementVspace :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> CLong -> m ()
setDOMHTMLAppletElementVspace obj val = liftIO $ B.Properties.setObjectPropertyLong obj "vspace" val

{- |
Construct a `GValueConstruct` with valid value for the “@vspace@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementVspace :: (IsDOMHTMLAppletElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLAppletElementVspace val = B.Properties.constructObjectPropertyLong "vspace" val

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementVspacePropertyInfo
instance AttrInfo DOMHTMLAppletElementVspacePropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementVspacePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementVspacePropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLAppletElementVspacePropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementVspacePropertyInfo = CLong
    type AttrLabel DOMHTMLAppletElementVspacePropertyInfo = "vspace"
    type AttrOrigin DOMHTMLAppletElementVspacePropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementVspace
    attrSet _ = setDOMHTMLAppletElementVspace
    attrConstruct _ = constructDOMHTMLAppletElementVspace
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAppletElement #width
@
-}
getDOMHTMLAppletElementWidth :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> m (Maybe T.Text)
getDOMHTMLAppletElementWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAppletElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAppletElementWidth :: (MonadIO m, IsDOMHTMLAppletElement o) => o -> T.Text -> m ()
setDOMHTMLAppletElementWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAppletElementWidth :: (IsDOMHTMLAppletElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAppletElementWidth val = B.Properties.constructObjectPropertyString "width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementWidthPropertyInfo
instance AttrInfo DOMHTMLAppletElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLAppletElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAppletElementWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAppletElementWidthPropertyInfo = IsDOMHTMLAppletElement
    type AttrGetType DOMHTMLAppletElementWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAppletElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLAppletElementWidthPropertyInfo = DOMHTMLAppletElement
    attrGet _ = getDOMHTMLAppletElementWidth
    attrSet _ = setDOMHTMLAppletElementWidth
    attrConstruct _ = constructDOMHTMLAppletElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLAppletElement
type instance O.AttributeList DOMHTMLAppletElement = DOMHTMLAppletElementAttributeList
type DOMHTMLAppletElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLAppletElementAlignPropertyInfo), '("alt", DOMHTMLAppletElementAltPropertyInfo), '("archive", DOMHTMLAppletElementArchivePropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("code", DOMHTMLAppletElementCodePropertyInfo), '("codeBase", DOMHTMLAppletElementCodeBasePropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("height", DOMHTMLAppletElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("hspace", DOMHTMLAppletElementHspacePropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("name", DOMHTMLAppletElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("object", DOMHTMLAppletElementObjectPropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("vspace", DOMHTMLAppletElementVspacePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLAppletElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLAppletElementAlign :: AttrLabelProxy "align"
dOMHTMLAppletElementAlign = AttrLabelProxy

dOMHTMLAppletElementAlt :: AttrLabelProxy "alt"
dOMHTMLAppletElementAlt = AttrLabelProxy

dOMHTMLAppletElementArchive :: AttrLabelProxy "archive"
dOMHTMLAppletElementArchive = AttrLabelProxy

dOMHTMLAppletElementCode :: AttrLabelProxy "code"
dOMHTMLAppletElementCode = AttrLabelProxy

dOMHTMLAppletElementCodeBase :: AttrLabelProxy "codeBase"
dOMHTMLAppletElementCodeBase = AttrLabelProxy

dOMHTMLAppletElementHeight :: AttrLabelProxy "height"
dOMHTMLAppletElementHeight = AttrLabelProxy

dOMHTMLAppletElementHspace :: AttrLabelProxy "hspace"
dOMHTMLAppletElementHspace = AttrLabelProxy

dOMHTMLAppletElementName :: AttrLabelProxy "name"
dOMHTMLAppletElementName = AttrLabelProxy

dOMHTMLAppletElementObject :: AttrLabelProxy "object"
dOMHTMLAppletElementObject = AttrLabelProxy

dOMHTMLAppletElementVspace :: AttrLabelProxy "vspace"
dOMHTMLAppletElementVspace = AttrLabelProxy

dOMHTMLAppletElementWidth :: AttrLabelProxy "width"
dOMHTMLAppletElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLAppletElement = DOMHTMLAppletElementSignalList
type DOMHTMLAppletElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLAppletElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_align" webkit_dom_html_applet_element_get_align :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetAlign

#endif

-- method DOMHTMLAppletElement::get_alt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_alt" webkit_dom_html_applet_element_get_alt :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetAlt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetAlt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetAlt self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_alt self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetAlt" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetAltMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetAltMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetAlt

#endif

-- method DOMHTMLAppletElement::get_archive
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_archive" webkit_dom_html_applet_element_get_archive :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetArchive ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetArchive ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetArchive self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_archive self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetArchive" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetArchiveMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetArchiveMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetArchive

#endif

-- method DOMHTMLAppletElement::get_code
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_code" webkit_dom_html_applet_element_get_code :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetCode ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetCode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetCode self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_code self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetCode" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetCodeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetCodeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetCode

#endif

-- method DOMHTMLAppletElement::get_code_base
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_code_base" webkit_dom_html_applet_element_get_code_base :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetCodeBase ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetCodeBase ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetCodeBase self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_code_base self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetCodeBase" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetCodeBaseMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetCodeBaseMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetCodeBase

#endif

-- method DOMHTMLAppletElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_height" webkit_dom_html_applet_element_get_height :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_height self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetHeight" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetHeightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetHeight

#endif

-- method DOMHTMLAppletElement::get_hspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_hspace" webkit_dom_html_applet_element_get_hspace :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CLong

{-# DEPRECATED dOMHTMLAppletElementGetHspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetHspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLAppletElementGetHspace self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_hspace self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetHspaceMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetHspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetHspace

#endif

-- method DOMHTMLAppletElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_name" webkit_dom_html_applet_element_get_name :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetName

#endif

-- method DOMHTMLAppletElement::get_object
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_object" webkit_dom_html_applet_element_get_object :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetObject ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetObject ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetObject self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_object self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetObject" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetObjectMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetObjectMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetObject

#endif

-- method DOMHTMLAppletElement::get_vspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_vspace" webkit_dom_html_applet_element_get_vspace :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CLong

{-# DEPRECATED dOMHTMLAppletElementGetVspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetVspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLAppletElementGetVspace self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_vspace self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetVspaceMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetVspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetVspace

#endif

-- method DOMHTMLAppletElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_get_width" webkit_dom_html_applet_element_get_width :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    IO CString

{-# DEPRECATED dOMHTMLAppletElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAppletElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_applet_element_get_width self'
    checkUnexpectedReturnNULL "dOMHTMLAppletElementGetWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementGetWidth

#endif

-- method DOMHTMLAppletElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_align" webkit_dom_html_applet_element_set_align :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetAlign

#endif

-- method DOMHTMLAppletElement::set_alt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_alt" webkit_dom_html_applet_element_set_alt :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetAlt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetAlt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetAlt self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_alt self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetAltMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetAltMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetAlt

#endif

-- method DOMHTMLAppletElement::set_archive
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_archive" webkit_dom_html_applet_element_set_archive :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetArchive ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetArchive ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetArchive self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_archive self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetArchiveMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetArchiveMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetArchive

#endif

-- method DOMHTMLAppletElement::set_code
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_code" webkit_dom_html_applet_element_set_code :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetCode ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetCode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetCode self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_code self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetCodeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetCodeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetCode

#endif

-- method DOMHTMLAppletElement::set_code_base
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_code_base" webkit_dom_html_applet_element_set_code_base :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetCodeBase ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetCodeBase ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetCodeBase self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_code_base self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetCodeBaseMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetCodeBaseMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetCodeBase

#endif

-- method DOMHTMLAppletElement::set_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_height" webkit_dom_html_applet_element_set_height :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_height self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetHeightMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetHeight

#endif

-- method DOMHTMLAppletElement::set_hspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_hspace" webkit_dom_html_applet_element_set_hspace :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetHspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetHspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLAppletElementSetHspace self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_applet_element_set_hspace self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetHspaceMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetHspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetHspace

#endif

-- method DOMHTMLAppletElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_name" webkit_dom_html_applet_element_set_name :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetName

#endif

-- method DOMHTMLAppletElement::set_object
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_object" webkit_dom_html_applet_element_set_object :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetObject ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetObject ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetObject self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_object self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetObjectMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetObjectMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetObject

#endif

-- method DOMHTMLAppletElement::set_vspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_vspace" webkit_dom_html_applet_element_set_vspace :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetVspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetVspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLAppletElementSetVspace self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_applet_element_set_vspace self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetVspaceMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetVspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetVspace

#endif

-- method DOMHTMLAppletElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAppletElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_applet_element_set_width" webkit_dom_html_applet_element_set_width :: 
    Ptr DOMHTMLAppletElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAppletElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAppletElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAppletElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAppletElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement.DOMHTMLAppletElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAppletElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_applet_element_set_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAppletElement a) => O.MethodInfo DOMHTMLAppletElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAppletElementSetWidth

#endif


