

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement
    ( 

-- * Exported types
    DOMHTMLAreaElement(..)                  ,
    IsDOMHTMLAreaElement                    ,
    toDOMHTMLAreaElement                    ,
    noDOMHTMLAreaElement                    ,


 -- * Methods
-- ** getAlt #method:getAlt#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetAltMethodInfo      ,
#endif
    dOMHTMLAreaElementGetAlt                ,


-- ** getCoords #method:getCoords#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetCoordsMethodInfo   ,
#endif
    dOMHTMLAreaElementGetCoords             ,


-- ** getHash #method:getHash#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetHashMethodInfo     ,
#endif
    dOMHTMLAreaElementGetHash               ,


-- ** getHost #method:getHost#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetHostMethodInfo     ,
#endif
    dOMHTMLAreaElementGetHost               ,


-- ** getHostname #method:getHostname#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetHostnameMethodInfo ,
#endif
    dOMHTMLAreaElementGetHostname           ,


-- ** getHref #method:getHref#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetHrefMethodInfo     ,
#endif
    dOMHTMLAreaElementGetHref               ,


-- ** getNoHref #method:getNoHref#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetNoHrefMethodInfo   ,
#endif
    dOMHTMLAreaElementGetNoHref             ,


-- ** getPathname #method:getPathname#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetPathnameMethodInfo ,
#endif
    dOMHTMLAreaElementGetPathname           ,


-- ** getPort #method:getPort#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetPortMethodInfo     ,
#endif
    dOMHTMLAreaElementGetPort               ,


-- ** getProtocol #method:getProtocol#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetProtocolMethodInfo ,
#endif
    dOMHTMLAreaElementGetProtocol           ,


-- ** getSearch #method:getSearch#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetSearchMethodInfo   ,
#endif
    dOMHTMLAreaElementGetSearch             ,


-- ** getShape #method:getShape#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetShapeMethodInfo    ,
#endif
    dOMHTMLAreaElementGetShape              ,


-- ** getTarget #method:getTarget#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementGetTargetMethodInfo   ,
#endif
    dOMHTMLAreaElementGetTarget             ,


-- ** setAlt #method:setAlt#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetAltMethodInfo      ,
#endif
    dOMHTMLAreaElementSetAlt                ,


-- ** setCoords #method:setCoords#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetCoordsMethodInfo   ,
#endif
    dOMHTMLAreaElementSetCoords             ,


-- ** setHash #method:setHash#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetHashMethodInfo     ,
#endif
    dOMHTMLAreaElementSetHash               ,


-- ** setHost #method:setHost#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetHostMethodInfo     ,
#endif
    dOMHTMLAreaElementSetHost               ,


-- ** setHostname #method:setHostname#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetHostnameMethodInfo ,
#endif
    dOMHTMLAreaElementSetHostname           ,


-- ** setHref #method:setHref#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetHrefMethodInfo     ,
#endif
    dOMHTMLAreaElementSetHref               ,


-- ** setNoHref #method:setNoHref#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetNoHrefMethodInfo   ,
#endif
    dOMHTMLAreaElementSetNoHref             ,


-- ** setPathname #method:setPathname#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetPathnameMethodInfo ,
#endif
    dOMHTMLAreaElementSetPathname           ,


-- ** setPort #method:setPort#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetPortMethodInfo     ,
#endif
    dOMHTMLAreaElementSetPort               ,


-- ** setProtocol #method:setProtocol#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetProtocolMethodInfo ,
#endif
    dOMHTMLAreaElementSetProtocol           ,


-- ** setSearch #method:setSearch#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetSearchMethodInfo   ,
#endif
    dOMHTMLAreaElementSetSearch             ,


-- ** setShape #method:setShape#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetShapeMethodInfo    ,
#endif
    dOMHTMLAreaElementSetShape              ,


-- ** setTarget #method:setTarget#

#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSetTargetMethodInfo   ,
#endif
    dOMHTMLAreaElementSetTarget             ,




 -- * Properties
-- ** alt #attr:alt#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementAltPropertyInfo       ,
#endif
    constructDOMHTMLAreaElementAlt          ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementAlt                   ,
#endif
    getDOMHTMLAreaElementAlt                ,
    setDOMHTMLAreaElementAlt                ,


-- ** coords #attr:coords#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementCoordsPropertyInfo    ,
#endif
    constructDOMHTMLAreaElementCoords       ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementCoords                ,
#endif
    getDOMHTMLAreaElementCoords             ,
    setDOMHTMLAreaElementCoords             ,


-- ** hash #attr:hash#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementHashPropertyInfo      ,
#endif
    constructDOMHTMLAreaElementHash         ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementHash                  ,
#endif
    getDOMHTMLAreaElementHash               ,
    setDOMHTMLAreaElementHash               ,


-- ** host #attr:host#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementHostPropertyInfo      ,
#endif
    constructDOMHTMLAreaElementHost         ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementHost                  ,
#endif
    getDOMHTMLAreaElementHost               ,
    setDOMHTMLAreaElementHost               ,


-- ** hostname #attr:hostname#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementHostnamePropertyInfo  ,
#endif
    constructDOMHTMLAreaElementHostname     ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementHostname              ,
#endif
    getDOMHTMLAreaElementHostname           ,
    setDOMHTMLAreaElementHostname           ,


-- ** href #attr:href#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementHrefPropertyInfo      ,
#endif
    constructDOMHTMLAreaElementHref         ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementHref                  ,
#endif
    getDOMHTMLAreaElementHref               ,
    setDOMHTMLAreaElementHref               ,


-- ** noHref #attr:noHref#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementNoHrefPropertyInfo    ,
#endif
    constructDOMHTMLAreaElementNoHref       ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementNoHref                ,
#endif
    getDOMHTMLAreaElementNoHref             ,
    setDOMHTMLAreaElementNoHref             ,


-- ** pathname #attr:pathname#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementPathnamePropertyInfo  ,
#endif
    constructDOMHTMLAreaElementPathname     ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementPathname              ,
#endif
    getDOMHTMLAreaElementPathname           ,
    setDOMHTMLAreaElementPathname           ,


-- ** port #attr:port#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementPortPropertyInfo      ,
#endif
    constructDOMHTMLAreaElementPort         ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementPort                  ,
#endif
    getDOMHTMLAreaElementPort               ,
    setDOMHTMLAreaElementPort               ,


-- ** protocol #attr:protocol#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementProtocolPropertyInfo  ,
#endif
    constructDOMHTMLAreaElementProtocol     ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementProtocol              ,
#endif
    getDOMHTMLAreaElementProtocol           ,
    setDOMHTMLAreaElementProtocol           ,


-- ** search #attr:search#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementSearchPropertyInfo    ,
#endif
    constructDOMHTMLAreaElementSearch       ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementSearch                ,
#endif
    getDOMHTMLAreaElementSearch             ,
    setDOMHTMLAreaElementSearch             ,


-- ** shape #attr:shape#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementShapePropertyInfo     ,
#endif
    constructDOMHTMLAreaElementShape        ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementShape                 ,
#endif
    getDOMHTMLAreaElementShape              ,
    setDOMHTMLAreaElementShape              ,


-- ** target #attr:target#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAreaElementTargetPropertyInfo    ,
#endif
    constructDOMHTMLAreaElementTarget       ,
#if ENABLE_OVERLOADING
    dOMHTMLAreaElementTarget                ,
#endif
    getDOMHTMLAreaElementTarget             ,
    setDOMHTMLAreaElementTarget             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLAreaElement = DOMHTMLAreaElement (ManagedPtr DOMHTMLAreaElement)
foreign import ccall "webkit_dom_html_area_element_get_type"
    c_webkit_dom_html_area_element_get_type :: IO GType

instance GObject DOMHTMLAreaElement where
    gobjectType = c_webkit_dom_html_area_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLAreaElement`, for instance with `toDOMHTMLAreaElement`.
class (GObject o, O.IsDescendantOf DOMHTMLAreaElement o) => IsDOMHTMLAreaElement o
instance (GObject o, O.IsDescendantOf DOMHTMLAreaElement o) => IsDOMHTMLAreaElement o

instance O.HasParentTypes DOMHTMLAreaElement
type instance O.ParentTypes DOMHTMLAreaElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLAreaElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLAreaElement :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m DOMHTMLAreaElement
toDOMHTMLAreaElement = liftIO . unsafeCastTo DOMHTMLAreaElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLAreaElement`.
noDOMHTMLAreaElement :: Maybe DOMHTMLAreaElement
noDOMHTMLAreaElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLAreaElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLAreaElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLAreaElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLAreaElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLAreaElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLAreaElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLAreaElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLAreaElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLAreaElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLAreaElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLAreaElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLAreaElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLAreaElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLAreaElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLAreaElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLAreaElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLAreaElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLAreaElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLAreaElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLAreaElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLAreaElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLAreaElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLAreaElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLAreaElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLAreaElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLAreaElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLAreaElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLAreaElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLAreaElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLAreaElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLAreaElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLAreaElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLAreaElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLAreaElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLAreaElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLAreaElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLAreaElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLAreaElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLAreaElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLAreaElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLAreaElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLAreaElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLAreaElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLAreaElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLAreaElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLAreaElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLAreaElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLAreaElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLAreaElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLAreaElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLAreaElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLAreaElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLAreaElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLAreaElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLAreaElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLAreaElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLAreaElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLAreaElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAlt" o = DOMHTMLAreaElementGetAltMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLAreaElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLAreaElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLAreaElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLAreaElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLAreaElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLAreaElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLAreaElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLAreaElementMethod "getCoords" o = DOMHTMLAreaElementGetCoordsMethodInfo
    ResolveDOMHTMLAreaElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLAreaElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLAreaElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLAreaElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAreaElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAreaElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAreaElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "getHash" o = DOMHTMLAreaElementGetHashMethodInfo
    ResolveDOMHTMLAreaElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLAreaElementMethod "getHost" o = DOMHTMLAreaElementGetHostMethodInfo
    ResolveDOMHTMLAreaElementMethod "getHostname" o = DOMHTMLAreaElementGetHostnameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getHref" o = DOMHTMLAreaElementGetHrefMethodInfo
    ResolveDOMHTMLAreaElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLAreaElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLAreaElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLAreaElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLAreaElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLAreaElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLAreaElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNoHref" o = DOMHTMLAreaElementGetNoHrefMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLAreaElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLAreaElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLAreaElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLAreaElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLAreaElementMethod "getPathname" o = DOMHTMLAreaElementGetPathnameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getPort" o = DOMHTMLAreaElementGetPortMethodInfo
    ResolveDOMHTMLAreaElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLAreaElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLAreaElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLAreaElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLAreaElementMethod "getProtocol" o = DOMHTMLAreaElementGetProtocolMethodInfo
    ResolveDOMHTMLAreaElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLAreaElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLAreaElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLAreaElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLAreaElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLAreaElementMethod "getSearch" o = DOMHTMLAreaElementGetSearchMethodInfo
    ResolveDOMHTMLAreaElementMethod "getShape" o = DOMHTMLAreaElementGetShapeMethodInfo
    ResolveDOMHTMLAreaElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLAreaElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLAreaElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLAreaElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "getTarget" o = DOMHTMLAreaElementGetTargetMethodInfo
    ResolveDOMHTMLAreaElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLAreaElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLAreaElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLAreaElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLAreaElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLAreaElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLAreaElementMethod "setAlt" o = DOMHTMLAreaElementSetAltMethodInfo
    ResolveDOMHTMLAreaElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLAreaElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLAreaElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLAreaElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLAreaElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLAreaElementMethod "setCoords" o = DOMHTMLAreaElementSetCoordsMethodInfo
    ResolveDOMHTMLAreaElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLAreaElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLAreaElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLAreaElementMethod "setHash" o = DOMHTMLAreaElementSetHashMethodInfo
    ResolveDOMHTMLAreaElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLAreaElementMethod "setHost" o = DOMHTMLAreaElementSetHostMethodInfo
    ResolveDOMHTMLAreaElementMethod "setHostname" o = DOMHTMLAreaElementSetHostnameMethodInfo
    ResolveDOMHTMLAreaElementMethod "setHref" o = DOMHTMLAreaElementSetHrefMethodInfo
    ResolveDOMHTMLAreaElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLAreaElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLAreaElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLAreaElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLAreaElementMethod "setNoHref" o = DOMHTMLAreaElementSetNoHrefMethodInfo
    ResolveDOMHTMLAreaElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLAreaElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLAreaElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLAreaElementMethod "setPathname" o = DOMHTMLAreaElementSetPathnameMethodInfo
    ResolveDOMHTMLAreaElementMethod "setPort" o = DOMHTMLAreaElementSetPortMethodInfo
    ResolveDOMHTMLAreaElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLAreaElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLAreaElementMethod "setProtocol" o = DOMHTMLAreaElementSetProtocolMethodInfo
    ResolveDOMHTMLAreaElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLAreaElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLAreaElementMethod "setSearch" o = DOMHTMLAreaElementSetSearchMethodInfo
    ResolveDOMHTMLAreaElementMethod "setShape" o = DOMHTMLAreaElementSetShapeMethodInfo
    ResolveDOMHTMLAreaElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLAreaElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLAreaElementMethod "setTarget" o = DOMHTMLAreaElementSetTargetMethodInfo
    ResolveDOMHTMLAreaElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLAreaElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLAreaElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLAreaElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLAreaElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLAreaElementMethod t DOMHTMLAreaElement, O.MethodInfo info DOMHTMLAreaElement p) => OL.IsLabel t (DOMHTMLAreaElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "alt"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@alt@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #alt
@
-}
getDOMHTMLAreaElementAlt :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementAlt obj = liftIO $ B.Properties.getObjectPropertyString obj "alt"

{- |
Set the value of the “@alt@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #alt 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementAlt :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementAlt obj val = liftIO $ B.Properties.setObjectPropertyString obj "alt" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@alt@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementAlt :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementAlt val = B.Properties.constructObjectPropertyString "alt" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementAltPropertyInfo
instance AttrInfo DOMHTMLAreaElementAltPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementAltPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementAltPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementAltPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementAltPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementAltPropertyInfo = "alt"
    type AttrOrigin DOMHTMLAreaElementAltPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementAlt
    attrSet _ = setDOMHTMLAreaElementAlt
    attrConstruct _ = constructDOMHTMLAreaElementAlt
    attrClear _ = undefined
#endif

-- VVV Prop "coords"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@coords@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #coords
@
-}
getDOMHTMLAreaElementCoords :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementCoords obj = liftIO $ B.Properties.getObjectPropertyString obj "coords"

{- |
Set the value of the “@coords@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #coords 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementCoords :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementCoords obj val = liftIO $ B.Properties.setObjectPropertyString obj "coords" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@coords@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementCoords :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementCoords val = B.Properties.constructObjectPropertyString "coords" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementCoordsPropertyInfo
instance AttrInfo DOMHTMLAreaElementCoordsPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementCoordsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementCoordsPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementCoordsPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementCoordsPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementCoordsPropertyInfo = "coords"
    type AttrOrigin DOMHTMLAreaElementCoordsPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementCoords
    attrSet _ = setDOMHTMLAreaElementCoords
    attrConstruct _ = constructDOMHTMLAreaElementCoords
    attrClear _ = undefined
#endif

-- VVV Prop "hash"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@hash@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #hash
@
-}
getDOMHTMLAreaElementHash :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementHash obj = liftIO $ B.Properties.getObjectPropertyString obj "hash"

{- |
Set the value of the “@hash@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #hash 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementHash :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementHash obj val = liftIO $ B.Properties.setObjectPropertyString obj "hash" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@hash@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementHash :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementHash val = B.Properties.constructObjectPropertyString "hash" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHashPropertyInfo
instance AttrInfo DOMHTMLAreaElementHashPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementHashPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementHashPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementHashPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementHashPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementHashPropertyInfo = "hash"
    type AttrOrigin DOMHTMLAreaElementHashPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementHash
    attrSet _ = setDOMHTMLAreaElementHash
    attrConstruct _ = constructDOMHTMLAreaElementHash
    attrClear _ = undefined
#endif

-- VVV Prop "host"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@host@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #host
@
-}
getDOMHTMLAreaElementHost :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementHost obj = liftIO $ B.Properties.getObjectPropertyString obj "host"

{- |
Set the value of the “@host@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #host 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementHost :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementHost obj val = liftIO $ B.Properties.setObjectPropertyString obj "host" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@host@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementHost :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementHost val = B.Properties.constructObjectPropertyString "host" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHostPropertyInfo
instance AttrInfo DOMHTMLAreaElementHostPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementHostPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementHostPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementHostPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementHostPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementHostPropertyInfo = "host"
    type AttrOrigin DOMHTMLAreaElementHostPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementHost
    attrSet _ = setDOMHTMLAreaElementHost
    attrConstruct _ = constructDOMHTMLAreaElementHost
    attrClear _ = undefined
#endif

-- VVV Prop "hostname"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@hostname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #hostname
@
-}
getDOMHTMLAreaElementHostname :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementHostname obj = liftIO $ B.Properties.getObjectPropertyString obj "hostname"

{- |
Set the value of the “@hostname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #hostname 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementHostname :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementHostname obj val = liftIO $ B.Properties.setObjectPropertyString obj "hostname" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@hostname@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementHostname :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementHostname val = B.Properties.constructObjectPropertyString "hostname" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHostnamePropertyInfo
instance AttrInfo DOMHTMLAreaElementHostnamePropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementHostnamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementHostnamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementHostnamePropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementHostnamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementHostnamePropertyInfo = "hostname"
    type AttrOrigin DOMHTMLAreaElementHostnamePropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementHostname
    attrSet _ = setDOMHTMLAreaElementHostname
    attrConstruct _ = constructDOMHTMLAreaElementHostname
    attrClear _ = undefined
#endif

-- VVV Prop "href"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #href
@
-}
getDOMHTMLAreaElementHref :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementHref obj = liftIO $ B.Properties.getObjectPropertyString obj "href"

{- |
Set the value of the “@href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #href 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementHref :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementHref obj val = liftIO $ B.Properties.setObjectPropertyString obj "href" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@href@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementHref :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementHref val = B.Properties.constructObjectPropertyString "href" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHrefPropertyInfo
instance AttrInfo DOMHTMLAreaElementHrefPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementHrefPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementHrefPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementHrefPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementHrefPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementHrefPropertyInfo = "href"
    type AttrOrigin DOMHTMLAreaElementHrefPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementHref
    attrSet _ = setDOMHTMLAreaElementHref
    attrConstruct _ = constructDOMHTMLAreaElementHref
    attrClear _ = undefined
#endif

-- VVV Prop "no-href"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@no-href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #noHref
@
-}
getDOMHTMLAreaElementNoHref :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m Bool
getDOMHTMLAreaElementNoHref obj = liftIO $ B.Properties.getObjectPropertyBool obj "no-href"

{- |
Set the value of the “@no-href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #noHref 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementNoHref :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> Bool -> m ()
setDOMHTMLAreaElementNoHref obj val = liftIO $ B.Properties.setObjectPropertyBool obj "no-href" val

{- |
Construct a `GValueConstruct` with valid value for the “@no-href@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementNoHref :: (IsDOMHTMLAreaElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLAreaElementNoHref val = B.Properties.constructObjectPropertyBool "no-href" val

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementNoHrefPropertyInfo
instance AttrInfo DOMHTMLAreaElementNoHrefPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementNoHrefPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementNoHrefPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLAreaElementNoHrefPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementNoHrefPropertyInfo = Bool
    type AttrLabel DOMHTMLAreaElementNoHrefPropertyInfo = "no-href"
    type AttrOrigin DOMHTMLAreaElementNoHrefPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementNoHref
    attrSet _ = setDOMHTMLAreaElementNoHref
    attrConstruct _ = constructDOMHTMLAreaElementNoHref
    attrClear _ = undefined
#endif

-- VVV Prop "pathname"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@pathname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #pathname
@
-}
getDOMHTMLAreaElementPathname :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementPathname obj = liftIO $ B.Properties.getObjectPropertyString obj "pathname"

{- |
Set the value of the “@pathname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #pathname 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementPathname :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementPathname obj val = liftIO $ B.Properties.setObjectPropertyString obj "pathname" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@pathname@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementPathname :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementPathname val = B.Properties.constructObjectPropertyString "pathname" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementPathnamePropertyInfo
instance AttrInfo DOMHTMLAreaElementPathnamePropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementPathnamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementPathnamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementPathnamePropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementPathnamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementPathnamePropertyInfo = "pathname"
    type AttrOrigin DOMHTMLAreaElementPathnamePropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementPathname
    attrSet _ = setDOMHTMLAreaElementPathname
    attrConstruct _ = constructDOMHTMLAreaElementPathname
    attrClear _ = undefined
#endif

-- VVV Prop "port"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@port@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #port
@
-}
getDOMHTMLAreaElementPort :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementPort obj = liftIO $ B.Properties.getObjectPropertyString obj "port"

{- |
Set the value of the “@port@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #port 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementPort :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementPort obj val = liftIO $ B.Properties.setObjectPropertyString obj "port" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@port@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementPort :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementPort val = B.Properties.constructObjectPropertyString "port" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementPortPropertyInfo
instance AttrInfo DOMHTMLAreaElementPortPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementPortPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementPortPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementPortPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementPortPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementPortPropertyInfo = "port"
    type AttrOrigin DOMHTMLAreaElementPortPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementPort
    attrSet _ = setDOMHTMLAreaElementPort
    attrConstruct _ = constructDOMHTMLAreaElementPort
    attrClear _ = undefined
#endif

-- VVV Prop "protocol"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@protocol@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #protocol
@
-}
getDOMHTMLAreaElementProtocol :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementProtocol obj = liftIO $ B.Properties.getObjectPropertyString obj "protocol"

{- |
Set the value of the “@protocol@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #protocol 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementProtocol :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementProtocol obj val = liftIO $ B.Properties.setObjectPropertyString obj "protocol" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@protocol@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementProtocol :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementProtocol val = B.Properties.constructObjectPropertyString "protocol" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementProtocolPropertyInfo
instance AttrInfo DOMHTMLAreaElementProtocolPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementProtocolPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementProtocolPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementProtocolPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementProtocolPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementProtocolPropertyInfo = "protocol"
    type AttrOrigin DOMHTMLAreaElementProtocolPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementProtocol
    attrSet _ = setDOMHTMLAreaElementProtocol
    attrConstruct _ = constructDOMHTMLAreaElementProtocol
    attrClear _ = undefined
#endif

-- VVV Prop "search"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@search@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #search
@
-}
getDOMHTMLAreaElementSearch :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementSearch obj = liftIO $ B.Properties.getObjectPropertyString obj "search"

{- |
Set the value of the “@search@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #search 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementSearch :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementSearch obj val = liftIO $ B.Properties.setObjectPropertyString obj "search" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@search@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementSearch :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementSearch val = B.Properties.constructObjectPropertyString "search" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSearchPropertyInfo
instance AttrInfo DOMHTMLAreaElementSearchPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementSearchPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementSearchPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementSearchPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementSearchPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementSearchPropertyInfo = "search"
    type AttrOrigin DOMHTMLAreaElementSearchPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementSearch
    attrSet _ = setDOMHTMLAreaElementSearch
    attrConstruct _ = constructDOMHTMLAreaElementSearch
    attrClear _ = undefined
#endif

-- VVV Prop "shape"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@shape@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #shape
@
-}
getDOMHTMLAreaElementShape :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementShape obj = liftIO $ B.Properties.getObjectPropertyString obj "shape"

{- |
Set the value of the “@shape@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #shape 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementShape :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementShape obj val = liftIO $ B.Properties.setObjectPropertyString obj "shape" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@shape@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementShape :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementShape val = B.Properties.constructObjectPropertyString "shape" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementShapePropertyInfo
instance AttrInfo DOMHTMLAreaElementShapePropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementShapePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementShapePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementShapePropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementShapePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementShapePropertyInfo = "shape"
    type AttrOrigin DOMHTMLAreaElementShapePropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementShape
    attrSet _ = setDOMHTMLAreaElementShape
    attrConstruct _ = constructDOMHTMLAreaElementShape
    attrClear _ = undefined
#endif

-- VVV Prop "target"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAreaElement #target
@
-}
getDOMHTMLAreaElementTarget :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLAreaElementTarget obj = liftIO $ B.Properties.getObjectPropertyString obj "target"

{- |
Set the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAreaElement [ #target 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAreaElementTarget :: (MonadIO m, IsDOMHTMLAreaElement o) => o -> T.Text -> m ()
setDOMHTMLAreaElementTarget obj val = liftIO $ B.Properties.setObjectPropertyString obj "target" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@target@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAreaElementTarget :: (IsDOMHTMLAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAreaElementTarget val = B.Properties.constructObjectPropertyString "target" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementTargetPropertyInfo
instance AttrInfo DOMHTMLAreaElementTargetPropertyInfo where
    type AttrAllowedOps DOMHTMLAreaElementTargetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAreaElementTargetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAreaElementTargetPropertyInfo = IsDOMHTMLAreaElement
    type AttrGetType DOMHTMLAreaElementTargetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAreaElementTargetPropertyInfo = "target"
    type AttrOrigin DOMHTMLAreaElementTargetPropertyInfo = DOMHTMLAreaElement
    attrGet _ = getDOMHTMLAreaElementTarget
    attrSet _ = setDOMHTMLAreaElementTarget
    attrConstruct _ = constructDOMHTMLAreaElementTarget
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLAreaElement
type instance O.AttributeList DOMHTMLAreaElement = DOMHTMLAreaElementAttributeList
type DOMHTMLAreaElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("alt", DOMHTMLAreaElementAltPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coords", DOMHTMLAreaElementCoordsPropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hash", DOMHTMLAreaElementHashPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("host", DOMHTMLAreaElementHostPropertyInfo), '("hostname", DOMHTMLAreaElementHostnamePropertyInfo), '("href", DOMHTMLAreaElementHrefPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("noHref", DOMHTMLAreaElementNoHrefPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("pathname", DOMHTMLAreaElementPathnamePropertyInfo), '("port", DOMHTMLAreaElementPortPropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("protocol", DOMHTMLAreaElementProtocolPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("search", DOMHTMLAreaElementSearchPropertyInfo), '("shape", DOMHTMLAreaElementShapePropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("target", DOMHTMLAreaElementTargetPropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLAreaElementAlt :: AttrLabelProxy "alt"
dOMHTMLAreaElementAlt = AttrLabelProxy

dOMHTMLAreaElementCoords :: AttrLabelProxy "coords"
dOMHTMLAreaElementCoords = AttrLabelProxy

dOMHTMLAreaElementHash :: AttrLabelProxy "hash"
dOMHTMLAreaElementHash = AttrLabelProxy

dOMHTMLAreaElementHost :: AttrLabelProxy "host"
dOMHTMLAreaElementHost = AttrLabelProxy

dOMHTMLAreaElementHostname :: AttrLabelProxy "hostname"
dOMHTMLAreaElementHostname = AttrLabelProxy

dOMHTMLAreaElementHref :: AttrLabelProxy "href"
dOMHTMLAreaElementHref = AttrLabelProxy

dOMHTMLAreaElementNoHref :: AttrLabelProxy "noHref"
dOMHTMLAreaElementNoHref = AttrLabelProxy

dOMHTMLAreaElementPathname :: AttrLabelProxy "pathname"
dOMHTMLAreaElementPathname = AttrLabelProxy

dOMHTMLAreaElementPort :: AttrLabelProxy "port"
dOMHTMLAreaElementPort = AttrLabelProxy

dOMHTMLAreaElementProtocol :: AttrLabelProxy "protocol"
dOMHTMLAreaElementProtocol = AttrLabelProxy

dOMHTMLAreaElementSearch :: AttrLabelProxy "search"
dOMHTMLAreaElementSearch = AttrLabelProxy

dOMHTMLAreaElementShape :: AttrLabelProxy "shape"
dOMHTMLAreaElementShape = AttrLabelProxy

dOMHTMLAreaElementTarget :: AttrLabelProxy "target"
dOMHTMLAreaElementTarget = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLAreaElement = DOMHTMLAreaElementSignalList
type DOMHTMLAreaElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLAreaElement::get_alt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_alt" webkit_dom_html_area_element_get_alt :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetAlt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetAlt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetAlt self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_alt self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetAlt" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetAltMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetAltMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetAlt

#endif

-- method DOMHTMLAreaElement::get_coords
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_coords" webkit_dom_html_area_element_get_coords :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetCoords ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetCoords ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetCoords self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_coords self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetCoords" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetCoordsMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetCoordsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetCoords

#endif

-- method DOMHTMLAreaElement::get_hash
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_hash" webkit_dom_html_area_element_get_hash :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetHash ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetHash ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetHash self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_hash self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetHash" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHashMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetHashMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetHash

#endif

-- method DOMHTMLAreaElement::get_host
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_host" webkit_dom_html_area_element_get_host :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetHost ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetHost ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetHost self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_host self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetHost" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHostMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetHostMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetHost

#endif

-- method DOMHTMLAreaElement::get_hostname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_hostname" webkit_dom_html_area_element_get_hostname :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetHostname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetHostname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetHostname self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_hostname self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetHostname" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHostnameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetHostnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetHostname

#endif

-- method DOMHTMLAreaElement::get_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_href" webkit_dom_html_area_element_get_href :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetHref self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_href self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetHref" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHrefMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetHref

#endif

-- method DOMHTMLAreaElement::get_no_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_no_href" webkit_dom_html_area_element_get_no_href :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CInt

{-# DEPRECATED dOMHTMLAreaElementGetNoHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetNoHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLAreaElementGetNoHref self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_no_href self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetNoHrefMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetNoHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetNoHref

#endif

-- method DOMHTMLAreaElement::get_pathname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_pathname" webkit_dom_html_area_element_get_pathname :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetPathname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetPathname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetPathname self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_pathname self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetPathname" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetPathnameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetPathnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetPathname

#endif

-- method DOMHTMLAreaElement::get_port
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_port" webkit_dom_html_area_element_get_port :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetPort ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetPort ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetPort self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_port self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetPort" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetPortMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetPortMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetPort

#endif

-- method DOMHTMLAreaElement::get_protocol
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_protocol" webkit_dom_html_area_element_get_protocol :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetProtocol ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetProtocol ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetProtocol self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_protocol self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetProtocol" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetProtocolMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetProtocolMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetProtocol

#endif

-- method DOMHTMLAreaElement::get_search
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_search" webkit_dom_html_area_element_get_search :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetSearch ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetSearch ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetSearch self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_search self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetSearch" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetSearchMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetSearchMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetSearch

#endif

-- method DOMHTMLAreaElement::get_shape
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_shape" webkit_dom_html_area_element_get_shape :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetShape ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetShape ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetShape self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_shape self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetShape" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetShapeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetShapeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetShape

#endif

-- method DOMHTMLAreaElement::get_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_get_target" webkit_dom_html_area_element_get_target :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLAreaElementGetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementGetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAreaElementGetTarget self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_area_element_get_target self'
    checkUnexpectedReturnNULL "dOMHTMLAreaElementGetTarget" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetTargetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementGetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementGetTarget

#endif

-- method DOMHTMLAreaElement::set_alt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_alt" webkit_dom_html_area_element_set_alt :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetAlt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetAlt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetAlt self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_alt self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetAltMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetAltMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetAlt

#endif

-- method DOMHTMLAreaElement::set_coords
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_coords" webkit_dom_html_area_element_set_coords :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetCoords ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetCoords ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetCoords self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_coords self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetCoordsMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetCoordsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetCoords

#endif

-- method DOMHTMLAreaElement::set_hash
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_hash" webkit_dom_html_area_element_set_hash :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetHash ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetHash ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetHash self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_hash self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHashMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetHashMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetHash

#endif

-- method DOMHTMLAreaElement::set_host
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_host" webkit_dom_html_area_element_set_host :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetHost ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAreaElementSetHost ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetHost self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_host self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHostMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetHostMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetHost

#endif

-- method DOMHTMLAreaElement::set_hostname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_hostname" webkit_dom_html_area_element_set_hostname :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetHostname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAreaElementSetHostname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetHostname self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_hostname self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHostnameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetHostnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetHostname

#endif

-- method DOMHTMLAreaElement::set_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_href" webkit_dom_html_area_element_set_href :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetHref self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_href self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHrefMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetHref

#endif

-- method DOMHTMLAreaElement::set_no_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_no_href" webkit_dom_html_area_element_set_no_href :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetNoHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetNoHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLAreaElementSetNoHref self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_area_element_set_no_href self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetNoHrefMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetNoHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetNoHref

#endif

-- method DOMHTMLAreaElement::set_pathname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_pathname" webkit_dom_html_area_element_set_pathname :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetPathname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAreaElementSetPathname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetPathname self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_pathname self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetPathnameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetPathnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetPathname

#endif

-- method DOMHTMLAreaElement::set_port
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_port" webkit_dom_html_area_element_set_port :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetPort ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAreaElementSetPort ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetPort self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_port self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetPortMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetPortMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetPort

#endif

-- method DOMHTMLAreaElement::set_protocol
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_protocol" webkit_dom_html_area_element_set_protocol :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetProtocol ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAreaElementSetProtocol ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetProtocol self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_protocol self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetProtocolMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetProtocolMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetProtocol

#endif

-- method DOMHTMLAreaElement::set_search
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_search" webkit_dom_html_area_element_set_search :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetSearch ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAreaElementSetSearch ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetSearch self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_search self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetSearchMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetSearchMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetSearch

#endif

-- method DOMHTMLAreaElement::set_shape
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_shape" webkit_dom_html_area_element_set_shape :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetShape ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetShape ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetShape self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_shape self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetShapeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetShapeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetShape

#endif

-- method DOMHTMLAreaElement::set_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_area_element_set_target" webkit_dom_html_area_element_set_target :: 
    Ptr DOMHTMLAreaElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAreaElementSetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAreaElementSetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement.DOMHTMLAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAreaElementSetTarget self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_area_element_set_target self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetTargetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAreaElement a) => O.MethodInfo DOMHTMLAreaElementSetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAreaElementSetTarget

#endif


