#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLAreaElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLAreaElement = DOMHTMLAreaElement (ManagedPtr DOMHTMLAreaElement)
instance GObject DOMHTMLAreaElement where
class (GObject o, O.IsDescendantOf DOMHTMLAreaElement o) => IsDOMHTMLAreaElement o
instance (GObject o, O.IsDescendantOf DOMHTMLAreaElement o) => IsDOMHTMLAreaElement o
instance O.HasParentTypes DOMHTMLAreaElement
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementAltPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementCoordsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHashPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHostPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHostnamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementHrefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementNoHrefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementPathnamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementPortPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSearchPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementShapePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHostnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetNoHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetPathnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetShapeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHostnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetNoHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetPathnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetShapeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAreaElementSetTargetMethodInfo
#endif
