

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLDocument
    ( 

-- * Exported types
    DOMHTMLDocument(..)                     ,
    IsDOMHTMLDocument                       ,
    toDOMHTMLDocument                       ,
    noDOMHTMLDocument                       ,


 -- * Methods
-- ** captureEvents #method:captureEvents#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentCaptureEventsMethodInfo  ,
#endif
    dOMHTMLDocumentCaptureEvents            ,


-- ** clear #method:clear#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentClearMethodInfo          ,
#endif
    dOMHTMLDocumentClear                    ,


-- ** close #method:close#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentCloseMethodInfo          ,
#endif
    dOMHTMLDocumentClose                    ,


-- ** getAlinkColor #method:getAlinkColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetAlinkColorMethodInfo  ,
#endif
    dOMHTMLDocumentGetAlinkColor            ,


-- ** getBgColor #method:getBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetBgColorMethodInfo     ,
#endif
    dOMHTMLDocumentGetBgColor               ,


-- ** getCompatMode #method:getCompatMode#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetCompatModeMethodInfo  ,
#endif
    dOMHTMLDocumentGetCompatMode            ,


-- ** getDesignMode #method:getDesignMode#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetDesignModeMethodInfo  ,
#endif
    dOMHTMLDocumentGetDesignMode            ,


-- ** getDir #method:getDir#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetDirMethodInfo         ,
#endif
    dOMHTMLDocumentGetDir                   ,


-- ** getEmbeds #method:getEmbeds#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetEmbedsMethodInfo      ,
#endif
    dOMHTMLDocumentGetEmbeds                ,


-- ** getFgColor #method:getFgColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetFgColorMethodInfo     ,
#endif
    dOMHTMLDocumentGetFgColor               ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetHeightMethodInfo      ,
#endif
    dOMHTMLDocumentGetHeight                ,


-- ** getLinkColor #method:getLinkColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetLinkColorMethodInfo   ,
#endif
    dOMHTMLDocumentGetLinkColor             ,


-- ** getPlugins #method:getPlugins#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetPluginsMethodInfo     ,
#endif
    dOMHTMLDocumentGetPlugins               ,


-- ** getScripts #method:getScripts#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetScriptsMethodInfo     ,
#endif
    dOMHTMLDocumentGetScripts               ,


-- ** getVlinkColor #method:getVlinkColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetVlinkColorMethodInfo  ,
#endif
    dOMHTMLDocumentGetVlinkColor            ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentGetWidthMethodInfo       ,
#endif
    dOMHTMLDocumentGetWidth                 ,


-- ** releaseEvents #method:releaseEvents#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentReleaseEventsMethodInfo  ,
#endif
    dOMHTMLDocumentReleaseEvents            ,


-- ** setAlinkColor #method:setAlinkColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetAlinkColorMethodInfo  ,
#endif
    dOMHTMLDocumentSetAlinkColor            ,


-- ** setBgColor #method:setBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetBgColorMethodInfo     ,
#endif
    dOMHTMLDocumentSetBgColor               ,


-- ** setDesignMode #method:setDesignMode#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetDesignModeMethodInfo  ,
#endif
    dOMHTMLDocumentSetDesignMode            ,


-- ** setDir #method:setDir#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetDirMethodInfo         ,
#endif
    dOMHTMLDocumentSetDir                   ,


-- ** setFgColor #method:setFgColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetFgColorMethodInfo     ,
#endif
    dOMHTMLDocumentSetFgColor               ,


-- ** setLinkColor #method:setLinkColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetLinkColorMethodInfo   ,
#endif
    dOMHTMLDocumentSetLinkColor             ,


-- ** setVlinkColor #method:setVlinkColor#

#if ENABLE_OVERLOADING
    DOMHTMLDocumentSetVlinkColorMethodInfo  ,
#endif
    dOMHTMLDocumentSetVlinkColor            ,




 -- * Properties
-- ** alinkColor #attr:alinkColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentAlinkColorPropertyInfo   ,
#endif
    constructDOMHTMLDocumentAlinkColor      ,
#if ENABLE_OVERLOADING
    dOMHTMLDocumentAlinkColor               ,
#endif
    getDOMHTMLDocumentAlinkColor            ,
    setDOMHTMLDocumentAlinkColor            ,


-- ** bgColor #attr:bgColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentBgColorPropertyInfo      ,
#endif
    constructDOMHTMLDocumentBgColor         ,
#if ENABLE_OVERLOADING
    dOMHTMLDocumentBgColor                  ,
#endif
    getDOMHTMLDocumentBgColor               ,
    setDOMHTMLDocumentBgColor               ,


-- ** dir #attr:dir#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentDirPropertyInfo          ,
#endif
    constructDOMHTMLDocumentDir             ,
#if ENABLE_OVERLOADING
    dOMHTMLDocumentDir                      ,
#endif
    getDOMHTMLDocumentDir                   ,
    setDOMHTMLDocumentDir                   ,


-- ** fgColor #attr:fgColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentFgColorPropertyInfo      ,
#endif
    constructDOMHTMLDocumentFgColor         ,
#if ENABLE_OVERLOADING
    dOMHTMLDocumentFgColor                  ,
#endif
    getDOMHTMLDocumentFgColor               ,
    setDOMHTMLDocumentFgColor               ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentHeightPropertyInfo       ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLDocumentHeight                   ,
#endif
    getDOMHTMLDocumentHeight                ,


-- ** linkColor #attr:linkColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentLinkColorPropertyInfo    ,
#endif
    constructDOMHTMLDocumentLinkColor       ,
#if ENABLE_OVERLOADING
    dOMHTMLDocumentLinkColor                ,
#endif
    getDOMHTMLDocumentLinkColor             ,
    setDOMHTMLDocumentLinkColor             ,


-- ** vlinkColor #attr:vlinkColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentVlinkColorPropertyInfo   ,
#endif
    constructDOMHTMLDocumentVlinkColor      ,
#if ENABLE_OVERLOADING
    dOMHTMLDocumentVlinkColor               ,
#endif
    getDOMHTMLDocumentVlinkColor            ,
    setDOMHTMLDocumentVlinkColor            ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLDocumentWidthPropertyInfo        ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLDocumentWidth                    ,
#endif
    getDOMHTMLDocumentWidth                 ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDocument as WebKit2WebExtension.DOMDocument
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLCollection as WebKit2WebExtension.DOMHTMLCollection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLDocument = DOMHTMLDocument (ManagedPtr DOMHTMLDocument)
foreign import ccall "webkit_dom_html_document_get_type"
    c_webkit_dom_html_document_get_type :: IO GType

instance GObject DOMHTMLDocument where
    gobjectType = c_webkit_dom_html_document_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLDocument`, for instance with `toDOMHTMLDocument`.
class (GObject o, O.IsDescendantOf DOMHTMLDocument o) => IsDOMHTMLDocument o
instance (GObject o, O.IsDescendantOf DOMHTMLDocument o) => IsDOMHTMLDocument o

instance O.HasParentTypes DOMHTMLDocument
type instance O.ParentTypes DOMHTMLDocument = '[WebKit2WebExtension.DOMDocument.DOMDocument, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLDocument`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLDocument :: (MonadIO m, IsDOMHTMLDocument o) => o -> m DOMHTMLDocument
toDOMHTMLDocument = liftIO . unsafeCastTo DOMHTMLDocument

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLDocument`.
noDOMHTMLDocument :: Maybe DOMHTMLDocument
noDOMHTMLDocument = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLDocumentMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLDocumentMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLDocumentMethod "adoptNode" o = WebKit2WebExtension.DOMDocument.DOMDocumentAdoptNodeMethodInfo
    ResolveDOMHTMLDocumentMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLDocumentMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLDocumentMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLDocumentMethod "captureEvents" o = DOMHTMLDocumentCaptureEventsMethodInfo
    ResolveDOMHTMLDocumentMethod "caretRangeFromPoint" o = WebKit2WebExtension.DOMDocument.DOMDocumentCaretRangeFromPointMethodInfo
    ResolveDOMHTMLDocumentMethod "clear" o = DOMHTMLDocumentClearMethodInfo
    ResolveDOMHTMLDocumentMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLDocumentMethod "close" o = DOMHTMLDocumentCloseMethodInfo
    ResolveDOMHTMLDocumentMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLDocumentMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLDocumentMethod "createAttribute" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateAttributeMethodInfo
    ResolveDOMHTMLDocumentMethod "createAttributeNs" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateAttributeNsMethodInfo
    ResolveDOMHTMLDocumentMethod "createCdataSection" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateCdataSectionMethodInfo
    ResolveDOMHTMLDocumentMethod "createComment" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateCommentMethodInfo
    ResolveDOMHTMLDocumentMethod "createCssStyleDeclaration" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateCssStyleDeclarationMethodInfo
    ResolveDOMHTMLDocumentMethod "createDocumentFragment" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateDocumentFragmentMethodInfo
    ResolveDOMHTMLDocumentMethod "createElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateElementMethodInfo
    ResolveDOMHTMLDocumentMethod "createElementNs" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateElementNsMethodInfo
    ResolveDOMHTMLDocumentMethod "createEntityReference" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateEntityReferenceMethodInfo
    ResolveDOMHTMLDocumentMethod "createEvent" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateEventMethodInfo
    ResolveDOMHTMLDocumentMethod "createExpression" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateExpressionMethodInfo
    ResolveDOMHTMLDocumentMethod "createNodeIterator" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateNodeIteratorMethodInfo
    ResolveDOMHTMLDocumentMethod "createNsResolver" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateNsResolverMethodInfo
    ResolveDOMHTMLDocumentMethod "createProcessingInstruction" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateProcessingInstructionMethodInfo
    ResolveDOMHTMLDocumentMethod "createRange" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateRangeMethodInfo
    ResolveDOMHTMLDocumentMethod "createTextNode" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateTextNodeMethodInfo
    ResolveDOMHTMLDocumentMethod "createTreeWalker" o = WebKit2WebExtension.DOMDocument.DOMDocumentCreateTreeWalkerMethodInfo
    ResolveDOMHTMLDocumentMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLDocumentMethod "elementFromPoint" o = WebKit2WebExtension.DOMDocument.DOMDocumentElementFromPointMethodInfo
    ResolveDOMHTMLDocumentMethod "evaluate" o = WebKit2WebExtension.DOMDocument.DOMDocumentEvaluateMethodInfo
    ResolveDOMHTMLDocumentMethod "execCommand" o = WebKit2WebExtension.DOMDocument.DOMDocumentExecCommandMethodInfo
    ResolveDOMHTMLDocumentMethod "exitPointerLock" o = WebKit2WebExtension.DOMDocument.DOMDocumentExitPointerLockMethodInfo
    ResolveDOMHTMLDocumentMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLDocumentMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLDocumentMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLDocumentMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLDocumentMethod "hasFocus" o = WebKit2WebExtension.DOMDocument.DOMDocumentHasFocusMethodInfo
    ResolveDOMHTMLDocumentMethod "importNode" o = WebKit2WebExtension.DOMDocument.DOMDocumentImportNodeMethodInfo
    ResolveDOMHTMLDocumentMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLDocumentMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLDocumentMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLDocumentMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLDocumentMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLDocumentMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLDocumentMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLDocumentMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLDocumentMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLDocumentMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLDocumentMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLDocumentMethod "queryCommandEnabled" o = WebKit2WebExtension.DOMDocument.DOMDocumentQueryCommandEnabledMethodInfo
    ResolveDOMHTMLDocumentMethod "queryCommandIndeterm" o = WebKit2WebExtension.DOMDocument.DOMDocumentQueryCommandIndetermMethodInfo
    ResolveDOMHTMLDocumentMethod "queryCommandState" o = WebKit2WebExtension.DOMDocument.DOMDocumentQueryCommandStateMethodInfo
    ResolveDOMHTMLDocumentMethod "queryCommandSupported" o = WebKit2WebExtension.DOMDocument.DOMDocumentQueryCommandSupportedMethodInfo
    ResolveDOMHTMLDocumentMethod "queryCommandValue" o = WebKit2WebExtension.DOMDocument.DOMDocumentQueryCommandValueMethodInfo
    ResolveDOMHTMLDocumentMethod "querySelector" o = WebKit2WebExtension.DOMDocument.DOMDocumentQuerySelectorMethodInfo
    ResolveDOMHTMLDocumentMethod "querySelectorAll" o = WebKit2WebExtension.DOMDocument.DOMDocumentQuerySelectorAllMethodInfo
    ResolveDOMHTMLDocumentMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLDocumentMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLDocumentMethod "releaseEvents" o = DOMHTMLDocumentReleaseEventsMethodInfo
    ResolveDOMHTMLDocumentMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLDocumentMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLDocumentMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLDocumentMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLDocumentMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLDocumentMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLDocumentMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLDocumentMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLDocumentMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLDocumentMethod "webkitCancelFullscreen" o = WebKit2WebExtension.DOMDocument.DOMDocumentWebkitCancelFullscreenMethodInfo
    ResolveDOMHTMLDocumentMethod "webkitExitFullscreen" o = WebKit2WebExtension.DOMDocument.DOMDocumentWebkitExitFullscreenMethodInfo
    ResolveDOMHTMLDocumentMethod "getActiveElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetActiveElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getAlinkColor" o = DOMHTMLDocumentGetAlinkColorMethodInfo
    ResolveDOMHTMLDocumentMethod "getAnchors" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetAnchorsMethodInfo
    ResolveDOMHTMLDocumentMethod "getApplets" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetAppletsMethodInfo
    ResolveDOMHTMLDocumentMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLDocumentMethod "getBgColor" o = DOMHTMLDocumentGetBgColorMethodInfo
    ResolveDOMHTMLDocumentMethod "getBody" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetBodyMethodInfo
    ResolveDOMHTMLDocumentMethod "getCharacterSet" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetCharacterSetMethodInfo
    ResolveDOMHTMLDocumentMethod "getCharset" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetCharsetMethodInfo
    ResolveDOMHTMLDocumentMethod "getChildElementCount" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetChildElementCountMethodInfo
    ResolveDOMHTMLDocumentMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLDocumentMethod "getChildren" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetChildrenMethodInfo
    ResolveDOMHTMLDocumentMethod "getCompatMode" o = DOMHTMLDocumentGetCompatModeMethodInfo
    ResolveDOMHTMLDocumentMethod "getContentType" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetContentTypeMethodInfo
    ResolveDOMHTMLDocumentMethod "getCookie" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetCookieMethodInfo
    ResolveDOMHTMLDocumentMethod "getCurrentScript" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetCurrentScriptMethodInfo
    ResolveDOMHTMLDocumentMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLDocumentMethod "getDefaultCharset" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetDefaultCharsetMethodInfo
    ResolveDOMHTMLDocumentMethod "getDefaultView" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetDefaultViewMethodInfo
    ResolveDOMHTMLDocumentMethod "getDesignMode" o = DOMHTMLDocumentGetDesignModeMethodInfo
    ResolveDOMHTMLDocumentMethod "getDir" o = DOMHTMLDocumentGetDirMethodInfo
    ResolveDOMHTMLDocumentMethod "getDoctype" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetDoctypeMethodInfo
    ResolveDOMHTMLDocumentMethod "getDocumentElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetDocumentElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getDocumentUri" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetDocumentUriMethodInfo
    ResolveDOMHTMLDocumentMethod "getDomain" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetDomainMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementById" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementByIdMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByClassName" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByClassNameMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByName" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByNameMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByTagName" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByTagNameMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLDocumentMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLDocumentMethod "getEmbeds" o = DOMHTMLDocumentGetEmbedsMethodInfo
    ResolveDOMHTMLDocumentMethod "getFgColor" o = DOMHTMLDocumentGetFgColorMethodInfo
    ResolveDOMHTMLDocumentMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLDocumentMethod "getFirstElementChild" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetFirstElementChildMethodInfo
    ResolveDOMHTMLDocumentMethod "getForms" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetFormsMethodInfo
    ResolveDOMHTMLDocumentMethod "getHead" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetHeadMethodInfo
    ResolveDOMHTMLDocumentMethod "getHeight" o = DOMHTMLDocumentGetHeightMethodInfo
    ResolveDOMHTMLDocumentMethod "getHidden" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetHiddenMethodInfo
    ResolveDOMHTMLDocumentMethod "getImages" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetImagesMethodInfo
    ResolveDOMHTMLDocumentMethod "getImplementation" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetImplementationMethodInfo
    ResolveDOMHTMLDocumentMethod "getInputEncoding" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetInputEncodingMethodInfo
    ResolveDOMHTMLDocumentMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLDocumentMethod "getLastElementChild" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetLastElementChildMethodInfo
    ResolveDOMHTMLDocumentMethod "getLastModified" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetLastModifiedMethodInfo
    ResolveDOMHTMLDocumentMethod "getLinkColor" o = DOMHTMLDocumentGetLinkColorMethodInfo
    ResolveDOMHTMLDocumentMethod "getLinks" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetLinksMethodInfo
    ResolveDOMHTMLDocumentMethod "getLocalName" o = WebKit2WebExtension.DOMNode.DOMNodeGetLocalNameMethodInfo
    ResolveDOMHTMLDocumentMethod "getNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetNamespaceUriMethodInfo
    ResolveDOMHTMLDocumentMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLDocumentMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLDocumentMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLDocumentMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLDocumentMethod "getOrigin" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetOriginMethodInfo
    ResolveDOMHTMLDocumentMethod "getOverrideStyle" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetOverrideStyleMethodInfo
    ResolveDOMHTMLDocumentMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLDocumentMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLDocumentMethod "getPlugins" o = DOMHTMLDocumentGetPluginsMethodInfo
    ResolveDOMHTMLDocumentMethod "getPointerLockElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetPointerLockElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getPreferredStylesheetSet" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetPreferredStylesheetSetMethodInfo
    ResolveDOMHTMLDocumentMethod "getPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeGetPrefixMethodInfo
    ResolveDOMHTMLDocumentMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLDocumentMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLDocumentMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLDocumentMethod "getReadyState" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetReadyStateMethodInfo
    ResolveDOMHTMLDocumentMethod "getReferrer" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetReferrerMethodInfo
    ResolveDOMHTMLDocumentMethod "getScripts" o = DOMHTMLDocumentGetScriptsMethodInfo
    ResolveDOMHTMLDocumentMethod "getScrollingElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetScrollingElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getSelectedStylesheetSet" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetSelectedStylesheetSetMethodInfo
    ResolveDOMHTMLDocumentMethod "getStyleSheets" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetStyleSheetsMethodInfo
    ResolveDOMHTMLDocumentMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLDocumentMethod "getTitle" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetTitleMethodInfo
    ResolveDOMHTMLDocumentMethod "getUrl" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetUrlMethodInfo
    ResolveDOMHTMLDocumentMethod "getVisibilityState" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetVisibilityStateMethodInfo
    ResolveDOMHTMLDocumentMethod "getVlinkColor" o = DOMHTMLDocumentGetVlinkColorMethodInfo
    ResolveDOMHTMLDocumentMethod "getWebkitCurrentFullscreenElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetWebkitCurrentFullscreenElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getWebkitFullscreenElement" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetWebkitFullscreenElementMethodInfo
    ResolveDOMHTMLDocumentMethod "getWebkitFullscreenEnabled" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetWebkitFullscreenEnabledMethodInfo
    ResolveDOMHTMLDocumentMethod "getWebkitFullscreenKeyboardInputAllowed" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetWebkitFullscreenKeyboardInputAllowedMethodInfo
    ResolveDOMHTMLDocumentMethod "getWebkitIsFullscreen" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetWebkitIsFullscreenMethodInfo
    ResolveDOMHTMLDocumentMethod "getWidth" o = DOMHTMLDocumentGetWidthMethodInfo
    ResolveDOMHTMLDocumentMethod "getXmlEncoding" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetXmlEncodingMethodInfo
    ResolveDOMHTMLDocumentMethod "getXmlStandalone" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetXmlStandaloneMethodInfo
    ResolveDOMHTMLDocumentMethod "getXmlVersion" o = WebKit2WebExtension.DOMDocument.DOMDocumentGetXmlVersionMethodInfo
    ResolveDOMHTMLDocumentMethod "setAlinkColor" o = DOMHTMLDocumentSetAlinkColorMethodInfo
    ResolveDOMHTMLDocumentMethod "setBgColor" o = DOMHTMLDocumentSetBgColorMethodInfo
    ResolveDOMHTMLDocumentMethod "setBody" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetBodyMethodInfo
    ResolveDOMHTMLDocumentMethod "setCharset" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetCharsetMethodInfo
    ResolveDOMHTMLDocumentMethod "setCookie" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetCookieMethodInfo
    ResolveDOMHTMLDocumentMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLDocumentMethod "setDesignMode" o = DOMHTMLDocumentSetDesignModeMethodInfo
    ResolveDOMHTMLDocumentMethod "setDir" o = DOMHTMLDocumentSetDirMethodInfo
    ResolveDOMHTMLDocumentMethod "setDocumentUri" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetDocumentUriMethodInfo
    ResolveDOMHTMLDocumentMethod "setFgColor" o = DOMHTMLDocumentSetFgColorMethodInfo
    ResolveDOMHTMLDocumentMethod "setLinkColor" o = DOMHTMLDocumentSetLinkColorMethodInfo
    ResolveDOMHTMLDocumentMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLDocumentMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLDocumentMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLDocumentMethod "setSelectedStylesheetSet" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetSelectedStylesheetSetMethodInfo
    ResolveDOMHTMLDocumentMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLDocumentMethod "setTitle" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetTitleMethodInfo
    ResolveDOMHTMLDocumentMethod "setVlinkColor" o = DOMHTMLDocumentSetVlinkColorMethodInfo
    ResolveDOMHTMLDocumentMethod "setXmlStandalone" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetXmlStandaloneMethodInfo
    ResolveDOMHTMLDocumentMethod "setXmlVersion" o = WebKit2WebExtension.DOMDocument.DOMDocumentSetXmlVersionMethodInfo
    ResolveDOMHTMLDocumentMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLDocumentMethod t DOMHTMLDocument, O.MethodInfo info DOMHTMLDocument p) => OL.IsLabel t (DOMHTMLDocument -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "alink-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@alink-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #alinkColor
@
-}
getDOMHTMLDocumentAlinkColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> m (Maybe T.Text)
getDOMHTMLDocumentAlinkColor obj = liftIO $ B.Properties.getObjectPropertyString obj "alink-color"

{- |
Set the value of the “@alink-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLDocument [ #alinkColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLDocumentAlinkColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> T.Text -> m ()
setDOMHTMLDocumentAlinkColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "alink-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@alink-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLDocumentAlinkColor :: (IsDOMHTMLDocument o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLDocumentAlinkColor val = B.Properties.constructObjectPropertyString "alink-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLDocumentAlinkColorPropertyInfo
instance AttrInfo DOMHTMLDocumentAlinkColorPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentAlinkColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentAlinkColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLDocumentAlinkColorPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentAlinkColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLDocumentAlinkColorPropertyInfo = "alink-color"
    type AttrOrigin DOMHTMLDocumentAlinkColorPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentAlinkColor
    attrSet _ = setDOMHTMLDocumentAlinkColor
    attrConstruct _ = constructDOMHTMLDocumentAlinkColor
    attrClear _ = undefined
#endif

-- VVV Prop "bg-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #bgColor
@
-}
getDOMHTMLDocumentBgColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> m (Maybe T.Text)
getDOMHTMLDocumentBgColor obj = liftIO $ B.Properties.getObjectPropertyString obj "bg-color"

{- |
Set the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLDocument [ #bgColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLDocumentBgColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> T.Text -> m ()
setDOMHTMLDocumentBgColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "bg-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@bg-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLDocumentBgColor :: (IsDOMHTMLDocument o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLDocumentBgColor val = B.Properties.constructObjectPropertyString "bg-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLDocumentBgColorPropertyInfo
instance AttrInfo DOMHTMLDocumentBgColorPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentBgColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentBgColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLDocumentBgColorPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentBgColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLDocumentBgColorPropertyInfo = "bg-color"
    type AttrOrigin DOMHTMLDocumentBgColorPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentBgColor
    attrSet _ = setDOMHTMLDocumentBgColor
    attrConstruct _ = constructDOMHTMLDocumentBgColor
    attrClear _ = undefined
#endif

-- VVV Prop "dir"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@dir@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #dir
@
-}
getDOMHTMLDocumentDir :: (MonadIO m, IsDOMHTMLDocument o) => o -> m (Maybe T.Text)
getDOMHTMLDocumentDir obj = liftIO $ B.Properties.getObjectPropertyString obj "dir"

{- |
Set the value of the “@dir@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLDocument [ #dir 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLDocumentDir :: (MonadIO m, IsDOMHTMLDocument o) => o -> T.Text -> m ()
setDOMHTMLDocumentDir obj val = liftIO $ B.Properties.setObjectPropertyString obj "dir" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@dir@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLDocumentDir :: (IsDOMHTMLDocument o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLDocumentDir val = B.Properties.constructObjectPropertyString "dir" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLDocumentDirPropertyInfo
instance AttrInfo DOMHTMLDocumentDirPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentDirPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentDirPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLDocumentDirPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentDirPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLDocumentDirPropertyInfo = "dir"
    type AttrOrigin DOMHTMLDocumentDirPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentDir
    attrSet _ = setDOMHTMLDocumentDir
    attrConstruct _ = constructDOMHTMLDocumentDir
    attrClear _ = undefined
#endif

-- VVV Prop "fg-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@fg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #fgColor
@
-}
getDOMHTMLDocumentFgColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> m (Maybe T.Text)
getDOMHTMLDocumentFgColor obj = liftIO $ B.Properties.getObjectPropertyString obj "fg-color"

{- |
Set the value of the “@fg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLDocument [ #fgColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLDocumentFgColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> T.Text -> m ()
setDOMHTMLDocumentFgColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "fg-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@fg-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLDocumentFgColor :: (IsDOMHTMLDocument o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLDocumentFgColor val = B.Properties.constructObjectPropertyString "fg-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLDocumentFgColorPropertyInfo
instance AttrInfo DOMHTMLDocumentFgColorPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentFgColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentFgColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLDocumentFgColorPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentFgColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLDocumentFgColorPropertyInfo = "fg-color"
    type AttrOrigin DOMHTMLDocumentFgColorPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentFgColor
    attrSet _ = setDOMHTMLDocumentFgColor
    attrConstruct _ = constructDOMHTMLDocumentFgColor
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #height
@
-}
getDOMHTMLDocumentHeight :: (MonadIO m, IsDOMHTMLDocument o) => o -> m CLong
getDOMHTMLDocumentHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "height"

#if ENABLE_OVERLOADING
data DOMHTMLDocumentHeightPropertyInfo
instance AttrInfo DOMHTMLDocumentHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentHeightPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentHeightPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLDocumentHeightPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentHeightPropertyInfo = CLong
    type AttrLabel DOMHTMLDocumentHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLDocumentHeightPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentHeight
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "link-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@link-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #linkColor
@
-}
getDOMHTMLDocumentLinkColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> m (Maybe T.Text)
getDOMHTMLDocumentLinkColor obj = liftIO $ B.Properties.getObjectPropertyString obj "link-color"

{- |
Set the value of the “@link-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLDocument [ #linkColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLDocumentLinkColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> T.Text -> m ()
setDOMHTMLDocumentLinkColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "link-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@link-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLDocumentLinkColor :: (IsDOMHTMLDocument o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLDocumentLinkColor val = B.Properties.constructObjectPropertyString "link-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLDocumentLinkColorPropertyInfo
instance AttrInfo DOMHTMLDocumentLinkColorPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentLinkColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentLinkColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLDocumentLinkColorPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentLinkColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLDocumentLinkColorPropertyInfo = "link-color"
    type AttrOrigin DOMHTMLDocumentLinkColorPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentLinkColor
    attrSet _ = setDOMHTMLDocumentLinkColor
    attrConstruct _ = constructDOMHTMLDocumentLinkColor
    attrClear _ = undefined
#endif

-- VVV Prop "vlink-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@vlink-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #vlinkColor
@
-}
getDOMHTMLDocumentVlinkColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> m (Maybe T.Text)
getDOMHTMLDocumentVlinkColor obj = liftIO $ B.Properties.getObjectPropertyString obj "vlink-color"

{- |
Set the value of the “@vlink-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLDocument [ #vlinkColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLDocumentVlinkColor :: (MonadIO m, IsDOMHTMLDocument o) => o -> T.Text -> m ()
setDOMHTMLDocumentVlinkColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "vlink-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@vlink-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLDocumentVlinkColor :: (IsDOMHTMLDocument o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLDocumentVlinkColor val = B.Properties.constructObjectPropertyString "vlink-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLDocumentVlinkColorPropertyInfo
instance AttrInfo DOMHTMLDocumentVlinkColorPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentVlinkColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentVlinkColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLDocumentVlinkColorPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentVlinkColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLDocumentVlinkColorPropertyInfo = "vlink-color"
    type AttrOrigin DOMHTMLDocumentVlinkColorPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentVlinkColor
    attrSet _ = setDOMHTMLDocumentVlinkColor
    attrConstruct _ = constructDOMHTMLDocumentVlinkColor
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLDocument #width
@
-}
getDOMHTMLDocumentWidth :: (MonadIO m, IsDOMHTMLDocument o) => o -> m CLong
getDOMHTMLDocumentWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "width"

#if ENABLE_OVERLOADING
data DOMHTMLDocumentWidthPropertyInfo
instance AttrInfo DOMHTMLDocumentWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLDocumentWidthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLDocumentWidthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLDocumentWidthPropertyInfo = IsDOMHTMLDocument
    type AttrGetType DOMHTMLDocumentWidthPropertyInfo = CLong
    type AttrLabel DOMHTMLDocumentWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLDocumentWidthPropertyInfo = DOMHTMLDocument
    attrGet _ = getDOMHTMLDocumentWidth
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLDocument
type instance O.AttributeList DOMHTMLDocument = DOMHTMLDocumentAttributeList
type DOMHTMLDocumentAttributeList = ('[ '("activeElement", WebKit2WebExtension.DOMDocument.DOMDocumentActiveElementPropertyInfo), '("alinkColor", DOMHTMLDocumentAlinkColorPropertyInfo), '("anchors", WebKit2WebExtension.DOMDocument.DOMDocumentAnchorsPropertyInfo), '("applets", WebKit2WebExtension.DOMDocument.DOMDocumentAppletsPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("bgColor", DOMHTMLDocumentBgColorPropertyInfo), '("body", WebKit2WebExtension.DOMDocument.DOMDocumentBodyPropertyInfo), '("characterSet", WebKit2WebExtension.DOMDocument.DOMDocumentCharacterSetPropertyInfo), '("charset", WebKit2WebExtension.DOMDocument.DOMDocumentCharsetPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMDocument.DOMDocumentChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMDocument.DOMDocumentChildrenPropertyInfo), '("compatMode", WebKit2WebExtension.DOMDocument.DOMDocumentCompatModePropertyInfo), '("contentType", WebKit2WebExtension.DOMDocument.DOMDocumentContentTypePropertyInfo), '("cookie", WebKit2WebExtension.DOMDocument.DOMDocumentCookiePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("currentScript", WebKit2WebExtension.DOMDocument.DOMDocumentCurrentScriptPropertyInfo), '("defaultView", WebKit2WebExtension.DOMDocument.DOMDocumentDefaultViewPropertyInfo), '("designMode", WebKit2WebExtension.DOMDocument.DOMDocumentDesignModePropertyInfo), '("dir", DOMHTMLDocumentDirPropertyInfo), '("doctype", WebKit2WebExtension.DOMDocument.DOMDocumentDoctypePropertyInfo), '("documentElement", WebKit2WebExtension.DOMDocument.DOMDocumentDocumentElementPropertyInfo), '("documentUri", WebKit2WebExtension.DOMDocument.DOMDocumentDocumentUriPropertyInfo), '("domain", WebKit2WebExtension.DOMDocument.DOMDocumentDomainPropertyInfo), '("embeds", WebKit2WebExtension.DOMDocument.DOMDocumentEmbedsPropertyInfo), '("fgColor", DOMHTMLDocumentFgColorPropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMDocument.DOMDocumentFirstElementChildPropertyInfo), '("forms", WebKit2WebExtension.DOMDocument.DOMDocumentFormsPropertyInfo), '("head", WebKit2WebExtension.DOMDocument.DOMDocumentHeadPropertyInfo), '("height", DOMHTMLDocumentHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMDocument.DOMDocumentHiddenPropertyInfo), '("images", WebKit2WebExtension.DOMDocument.DOMDocumentImagesPropertyInfo), '("implementation", WebKit2WebExtension.DOMDocument.DOMDocumentImplementationPropertyInfo), '("inputEncoding", WebKit2WebExtension.DOMDocument.DOMDocumentInputEncodingPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMDocument.DOMDocumentLastElementChildPropertyInfo), '("lastModified", WebKit2WebExtension.DOMDocument.DOMDocumentLastModifiedPropertyInfo), '("linkColor", DOMHTMLDocumentLinkColorPropertyInfo), '("links", WebKit2WebExtension.DOMDocument.DOMDocumentLinksPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("origin", WebKit2WebExtension.DOMDocument.DOMDocumentOriginPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("plugins", WebKit2WebExtension.DOMDocument.DOMDocumentPluginsPropertyInfo), '("pointerLockElement", WebKit2WebExtension.DOMDocument.DOMDocumentPointerLockElementPropertyInfo), '("preferredStylesheetSet", WebKit2WebExtension.DOMDocument.DOMDocumentPreferredStylesheetSetPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("readyState", WebKit2WebExtension.DOMDocument.DOMDocumentReadyStatePropertyInfo), '("referrer", WebKit2WebExtension.DOMDocument.DOMDocumentReferrerPropertyInfo), '("scripts", WebKit2WebExtension.DOMDocument.DOMDocumentScriptsPropertyInfo), '("scrollingElement", WebKit2WebExtension.DOMDocument.DOMDocumentScrollingElementPropertyInfo), '("selectedStylesheetSet", WebKit2WebExtension.DOMDocument.DOMDocumentSelectedStylesheetSetPropertyInfo), '("styleSheets", WebKit2WebExtension.DOMDocument.DOMDocumentStyleSheetsPropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMDocument.DOMDocumentTitlePropertyInfo), '("url", WebKit2WebExtension.DOMDocument.DOMDocumentUrlPropertyInfo), '("visibilityState", WebKit2WebExtension.DOMDocument.DOMDocumentVisibilityStatePropertyInfo), '("vlinkColor", DOMHTMLDocumentVlinkColorPropertyInfo), '("webkitCurrentFullScreenElement", WebKit2WebExtension.DOMDocument.DOMDocumentWebkitCurrentFullScreenElementPropertyInfo), '("webkitFullScreenKeyboardInputAllowed", WebKit2WebExtension.DOMDocument.DOMDocumentWebkitFullScreenKeyboardInputAllowedPropertyInfo), '("webkitFullscreenElement", WebKit2WebExtension.DOMDocument.DOMDocumentWebkitFullscreenElementPropertyInfo), '("webkitFullscreenEnabled", WebKit2WebExtension.DOMDocument.DOMDocumentWebkitFullscreenEnabledPropertyInfo), '("webkitIsFullScreen", WebKit2WebExtension.DOMDocument.DOMDocumentWebkitIsFullScreenPropertyInfo), '("width", DOMHTMLDocumentWidthPropertyInfo), '("xmlEncoding", WebKit2WebExtension.DOMDocument.DOMDocumentXmlEncodingPropertyInfo), '("xmlStandalone", WebKit2WebExtension.DOMDocument.DOMDocumentXmlStandalonePropertyInfo), '("xmlVersion", WebKit2WebExtension.DOMDocument.DOMDocumentXmlVersionPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLDocumentAlinkColor :: AttrLabelProxy "alinkColor"
dOMHTMLDocumentAlinkColor = AttrLabelProxy

dOMHTMLDocumentBgColor :: AttrLabelProxy "bgColor"
dOMHTMLDocumentBgColor = AttrLabelProxy

dOMHTMLDocumentDir :: AttrLabelProxy "dir"
dOMHTMLDocumentDir = AttrLabelProxy

dOMHTMLDocumentFgColor :: AttrLabelProxy "fgColor"
dOMHTMLDocumentFgColor = AttrLabelProxy

dOMHTMLDocumentHeight :: AttrLabelProxy "height"
dOMHTMLDocumentHeight = AttrLabelProxy

dOMHTMLDocumentLinkColor :: AttrLabelProxy "linkColor"
dOMHTMLDocumentLinkColor = AttrLabelProxy

dOMHTMLDocumentVlinkColor :: AttrLabelProxy "vlinkColor"
dOMHTMLDocumentVlinkColor = AttrLabelProxy

dOMHTMLDocumentWidth :: AttrLabelProxy "width"
dOMHTMLDocumentWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLDocument = DOMHTMLDocumentSignalList
type DOMHTMLDocumentSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLDocument::capture_events
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_capture_events" webkit_dom_html_document_capture_events :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO ()

{-# DEPRECATED dOMHTMLDocumentCaptureEvents ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentCaptureEvents ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m ()
dOMHTMLDocumentCaptureEvents self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_document_capture_events self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentCaptureEventsMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentCaptureEventsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentCaptureEvents

#endif

-- method DOMHTMLDocument::clear
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_clear" webkit_dom_html_document_clear :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO ()

{-# DEPRECATED dOMHTMLDocumentClear ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentClear ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m ()
dOMHTMLDocumentClear self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_document_clear self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentClearMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentClearMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentClear

#endif

-- method DOMHTMLDocument::close
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_close" webkit_dom_html_document_close :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO ()

{-# DEPRECATED dOMHTMLDocumentClose ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentClose ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m ()
dOMHTMLDocumentClose self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_document_close self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentCloseMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentCloseMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentClose

#endif

-- method DOMHTMLDocument::get_alink_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_alink_color" webkit_dom_html_document_get_alink_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetAlinkColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetAlinkColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetAlinkColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_alink_color self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetAlinkColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetAlinkColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetAlinkColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetAlinkColor

#endif

-- method DOMHTMLDocument::get_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_bg_color" webkit_dom_html_document_get_bg_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetBgColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_bg_color self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetBgColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetBgColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetBgColor

#endif

-- method DOMHTMLDocument::get_compat_mode
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_compat_mode" webkit_dom_html_document_get_compat_mode :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetCompatMode ["(Since version 2.14)","Use 'GI.WebKit2WebExtension.Objects.DOMDocument.dOMDocumentGetCompatMode' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetCompatMode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetCompatMode self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_compat_mode self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetCompatMode" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetCompatModeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetCompatModeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetCompatMode

#endif

-- method DOMHTMLDocument::get_design_mode
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_design_mode" webkit_dom_html_document_get_design_mode :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetDesignMode ["(Since version 2.14)","Use 'GI.WebKit2WebExtension.Objects.DOMDocument.dOMDocumentGetDesignMode' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetDesignMode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetDesignMode self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_design_mode self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetDesignMode" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetDesignModeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetDesignModeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetDesignMode

#endif

-- method DOMHTMLDocument::get_dir
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_dir" webkit_dom_html_document_get_dir :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetDir ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetDir ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetDir self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_dir self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetDir" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetDirMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetDirMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetDir

#endif

-- method DOMHTMLDocument::get_embeds
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_embeds" webkit_dom_html_document_get_embeds :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLDocumentGetEmbeds ["(Since version 2.14)","Use 'GI.WebKit2WebExtension.Objects.DOMDocument.dOMDocumentGetEmbeds' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetEmbeds ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLDocumentGetEmbeds self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_embeds self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetEmbeds" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetEmbedsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetEmbedsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetEmbeds

#endif

-- method DOMHTMLDocument::get_fg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_fg_color" webkit_dom_html_document_get_fg_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetFgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetFgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetFgColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_fg_color self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetFgColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetFgColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetFgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetFgColor

#endif

-- method DOMHTMLDocument::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_height" webkit_dom_html_document_get_height :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CLong

{-# DEPRECATED dOMHTMLDocumentGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLDocumentGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetHeight

#endif

-- method DOMHTMLDocument::get_link_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_link_color" webkit_dom_html_document_get_link_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetLinkColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetLinkColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetLinkColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_link_color self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetLinkColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetLinkColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetLinkColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetLinkColor

#endif

-- method DOMHTMLDocument::get_plugins
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_plugins" webkit_dom_html_document_get_plugins :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLDocumentGetPlugins ["(Since version 2.14)","Use 'GI.WebKit2WebExtension.Objects.DOMDocument.dOMDocumentGetPlugins' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetPlugins ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLDocumentGetPlugins self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_plugins self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetPlugins" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetPluginsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetPluginsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetPlugins

#endif

-- method DOMHTMLDocument::get_scripts
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_scripts" webkit_dom_html_document_get_scripts :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLDocumentGetScripts ["(Since version 2.14)","Use 'GI.WebKit2WebExtension.Objects.DOMDocument.dOMDocumentGetScripts' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetScripts ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLDocumentGetScripts self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_scripts self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetScripts" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetScriptsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetScriptsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetScripts

#endif

-- method DOMHTMLDocument::get_vlink_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_vlink_color" webkit_dom_html_document_get_vlink_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CString

{-# DEPRECATED dOMHTMLDocumentGetVlinkColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetVlinkColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLDocumentGetVlinkColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_vlink_color self'
    checkUnexpectedReturnNULL "dOMHTMLDocumentGetVlinkColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetVlinkColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetVlinkColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetVlinkColor

#endif

-- method DOMHTMLDocument::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_get_width" webkit_dom_html_document_get_width :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO CLong

{-# DEPRECATED dOMHTMLDocumentGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLDocumentGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_document_get_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentGetWidth

#endif

-- method DOMHTMLDocument::release_events
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_release_events" webkit_dom_html_document_release_events :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    IO ()

{-# DEPRECATED dOMHTMLDocumentReleaseEvents ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentReleaseEvents ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> m ()
dOMHTMLDocumentReleaseEvents self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_document_release_events self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentReleaseEventsMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentReleaseEventsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentReleaseEvents

#endif

-- method DOMHTMLDocument::set_alink_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_alink_color" webkit_dom_html_document_set_alink_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetAlinkColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetAlinkColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetAlinkColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_alink_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetAlinkColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetAlinkColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetAlinkColor

#endif

-- method DOMHTMLDocument::set_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_bg_color" webkit_dom_html_document_set_bg_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetBgColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_bg_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetBgColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetBgColor

#endif

-- method DOMHTMLDocument::set_design_mode
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_design_mode" webkit_dom_html_document_set_design_mode :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetDesignMode ["(Since version 2.14)","Use 'GI.WebKit2WebExtension.Objects.DOMDocument.dOMDocumentSetDesignMode' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetDesignMode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetDesignMode self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_design_mode self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetDesignModeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetDesignModeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetDesignMode

#endif

-- method DOMHTMLDocument::set_dir
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_dir" webkit_dom_html_document_set_dir :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetDir ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetDir ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetDir self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_dir self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetDirMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetDirMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetDir

#endif

-- method DOMHTMLDocument::set_fg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_fg_color" webkit_dom_html_document_set_fg_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetFgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetFgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetFgColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_fg_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetFgColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetFgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetFgColor

#endif

-- method DOMHTMLDocument::set_link_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_link_color" webkit_dom_html_document_set_link_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetLinkColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetLinkColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetLinkColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_link_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetLinkColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetLinkColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetLinkColor

#endif

-- method DOMHTMLDocument::set_vlink_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLDocument", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_document_set_vlink_color" webkit_dom_html_document_set_vlink_color :: 
    Ptr DOMHTMLDocument ->                  -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLDocument"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLDocumentSetVlinkColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLDocumentSetVlinkColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLDocument a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLDocument.DOMHTMLDocument' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLDocumentSetVlinkColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_document_set_vlink_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetVlinkColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLDocument a) => O.MethodInfo DOMHTMLDocumentSetVlinkColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLDocumentSetVlinkColor

#endif


