#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLDocument where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLDocument = DOMHTMLDocument (ManagedPtr DOMHTMLDocument)
instance GObject DOMHTMLDocument where
class (GObject o, O.IsDescendantOf DOMHTMLDocument o) => IsDOMHTMLDocument o
instance (GObject o, O.IsDescendantOf DOMHTMLDocument o) => IsDOMHTMLDocument o
instance O.HasParentTypes DOMHTMLDocument
#if ENABLE_OVERLOADING
data DOMHTMLDocumentAlinkColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentBgColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentDirPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentFgColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentLinkColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentVlinkColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentCaptureEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetAlinkColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetCompatModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetDesignModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetEmbedsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetFgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetLinkColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetPluginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetScriptsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetVlinkColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentReleaseEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetAlinkColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetDesignModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetFgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetLinkColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLDocumentSetVlinkColorMethodInfo
#endif
