

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement
    ( 

-- * Exported types
    DOMHTMLEmbedElement(..)                 ,
    IsDOMHTMLEmbedElement                   ,
    toDOMHTMLEmbedElement                   ,
    noDOMHTMLEmbedElement                   ,


 -- * Methods
-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementGetAlignMethodInfo   ,
#endif
    dOMHTMLEmbedElementGetAlign             ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementGetHeightMethodInfo  ,
#endif
    dOMHTMLEmbedElementGetHeight            ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementGetNameMethodInfo    ,
#endif
    dOMHTMLEmbedElementGetName              ,


-- ** getSrc #method:getSrc#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementGetSrcMethodInfo     ,
#endif
    dOMHTMLEmbedElementGetSrc               ,


-- ** getTypeAttr #method:getTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementGetTypeAttrMethodInfo,
#endif
    dOMHTMLEmbedElementGetTypeAttr          ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementGetWidthMethodInfo   ,
#endif
    dOMHTMLEmbedElementGetWidth             ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSetAlignMethodInfo   ,
#endif
    dOMHTMLEmbedElementSetAlign             ,


-- ** setHeight #method:setHeight#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSetHeightMethodInfo  ,
#endif
    dOMHTMLEmbedElementSetHeight            ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSetNameMethodInfo    ,
#endif
    dOMHTMLEmbedElementSetName              ,


-- ** setSrc #method:setSrc#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSetSrcMethodInfo     ,
#endif
    dOMHTMLEmbedElementSetSrc               ,


-- ** setTypeAttr #method:setTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSetTypeAttrMethodInfo,
#endif
    dOMHTMLEmbedElementSetTypeAttr          ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSetWidthMethodInfo   ,
#endif
    dOMHTMLEmbedElementSetWidth             ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementAlignPropertyInfo    ,
#endif
    constructDOMHTMLEmbedElementAlign       ,
#if ENABLE_OVERLOADING
    dOMHTMLEmbedElementAlign                ,
#endif
    getDOMHTMLEmbedElementAlign             ,
    setDOMHTMLEmbedElementAlign             ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementHeightPropertyInfo   ,
#endif
    constructDOMHTMLEmbedElementHeight      ,
#if ENABLE_OVERLOADING
    dOMHTMLEmbedElementHeight               ,
#endif
    getDOMHTMLEmbedElementHeight            ,
    setDOMHTMLEmbedElementHeight            ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementNamePropertyInfo     ,
#endif
    constructDOMHTMLEmbedElementName        ,
#if ENABLE_OVERLOADING
    dOMHTMLEmbedElementName                 ,
#endif
    getDOMHTMLEmbedElementName              ,
    setDOMHTMLEmbedElementName              ,


-- ** src #attr:src#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementSrcPropertyInfo      ,
#endif
    constructDOMHTMLEmbedElementSrc         ,
#if ENABLE_OVERLOADING
    dOMHTMLEmbedElementSrc                  ,
#endif
    getDOMHTMLEmbedElementSrc               ,
    setDOMHTMLEmbedElementSrc               ,


-- ** type #attr:type#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementTypePropertyInfo     ,
#endif
    clearDOMHTMLEmbedElementType            ,
    constructDOMHTMLEmbedElementType        ,
#if ENABLE_OVERLOADING
    dOMHTMLEmbedElementType                 ,
#endif
    getDOMHTMLEmbedElementType              ,
    setDOMHTMLEmbedElementType              ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLEmbedElementWidthPropertyInfo    ,
#endif
    constructDOMHTMLEmbedElementWidth       ,
#if ENABLE_OVERLOADING
    dOMHTMLEmbedElementWidth                ,
#endif
    getDOMHTMLEmbedElementWidth             ,
    setDOMHTMLEmbedElementWidth             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLEmbedElement = DOMHTMLEmbedElement (ManagedPtr DOMHTMLEmbedElement)
foreign import ccall "webkit_dom_html_embed_element_get_type"
    c_webkit_dom_html_embed_element_get_type :: IO GType

instance GObject DOMHTMLEmbedElement where
    gobjectType = c_webkit_dom_html_embed_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLEmbedElement`, for instance with `toDOMHTMLEmbedElement`.
class (GObject o, O.IsDescendantOf DOMHTMLEmbedElement o) => IsDOMHTMLEmbedElement o
instance (GObject o, O.IsDescendantOf DOMHTMLEmbedElement o) => IsDOMHTMLEmbedElement o

instance O.HasParentTypes DOMHTMLEmbedElement
type instance O.ParentTypes DOMHTMLEmbedElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLEmbedElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLEmbedElement :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m DOMHTMLEmbedElement
toDOMHTMLEmbedElement = liftIO . unsafeCastTo DOMHTMLEmbedElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLEmbedElement`.
noDOMHTMLEmbedElement :: Maybe DOMHTMLEmbedElement
noDOMHTMLEmbedElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLEmbedElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLEmbedElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLEmbedElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLEmbedElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLEmbedElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLEmbedElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLEmbedElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLEmbedElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLEmbedElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLEmbedElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLEmbedElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLEmbedElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLEmbedElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLEmbedElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLEmbedElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLEmbedElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLEmbedElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLEmbedElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLEmbedElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLEmbedElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLEmbedElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLEmbedElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLEmbedElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLEmbedElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLEmbedElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLEmbedElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLEmbedElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLEmbedElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLEmbedElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLEmbedElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLEmbedElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLEmbedElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLEmbedElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLEmbedElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLEmbedElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLEmbedElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLEmbedElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLEmbedElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLEmbedElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLEmbedElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAlign" o = DOMHTMLEmbedElementGetAlignMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getHeight" o = DOMHTMLEmbedElementGetHeightMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getName" o = DOMHTMLEmbedElementGetNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getSrc" o = DOMHTMLEmbedElementGetSrcMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getTypeAttr" o = DOMHTMLEmbedElementGetTypeAttrMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLEmbedElementMethod "getWidth" o = DOMHTMLEmbedElementGetWidthMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setAlign" o = DOMHTMLEmbedElementSetAlignMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setHeight" o = DOMHTMLEmbedElementSetHeightMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setName" o = DOMHTMLEmbedElementSetNameMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setSrc" o = DOMHTMLEmbedElementSetSrcMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setTypeAttr" o = DOMHTMLEmbedElementSetTypeAttrMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLEmbedElementMethod "setWidth" o = DOMHTMLEmbedElementSetWidthMethodInfo
    ResolveDOMHTMLEmbedElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLEmbedElementMethod t DOMHTMLEmbedElement, O.MethodInfo info DOMHTMLEmbedElement p) => OL.IsLabel t (DOMHTMLEmbedElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLEmbedElement #align
@
-}
getDOMHTMLEmbedElementAlign :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m (Maybe T.Text)
getDOMHTMLEmbedElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLEmbedElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLEmbedElementAlign :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> T.Text -> m ()
setDOMHTMLEmbedElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLEmbedElementAlign :: (IsDOMHTMLEmbedElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLEmbedElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementAlignPropertyInfo
instance AttrInfo DOMHTMLEmbedElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLEmbedElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLEmbedElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLEmbedElementAlignPropertyInfo = IsDOMHTMLEmbedElement
    type AttrGetType DOMHTMLEmbedElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLEmbedElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLEmbedElementAlignPropertyInfo = DOMHTMLEmbedElement
    attrGet _ = getDOMHTMLEmbedElementAlign
    attrSet _ = setDOMHTMLEmbedElementAlign
    attrConstruct _ = constructDOMHTMLEmbedElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLEmbedElement #height
@
-}
getDOMHTMLEmbedElementHeight :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m CLong
getDOMHTMLEmbedElementHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "height"

{- |
Set the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLEmbedElement [ #height 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLEmbedElementHeight :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> CLong -> m ()
setDOMHTMLEmbedElementHeight obj val = liftIO $ B.Properties.setObjectPropertyLong obj "height" val

{- |
Construct a `GValueConstruct` with valid value for the “@height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLEmbedElementHeight :: (IsDOMHTMLEmbedElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLEmbedElementHeight val = B.Properties.constructObjectPropertyLong "height" val

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementHeightPropertyInfo
instance AttrInfo DOMHTMLEmbedElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLEmbedElementHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLEmbedElementHeightPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLEmbedElementHeightPropertyInfo = IsDOMHTMLEmbedElement
    type AttrGetType DOMHTMLEmbedElementHeightPropertyInfo = CLong
    type AttrLabel DOMHTMLEmbedElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLEmbedElementHeightPropertyInfo = DOMHTMLEmbedElement
    attrGet _ = getDOMHTMLEmbedElementHeight
    attrSet _ = setDOMHTMLEmbedElementHeight
    attrConstruct _ = constructDOMHTMLEmbedElementHeight
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLEmbedElement #name
@
-}
getDOMHTMLEmbedElementName :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m (Maybe T.Text)
getDOMHTMLEmbedElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLEmbedElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLEmbedElementName :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> T.Text -> m ()
setDOMHTMLEmbedElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLEmbedElementName :: (IsDOMHTMLEmbedElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLEmbedElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementNamePropertyInfo
instance AttrInfo DOMHTMLEmbedElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLEmbedElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLEmbedElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLEmbedElementNamePropertyInfo = IsDOMHTMLEmbedElement
    type AttrGetType DOMHTMLEmbedElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLEmbedElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLEmbedElementNamePropertyInfo = DOMHTMLEmbedElement
    attrGet _ = getDOMHTMLEmbedElementName
    attrSet _ = setDOMHTMLEmbedElementName
    attrConstruct _ = constructDOMHTMLEmbedElementName
    attrClear _ = undefined
#endif

-- VVV Prop "src"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLEmbedElement #src
@
-}
getDOMHTMLEmbedElementSrc :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m (Maybe T.Text)
getDOMHTMLEmbedElementSrc obj = liftIO $ B.Properties.getObjectPropertyString obj "src"

{- |
Set the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLEmbedElement [ #src 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLEmbedElementSrc :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> T.Text -> m ()
setDOMHTMLEmbedElementSrc obj val = liftIO $ B.Properties.setObjectPropertyString obj "src" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@src@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLEmbedElementSrc :: (IsDOMHTMLEmbedElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLEmbedElementSrc val = B.Properties.constructObjectPropertyString "src" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSrcPropertyInfo
instance AttrInfo DOMHTMLEmbedElementSrcPropertyInfo where
    type AttrAllowedOps DOMHTMLEmbedElementSrcPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLEmbedElementSrcPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLEmbedElementSrcPropertyInfo = IsDOMHTMLEmbedElement
    type AttrGetType DOMHTMLEmbedElementSrcPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLEmbedElementSrcPropertyInfo = "src"
    type AttrOrigin DOMHTMLEmbedElementSrcPropertyInfo = DOMHTMLEmbedElement
    attrGet _ = getDOMHTMLEmbedElementSrc
    attrSet _ = setDOMHTMLEmbedElementSrc
    attrConstruct _ = constructDOMHTMLEmbedElementSrc
    attrClear _ = undefined
#endif

-- VVV Prop "type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLEmbedElement #type
@
-}
getDOMHTMLEmbedElementType :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m (Maybe T.Text)
getDOMHTMLEmbedElementType obj = liftIO $ B.Properties.getObjectPropertyString obj "type"

{- |
Set the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLEmbedElement [ #type 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLEmbedElementType :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> T.Text -> m ()
setDOMHTMLEmbedElementType obj val = liftIO $ B.Properties.setObjectPropertyString obj "type" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@type@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLEmbedElementType :: (IsDOMHTMLEmbedElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLEmbedElementType val = B.Properties.constructObjectPropertyString "type" (Just val)

{- |
Set the value of the “@type@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #type
@
-}
clearDOMHTMLEmbedElementType :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m ()
clearDOMHTMLEmbedElementType obj = liftIO $ B.Properties.setObjectPropertyString obj "type" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementTypePropertyInfo
instance AttrInfo DOMHTMLEmbedElementTypePropertyInfo where
    type AttrAllowedOps DOMHTMLEmbedElementTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLEmbedElementTypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLEmbedElementTypePropertyInfo = IsDOMHTMLEmbedElement
    type AttrGetType DOMHTMLEmbedElementTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLEmbedElementTypePropertyInfo = "type"
    type AttrOrigin DOMHTMLEmbedElementTypePropertyInfo = DOMHTMLEmbedElement
    attrGet _ = getDOMHTMLEmbedElementType
    attrSet _ = setDOMHTMLEmbedElementType
    attrConstruct _ = constructDOMHTMLEmbedElementType
    attrClear _ = clearDOMHTMLEmbedElementType
#endif

-- VVV Prop "width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLEmbedElement #width
@
-}
getDOMHTMLEmbedElementWidth :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> m CLong
getDOMHTMLEmbedElementWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLEmbedElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLEmbedElementWidth :: (MonadIO m, IsDOMHTMLEmbedElement o) => o -> CLong -> m ()
setDOMHTMLEmbedElementWidth obj val = liftIO $ B.Properties.setObjectPropertyLong obj "width" val

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLEmbedElementWidth :: (IsDOMHTMLEmbedElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLEmbedElementWidth val = B.Properties.constructObjectPropertyLong "width" val

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementWidthPropertyInfo
instance AttrInfo DOMHTMLEmbedElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLEmbedElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLEmbedElementWidthPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLEmbedElementWidthPropertyInfo = IsDOMHTMLEmbedElement
    type AttrGetType DOMHTMLEmbedElementWidthPropertyInfo = CLong
    type AttrLabel DOMHTMLEmbedElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLEmbedElementWidthPropertyInfo = DOMHTMLEmbedElement
    attrGet _ = getDOMHTMLEmbedElementWidth
    attrSet _ = setDOMHTMLEmbedElementWidth
    attrConstruct _ = constructDOMHTMLEmbedElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLEmbedElement
type instance O.AttributeList DOMHTMLEmbedElement = DOMHTMLEmbedElementAttributeList
type DOMHTMLEmbedElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLEmbedElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("height", DOMHTMLEmbedElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("name", DOMHTMLEmbedElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("src", DOMHTMLEmbedElementSrcPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("type", DOMHTMLEmbedElementTypePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLEmbedElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLEmbedElementAlign :: AttrLabelProxy "align"
dOMHTMLEmbedElementAlign = AttrLabelProxy

dOMHTMLEmbedElementHeight :: AttrLabelProxy "height"
dOMHTMLEmbedElementHeight = AttrLabelProxy

dOMHTMLEmbedElementName :: AttrLabelProxy "name"
dOMHTMLEmbedElementName = AttrLabelProxy

dOMHTMLEmbedElementSrc :: AttrLabelProxy "src"
dOMHTMLEmbedElementSrc = AttrLabelProxy

dOMHTMLEmbedElementType :: AttrLabelProxy "type"
dOMHTMLEmbedElementType = AttrLabelProxy

dOMHTMLEmbedElementWidth :: AttrLabelProxy "width"
dOMHTMLEmbedElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLEmbedElement = DOMHTMLEmbedElementSignalList
type DOMHTMLEmbedElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLEmbedElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_get_align" webkit_dom_html_embed_element_get_align :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    IO CString

{-# DEPRECATED dOMHTMLEmbedElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLEmbedElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_embed_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLEmbedElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementGetAlign

#endif

-- method DOMHTMLEmbedElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_get_height" webkit_dom_html_embed_element_get_height :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    IO CLong

{-# DEPRECATED dOMHTMLEmbedElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLEmbedElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_embed_element_get_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementGetHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementGetHeight

#endif

-- method DOMHTMLEmbedElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_get_name" webkit_dom_html_embed_element_get_name :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    IO CString

{-# DEPRECATED dOMHTMLEmbedElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLEmbedElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_embed_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLEmbedElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementGetName

#endif

-- method DOMHTMLEmbedElement::get_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_get_src" webkit_dom_html_embed_element_get_src :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    IO CString

{-# DEPRECATED dOMHTMLEmbedElementGetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementGetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLEmbedElementGetSrc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_embed_element_get_src self'
    checkUnexpectedReturnNULL "dOMHTMLEmbedElementGetSrc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementGetSrcMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementGetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementGetSrc

#endif

-- method DOMHTMLEmbedElement::get_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_get_type_attr" webkit_dom_html_embed_element_get_type_attr :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    IO CString

{-# DEPRECATED dOMHTMLEmbedElementGetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementGetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLEmbedElementGetTypeAttr self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_embed_element_get_type_attr self'
    checkUnexpectedReturnNULL "dOMHTMLEmbedElementGetTypeAttr" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementGetTypeAttrMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementGetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementGetTypeAttr

#endif

-- method DOMHTMLEmbedElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_get_width" webkit_dom_html_embed_element_get_width :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    IO CLong

{-# DEPRECATED dOMHTMLEmbedElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLEmbedElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_embed_element_get_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementGetWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementGetWidth

#endif

-- method DOMHTMLEmbedElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_set_align" webkit_dom_html_embed_element_set_align :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLEmbedElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLEmbedElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_embed_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementSetAlign

#endif

-- method DOMHTMLEmbedElement::set_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_set_height" webkit_dom_html_embed_element_set_height :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLEmbedElementSetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementSetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLEmbedElementSetHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_embed_element_set_height self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSetHeightMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementSetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementSetHeight

#endif

-- method DOMHTMLEmbedElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_set_name" webkit_dom_html_embed_element_set_name :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLEmbedElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLEmbedElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_embed_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementSetName

#endif

-- method DOMHTMLEmbedElement::set_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_set_src" webkit_dom_html_embed_element_set_src :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLEmbedElementSetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementSetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLEmbedElementSetSrc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_embed_element_set_src self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSetSrcMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementSetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementSetSrc

#endif

-- method DOMHTMLEmbedElement::set_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_set_type_attr" webkit_dom_html_embed_element_set_type_attr :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLEmbedElementSetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementSetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLEmbedElementSetTypeAttr self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_embed_element_set_type_attr self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSetTypeAttrMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementSetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementSetTypeAttr

#endif

-- method DOMHTMLEmbedElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLEmbedElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_embed_element_set_width" webkit_dom_html_embed_element_set_width :: 
    Ptr DOMHTMLEmbedElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLEmbedElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLEmbedElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLEmbedElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLEmbedElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLEmbedElement.DOMHTMLEmbedElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLEmbedElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_embed_element_set_width self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLEmbedElementSetWidthMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLEmbedElement a) => O.MethodInfo DOMHTMLEmbedElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLEmbedElementSetWidth

#endif


