

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLFormElement
    ( 

-- * Exported types
    DOMHTMLFormElement(..)                  ,
    IsDOMHTMLFormElement                    ,
    toDOMHTMLFormElement                    ,
    noDOMHTMLFormElement                    ,


 -- * Methods
-- ** getAcceptCharset #method:getAcceptCharset#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetAcceptCharsetMethodInfo,
#endif
    dOMHTMLFormElementGetAcceptCharset      ,


-- ** getAction #method:getAction#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetActionMethodInfo   ,
#endif
    dOMHTMLFormElementGetAction             ,


-- ** getElements #method:getElements#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetElementsMethodInfo ,
#endif
    dOMHTMLFormElementGetElements           ,


-- ** getEncoding #method:getEncoding#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetEncodingMethodInfo ,
#endif
    dOMHTMLFormElementGetEncoding           ,


-- ** getEnctype #method:getEnctype#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetEnctypeMethodInfo  ,
#endif
    dOMHTMLFormElementGetEnctype            ,


-- ** getLength #method:getLength#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetLengthMethodInfo   ,
#endif
    dOMHTMLFormElementGetLength             ,


-- ** getMethod #method:getMethod#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetMethodMethodInfo   ,
#endif
    dOMHTMLFormElementGetMethod             ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetNameMethodInfo     ,
#endif
    dOMHTMLFormElementGetName               ,


-- ** getTarget #method:getTarget#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementGetTargetMethodInfo   ,
#endif
    dOMHTMLFormElementGetTarget             ,


-- ** reset #method:reset#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementResetMethodInfo       ,
#endif
    dOMHTMLFormElementReset                 ,


-- ** setAcceptCharset #method:setAcceptCharset#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetAcceptCharsetMethodInfo,
#endif
    dOMHTMLFormElementSetAcceptCharset      ,


-- ** setAction #method:setAction#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetActionMethodInfo   ,
#endif
    dOMHTMLFormElementSetAction             ,


-- ** setEncoding #method:setEncoding#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetEncodingMethodInfo ,
#endif
    dOMHTMLFormElementSetEncoding           ,


-- ** setEnctype #method:setEnctype#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetEnctypeMethodInfo  ,
#endif
    dOMHTMLFormElementSetEnctype            ,


-- ** setMethod #method:setMethod#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetMethodMethodInfo   ,
#endif
    dOMHTMLFormElementSetMethod             ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetNameMethodInfo     ,
#endif
    dOMHTMLFormElementSetName               ,


-- ** setTarget #method:setTarget#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSetTargetMethodInfo   ,
#endif
    dOMHTMLFormElementSetTarget             ,


-- ** submit #method:submit#

#if ENABLE_OVERLOADING
    DOMHTMLFormElementSubmitMethodInfo      ,
#endif
    dOMHTMLFormElementSubmit                ,




 -- * Properties
-- ** acceptCharset #attr:acceptCharset#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementAcceptCharsetPropertyInfo,
#endif
    constructDOMHTMLFormElementAcceptCharset,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementAcceptCharset         ,
#endif
    getDOMHTMLFormElementAcceptCharset      ,
    setDOMHTMLFormElementAcceptCharset      ,


-- ** action #attr:action#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementActionPropertyInfo    ,
#endif
    constructDOMHTMLFormElementAction       ,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementAction                ,
#endif
    getDOMHTMLFormElementAction             ,
    setDOMHTMLFormElementAction             ,


-- ** elements #attr:elements#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementElementsPropertyInfo  ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLFormElementElements              ,
#endif
    getDOMHTMLFormElementElements           ,


-- ** encoding #attr:encoding#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementEncodingPropertyInfo  ,
#endif
    constructDOMHTMLFormElementEncoding     ,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementEncoding              ,
#endif
    getDOMHTMLFormElementEncoding           ,
    setDOMHTMLFormElementEncoding           ,


-- ** enctype #attr:enctype#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementEnctypePropertyInfo   ,
#endif
    constructDOMHTMLFormElementEnctype      ,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementEnctype               ,
#endif
    getDOMHTMLFormElementEnctype            ,
    setDOMHTMLFormElementEnctype            ,


-- ** length #attr:length#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementLengthPropertyInfo    ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLFormElementLength                ,
#endif
    getDOMHTMLFormElementLength             ,


-- ** method #attr:method#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementMethodPropertyInfo    ,
#endif
    constructDOMHTMLFormElementMethod       ,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementMethod                ,
#endif
    getDOMHTMLFormElementMethod             ,
    setDOMHTMLFormElementMethod             ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementNamePropertyInfo      ,
#endif
    constructDOMHTMLFormElementName         ,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementName                  ,
#endif
    getDOMHTMLFormElementName               ,
    setDOMHTMLFormElementName               ,


-- ** target #attr:target#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFormElementTargetPropertyInfo    ,
#endif
    constructDOMHTMLFormElementTarget       ,
#if ENABLE_OVERLOADING
    dOMHTMLFormElementTarget                ,
#endif
    getDOMHTMLFormElementTarget             ,
    setDOMHTMLFormElementTarget             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLCollection as WebKit2WebExtension.DOMHTMLCollection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLFormElement = DOMHTMLFormElement (ManagedPtr DOMHTMLFormElement)
foreign import ccall "webkit_dom_html_form_element_get_type"
    c_webkit_dom_html_form_element_get_type :: IO GType

instance GObject DOMHTMLFormElement where
    gobjectType = c_webkit_dom_html_form_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLFormElement`, for instance with `toDOMHTMLFormElement`.
class (GObject o, O.IsDescendantOf DOMHTMLFormElement o) => IsDOMHTMLFormElement o
instance (GObject o, O.IsDescendantOf DOMHTMLFormElement o) => IsDOMHTMLFormElement o

instance O.HasParentTypes DOMHTMLFormElement
type instance O.ParentTypes DOMHTMLFormElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLFormElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLFormElement :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m DOMHTMLFormElement
toDOMHTMLFormElement = liftIO . unsafeCastTo DOMHTMLFormElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLFormElement`.
noDOMHTMLFormElement :: Maybe DOMHTMLFormElement
noDOMHTMLFormElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLFormElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLFormElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLFormElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLFormElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLFormElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLFormElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLFormElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLFormElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLFormElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLFormElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLFormElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLFormElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLFormElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLFormElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLFormElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLFormElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLFormElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLFormElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLFormElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLFormElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLFormElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLFormElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLFormElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLFormElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLFormElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLFormElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLFormElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLFormElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLFormElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLFormElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLFormElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLFormElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLFormElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLFormElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLFormElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLFormElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLFormElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLFormElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLFormElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLFormElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLFormElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLFormElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLFormElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLFormElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLFormElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLFormElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLFormElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLFormElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLFormElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLFormElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLFormElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLFormElementMethod "reset" o = DOMHTMLFormElementResetMethodInfo
    ResolveDOMHTMLFormElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLFormElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLFormElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLFormElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLFormElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLFormElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLFormElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLFormElementMethod "submit" o = DOMHTMLFormElementSubmitMethodInfo
    ResolveDOMHTMLFormElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLFormElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLFormElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLFormElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLFormElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLFormElementMethod "getAcceptCharset" o = DOMHTMLFormElementGetAcceptCharsetMethodInfo
    ResolveDOMHTMLFormElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLFormElementMethod "getAction" o = DOMHTMLFormElementGetActionMethodInfo
    ResolveDOMHTMLFormElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLFormElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLFormElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLFormElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLFormElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLFormElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLFormElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLFormElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLFormElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLFormElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLFormElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLFormElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLFormElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLFormElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLFormElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLFormElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLFormElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLFormElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLFormElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLFormElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLFormElementMethod "getElements" o = DOMHTMLFormElementGetElementsMethodInfo
    ResolveDOMHTMLFormElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLFormElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLFormElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLFormElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLFormElementMethod "getEncoding" o = DOMHTMLFormElementGetEncodingMethodInfo
    ResolveDOMHTMLFormElementMethod "getEnctype" o = DOMHTMLFormElementGetEnctypeMethodInfo
    ResolveDOMHTMLFormElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLFormElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLFormElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLFormElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLFormElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLFormElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLFormElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLFormElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLFormElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLFormElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLFormElementMethod "getLength" o = DOMHTMLFormElementGetLengthMethodInfo
    ResolveDOMHTMLFormElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getMethod" o = DOMHTMLFormElementGetMethodMethodInfo
    ResolveDOMHTMLFormElementMethod "getName" o = DOMHTMLFormElementGetNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLFormElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLFormElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLFormElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLFormElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLFormElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLFormElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLFormElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLFormElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLFormElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLFormElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLFormElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLFormElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLFormElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLFormElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLFormElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLFormElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLFormElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLFormElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLFormElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLFormElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLFormElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLFormElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLFormElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLFormElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLFormElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLFormElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLFormElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLFormElementMethod "getTarget" o = DOMHTMLFormElementGetTargetMethodInfo
    ResolveDOMHTMLFormElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLFormElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLFormElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLFormElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLFormElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLFormElementMethod "setAcceptCharset" o = DOMHTMLFormElementSetAcceptCharsetMethodInfo
    ResolveDOMHTMLFormElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLFormElementMethod "setAction" o = DOMHTMLFormElementSetActionMethodInfo
    ResolveDOMHTMLFormElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLFormElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLFormElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLFormElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLFormElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLFormElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLFormElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLFormElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLFormElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLFormElementMethod "setEncoding" o = DOMHTMLFormElementSetEncodingMethodInfo
    ResolveDOMHTMLFormElementMethod "setEnctype" o = DOMHTMLFormElementSetEnctypeMethodInfo
    ResolveDOMHTMLFormElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLFormElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLFormElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLFormElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLFormElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLFormElementMethod "setMethod" o = DOMHTMLFormElementSetMethodMethodInfo
    ResolveDOMHTMLFormElementMethod "setName" o = DOMHTMLFormElementSetNameMethodInfo
    ResolveDOMHTMLFormElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLFormElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLFormElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLFormElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLFormElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLFormElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLFormElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLFormElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLFormElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLFormElementMethod "setTarget" o = DOMHTMLFormElementSetTargetMethodInfo
    ResolveDOMHTMLFormElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLFormElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLFormElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLFormElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLFormElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLFormElementMethod t DOMHTMLFormElement, O.MethodInfo info DOMHTMLFormElement p) => OL.IsLabel t (DOMHTMLFormElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "accept-charset"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@accept-charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #acceptCharset
@
-}
getDOMHTMLFormElementAcceptCharset :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementAcceptCharset obj = liftIO $ B.Properties.getObjectPropertyString obj "accept-charset"

{- |
Set the value of the “@accept-charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #acceptCharset 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementAcceptCharset :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementAcceptCharset obj val = liftIO $ B.Properties.setObjectPropertyString obj "accept-charset" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@accept-charset@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementAcceptCharset :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementAcceptCharset val = B.Properties.constructObjectPropertyString "accept-charset" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementAcceptCharsetPropertyInfo
instance AttrInfo DOMHTMLFormElementAcceptCharsetPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementAcceptCharsetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementAcceptCharsetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementAcceptCharsetPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementAcceptCharsetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementAcceptCharsetPropertyInfo = "accept-charset"
    type AttrOrigin DOMHTMLFormElementAcceptCharsetPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementAcceptCharset
    attrSet _ = setDOMHTMLFormElementAcceptCharset
    attrConstruct _ = constructDOMHTMLFormElementAcceptCharset
    attrClear _ = undefined
#endif

-- VVV Prop "action"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@action@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #action
@
-}
getDOMHTMLFormElementAction :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementAction obj = liftIO $ B.Properties.getObjectPropertyString obj "action"

{- |
Set the value of the “@action@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #action 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementAction :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementAction obj val = liftIO $ B.Properties.setObjectPropertyString obj "action" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@action@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementAction :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementAction val = B.Properties.constructObjectPropertyString "action" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementActionPropertyInfo
instance AttrInfo DOMHTMLFormElementActionPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementActionPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementActionPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementActionPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementActionPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementActionPropertyInfo = "action"
    type AttrOrigin DOMHTMLFormElementActionPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementAction
    attrSet _ = setDOMHTMLFormElementAction
    attrConstruct _ = constructDOMHTMLFormElementAction
    attrClear _ = undefined
#endif

-- VVV Prop "elements"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@elements@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #elements
@
-}
getDOMHTMLFormElementElements :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
getDOMHTMLFormElementElements obj = liftIO $ B.Properties.getObjectPropertyObject obj "elements" WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection

#if ENABLE_OVERLOADING
data DOMHTMLFormElementElementsPropertyInfo
instance AttrInfo DOMHTMLFormElementElementsPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementElementsPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLFormElementElementsPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLFormElementElementsPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementElementsPropertyInfo = (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
    type AttrLabel DOMHTMLFormElementElementsPropertyInfo = "elements"
    type AttrOrigin DOMHTMLFormElementElementsPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementElements
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "encoding"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@encoding@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #encoding
@
-}
getDOMHTMLFormElementEncoding :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementEncoding obj = liftIO $ B.Properties.getObjectPropertyString obj "encoding"

{- |
Set the value of the “@encoding@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #encoding 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementEncoding :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementEncoding obj val = liftIO $ B.Properties.setObjectPropertyString obj "encoding" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@encoding@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementEncoding :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementEncoding val = B.Properties.constructObjectPropertyString "encoding" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementEncodingPropertyInfo
instance AttrInfo DOMHTMLFormElementEncodingPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementEncodingPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementEncodingPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementEncodingPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementEncodingPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementEncodingPropertyInfo = "encoding"
    type AttrOrigin DOMHTMLFormElementEncodingPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementEncoding
    attrSet _ = setDOMHTMLFormElementEncoding
    attrConstruct _ = constructDOMHTMLFormElementEncoding
    attrClear _ = undefined
#endif

-- VVV Prop "enctype"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@enctype@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #enctype
@
-}
getDOMHTMLFormElementEnctype :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementEnctype obj = liftIO $ B.Properties.getObjectPropertyString obj "enctype"

{- |
Set the value of the “@enctype@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #enctype 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementEnctype :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementEnctype obj val = liftIO $ B.Properties.setObjectPropertyString obj "enctype" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@enctype@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementEnctype :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementEnctype val = B.Properties.constructObjectPropertyString "enctype" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementEnctypePropertyInfo
instance AttrInfo DOMHTMLFormElementEnctypePropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementEnctypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementEnctypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementEnctypePropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementEnctypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementEnctypePropertyInfo = "enctype"
    type AttrOrigin DOMHTMLFormElementEnctypePropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementEnctype
    attrSet _ = setDOMHTMLFormElementEnctype
    attrConstruct _ = constructDOMHTMLFormElementEnctype
    attrClear _ = undefined
#endif

-- VVV Prop "length"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@length@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #length
@
-}
getDOMHTMLFormElementLength :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m CLong
getDOMHTMLFormElementLength obj = liftIO $ B.Properties.getObjectPropertyLong obj "length"

#if ENABLE_OVERLOADING
data DOMHTMLFormElementLengthPropertyInfo
instance AttrInfo DOMHTMLFormElementLengthPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementLengthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementLengthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLFormElementLengthPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementLengthPropertyInfo = CLong
    type AttrLabel DOMHTMLFormElementLengthPropertyInfo = "length"
    type AttrOrigin DOMHTMLFormElementLengthPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementLength
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "method"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@method@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #method
@
-}
getDOMHTMLFormElementMethod :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementMethod obj = liftIO $ B.Properties.getObjectPropertyString obj "method"

{- |
Set the value of the “@method@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #method 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementMethod :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementMethod obj val = liftIO $ B.Properties.setObjectPropertyString obj "method" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@method@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementMethod :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementMethod val = B.Properties.constructObjectPropertyString "method" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementMethodPropertyInfo
instance AttrInfo DOMHTMLFormElementMethodPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementMethodPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementMethodPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementMethodPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementMethodPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementMethodPropertyInfo = "method"
    type AttrOrigin DOMHTMLFormElementMethodPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementMethod
    attrSet _ = setDOMHTMLFormElementMethod
    attrConstruct _ = constructDOMHTMLFormElementMethod
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #name
@
-}
getDOMHTMLFormElementName :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementName :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementName :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementNamePropertyInfo
instance AttrInfo DOMHTMLFormElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementNamePropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLFormElementNamePropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementName
    attrSet _ = setDOMHTMLFormElementName
    attrConstruct _ = constructDOMHTMLFormElementName
    attrClear _ = undefined
#endif

-- VVV Prop "target"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFormElement #target
@
-}
getDOMHTMLFormElementTarget :: (MonadIO m, IsDOMHTMLFormElement o) => o -> m (Maybe T.Text)
getDOMHTMLFormElementTarget obj = liftIO $ B.Properties.getObjectPropertyString obj "target"

{- |
Set the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFormElement [ #target 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFormElementTarget :: (MonadIO m, IsDOMHTMLFormElement o) => o -> T.Text -> m ()
setDOMHTMLFormElementTarget obj val = liftIO $ B.Properties.setObjectPropertyString obj "target" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@target@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFormElementTarget :: (IsDOMHTMLFormElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFormElementTarget val = B.Properties.constructObjectPropertyString "target" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFormElementTargetPropertyInfo
instance AttrInfo DOMHTMLFormElementTargetPropertyInfo where
    type AttrAllowedOps DOMHTMLFormElementTargetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFormElementTargetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFormElementTargetPropertyInfo = IsDOMHTMLFormElement
    type AttrGetType DOMHTMLFormElementTargetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFormElementTargetPropertyInfo = "target"
    type AttrOrigin DOMHTMLFormElementTargetPropertyInfo = DOMHTMLFormElement
    attrGet _ = getDOMHTMLFormElementTarget
    attrSet _ = setDOMHTMLFormElementTarget
    attrConstruct _ = constructDOMHTMLFormElementTarget
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLFormElement
type instance O.AttributeList DOMHTMLFormElement = DOMHTMLFormElementAttributeList
type DOMHTMLFormElementAttributeList = ('[ '("acceptCharset", DOMHTMLFormElementAcceptCharsetPropertyInfo), '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("action", DOMHTMLFormElementActionPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("elements", DOMHTMLFormElementElementsPropertyInfo), '("encoding", DOMHTMLFormElementEncodingPropertyInfo), '("enctype", DOMHTMLFormElementEnctypePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("length", DOMHTMLFormElementLengthPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("method", DOMHTMLFormElementMethodPropertyInfo), '("name", DOMHTMLFormElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("target", DOMHTMLFormElementTargetPropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLFormElementAcceptCharset :: AttrLabelProxy "acceptCharset"
dOMHTMLFormElementAcceptCharset = AttrLabelProxy

dOMHTMLFormElementAction :: AttrLabelProxy "action"
dOMHTMLFormElementAction = AttrLabelProxy

dOMHTMLFormElementElements :: AttrLabelProxy "elements"
dOMHTMLFormElementElements = AttrLabelProxy

dOMHTMLFormElementEncoding :: AttrLabelProxy "encoding"
dOMHTMLFormElementEncoding = AttrLabelProxy

dOMHTMLFormElementEnctype :: AttrLabelProxy "enctype"
dOMHTMLFormElementEnctype = AttrLabelProxy

dOMHTMLFormElementLength :: AttrLabelProxy "length"
dOMHTMLFormElementLength = AttrLabelProxy

dOMHTMLFormElementMethod :: AttrLabelProxy "method"
dOMHTMLFormElementMethod = AttrLabelProxy

dOMHTMLFormElementName :: AttrLabelProxy "name"
dOMHTMLFormElementName = AttrLabelProxy

dOMHTMLFormElementTarget :: AttrLabelProxy "target"
dOMHTMLFormElementTarget = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLFormElement = DOMHTMLFormElementSignalList
type DOMHTMLFormElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLFormElement::get_accept_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_accept_charset" webkit_dom_html_form_element_get_accept_charset :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetAcceptCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetAcceptCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetAcceptCharset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_accept_charset self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetAcceptCharset" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetAcceptCharsetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetAcceptCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetAcceptCharset

#endif

-- method DOMHTMLFormElement::get_action
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_action" webkit_dom_html_form_element_get_action :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetAction ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetAction ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetAction self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_action self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetAction" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetActionMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetActionMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetAction

#endif

-- method DOMHTMLFormElement::get_elements
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_elements" webkit_dom_html_form_element_get_elements :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLFormElementGetElements ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetElements ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLFormElementGetElements self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_elements self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetElements" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetElementsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetElementsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetElements

#endif

-- method DOMHTMLFormElement::get_encoding
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_encoding" webkit_dom_html_form_element_get_encoding :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetEncoding ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetEncoding ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetEncoding self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_encoding self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetEncoding" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetEncodingMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetEncodingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetEncoding

#endif

-- method DOMHTMLFormElement::get_enctype
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_enctype" webkit_dom_html_form_element_get_enctype :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetEnctype ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetEnctype ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetEnctype self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_enctype self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetEnctype" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetEnctypeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetEnctypeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetEnctype

#endif

-- method DOMHTMLFormElement::get_length
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_length" webkit_dom_html_form_element_get_length :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CLong

{-# DEPRECATED dOMHTMLFormElementGetLength ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetLength ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLFormElementGetLength self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_length self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetLengthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetLengthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetLength

#endif

-- method DOMHTMLFormElement::get_method
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_method" webkit_dom_html_form_element_get_method :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetMethod ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetMethod ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetMethod self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_method self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetMethod" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetMethodMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetMethodMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetMethod

#endif

-- method DOMHTMLFormElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_name" webkit_dom_html_form_element_get_name :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetName

#endif

-- method DOMHTMLFormElement::get_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_get_target" webkit_dom_html_form_element_get_target :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO CString

{-# DEPRECATED dOMHTMLFormElementGetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementGetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFormElementGetTarget self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_form_element_get_target self'
    checkUnexpectedReturnNULL "dOMHTMLFormElementGetTarget" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetTargetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementGetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementGetTarget

#endif

-- method DOMHTMLFormElement::reset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_reset" webkit_dom_html_form_element_reset :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO ()

{-# DEPRECATED dOMHTMLFormElementReset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementReset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m ()
dOMHTMLFormElementReset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_form_element_reset self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementResetMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementResetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementReset

#endif

-- method DOMHTMLFormElement::set_accept_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_accept_charset" webkit_dom_html_form_element_set_accept_charset :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetAcceptCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetAcceptCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetAcceptCharset self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_accept_charset self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetAcceptCharsetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetAcceptCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetAcceptCharset

#endif

-- method DOMHTMLFormElement::set_action
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_action" webkit_dom_html_form_element_set_action :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetAction ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetAction ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetAction self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_action self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetActionMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetActionMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetAction

#endif

-- method DOMHTMLFormElement::set_encoding
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_encoding" webkit_dom_html_form_element_set_encoding :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetEncoding ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetEncoding ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetEncoding self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_encoding self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetEncodingMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetEncodingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetEncoding

#endif

-- method DOMHTMLFormElement::set_enctype
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_enctype" webkit_dom_html_form_element_set_enctype :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetEnctype ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetEnctype ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetEnctype self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_enctype self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetEnctypeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetEnctypeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetEnctype

#endif

-- method DOMHTMLFormElement::set_method
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_method" webkit_dom_html_form_element_set_method :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetMethod ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetMethod ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetMethod self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_method self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetMethodMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetMethodMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetMethod

#endif

-- method DOMHTMLFormElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_name" webkit_dom_html_form_element_set_name :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetName

#endif

-- method DOMHTMLFormElement::set_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_set_target" webkit_dom_html_form_element_set_target :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFormElementSetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFormElementSetTarget self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_form_element_set_target self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetTargetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSetTarget

#endif

-- method DOMHTMLFormElement::submit
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFormElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_form_element_submit" webkit_dom_html_form_element_submit :: 
    Ptr DOMHTMLFormElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
    IO ()

{-# DEPRECATED dOMHTMLFormElementSubmit ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFormElementSubmit ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFormElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
    -> m ()
dOMHTMLFormElementSubmit self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_form_element_submit self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFormElementSubmitMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLFormElement a) => O.MethodInfo DOMHTMLFormElementSubmitMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFormElementSubmit

#endif


