#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLFormElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLFormElement = DOMHTMLFormElement (ManagedPtr DOMHTMLFormElement)
instance GObject DOMHTMLFormElement where
class (GObject o, O.IsDescendantOf DOMHTMLFormElement o) => IsDOMHTMLFormElement o
instance (GObject o, O.IsDescendantOf DOMHTMLFormElement o) => IsDOMHTMLFormElement o
instance O.HasParentTypes DOMHTMLFormElement
#if ENABLE_OVERLOADING
data DOMHTMLFormElementAcceptCharsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementActionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementElementsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementEncodingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementEnctypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementMethodPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetAcceptCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetElementsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetEnctypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetMethodMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementResetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetAcceptCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetEnctypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetMethodMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFormElementSubmitMethodInfo
#endif
