#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLFrameElement = DOMHTMLFrameElement (ManagedPtr DOMHTMLFrameElement)
instance GObject DOMHTMLFrameElement where
class (GObject o, O.IsDescendantOf DOMHTMLFrameElement o) => IsDOMHTMLFrameElement o
instance (GObject o, O.IsDescendantOf DOMHTMLFrameElement o) => IsDOMHTMLFrameElement o
instance O.HasParentTypes DOMHTMLFrameElement
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementContentDocumentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementContentWindowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementFrameBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementLongDescPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementMarginHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementMarginWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementNoResizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementScrollingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSrcPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetContentDocumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetContentWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetFrameBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetLongDescMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetMarginHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetMarginWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetNoResizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetFrameBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetLongDescMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetMarginHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetMarginWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetNoResizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetSrcMethodInfo
#endif
