#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLHRElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLHRElement = DOMHTMLHRElement (ManagedPtr DOMHTMLHRElement)
instance GObject DOMHTMLHRElement where
class (GObject o, O.IsDescendantOf DOMHTMLHRElement o) => IsDOMHTMLHRElement o
instance (GObject o, O.IsDescendantOf DOMHTMLHRElement o) => IsDOMHTMLHRElement o
instance O.HasParentTypes DOMHTMLHRElement
#if ENABLE_OVERLOADING
data DOMHTMLHRElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementNoShadePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementGetNoShadeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementSetNoShadeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementSetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLHRElementSetWidthMethodInfo
#endif
