

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement
    ( 

-- * Exported types
    DOMHTMLIFrameElement(..)                ,
    IsDOMHTMLIFrameElement                  ,
    toDOMHTMLIFrameElement                  ,
    noDOMHTMLIFrameElement                  ,


 -- * Methods
-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetAlignMethodInfo  ,
#endif
    dOMHTMLIFrameElementGetAlign            ,


-- ** getContentDocument #method:getContentDocument#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetContentDocumentMethodInfo,
#endif
    dOMHTMLIFrameElementGetContentDocument  ,


-- ** getContentWindow #method:getContentWindow#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetContentWindowMethodInfo,
#endif
    dOMHTMLIFrameElementGetContentWindow    ,


-- ** getFrameBorder #method:getFrameBorder#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetFrameBorderMethodInfo,
#endif
    dOMHTMLIFrameElementGetFrameBorder      ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetHeightMethodInfo ,
#endif
    dOMHTMLIFrameElementGetHeight           ,


-- ** getLongDesc #method:getLongDesc#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetLongDescMethodInfo,
#endif
    dOMHTMLIFrameElementGetLongDesc         ,


-- ** getMarginHeight #method:getMarginHeight#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetMarginHeightMethodInfo,
#endif
    dOMHTMLIFrameElementGetMarginHeight     ,


-- ** getMarginWidth #method:getMarginWidth#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetMarginWidthMethodInfo,
#endif
    dOMHTMLIFrameElementGetMarginWidth      ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetNameMethodInfo   ,
#endif
    dOMHTMLIFrameElementGetName             ,


-- ** getScrolling #method:getScrolling#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetScrollingMethodInfo,
#endif
    dOMHTMLIFrameElementGetScrolling        ,


-- ** getSrc #method:getSrc#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetSrcMethodInfo    ,
#endif
    dOMHTMLIFrameElementGetSrc              ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementGetWidthMethodInfo  ,
#endif
    dOMHTMLIFrameElementGetWidth            ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetAlignMethodInfo  ,
#endif
    dOMHTMLIFrameElementSetAlign            ,


-- ** setFrameBorder #method:setFrameBorder#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetFrameBorderMethodInfo,
#endif
    dOMHTMLIFrameElementSetFrameBorder      ,


-- ** setHeight #method:setHeight#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetHeightMethodInfo ,
#endif
    dOMHTMLIFrameElementSetHeight           ,


-- ** setLongDesc #method:setLongDesc#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetLongDescMethodInfo,
#endif
    dOMHTMLIFrameElementSetLongDesc         ,


-- ** setMarginHeight #method:setMarginHeight#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetMarginHeightMethodInfo,
#endif
    dOMHTMLIFrameElementSetMarginHeight     ,


-- ** setMarginWidth #method:setMarginWidth#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetMarginWidthMethodInfo,
#endif
    dOMHTMLIFrameElementSetMarginWidth      ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetNameMethodInfo   ,
#endif
    dOMHTMLIFrameElementSetName             ,


-- ** setScrolling #method:setScrolling#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetScrollingMethodInfo,
#endif
    dOMHTMLIFrameElementSetScrolling        ,


-- ** setSrc #method:setSrc#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetSrcMethodInfo    ,
#endif
    dOMHTMLIFrameElementSetSrc              ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSetWidthMethodInfo  ,
#endif
    dOMHTMLIFrameElementSetWidth            ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementAlignPropertyInfo   ,
#endif
    constructDOMHTMLIFrameElementAlign      ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementAlign               ,
#endif
    getDOMHTMLIFrameElementAlign            ,
    setDOMHTMLIFrameElementAlign            ,


-- ** contentDocument #attr:contentDocument#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementContentDocumentPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementContentDocument     ,
#endif
    getDOMHTMLIFrameElementContentDocument  ,


-- ** contentWindow #attr:contentWindow#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementContentWindowPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementContentWindow       ,
#endif
    getDOMHTMLIFrameElementContentWindow    ,


-- ** frameBorder #attr:frameBorder#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementFrameBorderPropertyInfo,
#endif
    constructDOMHTMLIFrameElementFrameBorder,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementFrameBorder         ,
#endif
    getDOMHTMLIFrameElementFrameBorder      ,
    setDOMHTMLIFrameElementFrameBorder      ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementHeightPropertyInfo  ,
#endif
    constructDOMHTMLIFrameElementHeight     ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementHeight              ,
#endif
    getDOMHTMLIFrameElementHeight           ,
    setDOMHTMLIFrameElementHeight           ,


-- ** longDesc #attr:longDesc#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementLongDescPropertyInfo,
#endif
    constructDOMHTMLIFrameElementLongDesc   ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementLongDesc            ,
#endif
    getDOMHTMLIFrameElementLongDesc         ,
    setDOMHTMLIFrameElementLongDesc         ,


-- ** marginHeight #attr:marginHeight#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementMarginHeightPropertyInfo,
#endif
    constructDOMHTMLIFrameElementMarginHeight,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementMarginHeight        ,
#endif
    getDOMHTMLIFrameElementMarginHeight     ,
    setDOMHTMLIFrameElementMarginHeight     ,


-- ** marginWidth #attr:marginWidth#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementMarginWidthPropertyInfo,
#endif
    constructDOMHTMLIFrameElementMarginWidth,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementMarginWidth         ,
#endif
    getDOMHTMLIFrameElementMarginWidth      ,
    setDOMHTMLIFrameElementMarginWidth      ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementNamePropertyInfo    ,
#endif
    constructDOMHTMLIFrameElementName       ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementName                ,
#endif
    getDOMHTMLIFrameElementName             ,
    setDOMHTMLIFrameElementName             ,


-- ** scrolling #attr:scrolling#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementScrollingPropertyInfo,
#endif
    constructDOMHTMLIFrameElementScrolling  ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementScrolling           ,
#endif
    getDOMHTMLIFrameElementScrolling        ,
    setDOMHTMLIFrameElementScrolling        ,


-- ** src #attr:src#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementSrcPropertyInfo     ,
#endif
    constructDOMHTMLIFrameElementSrc        ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementSrc                 ,
#endif
    getDOMHTMLIFrameElementSrc              ,
    setDOMHTMLIFrameElementSrc              ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLIFrameElementWidthPropertyInfo   ,
#endif
    constructDOMHTMLIFrameElementWidth      ,
#if ENABLE_OVERLOADING
    dOMHTMLIFrameElementWidth               ,
#endif
    getDOMHTMLIFrameElementWidth            ,
    setDOMHTMLIFrameElementWidth            ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDOMWindow as WebKit2WebExtension.DOMDOMWindow
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDocument as WebKit2WebExtension.DOMDocument
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLIFrameElement = DOMHTMLIFrameElement (ManagedPtr DOMHTMLIFrameElement)
foreign import ccall "webkit_dom_html_iframe_element_get_type"
    c_webkit_dom_html_iframe_element_get_type :: IO GType

instance GObject DOMHTMLIFrameElement where
    gobjectType = c_webkit_dom_html_iframe_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLIFrameElement`, for instance with `toDOMHTMLIFrameElement`.
class (GObject o, O.IsDescendantOf DOMHTMLIFrameElement o) => IsDOMHTMLIFrameElement o
instance (GObject o, O.IsDescendantOf DOMHTMLIFrameElement o) => IsDOMHTMLIFrameElement o

instance O.HasParentTypes DOMHTMLIFrameElement
type instance O.ParentTypes DOMHTMLIFrameElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLIFrameElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLIFrameElement :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m DOMHTMLIFrameElement
toDOMHTMLIFrameElement = liftIO . unsafeCastTo DOMHTMLIFrameElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLIFrameElement`.
noDOMHTMLIFrameElement :: Maybe DOMHTMLIFrameElement
noDOMHTMLIFrameElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLIFrameElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLIFrameElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLIFrameElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLIFrameElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLIFrameElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLIFrameElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLIFrameElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLIFrameElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLIFrameElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLIFrameElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLIFrameElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLIFrameElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLIFrameElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLIFrameElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLIFrameElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLIFrameElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLIFrameElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLIFrameElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLIFrameElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLIFrameElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLIFrameElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLIFrameElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLIFrameElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLIFrameElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLIFrameElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLIFrameElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLIFrameElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLIFrameElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLIFrameElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLIFrameElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLIFrameElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLIFrameElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLIFrameElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLIFrameElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLIFrameElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLIFrameElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLIFrameElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLIFrameElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAlign" o = DOMHTMLIFrameElementGetAlignMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getContentDocument" o = DOMHTMLIFrameElementGetContentDocumentMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getContentWindow" o = DOMHTMLIFrameElementGetContentWindowMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getFrameBorder" o = DOMHTMLIFrameElementGetFrameBorderMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getHeight" o = DOMHTMLIFrameElementGetHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getLongDesc" o = DOMHTMLIFrameElementGetLongDescMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getMarginHeight" o = DOMHTMLIFrameElementGetMarginHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getMarginWidth" o = DOMHTMLIFrameElementGetMarginWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getName" o = DOMHTMLIFrameElementGetNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getScrolling" o = DOMHTMLIFrameElementGetScrollingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getSrc" o = DOMHTMLIFrameElementGetSrcMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLIFrameElementMethod "getWidth" o = DOMHTMLIFrameElementGetWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setAlign" o = DOMHTMLIFrameElementSetAlignMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setFrameBorder" o = DOMHTMLIFrameElementSetFrameBorderMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setHeight" o = DOMHTMLIFrameElementSetHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setLongDesc" o = DOMHTMLIFrameElementSetLongDescMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setMarginHeight" o = DOMHTMLIFrameElementSetMarginHeightMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setMarginWidth" o = DOMHTMLIFrameElementSetMarginWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setName" o = DOMHTMLIFrameElementSetNameMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setScrolling" o = DOMHTMLIFrameElementSetScrollingMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setSrc" o = DOMHTMLIFrameElementSetSrcMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLIFrameElementMethod "setWidth" o = DOMHTMLIFrameElementSetWidthMethodInfo
    ResolveDOMHTMLIFrameElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLIFrameElementMethod t DOMHTMLIFrameElement, O.MethodInfo info DOMHTMLIFrameElement p) => OL.IsLabel t (DOMHTMLIFrameElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #align
@
-}
getDOMHTMLIFrameElementAlign :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementAlign :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementAlign :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementAlignPropertyInfo
instance AttrInfo DOMHTMLIFrameElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementAlignPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLIFrameElementAlignPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementAlign
    attrSet _ = setDOMHTMLIFrameElementAlign
    attrConstruct _ = constructDOMHTMLIFrameElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "content-document"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@content-document@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #contentDocument
@
-}
getDOMHTMLIFrameElementContentDocument :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m WebKit2WebExtension.DOMDocument.DOMDocument
getDOMHTMLIFrameElementContentDocument obj = liftIO $ checkUnexpectedNothing "getDOMHTMLIFrameElementContentDocument" $ B.Properties.getObjectPropertyObject obj "content-document" WebKit2WebExtension.DOMDocument.DOMDocument

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementContentDocumentPropertyInfo
instance AttrInfo DOMHTMLIFrameElementContentDocumentPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementContentDocumentPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLIFrameElementContentDocumentPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLIFrameElementContentDocumentPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementContentDocumentPropertyInfo = WebKit2WebExtension.DOMDocument.DOMDocument
    type AttrLabel DOMHTMLIFrameElementContentDocumentPropertyInfo = "content-document"
    type AttrOrigin DOMHTMLIFrameElementContentDocumentPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementContentDocument
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "content-window"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@content-window@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #contentWindow
@
-}
getDOMHTMLIFrameElementContentWindow :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow)
getDOMHTMLIFrameElementContentWindow obj = liftIO $ B.Properties.getObjectPropertyObject obj "content-window" WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementContentWindowPropertyInfo
instance AttrInfo DOMHTMLIFrameElementContentWindowPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementContentWindowPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLIFrameElementContentWindowPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLIFrameElementContentWindowPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementContentWindowPropertyInfo = (Maybe WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow)
    type AttrLabel DOMHTMLIFrameElementContentWindowPropertyInfo = "content-window"
    type AttrOrigin DOMHTMLIFrameElementContentWindowPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementContentWindow
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "frame-border"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@frame-border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #frameBorder
@
-}
getDOMHTMLIFrameElementFrameBorder :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementFrameBorder obj = liftIO $ B.Properties.getObjectPropertyString obj "frame-border"

{- |
Set the value of the “@frame-border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #frameBorder 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementFrameBorder :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementFrameBorder obj val = liftIO $ B.Properties.setObjectPropertyString obj "frame-border" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@frame-border@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementFrameBorder :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementFrameBorder val = B.Properties.constructObjectPropertyString "frame-border" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementFrameBorderPropertyInfo
instance AttrInfo DOMHTMLIFrameElementFrameBorderPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementFrameBorderPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementFrameBorderPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementFrameBorderPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementFrameBorderPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementFrameBorderPropertyInfo = "frame-border"
    type AttrOrigin DOMHTMLIFrameElementFrameBorderPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementFrameBorder
    attrSet _ = setDOMHTMLIFrameElementFrameBorder
    attrConstruct _ = constructDOMHTMLIFrameElementFrameBorder
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #height
@
-}
getDOMHTMLIFrameElementHeight :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementHeight obj = liftIO $ B.Properties.getObjectPropertyString obj "height"

{- |
Set the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #height 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementHeight :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementHeight obj val = liftIO $ B.Properties.setObjectPropertyString obj "height" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementHeight :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementHeight val = B.Properties.constructObjectPropertyString "height" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementHeightPropertyInfo
instance AttrInfo DOMHTMLIFrameElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementHeightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementHeightPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementHeightPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLIFrameElementHeightPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementHeight
    attrSet _ = setDOMHTMLIFrameElementHeight
    attrConstruct _ = constructDOMHTMLIFrameElementHeight
    attrClear _ = undefined
#endif

-- VVV Prop "long-desc"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@long-desc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #longDesc
@
-}
getDOMHTMLIFrameElementLongDesc :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementLongDesc obj = liftIO $ B.Properties.getObjectPropertyString obj "long-desc"

{- |
Set the value of the “@long-desc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #longDesc 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementLongDesc :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementLongDesc obj val = liftIO $ B.Properties.setObjectPropertyString obj "long-desc" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@long-desc@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementLongDesc :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementLongDesc val = B.Properties.constructObjectPropertyString "long-desc" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementLongDescPropertyInfo
instance AttrInfo DOMHTMLIFrameElementLongDescPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementLongDescPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementLongDescPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementLongDescPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementLongDescPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementLongDescPropertyInfo = "long-desc"
    type AttrOrigin DOMHTMLIFrameElementLongDescPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementLongDesc
    attrSet _ = setDOMHTMLIFrameElementLongDesc
    attrConstruct _ = constructDOMHTMLIFrameElementLongDesc
    attrClear _ = undefined
#endif

-- VVV Prop "margin-height"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@margin-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #marginHeight
@
-}
getDOMHTMLIFrameElementMarginHeight :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementMarginHeight obj = liftIO $ B.Properties.getObjectPropertyString obj "margin-height"

{- |
Set the value of the “@margin-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #marginHeight 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementMarginHeight :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementMarginHeight obj val = liftIO $ B.Properties.setObjectPropertyString obj "margin-height" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@margin-height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementMarginHeight :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementMarginHeight val = B.Properties.constructObjectPropertyString "margin-height" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementMarginHeightPropertyInfo
instance AttrInfo DOMHTMLIFrameElementMarginHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementMarginHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementMarginHeightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementMarginHeightPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementMarginHeightPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementMarginHeightPropertyInfo = "margin-height"
    type AttrOrigin DOMHTMLIFrameElementMarginHeightPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementMarginHeight
    attrSet _ = setDOMHTMLIFrameElementMarginHeight
    attrConstruct _ = constructDOMHTMLIFrameElementMarginHeight
    attrClear _ = undefined
#endif

-- VVV Prop "margin-width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@margin-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #marginWidth
@
-}
getDOMHTMLIFrameElementMarginWidth :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementMarginWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "margin-width"

{- |
Set the value of the “@margin-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #marginWidth 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementMarginWidth :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementMarginWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "margin-width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@margin-width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementMarginWidth :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementMarginWidth val = B.Properties.constructObjectPropertyString "margin-width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementMarginWidthPropertyInfo
instance AttrInfo DOMHTMLIFrameElementMarginWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementMarginWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementMarginWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementMarginWidthPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementMarginWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementMarginWidthPropertyInfo = "margin-width"
    type AttrOrigin DOMHTMLIFrameElementMarginWidthPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementMarginWidth
    attrSet _ = setDOMHTMLIFrameElementMarginWidth
    attrConstruct _ = constructDOMHTMLIFrameElementMarginWidth
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #name
@
-}
getDOMHTMLIFrameElementName :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementName :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementName :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementNamePropertyInfo
instance AttrInfo DOMHTMLIFrameElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementNamePropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLIFrameElementNamePropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementName
    attrSet _ = setDOMHTMLIFrameElementName
    attrConstruct _ = constructDOMHTMLIFrameElementName
    attrClear _ = undefined
#endif

-- VVV Prop "scrolling"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@scrolling@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #scrolling
@
-}
getDOMHTMLIFrameElementScrolling :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementScrolling obj = liftIO $ B.Properties.getObjectPropertyString obj "scrolling"

{- |
Set the value of the “@scrolling@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #scrolling 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementScrolling :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementScrolling obj val = liftIO $ B.Properties.setObjectPropertyString obj "scrolling" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@scrolling@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementScrolling :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementScrolling val = B.Properties.constructObjectPropertyString "scrolling" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementScrollingPropertyInfo
instance AttrInfo DOMHTMLIFrameElementScrollingPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementScrollingPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementScrollingPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementScrollingPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementScrollingPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementScrollingPropertyInfo = "scrolling"
    type AttrOrigin DOMHTMLIFrameElementScrollingPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementScrolling
    attrSet _ = setDOMHTMLIFrameElementScrolling
    attrConstruct _ = constructDOMHTMLIFrameElementScrolling
    attrClear _ = undefined
#endif

-- VVV Prop "src"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #src
@
-}
getDOMHTMLIFrameElementSrc :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementSrc obj = liftIO $ B.Properties.getObjectPropertyString obj "src"

{- |
Set the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #src 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementSrc :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementSrc obj val = liftIO $ B.Properties.setObjectPropertyString obj "src" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@src@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementSrc :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementSrc val = B.Properties.constructObjectPropertyString "src" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSrcPropertyInfo
instance AttrInfo DOMHTMLIFrameElementSrcPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementSrcPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementSrcPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementSrcPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementSrcPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementSrcPropertyInfo = "src"
    type AttrOrigin DOMHTMLIFrameElementSrcPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementSrc
    attrSet _ = setDOMHTMLIFrameElementSrc
    attrConstruct _ = constructDOMHTMLIFrameElementSrc
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLIFrameElement #width
@
-}
getDOMHTMLIFrameElementWidth :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLIFrameElementWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLIFrameElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLIFrameElementWidth :: (MonadIO m, IsDOMHTMLIFrameElement o) => o -> T.Text -> m ()
setDOMHTMLIFrameElementWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLIFrameElementWidth :: (IsDOMHTMLIFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLIFrameElementWidth val = B.Properties.constructObjectPropertyString "width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementWidthPropertyInfo
instance AttrInfo DOMHTMLIFrameElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLIFrameElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLIFrameElementWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLIFrameElementWidthPropertyInfo = IsDOMHTMLIFrameElement
    type AttrGetType DOMHTMLIFrameElementWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLIFrameElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLIFrameElementWidthPropertyInfo = DOMHTMLIFrameElement
    attrGet _ = getDOMHTMLIFrameElementWidth
    attrSet _ = setDOMHTMLIFrameElementWidth
    attrConstruct _ = constructDOMHTMLIFrameElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLIFrameElement
type instance O.AttributeList DOMHTMLIFrameElement = DOMHTMLIFrameElementAttributeList
type DOMHTMLIFrameElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLIFrameElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentDocument", DOMHTMLIFrameElementContentDocumentPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("contentWindow", DOMHTMLIFrameElementContentWindowPropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("frameBorder", DOMHTMLIFrameElementFrameBorderPropertyInfo), '("height", DOMHTMLIFrameElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("longDesc", DOMHTMLIFrameElementLongDescPropertyInfo), '("marginHeight", DOMHTMLIFrameElementMarginHeightPropertyInfo), '("marginWidth", DOMHTMLIFrameElementMarginWidthPropertyInfo), '("name", DOMHTMLIFrameElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("scrolling", DOMHTMLIFrameElementScrollingPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("src", DOMHTMLIFrameElementSrcPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLIFrameElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLIFrameElementAlign :: AttrLabelProxy "align"
dOMHTMLIFrameElementAlign = AttrLabelProxy

dOMHTMLIFrameElementContentDocument :: AttrLabelProxy "contentDocument"
dOMHTMLIFrameElementContentDocument = AttrLabelProxy

dOMHTMLIFrameElementContentWindow :: AttrLabelProxy "contentWindow"
dOMHTMLIFrameElementContentWindow = AttrLabelProxy

dOMHTMLIFrameElementFrameBorder :: AttrLabelProxy "frameBorder"
dOMHTMLIFrameElementFrameBorder = AttrLabelProxy

dOMHTMLIFrameElementHeight :: AttrLabelProxy "height"
dOMHTMLIFrameElementHeight = AttrLabelProxy

dOMHTMLIFrameElementLongDesc :: AttrLabelProxy "longDesc"
dOMHTMLIFrameElementLongDesc = AttrLabelProxy

dOMHTMLIFrameElementMarginHeight :: AttrLabelProxy "marginHeight"
dOMHTMLIFrameElementMarginHeight = AttrLabelProxy

dOMHTMLIFrameElementMarginWidth :: AttrLabelProxy "marginWidth"
dOMHTMLIFrameElementMarginWidth = AttrLabelProxy

dOMHTMLIFrameElementName :: AttrLabelProxy "name"
dOMHTMLIFrameElementName = AttrLabelProxy

dOMHTMLIFrameElementScrolling :: AttrLabelProxy "scrolling"
dOMHTMLIFrameElementScrolling = AttrLabelProxy

dOMHTMLIFrameElementSrc :: AttrLabelProxy "src"
dOMHTMLIFrameElementSrc = AttrLabelProxy

dOMHTMLIFrameElementWidth :: AttrLabelProxy "width"
dOMHTMLIFrameElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLIFrameElement = DOMHTMLIFrameElementSignalList
type DOMHTMLIFrameElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLIFrameElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_align" webkit_dom_html_iframe_element_get_align :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetAlign

#endif

-- method DOMHTMLIFrameElement::get_content_document
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_content_document" webkit_dom_html_iframe_element_get_content_document :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO (Ptr WebKit2WebExtension.DOMDocument.DOMDocument)

{-# DEPRECATED dOMHTMLIFrameElementGetContentDocument ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetContentDocument ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m WebKit2WebExtension.DOMDocument.DOMDocument
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDocument.DOMDocument' -}
dOMHTMLIFrameElementGetContentDocument self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_content_document self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetContentDocument" result
    result' <- (newObject WebKit2WebExtension.DOMDocument.DOMDocument) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetContentDocumentMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDocument.DOMDocument), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetContentDocumentMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetContentDocument

#endif

-- method DOMHTMLIFrameElement::get_content_window
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_content_window" webkit_dom_html_iframe_element_get_content_window :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO (Ptr WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow)

{-# DEPRECATED dOMHTMLIFrameElementGetContentWindow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetContentWindow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMHTMLIFrameElementGetContentWindow self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_content_window self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetContentWindow" result
    result' <- (wrapObject WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetContentWindowMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetContentWindowMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetContentWindow

#endif

-- method DOMHTMLIFrameElement::get_frame_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_frame_border" webkit_dom_html_iframe_element_get_frame_border :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetFrameBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetFrameBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetFrameBorder self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_frame_border self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetFrameBorder" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetFrameBorderMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetFrameBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetFrameBorder

#endif

-- method DOMHTMLIFrameElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_height" webkit_dom_html_iframe_element_get_height :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_height self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetHeight" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetHeightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetHeight

#endif

-- method DOMHTMLIFrameElement::get_long_desc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_long_desc" webkit_dom_html_iframe_element_get_long_desc :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetLongDesc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetLongDesc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetLongDesc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_long_desc self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetLongDesc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetLongDescMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetLongDescMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetLongDesc

#endif

-- method DOMHTMLIFrameElement::get_margin_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_margin_height" webkit_dom_html_iframe_element_get_margin_height :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetMarginHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetMarginHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetMarginHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_margin_height self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetMarginHeight" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetMarginHeightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetMarginHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetMarginHeight

#endif

-- method DOMHTMLIFrameElement::get_margin_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_margin_width" webkit_dom_html_iframe_element_get_margin_width :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetMarginWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetMarginWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetMarginWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_margin_width self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetMarginWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetMarginWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetMarginWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetMarginWidth

#endif

-- method DOMHTMLIFrameElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_name" webkit_dom_html_iframe_element_get_name :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetName

#endif

-- method DOMHTMLIFrameElement::get_scrolling
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_scrolling" webkit_dom_html_iframe_element_get_scrolling :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetScrolling ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetScrolling ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetScrolling self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_scrolling self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetScrolling" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetScrollingMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetScrollingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetScrolling

#endif

-- method DOMHTMLIFrameElement::get_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_src" webkit_dom_html_iframe_element_get_src :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetSrc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_src self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetSrc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetSrcMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetSrc

#endif

-- method DOMHTMLIFrameElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_get_width" webkit_dom_html_iframe_element_get_width :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLIFrameElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLIFrameElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_iframe_element_get_width self'
    checkUnexpectedReturnNULL "dOMHTMLIFrameElementGetWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementGetWidth

#endif

-- method DOMHTMLIFrameElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_align" webkit_dom_html_iframe_element_set_align :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetAlign

#endif

-- method DOMHTMLIFrameElement::set_frame_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_frame_border" webkit_dom_html_iframe_element_set_frame_border :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetFrameBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetFrameBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetFrameBorder self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_frame_border self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetFrameBorderMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetFrameBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetFrameBorder

#endif

-- method DOMHTMLIFrameElement::set_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_height" webkit_dom_html_iframe_element_set_height :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_height self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetHeightMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetHeight

#endif

-- method DOMHTMLIFrameElement::set_long_desc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_long_desc" webkit_dom_html_iframe_element_set_long_desc :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetLongDesc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetLongDesc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetLongDesc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_long_desc self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetLongDescMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetLongDescMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetLongDesc

#endif

-- method DOMHTMLIFrameElement::set_margin_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_margin_height" webkit_dom_html_iframe_element_set_margin_height :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetMarginHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetMarginHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetMarginHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_margin_height self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetMarginHeightMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetMarginHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetMarginHeight

#endif

-- method DOMHTMLIFrameElement::set_margin_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_margin_width" webkit_dom_html_iframe_element_set_margin_width :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetMarginWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetMarginWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetMarginWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_margin_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetMarginWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetMarginWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetMarginWidth

#endif

-- method DOMHTMLIFrameElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_name" webkit_dom_html_iframe_element_set_name :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetName

#endif

-- method DOMHTMLIFrameElement::set_scrolling
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_scrolling" webkit_dom_html_iframe_element_set_scrolling :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetScrolling ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetScrolling ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetScrolling self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_scrolling self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetScrollingMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetScrollingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetScrolling

#endif

-- method DOMHTMLIFrameElement::set_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_src" webkit_dom_html_iframe_element_set_src :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetSrc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_src self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetSrcMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetSrc

#endif

-- method DOMHTMLIFrameElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLIFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_iframe_element_set_width" webkit_dom_html_iframe_element_set_width :: 
    Ptr DOMHTMLIFrameElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLIFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLIFrameElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLIFrameElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLIFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement.DOMHTMLIFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLIFrameElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_iframe_element_set_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLIFrameElement a) => O.MethodInfo DOMHTMLIFrameElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLIFrameElementSetWidth

#endif


