

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLImageElement
    ( 

-- * Exported types
    DOMHTMLImageElement(..)                 ,
    IsDOMHTMLImageElement                   ,
    toDOMHTMLImageElement                   ,
    noDOMHTMLImageElement                   ,


 -- * Methods
-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetAlignMethodInfo   ,
#endif
    dOMHTMLImageElementGetAlign             ,


-- ** getAlt #method:getAlt#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetAltMethodInfo     ,
#endif
    dOMHTMLImageElementGetAlt               ,


-- ** getBorder #method:getBorder#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetBorderMethodInfo  ,
#endif
    dOMHTMLImageElementGetBorder            ,


-- ** getComplete #method:getComplete#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetCompleteMethodInfo,
#endif
    dOMHTMLImageElementGetComplete          ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetHeightMethodInfo  ,
#endif
    dOMHTMLImageElementGetHeight            ,


-- ** getHspace #method:getHspace#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetHspaceMethodInfo  ,
#endif
    dOMHTMLImageElementGetHspace            ,


-- ** getIsMap #method:getIsMap#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetIsMapMethodInfo   ,
#endif
    dOMHTMLImageElementGetIsMap             ,


-- ** getLongDesc #method:getLongDesc#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetLongDescMethodInfo,
#endif
    dOMHTMLImageElementGetLongDesc          ,


-- ** getLowsrc #method:getLowsrc#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetLowsrcMethodInfo  ,
#endif
    dOMHTMLImageElementGetLowsrc            ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetNameMethodInfo    ,
#endif
    dOMHTMLImageElementGetName              ,


-- ** getNaturalHeight #method:getNaturalHeight#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetNaturalHeightMethodInfo,
#endif
    dOMHTMLImageElementGetNaturalHeight     ,


-- ** getNaturalWidth #method:getNaturalWidth#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetNaturalWidthMethodInfo,
#endif
    dOMHTMLImageElementGetNaturalWidth      ,


-- ** getSrc #method:getSrc#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetSrcMethodInfo     ,
#endif
    dOMHTMLImageElementGetSrc               ,


-- ** getUseMap #method:getUseMap#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetUseMapMethodInfo  ,
#endif
    dOMHTMLImageElementGetUseMap            ,


-- ** getVspace #method:getVspace#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetVspaceMethodInfo  ,
#endif
    dOMHTMLImageElementGetVspace            ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetWidthMethodInfo   ,
#endif
    dOMHTMLImageElementGetWidth             ,


-- ** getX #method:getX#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetXMethodInfo       ,
#endif
    dOMHTMLImageElementGetX                 ,


-- ** getY #method:getY#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementGetYMethodInfo       ,
#endif
    dOMHTMLImageElementGetY                 ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetAlignMethodInfo   ,
#endif
    dOMHTMLImageElementSetAlign             ,


-- ** setAlt #method:setAlt#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetAltMethodInfo     ,
#endif
    dOMHTMLImageElementSetAlt               ,


-- ** setBorder #method:setBorder#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetBorderMethodInfo  ,
#endif
    dOMHTMLImageElementSetBorder            ,


-- ** setHeight #method:setHeight#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetHeightMethodInfo  ,
#endif
    dOMHTMLImageElementSetHeight            ,


-- ** setHspace #method:setHspace#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetHspaceMethodInfo  ,
#endif
    dOMHTMLImageElementSetHspace            ,


-- ** setIsMap #method:setIsMap#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetIsMapMethodInfo   ,
#endif
    dOMHTMLImageElementSetIsMap             ,


-- ** setLongDesc #method:setLongDesc#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetLongDescMethodInfo,
#endif
    dOMHTMLImageElementSetLongDesc          ,


-- ** setLowsrc #method:setLowsrc#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetLowsrcMethodInfo  ,
#endif
    dOMHTMLImageElementSetLowsrc            ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetNameMethodInfo    ,
#endif
    dOMHTMLImageElementSetName              ,


-- ** setSrc #method:setSrc#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetSrcMethodInfo     ,
#endif
    dOMHTMLImageElementSetSrc               ,


-- ** setUseMap #method:setUseMap#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetUseMapMethodInfo  ,
#endif
    dOMHTMLImageElementSetUseMap            ,


-- ** setVspace #method:setVspace#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetVspaceMethodInfo  ,
#endif
    dOMHTMLImageElementSetVspace            ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLImageElementSetWidthMethodInfo   ,
#endif
    dOMHTMLImageElementSetWidth             ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementAlignPropertyInfo    ,
#endif
    constructDOMHTMLImageElementAlign       ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementAlign                ,
#endif
    getDOMHTMLImageElementAlign             ,
    setDOMHTMLImageElementAlign             ,


-- ** alt #attr:alt#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementAltPropertyInfo      ,
#endif
    constructDOMHTMLImageElementAlt         ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementAlt                  ,
#endif
    getDOMHTMLImageElementAlt               ,
    setDOMHTMLImageElementAlt               ,


-- ** border #attr:border#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementBorderPropertyInfo   ,
#endif
    constructDOMHTMLImageElementBorder      ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementBorder               ,
#endif
    getDOMHTMLImageElementBorder            ,
    setDOMHTMLImageElementBorder            ,


-- ** complete #attr:complete#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementCompletePropertyInfo ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLImageElementComplete             ,
#endif
    getDOMHTMLImageElementComplete          ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementHeightPropertyInfo   ,
#endif
    constructDOMHTMLImageElementHeight      ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementHeight               ,
#endif
    getDOMHTMLImageElementHeight            ,
    setDOMHTMLImageElementHeight            ,


-- ** hspace #attr:hspace#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementHspacePropertyInfo   ,
#endif
    constructDOMHTMLImageElementHspace      ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementHspace               ,
#endif
    getDOMHTMLImageElementHspace            ,
    setDOMHTMLImageElementHspace            ,


-- ** isMap #attr:isMap#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementIsMapPropertyInfo    ,
#endif
    constructDOMHTMLImageElementIsMap       ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementIsMap                ,
#endif
    getDOMHTMLImageElementIsMap             ,
    setDOMHTMLImageElementIsMap             ,


-- ** longDesc #attr:longDesc#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementLongDescPropertyInfo ,
#endif
    constructDOMHTMLImageElementLongDesc    ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementLongDesc             ,
#endif
    getDOMHTMLImageElementLongDesc          ,
    setDOMHTMLImageElementLongDesc          ,


-- ** lowsrc #attr:lowsrc#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementLowsrcPropertyInfo   ,
#endif
    constructDOMHTMLImageElementLowsrc      ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementLowsrc               ,
#endif
    getDOMHTMLImageElementLowsrc            ,
    setDOMHTMLImageElementLowsrc            ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementNamePropertyInfo     ,
#endif
    constructDOMHTMLImageElementName        ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementName                 ,
#endif
    getDOMHTMLImageElementName              ,
    setDOMHTMLImageElementName              ,


-- ** naturalHeight #attr:naturalHeight#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementNaturalHeightPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLImageElementNaturalHeight        ,
#endif
    getDOMHTMLImageElementNaturalHeight     ,


-- ** naturalWidth #attr:naturalWidth#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementNaturalWidthPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLImageElementNaturalWidth         ,
#endif
    getDOMHTMLImageElementNaturalWidth      ,


-- ** src #attr:src#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementSrcPropertyInfo      ,
#endif
    constructDOMHTMLImageElementSrc         ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementSrc                  ,
#endif
    getDOMHTMLImageElementSrc               ,
    setDOMHTMLImageElementSrc               ,


-- ** useMap #attr:useMap#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementUseMapPropertyInfo   ,
#endif
    constructDOMHTMLImageElementUseMap      ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementUseMap               ,
#endif
    getDOMHTMLImageElementUseMap            ,
    setDOMHTMLImageElementUseMap            ,


-- ** vspace #attr:vspace#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementVspacePropertyInfo   ,
#endif
    constructDOMHTMLImageElementVspace      ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementVspace               ,
#endif
    getDOMHTMLImageElementVspace            ,
    setDOMHTMLImageElementVspace            ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementWidthPropertyInfo    ,
#endif
    constructDOMHTMLImageElementWidth       ,
#if ENABLE_OVERLOADING
    dOMHTMLImageElementWidth                ,
#endif
    getDOMHTMLImageElementWidth             ,
    setDOMHTMLImageElementWidth             ,


-- ** x #attr:x#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementXPropertyInfo        ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLImageElementX                    ,
#endif
    getDOMHTMLImageElementX                 ,


-- ** y #attr:y#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLImageElementYPropertyInfo        ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLImageElementY                    ,
#endif
    getDOMHTMLImageElementY                 ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLImageElement = DOMHTMLImageElement (ManagedPtr DOMHTMLImageElement)
foreign import ccall "webkit_dom_html_image_element_get_type"
    c_webkit_dom_html_image_element_get_type :: IO GType

instance GObject DOMHTMLImageElement where
    gobjectType = c_webkit_dom_html_image_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLImageElement`, for instance with `toDOMHTMLImageElement`.
class (GObject o, O.IsDescendantOf DOMHTMLImageElement o) => IsDOMHTMLImageElement o
instance (GObject o, O.IsDescendantOf DOMHTMLImageElement o) => IsDOMHTMLImageElement o

instance O.HasParentTypes DOMHTMLImageElement
type instance O.ParentTypes DOMHTMLImageElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLImageElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLImageElement :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m DOMHTMLImageElement
toDOMHTMLImageElement = liftIO . unsafeCastTo DOMHTMLImageElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLImageElement`.
noDOMHTMLImageElement :: Maybe DOMHTMLImageElement
noDOMHTMLImageElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLImageElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLImageElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLImageElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLImageElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLImageElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLImageElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLImageElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLImageElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLImageElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLImageElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLImageElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLImageElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLImageElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLImageElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLImageElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLImageElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLImageElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLImageElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLImageElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLImageElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLImageElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLImageElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLImageElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLImageElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLImageElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLImageElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLImageElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLImageElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLImageElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLImageElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLImageElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLImageElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLImageElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLImageElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLImageElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLImageElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLImageElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLImageElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLImageElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLImageElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLImageElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLImageElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLImageElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLImageElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLImageElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLImageElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLImageElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLImageElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLImageElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLImageElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLImageElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLImageElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLImageElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLImageElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLImageElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLImageElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLImageElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLImageElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLImageElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLImageElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLImageElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLImageElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLImageElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLImageElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLImageElementMethod "getAlign" o = DOMHTMLImageElementGetAlignMethodInfo
    ResolveDOMHTMLImageElementMethod "getAlt" o = DOMHTMLImageElementGetAltMethodInfo
    ResolveDOMHTMLImageElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLImageElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLImageElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLImageElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLImageElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLImageElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLImageElementMethod "getBorder" o = DOMHTMLImageElementGetBorderMethodInfo
    ResolveDOMHTMLImageElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLImageElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLImageElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLImageElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLImageElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLImageElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLImageElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLImageElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLImageElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLImageElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLImageElementMethod "getComplete" o = DOMHTMLImageElementGetCompleteMethodInfo
    ResolveDOMHTMLImageElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLImageElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLImageElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLImageElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLImageElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLImageElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLImageElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLImageElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLImageElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLImageElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLImageElementMethod "getHeight" o = DOMHTMLImageElementGetHeightMethodInfo
    ResolveDOMHTMLImageElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLImageElementMethod "getHspace" o = DOMHTMLImageElementGetHspaceMethodInfo
    ResolveDOMHTMLImageElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLImageElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLImageElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLImageElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLImageElementMethod "getIsMap" o = DOMHTMLImageElementGetIsMapMethodInfo
    ResolveDOMHTMLImageElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLImageElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLImageElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLImageElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getLongDesc" o = DOMHTMLImageElementGetLongDescMethodInfo
    ResolveDOMHTMLImageElementMethod "getLowsrc" o = DOMHTMLImageElementGetLowsrcMethodInfo
    ResolveDOMHTMLImageElementMethod "getName" o = DOMHTMLImageElementGetNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLImageElementMethod "getNaturalHeight" o = DOMHTMLImageElementGetNaturalHeightMethodInfo
    ResolveDOMHTMLImageElementMethod "getNaturalWidth" o = DOMHTMLImageElementGetNaturalWidthMethodInfo
    ResolveDOMHTMLImageElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLImageElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLImageElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLImageElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLImageElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLImageElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLImageElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLImageElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLImageElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLImageElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLImageElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLImageElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLImageElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLImageElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLImageElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLImageElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLImageElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLImageElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLImageElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLImageElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLImageElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLImageElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLImageElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLImageElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLImageElementMethod "getSrc" o = DOMHTMLImageElementGetSrcMethodInfo
    ResolveDOMHTMLImageElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLImageElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLImageElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLImageElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLImageElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLImageElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLImageElementMethod "getUseMap" o = DOMHTMLImageElementGetUseMapMethodInfo
    ResolveDOMHTMLImageElementMethod "getVspace" o = DOMHTMLImageElementGetVspaceMethodInfo
    ResolveDOMHTMLImageElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLImageElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLImageElementMethod "getWidth" o = DOMHTMLImageElementGetWidthMethodInfo
    ResolveDOMHTMLImageElementMethod "getX" o = DOMHTMLImageElementGetXMethodInfo
    ResolveDOMHTMLImageElementMethod "getY" o = DOMHTMLImageElementGetYMethodInfo
    ResolveDOMHTMLImageElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLImageElementMethod "setAlign" o = DOMHTMLImageElementSetAlignMethodInfo
    ResolveDOMHTMLImageElementMethod "setAlt" o = DOMHTMLImageElementSetAltMethodInfo
    ResolveDOMHTMLImageElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLImageElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLImageElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLImageElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLImageElementMethod "setBorder" o = DOMHTMLImageElementSetBorderMethodInfo
    ResolveDOMHTMLImageElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLImageElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLImageElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLImageElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLImageElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLImageElementMethod "setHeight" o = DOMHTMLImageElementSetHeightMethodInfo
    ResolveDOMHTMLImageElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLImageElementMethod "setHspace" o = DOMHTMLImageElementSetHspaceMethodInfo
    ResolveDOMHTMLImageElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLImageElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLImageElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLImageElementMethod "setIsMap" o = DOMHTMLImageElementSetIsMapMethodInfo
    ResolveDOMHTMLImageElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLImageElementMethod "setLongDesc" o = DOMHTMLImageElementSetLongDescMethodInfo
    ResolveDOMHTMLImageElementMethod "setLowsrc" o = DOMHTMLImageElementSetLowsrcMethodInfo
    ResolveDOMHTMLImageElementMethod "setName" o = DOMHTMLImageElementSetNameMethodInfo
    ResolveDOMHTMLImageElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLImageElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLImageElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLImageElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLImageElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLImageElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLImageElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLImageElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLImageElementMethod "setSrc" o = DOMHTMLImageElementSetSrcMethodInfo
    ResolveDOMHTMLImageElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLImageElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLImageElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLImageElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLImageElementMethod "setUseMap" o = DOMHTMLImageElementSetUseMapMethodInfo
    ResolveDOMHTMLImageElementMethod "setVspace" o = DOMHTMLImageElementSetVspaceMethodInfo
    ResolveDOMHTMLImageElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLImageElementMethod "setWidth" o = DOMHTMLImageElementSetWidthMethodInfo
    ResolveDOMHTMLImageElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLImageElementMethod t DOMHTMLImageElement, O.MethodInfo info DOMHTMLImageElement p) => OL.IsLabel t (DOMHTMLImageElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #align
@
-}
getDOMHTMLImageElementAlign :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementAlign :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementAlign :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementAlignPropertyInfo
instance AttrInfo DOMHTMLImageElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementAlignPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLImageElementAlignPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementAlign
    attrSet _ = setDOMHTMLImageElementAlign
    attrConstruct _ = constructDOMHTMLImageElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "alt"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@alt@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #alt
@
-}
getDOMHTMLImageElementAlt :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementAlt obj = liftIO $ B.Properties.getObjectPropertyString obj "alt"

{- |
Set the value of the “@alt@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #alt 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementAlt :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementAlt obj val = liftIO $ B.Properties.setObjectPropertyString obj "alt" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@alt@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementAlt :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementAlt val = B.Properties.constructObjectPropertyString "alt" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementAltPropertyInfo
instance AttrInfo DOMHTMLImageElementAltPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementAltPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementAltPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementAltPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementAltPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementAltPropertyInfo = "alt"
    type AttrOrigin DOMHTMLImageElementAltPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementAlt
    attrSet _ = setDOMHTMLImageElementAlt
    attrConstruct _ = constructDOMHTMLImageElementAlt
    attrClear _ = undefined
#endif

-- VVV Prop "border"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #border
@
-}
getDOMHTMLImageElementBorder :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementBorder obj = liftIO $ B.Properties.getObjectPropertyString obj "border"

{- |
Set the value of the “@border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #border 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementBorder :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementBorder obj val = liftIO $ B.Properties.setObjectPropertyString obj "border" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@border@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementBorder :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementBorder val = B.Properties.constructObjectPropertyString "border" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementBorderPropertyInfo
instance AttrInfo DOMHTMLImageElementBorderPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementBorderPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementBorderPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementBorderPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementBorderPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementBorderPropertyInfo = "border"
    type AttrOrigin DOMHTMLImageElementBorderPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementBorder
    attrSet _ = setDOMHTMLImageElementBorder
    attrConstruct _ = constructDOMHTMLImageElementBorder
    attrClear _ = undefined
#endif

-- VVV Prop "complete"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@complete@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #complete
@
-}
getDOMHTMLImageElementComplete :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m Bool
getDOMHTMLImageElementComplete obj = liftIO $ B.Properties.getObjectPropertyBool obj "complete"

#if ENABLE_OVERLOADING
data DOMHTMLImageElementCompletePropertyInfo
instance AttrInfo DOMHTMLImageElementCompletePropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementCompletePropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementCompletePropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLImageElementCompletePropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementCompletePropertyInfo = Bool
    type AttrLabel DOMHTMLImageElementCompletePropertyInfo = "complete"
    type AttrOrigin DOMHTMLImageElementCompletePropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementComplete
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #height
@
-}
getDOMHTMLImageElementHeight :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "height"

{- |
Set the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #height 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementHeight :: (MonadIO m, IsDOMHTMLImageElement o) => o -> CLong -> m ()
setDOMHTMLImageElementHeight obj val = liftIO $ B.Properties.setObjectPropertyLong obj "height" val

{- |
Construct a `GValueConstruct` with valid value for the “@height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementHeight :: (IsDOMHTMLImageElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLImageElementHeight val = B.Properties.constructObjectPropertyLong "height" val

#if ENABLE_OVERLOADING
data DOMHTMLImageElementHeightPropertyInfo
instance AttrInfo DOMHTMLImageElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementHeightPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLImageElementHeightPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementHeightPropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLImageElementHeightPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementHeight
    attrSet _ = setDOMHTMLImageElementHeight
    attrConstruct _ = constructDOMHTMLImageElementHeight
    attrClear _ = undefined
#endif

-- VVV Prop "hspace"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@hspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #hspace
@
-}
getDOMHTMLImageElementHspace :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementHspace obj = liftIO $ B.Properties.getObjectPropertyLong obj "hspace"

{- |
Set the value of the “@hspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #hspace 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementHspace :: (MonadIO m, IsDOMHTMLImageElement o) => o -> CLong -> m ()
setDOMHTMLImageElementHspace obj val = liftIO $ B.Properties.setObjectPropertyLong obj "hspace" val

{- |
Construct a `GValueConstruct` with valid value for the “@hspace@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementHspace :: (IsDOMHTMLImageElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLImageElementHspace val = B.Properties.constructObjectPropertyLong "hspace" val

#if ENABLE_OVERLOADING
data DOMHTMLImageElementHspacePropertyInfo
instance AttrInfo DOMHTMLImageElementHspacePropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementHspacePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementHspacePropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLImageElementHspacePropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementHspacePropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementHspacePropertyInfo = "hspace"
    type AttrOrigin DOMHTMLImageElementHspacePropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementHspace
    attrSet _ = setDOMHTMLImageElementHspace
    attrConstruct _ = constructDOMHTMLImageElementHspace
    attrClear _ = undefined
#endif

-- VVV Prop "is-map"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@is-map@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #isMap
@
-}
getDOMHTMLImageElementIsMap :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m Bool
getDOMHTMLImageElementIsMap obj = liftIO $ B.Properties.getObjectPropertyBool obj "is-map"

{- |
Set the value of the “@is-map@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #isMap 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementIsMap :: (MonadIO m, IsDOMHTMLImageElement o) => o -> Bool -> m ()
setDOMHTMLImageElementIsMap obj val = liftIO $ B.Properties.setObjectPropertyBool obj "is-map" val

{- |
Construct a `GValueConstruct` with valid value for the “@is-map@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementIsMap :: (IsDOMHTMLImageElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLImageElementIsMap val = B.Properties.constructObjectPropertyBool "is-map" val

#if ENABLE_OVERLOADING
data DOMHTMLImageElementIsMapPropertyInfo
instance AttrInfo DOMHTMLImageElementIsMapPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementIsMapPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementIsMapPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLImageElementIsMapPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementIsMapPropertyInfo = Bool
    type AttrLabel DOMHTMLImageElementIsMapPropertyInfo = "is-map"
    type AttrOrigin DOMHTMLImageElementIsMapPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementIsMap
    attrSet _ = setDOMHTMLImageElementIsMap
    attrConstruct _ = constructDOMHTMLImageElementIsMap
    attrClear _ = undefined
#endif

-- VVV Prop "long-desc"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@long-desc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #longDesc
@
-}
getDOMHTMLImageElementLongDesc :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementLongDesc obj = liftIO $ B.Properties.getObjectPropertyString obj "long-desc"

{- |
Set the value of the “@long-desc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #longDesc 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementLongDesc :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementLongDesc obj val = liftIO $ B.Properties.setObjectPropertyString obj "long-desc" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@long-desc@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementLongDesc :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementLongDesc val = B.Properties.constructObjectPropertyString "long-desc" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementLongDescPropertyInfo
instance AttrInfo DOMHTMLImageElementLongDescPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementLongDescPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementLongDescPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementLongDescPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementLongDescPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementLongDescPropertyInfo = "long-desc"
    type AttrOrigin DOMHTMLImageElementLongDescPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementLongDesc
    attrSet _ = setDOMHTMLImageElementLongDesc
    attrConstruct _ = constructDOMHTMLImageElementLongDesc
    attrClear _ = undefined
#endif

-- VVV Prop "lowsrc"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@lowsrc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #lowsrc
@
-}
getDOMHTMLImageElementLowsrc :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementLowsrc obj = liftIO $ B.Properties.getObjectPropertyString obj "lowsrc"

{- |
Set the value of the “@lowsrc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #lowsrc 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementLowsrc :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementLowsrc obj val = liftIO $ B.Properties.setObjectPropertyString obj "lowsrc" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@lowsrc@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementLowsrc :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementLowsrc val = B.Properties.constructObjectPropertyString "lowsrc" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementLowsrcPropertyInfo
instance AttrInfo DOMHTMLImageElementLowsrcPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementLowsrcPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementLowsrcPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementLowsrcPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementLowsrcPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementLowsrcPropertyInfo = "lowsrc"
    type AttrOrigin DOMHTMLImageElementLowsrcPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementLowsrc
    attrSet _ = setDOMHTMLImageElementLowsrc
    attrConstruct _ = constructDOMHTMLImageElementLowsrc
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #name
@
-}
getDOMHTMLImageElementName :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementName :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementName :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementNamePropertyInfo
instance AttrInfo DOMHTMLImageElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementNamePropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLImageElementNamePropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementName
    attrSet _ = setDOMHTMLImageElementName
    attrConstruct _ = constructDOMHTMLImageElementName
    attrClear _ = undefined
#endif

-- VVV Prop "natural-height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@natural-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #naturalHeight
@
-}
getDOMHTMLImageElementNaturalHeight :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementNaturalHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "natural-height"

#if ENABLE_OVERLOADING
data DOMHTMLImageElementNaturalHeightPropertyInfo
instance AttrInfo DOMHTMLImageElementNaturalHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementNaturalHeightPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementNaturalHeightPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLImageElementNaturalHeightPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementNaturalHeightPropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementNaturalHeightPropertyInfo = "natural-height"
    type AttrOrigin DOMHTMLImageElementNaturalHeightPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementNaturalHeight
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "natural-width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@natural-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #naturalWidth
@
-}
getDOMHTMLImageElementNaturalWidth :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementNaturalWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "natural-width"

#if ENABLE_OVERLOADING
data DOMHTMLImageElementNaturalWidthPropertyInfo
instance AttrInfo DOMHTMLImageElementNaturalWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementNaturalWidthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementNaturalWidthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLImageElementNaturalWidthPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementNaturalWidthPropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementNaturalWidthPropertyInfo = "natural-width"
    type AttrOrigin DOMHTMLImageElementNaturalWidthPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementNaturalWidth
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "src"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #src
@
-}
getDOMHTMLImageElementSrc :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementSrc obj = liftIO $ B.Properties.getObjectPropertyString obj "src"

{- |
Set the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #src 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementSrc :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementSrc obj val = liftIO $ B.Properties.setObjectPropertyString obj "src" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@src@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementSrc :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementSrc val = B.Properties.constructObjectPropertyString "src" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSrcPropertyInfo
instance AttrInfo DOMHTMLImageElementSrcPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementSrcPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementSrcPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementSrcPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementSrcPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementSrcPropertyInfo = "src"
    type AttrOrigin DOMHTMLImageElementSrcPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementSrc
    attrSet _ = setDOMHTMLImageElementSrc
    attrConstruct _ = constructDOMHTMLImageElementSrc
    attrClear _ = undefined
#endif

-- VVV Prop "use-map"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@use-map@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #useMap
@
-}
getDOMHTMLImageElementUseMap :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m (Maybe T.Text)
getDOMHTMLImageElementUseMap obj = liftIO $ B.Properties.getObjectPropertyString obj "use-map"

{- |
Set the value of the “@use-map@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #useMap 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementUseMap :: (MonadIO m, IsDOMHTMLImageElement o) => o -> T.Text -> m ()
setDOMHTMLImageElementUseMap obj val = liftIO $ B.Properties.setObjectPropertyString obj "use-map" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@use-map@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementUseMap :: (IsDOMHTMLImageElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLImageElementUseMap val = B.Properties.constructObjectPropertyString "use-map" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLImageElementUseMapPropertyInfo
instance AttrInfo DOMHTMLImageElementUseMapPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementUseMapPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementUseMapPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLImageElementUseMapPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementUseMapPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLImageElementUseMapPropertyInfo = "use-map"
    type AttrOrigin DOMHTMLImageElementUseMapPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementUseMap
    attrSet _ = setDOMHTMLImageElementUseMap
    attrConstruct _ = constructDOMHTMLImageElementUseMap
    attrClear _ = undefined
#endif

-- VVV Prop "vspace"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@vspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #vspace
@
-}
getDOMHTMLImageElementVspace :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementVspace obj = liftIO $ B.Properties.getObjectPropertyLong obj "vspace"

{- |
Set the value of the “@vspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #vspace 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementVspace :: (MonadIO m, IsDOMHTMLImageElement o) => o -> CLong -> m ()
setDOMHTMLImageElementVspace obj val = liftIO $ B.Properties.setObjectPropertyLong obj "vspace" val

{- |
Construct a `GValueConstruct` with valid value for the “@vspace@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementVspace :: (IsDOMHTMLImageElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLImageElementVspace val = B.Properties.constructObjectPropertyLong "vspace" val

#if ENABLE_OVERLOADING
data DOMHTMLImageElementVspacePropertyInfo
instance AttrInfo DOMHTMLImageElementVspacePropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementVspacePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementVspacePropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLImageElementVspacePropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementVspacePropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementVspacePropertyInfo = "vspace"
    type AttrOrigin DOMHTMLImageElementVspacePropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementVspace
    attrSet _ = setDOMHTMLImageElementVspace
    attrConstruct _ = constructDOMHTMLImageElementVspace
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #width
@
-}
getDOMHTMLImageElementWidth :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLImageElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLImageElementWidth :: (MonadIO m, IsDOMHTMLImageElement o) => o -> CLong -> m ()
setDOMHTMLImageElementWidth obj val = liftIO $ B.Properties.setObjectPropertyLong obj "width" val

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLImageElementWidth :: (IsDOMHTMLImageElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLImageElementWidth val = B.Properties.constructObjectPropertyLong "width" val

#if ENABLE_OVERLOADING
data DOMHTMLImageElementWidthPropertyInfo
instance AttrInfo DOMHTMLImageElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementWidthPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLImageElementWidthPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementWidthPropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLImageElementWidthPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementWidth
    attrSet _ = setDOMHTMLImageElementWidth
    attrConstruct _ = constructDOMHTMLImageElementWidth
    attrClear _ = undefined
#endif

-- VVV Prop "x"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@x@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #x
@
-}
getDOMHTMLImageElementX :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementX obj = liftIO $ B.Properties.getObjectPropertyLong obj "x"

#if ENABLE_OVERLOADING
data DOMHTMLImageElementXPropertyInfo
instance AttrInfo DOMHTMLImageElementXPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementXPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementXPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLImageElementXPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementXPropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementXPropertyInfo = "x"
    type AttrOrigin DOMHTMLImageElementXPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementX
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "y"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@y@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLImageElement #y
@
-}
getDOMHTMLImageElementY :: (MonadIO m, IsDOMHTMLImageElement o) => o -> m CLong
getDOMHTMLImageElementY obj = liftIO $ B.Properties.getObjectPropertyLong obj "y"

#if ENABLE_OVERLOADING
data DOMHTMLImageElementYPropertyInfo
instance AttrInfo DOMHTMLImageElementYPropertyInfo where
    type AttrAllowedOps DOMHTMLImageElementYPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLImageElementYPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLImageElementYPropertyInfo = IsDOMHTMLImageElement
    type AttrGetType DOMHTMLImageElementYPropertyInfo = CLong
    type AttrLabel DOMHTMLImageElementYPropertyInfo = "y"
    type AttrOrigin DOMHTMLImageElementYPropertyInfo = DOMHTMLImageElement
    attrGet _ = getDOMHTMLImageElementY
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLImageElement
type instance O.AttributeList DOMHTMLImageElement = DOMHTMLImageElementAttributeList
type DOMHTMLImageElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLImageElementAlignPropertyInfo), '("alt", DOMHTMLImageElementAltPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("border", DOMHTMLImageElementBorderPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("complete", DOMHTMLImageElementCompletePropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("height", DOMHTMLImageElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("hspace", DOMHTMLImageElementHspacePropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("isMap", DOMHTMLImageElementIsMapPropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("longDesc", DOMHTMLImageElementLongDescPropertyInfo), '("lowsrc", DOMHTMLImageElementLowsrcPropertyInfo), '("name", DOMHTMLImageElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("naturalHeight", DOMHTMLImageElementNaturalHeightPropertyInfo), '("naturalWidth", DOMHTMLImageElementNaturalWidthPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("src", DOMHTMLImageElementSrcPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("useMap", DOMHTMLImageElementUseMapPropertyInfo), '("vspace", DOMHTMLImageElementVspacePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLImageElementWidthPropertyInfo), '("x", DOMHTMLImageElementXPropertyInfo), '("y", DOMHTMLImageElementYPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLImageElementAlign :: AttrLabelProxy "align"
dOMHTMLImageElementAlign = AttrLabelProxy

dOMHTMLImageElementAlt :: AttrLabelProxy "alt"
dOMHTMLImageElementAlt = AttrLabelProxy

dOMHTMLImageElementBorder :: AttrLabelProxy "border"
dOMHTMLImageElementBorder = AttrLabelProxy

dOMHTMLImageElementComplete :: AttrLabelProxy "complete"
dOMHTMLImageElementComplete = AttrLabelProxy

dOMHTMLImageElementHeight :: AttrLabelProxy "height"
dOMHTMLImageElementHeight = AttrLabelProxy

dOMHTMLImageElementHspace :: AttrLabelProxy "hspace"
dOMHTMLImageElementHspace = AttrLabelProxy

dOMHTMLImageElementIsMap :: AttrLabelProxy "isMap"
dOMHTMLImageElementIsMap = AttrLabelProxy

dOMHTMLImageElementLongDesc :: AttrLabelProxy "longDesc"
dOMHTMLImageElementLongDesc = AttrLabelProxy

dOMHTMLImageElementLowsrc :: AttrLabelProxy "lowsrc"
dOMHTMLImageElementLowsrc = AttrLabelProxy

dOMHTMLImageElementName :: AttrLabelProxy "name"
dOMHTMLImageElementName = AttrLabelProxy

dOMHTMLImageElementNaturalHeight :: AttrLabelProxy "naturalHeight"
dOMHTMLImageElementNaturalHeight = AttrLabelProxy

dOMHTMLImageElementNaturalWidth :: AttrLabelProxy "naturalWidth"
dOMHTMLImageElementNaturalWidth = AttrLabelProxy

dOMHTMLImageElementSrc :: AttrLabelProxy "src"
dOMHTMLImageElementSrc = AttrLabelProxy

dOMHTMLImageElementUseMap :: AttrLabelProxy "useMap"
dOMHTMLImageElementUseMap = AttrLabelProxy

dOMHTMLImageElementVspace :: AttrLabelProxy "vspace"
dOMHTMLImageElementVspace = AttrLabelProxy

dOMHTMLImageElementWidth :: AttrLabelProxy "width"
dOMHTMLImageElementWidth = AttrLabelProxy

dOMHTMLImageElementX :: AttrLabelProxy "x"
dOMHTMLImageElementX = AttrLabelProxy

dOMHTMLImageElementY :: AttrLabelProxy "y"
dOMHTMLImageElementY = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLImageElement = DOMHTMLImageElementSignalList
type DOMHTMLImageElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLImageElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_align" webkit_dom_html_image_element_get_align :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetAlign

#endif

-- method DOMHTMLImageElement::get_alt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_alt" webkit_dom_html_image_element_get_alt :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetAlt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetAlt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetAlt self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_alt self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetAlt" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetAltMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetAltMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetAlt

#endif

-- method DOMHTMLImageElement::get_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_border" webkit_dom_html_image_element_get_border :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetBorder self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_border self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetBorder" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetBorderMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetBorder

#endif

-- method DOMHTMLImageElement::get_complete
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_complete" webkit_dom_html_image_element_get_complete :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CInt

{-# DEPRECATED dOMHTMLImageElementGetComplete ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetComplete ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLImageElementGetComplete self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_complete self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetCompleteMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetCompleteMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetComplete

#endif

-- method DOMHTMLImageElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_height" webkit_dom_html_image_element_get_height :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetHeight

#endif

-- method DOMHTMLImageElement::get_hspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_hspace" webkit_dom_html_image_element_get_hspace :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetHspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetHspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetHspace self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_hspace self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetHspaceMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetHspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetHspace

#endif

-- method DOMHTMLImageElement::get_is_map
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_is_map" webkit_dom_html_image_element_get_is_map :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CInt

{-# DEPRECATED dOMHTMLImageElementGetIsMap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetIsMap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLImageElementGetIsMap self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_is_map self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetIsMapMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetIsMapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetIsMap

#endif

-- method DOMHTMLImageElement::get_long_desc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_long_desc" webkit_dom_html_image_element_get_long_desc :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetLongDesc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetLongDesc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetLongDesc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_long_desc self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetLongDesc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetLongDescMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetLongDescMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetLongDesc

#endif

-- method DOMHTMLImageElement::get_lowsrc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_lowsrc" webkit_dom_html_image_element_get_lowsrc :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetLowsrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetLowsrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetLowsrc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_lowsrc self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetLowsrc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetLowsrcMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetLowsrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetLowsrc

#endif

-- method DOMHTMLImageElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_name" webkit_dom_html_image_element_get_name :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetName

#endif

-- method DOMHTMLImageElement::get_natural_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_natural_height" webkit_dom_html_image_element_get_natural_height :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetNaturalHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetNaturalHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetNaturalHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_natural_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetNaturalHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetNaturalHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetNaturalHeight

#endif

-- method DOMHTMLImageElement::get_natural_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_natural_width" webkit_dom_html_image_element_get_natural_width :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetNaturalWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetNaturalWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetNaturalWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_natural_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetNaturalWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetNaturalWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetNaturalWidth

#endif

-- method DOMHTMLImageElement::get_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_src" webkit_dom_html_image_element_get_src :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetSrc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_src self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetSrc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetSrcMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetSrc

#endif

-- method DOMHTMLImageElement::get_use_map
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_use_map" webkit_dom_html_image_element_get_use_map :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CString

{-# DEPRECATED dOMHTMLImageElementGetUseMap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetUseMap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLImageElementGetUseMap self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_use_map self'
    checkUnexpectedReturnNULL "dOMHTMLImageElementGetUseMap" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetUseMapMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetUseMapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetUseMap

#endif

-- method DOMHTMLImageElement::get_vspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_vspace" webkit_dom_html_image_element_get_vspace :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetVspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetVspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetVspace self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_vspace self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetVspaceMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetVspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetVspace

#endif

-- method DOMHTMLImageElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_width" webkit_dom_html_image_element_get_width :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetWidth

#endif

-- method DOMHTMLImageElement::get_x
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_x" webkit_dom_html_image_element_get_x :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetX ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetX ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetX self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_x self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetXMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetXMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetX

#endif

-- method DOMHTMLImageElement::get_y
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_get_y" webkit_dom_html_image_element_get_y :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    IO CLong

{-# DEPRECATED dOMHTMLImageElementGetY ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementGetY ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLImageElementGetY self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_image_element_get_y self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetYMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementGetYMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementGetY

#endif

-- method DOMHTMLImageElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_align" webkit_dom_html_image_element_set_align :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetAlign

#endif

-- method DOMHTMLImageElement::set_alt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_alt" webkit_dom_html_image_element_set_alt :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetAlt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetAlt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetAlt self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_alt self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetAltMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetAltMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetAlt

#endif

-- method DOMHTMLImageElement::set_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_border" webkit_dom_html_image_element_set_border :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetBorder self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_border self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetBorderMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetBorder

#endif

-- method DOMHTMLImageElement::set_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_height" webkit_dom_html_image_element_set_height :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLImageElementSetHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_image_element_set_height self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetHeightMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetHeight

#endif

-- method DOMHTMLImageElement::set_hspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_hspace" webkit_dom_html_image_element_set_hspace :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetHspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetHspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLImageElementSetHspace self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_image_element_set_hspace self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetHspaceMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetHspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetHspace

#endif

-- method DOMHTMLImageElement::set_is_map
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_is_map" webkit_dom_html_image_element_set_is_map :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetIsMap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetIsMap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLImageElementSetIsMap self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_image_element_set_is_map self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetIsMapMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetIsMapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetIsMap

#endif

-- method DOMHTMLImageElement::set_long_desc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_long_desc" webkit_dom_html_image_element_set_long_desc :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetLongDesc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetLongDesc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetLongDesc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_long_desc self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetLongDescMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetLongDescMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetLongDesc

#endif

-- method DOMHTMLImageElement::set_lowsrc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_lowsrc" webkit_dom_html_image_element_set_lowsrc :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetLowsrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetLowsrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetLowsrc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_lowsrc self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetLowsrcMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetLowsrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetLowsrc

#endif

-- method DOMHTMLImageElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_name" webkit_dom_html_image_element_set_name :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetName

#endif

-- method DOMHTMLImageElement::set_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_src" webkit_dom_html_image_element_set_src :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetSrc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_src self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetSrcMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetSrc

#endif

-- method DOMHTMLImageElement::set_use_map
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_use_map" webkit_dom_html_image_element_set_use_map :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetUseMap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetUseMap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLImageElementSetUseMap self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_image_element_set_use_map self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetUseMapMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetUseMapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetUseMap

#endif

-- method DOMHTMLImageElement::set_vspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_vspace" webkit_dom_html_image_element_set_vspace :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetVspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetVspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLImageElementSetVspace self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_image_element_set_vspace self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetVspaceMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetVspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetVspace

#endif

-- method DOMHTMLImageElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLImageElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_image_element_set_width" webkit_dom_html_image_element_set_width :: 
    Ptr DOMHTMLImageElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLImageElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLImageElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLImageElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLImageElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLImageElement.DOMHTMLImageElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLImageElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_image_element_set_width self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetWidthMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLImageElement a) => O.MethodInfo DOMHTMLImageElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLImageElementSetWidth

#endif


