#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLImageElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLImageElement = DOMHTMLImageElement (ManagedPtr DOMHTMLImageElement)
instance GObject DOMHTMLImageElement where
class (GObject o, O.IsDescendantOf DOMHTMLImageElement o) => IsDOMHTMLImageElement o
instance (GObject o, O.IsDescendantOf DOMHTMLImageElement o) => IsDOMHTMLImageElement o
instance O.HasParentTypes DOMHTMLImageElement
#if ENABLE_OVERLOADING
data DOMHTMLImageElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementAltPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementCompletePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementHspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementIsMapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementLongDescPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementLowsrcPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementNaturalHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementNaturalWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSrcPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementUseMapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementVspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetCompleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetHspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetIsMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetLongDescMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetLowsrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetNaturalHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetNaturalWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetUseMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetVspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementGetYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetHspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetIsMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetLongDescMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetLowsrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetUseMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetVspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLImageElementSetWidthMethodInfo
#endif
