#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLLinkElement = DOMHTMLLinkElement (ManagedPtr DOMHTMLLinkElement)
instance GObject DOMHTMLLinkElement where
class (GObject o, O.IsDescendantOf DOMHTMLLinkElement o) => IsDOMHTMLLinkElement o
instance (GObject o, O.IsDescendantOf DOMHTMLLinkElement o) => IsDOMHTMLLinkElement o
instance O.HasParentTypes DOMHTMLLinkElement
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementCharsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementDisabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementHrefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementHreflangPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementMediaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementRelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementRevPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSheetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSizesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetHreflangMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetRelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetRevMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetSheetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetSizesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetTypeAttrMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetHreflangMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetRelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetRevMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetSizesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetTypeAttrMethodInfo
#endif
