#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLObjectElement = DOMHTMLObjectElement (ManagedPtr DOMHTMLObjectElement)
instance GObject DOMHTMLObjectElement where
class (GObject o, O.IsDescendantOf DOMHTMLObjectElement o) => IsDOMHTMLObjectElement o
instance (GObject o, O.IsDescendantOf DOMHTMLObjectElement o) => IsDOMHTMLObjectElement o
instance O.HasParentTypes DOMHTMLObjectElement
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementArchivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementCodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementCodeBasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementCodeTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementContentDocumentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementDataPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementDeclarePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementFormPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementHspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementStandbyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementUseMapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementVspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetArchiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetCodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetCodeBaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetCodeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetContentDocumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetDeclareMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetFormMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetHspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetStandbyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetTypeAttrMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetUseMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetVspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetArchiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetCodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetCodeBaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetCodeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetDeclareMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetHspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetStandbyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetTypeAttrMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetUseMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetVspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetWidthMethodInfo
#endif
