#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLOptionElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLOptionElement = DOMHTMLOptionElement (ManagedPtr DOMHTMLOptionElement)
instance GObject DOMHTMLOptionElement where
class (GObject o, O.IsDescendantOf DOMHTMLOptionElement o) => IsDOMHTMLOptionElement o
instance (GObject o, O.IsDescendantOf DOMHTMLOptionElement o) => IsDOMHTMLOptionElement o
instance O.HasParentTypes DOMHTMLOptionElement
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementDefaultSelectedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementDisabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementFormPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementIndexPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementSelectedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetDefaultSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetFormMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementSetDefaultSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementSetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementSetSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLOptionElementSetValueMethodInfo
#endif
