#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLSelectElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLSelectElement = DOMHTMLSelectElement (ManagedPtr DOMHTMLSelectElement)
instance GObject DOMHTMLSelectElement where
class (GObject o, O.IsDescendantOf DOMHTMLSelectElement o) => IsDOMHTMLSelectElement o
instance (GObject o, O.IsDescendantOf DOMHTMLSelectElement o) => IsDOMHTMLSelectElement o
instance O.HasParentTypes DOMHTMLSelectElement
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementAutofocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementDisabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementFormPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementMultiplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementOptionsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSelectedIndexPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementWillValidatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementAddMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetAutofocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetFormMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetSelectTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetSelectedIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementGetWillValidateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementNamedItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetAutofocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetSelectedIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLSelectElementSetValueMethodInfo
#endif
