

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLTableElement
    ( 

-- * Exported types
    DOMHTMLTableElement(..)                 ,
    IsDOMHTMLTableElement                   ,
    toDOMHTMLTableElement                   ,
    noDOMHTMLTableElement                   ,


 -- * Methods
-- ** createCaption #method:createCaption#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementCreateCaptionMethodInfo,
#endif
    dOMHTMLTableElementCreateCaption        ,


-- ** createTFoot #method:createTFoot#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementCreateTFootMethodInfo,
#endif
    dOMHTMLTableElementCreateTFoot          ,


-- ** createTHead #method:createTHead#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementCreateTHeadMethodInfo,
#endif
    dOMHTMLTableElementCreateTHead          ,


-- ** deleteCaption #method:deleteCaption#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementDeleteCaptionMethodInfo,
#endif
    dOMHTMLTableElementDeleteCaption        ,


-- ** deleteRow #method:deleteRow#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementDeleteRowMethodInfo  ,
#endif
    dOMHTMLTableElementDeleteRow            ,


-- ** deleteTFoot #method:deleteTFoot#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementDeleteTFootMethodInfo,
#endif
    dOMHTMLTableElementDeleteTFoot          ,


-- ** deleteTHead #method:deleteTHead#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementDeleteTHeadMethodInfo,
#endif
    dOMHTMLTableElementDeleteTHead          ,


-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetAlignMethodInfo   ,
#endif
    dOMHTMLTableElementGetAlign             ,


-- ** getBgColor #method:getBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetBgColorMethodInfo ,
#endif
    dOMHTMLTableElementGetBgColor           ,


-- ** getBorder #method:getBorder#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetBorderMethodInfo  ,
#endif
    dOMHTMLTableElementGetBorder            ,


-- ** getCaption #method:getCaption#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetCaptionMethodInfo ,
#endif
    dOMHTMLTableElementGetCaption           ,


-- ** getCellPadding #method:getCellPadding#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetCellPaddingMethodInfo,
#endif
    dOMHTMLTableElementGetCellPadding       ,


-- ** getCellSpacing #method:getCellSpacing#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetCellSpacingMethodInfo,
#endif
    dOMHTMLTableElementGetCellSpacing       ,


-- ** getRows #method:getRows#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetRowsMethodInfo    ,
#endif
    dOMHTMLTableElementGetRows              ,


-- ** getRules #method:getRules#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetRulesMethodInfo   ,
#endif
    dOMHTMLTableElementGetRules             ,


-- ** getSummary #method:getSummary#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetSummaryMethodInfo ,
#endif
    dOMHTMLTableElementGetSummary           ,


-- ** getTBodies #method:getTBodies#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetTBodiesMethodInfo ,
#endif
    dOMHTMLTableElementGetTBodies           ,


-- ** getTFoot #method:getTFoot#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetTFootMethodInfo   ,
#endif
    dOMHTMLTableElementGetTFoot             ,


-- ** getTHead #method:getTHead#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetTHeadMethodInfo   ,
#endif
    dOMHTMLTableElementGetTHead             ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementGetWidthMethodInfo   ,
#endif
    dOMHTMLTableElementGetWidth             ,


-- ** insertRow #method:insertRow#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementInsertRowMethodInfo  ,
#endif
    dOMHTMLTableElementInsertRow            ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetAlignMethodInfo   ,
#endif
    dOMHTMLTableElementSetAlign             ,


-- ** setBgColor #method:setBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetBgColorMethodInfo ,
#endif
    dOMHTMLTableElementSetBgColor           ,


-- ** setBorder #method:setBorder#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetBorderMethodInfo  ,
#endif
    dOMHTMLTableElementSetBorder            ,


-- ** setCaption #method:setCaption#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetCaptionMethodInfo ,
#endif
    dOMHTMLTableElementSetCaption           ,


-- ** setCellPadding #method:setCellPadding#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetCellPaddingMethodInfo,
#endif
    dOMHTMLTableElementSetCellPadding       ,


-- ** setCellSpacing #method:setCellSpacing#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetCellSpacingMethodInfo,
#endif
    dOMHTMLTableElementSetCellSpacing       ,


-- ** setRules #method:setRules#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetRulesMethodInfo   ,
#endif
    dOMHTMLTableElementSetRules             ,


-- ** setSummary #method:setSummary#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetSummaryMethodInfo ,
#endif
    dOMHTMLTableElementSetSummary           ,


-- ** setTFoot #method:setTFoot#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetTFootMethodInfo   ,
#endif
    dOMHTMLTableElementSetTFoot             ,


-- ** setTHead #method:setTHead#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetTHeadMethodInfo   ,
#endif
    dOMHTMLTableElementSetTHead             ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLTableElementSetWidthMethodInfo   ,
#endif
    dOMHTMLTableElementSetWidth             ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementAlignPropertyInfo    ,
#endif
    constructDOMHTMLTableElementAlign       ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementAlign                ,
#endif
    getDOMHTMLTableElementAlign             ,
    setDOMHTMLTableElementAlign             ,


-- ** bgColor #attr:bgColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementBgColorPropertyInfo  ,
#endif
    constructDOMHTMLTableElementBgColor     ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementBgColor              ,
#endif
    getDOMHTMLTableElementBgColor           ,
    setDOMHTMLTableElementBgColor           ,


-- ** border #attr:border#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementBorderPropertyInfo   ,
#endif
    constructDOMHTMLTableElementBorder      ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementBorder               ,
#endif
    getDOMHTMLTableElementBorder            ,
    setDOMHTMLTableElementBorder            ,


-- ** caption #attr:caption#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementCaptionPropertyInfo  ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableElementCaption              ,
#endif
    getDOMHTMLTableElementCaption           ,


-- ** cellPadding #attr:cellPadding#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementCellPaddingPropertyInfo,
#endif
    constructDOMHTMLTableElementCellPadding ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementCellPadding          ,
#endif
    getDOMHTMLTableElementCellPadding       ,
    setDOMHTMLTableElementCellPadding       ,


-- ** cellSpacing #attr:cellSpacing#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementCellSpacingPropertyInfo,
#endif
    constructDOMHTMLTableElementCellSpacing ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementCellSpacing          ,
#endif
    getDOMHTMLTableElementCellSpacing       ,
    setDOMHTMLTableElementCellSpacing       ,


-- ** rows #attr:rows#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementRowsPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableElementRows                 ,
#endif
    getDOMHTMLTableElementRows              ,


-- ** rules #attr:rules#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementRulesPropertyInfo    ,
#endif
    constructDOMHTMLTableElementRules       ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementRules                ,
#endif
    getDOMHTMLTableElementRules             ,
    setDOMHTMLTableElementRules             ,


-- ** summary #attr:summary#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementSummaryPropertyInfo  ,
#endif
    constructDOMHTMLTableElementSummary     ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementSummary              ,
#endif
    getDOMHTMLTableElementSummary           ,
    setDOMHTMLTableElementSummary           ,


-- ** tBodies #attr:tBodies#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementTBodiesPropertyInfo  ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableElementTBodies              ,
#endif
    getDOMHTMLTableElementTBodies           ,


-- ** tFoot #attr:tFoot#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementTFootPropertyInfo    ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableElementTFoot                ,
#endif
    getDOMHTMLTableElementTFoot             ,


-- ** tHead #attr:tHead#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementTHeadPropertyInfo    ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableElementTHead                ,
#endif
    getDOMHTMLTableElementTHead             ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableElementWidthPropertyInfo    ,
#endif
    constructDOMHTMLTableElementWidth       ,
#if ENABLE_OVERLOADING
    dOMHTMLTableElementWidth                ,
#endif
    getDOMHTMLTableElementWidth             ,
    setDOMHTMLTableElementWidth             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLCollection as WebKit2WebExtension.DOMHTMLCollection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLTableCaptionElement as WebKit2WebExtension.DOMHTMLTableCaptionElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement as WebKit2WebExtension.DOMHTMLTableSectionElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLTableElement = DOMHTMLTableElement (ManagedPtr DOMHTMLTableElement)
foreign import ccall "webkit_dom_html_table_element_get_type"
    c_webkit_dom_html_table_element_get_type :: IO GType

instance GObject DOMHTMLTableElement where
    gobjectType = c_webkit_dom_html_table_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLTableElement`, for instance with `toDOMHTMLTableElement`.
class (GObject o, O.IsDescendantOf DOMHTMLTableElement o) => IsDOMHTMLTableElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableElement o) => IsDOMHTMLTableElement o

instance O.HasParentTypes DOMHTMLTableElement
type instance O.ParentTypes DOMHTMLTableElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLTableElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLTableElement :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m DOMHTMLTableElement
toDOMHTMLTableElement = liftIO . unsafeCastTo DOMHTMLTableElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLTableElement`.
noDOMHTMLTableElement :: Maybe DOMHTMLTableElement
noDOMHTMLTableElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLTableElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLTableElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLTableElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLTableElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLTableElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLTableElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLTableElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLTableElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLTableElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLTableElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLTableElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLTableElementMethod "createCaption" o = DOMHTMLTableElementCreateCaptionMethodInfo
    ResolveDOMHTMLTableElementMethod "createTFoot" o = DOMHTMLTableElementCreateTFootMethodInfo
    ResolveDOMHTMLTableElementMethod "createTHead" o = DOMHTMLTableElementCreateTHeadMethodInfo
    ResolveDOMHTMLTableElementMethod "deleteCaption" o = DOMHTMLTableElementDeleteCaptionMethodInfo
    ResolveDOMHTMLTableElementMethod "deleteRow" o = DOMHTMLTableElementDeleteRowMethodInfo
    ResolveDOMHTMLTableElementMethod "deleteTFoot" o = DOMHTMLTableElementDeleteTFootMethodInfo
    ResolveDOMHTMLTableElementMethod "deleteTHead" o = DOMHTMLTableElementDeleteTHeadMethodInfo
    ResolveDOMHTMLTableElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLTableElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLTableElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLTableElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLTableElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLTableElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLTableElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLTableElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLTableElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLTableElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLTableElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLTableElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLTableElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLTableElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLTableElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLTableElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLTableElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLTableElementMethod "insertRow" o = DOMHTMLTableElementInsertRowMethodInfo
    ResolveDOMHTMLTableElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLTableElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLTableElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLTableElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLTableElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLTableElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLTableElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLTableElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLTableElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLTableElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLTableElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLTableElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLTableElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLTableElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLTableElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLTableElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLTableElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLTableElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLTableElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLTableElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLTableElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLTableElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLTableElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLTableElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLTableElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLTableElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLTableElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLTableElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLTableElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLTableElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLTableElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLTableElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLTableElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLTableElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLTableElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLTableElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLTableElementMethod "getAlign" o = DOMHTMLTableElementGetAlignMethodInfo
    ResolveDOMHTMLTableElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLTableElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLTableElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLTableElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLTableElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLTableElementMethod "getBgColor" o = DOMHTMLTableElementGetBgColorMethodInfo
    ResolveDOMHTMLTableElementMethod "getBorder" o = DOMHTMLTableElementGetBorderMethodInfo
    ResolveDOMHTMLTableElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLTableElementMethod "getCaption" o = DOMHTMLTableElementGetCaptionMethodInfo
    ResolveDOMHTMLTableElementMethod "getCellPadding" o = DOMHTMLTableElementGetCellPaddingMethodInfo
    ResolveDOMHTMLTableElementMethod "getCellSpacing" o = DOMHTMLTableElementGetCellSpacingMethodInfo
    ResolveDOMHTMLTableElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLTableElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLTableElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLTableElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLTableElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLTableElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLTableElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLTableElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLTableElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLTableElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLTableElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLTableElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLTableElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLTableElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLTableElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLTableElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLTableElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLTableElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLTableElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLTableElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLTableElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLTableElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLTableElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLTableElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLTableElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLTableElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLTableElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLTableElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLTableElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLTableElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLTableElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLTableElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLTableElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLTableElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLTableElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLTableElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLTableElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLTableElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLTableElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLTableElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLTableElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLTableElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLTableElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLTableElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLTableElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLTableElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLTableElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLTableElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLTableElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLTableElementMethod "getRows" o = DOMHTMLTableElementGetRowsMethodInfo
    ResolveDOMHTMLTableElementMethod "getRules" o = DOMHTMLTableElementGetRulesMethodInfo
    ResolveDOMHTMLTableElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLTableElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLTableElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLTableElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLTableElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLTableElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLTableElementMethod "getSummary" o = DOMHTMLTableElementGetSummaryMethodInfo
    ResolveDOMHTMLTableElementMethod "getTBodies" o = DOMHTMLTableElementGetTBodiesMethodInfo
    ResolveDOMHTMLTableElementMethod "getTFoot" o = DOMHTMLTableElementGetTFootMethodInfo
    ResolveDOMHTMLTableElementMethod "getTHead" o = DOMHTMLTableElementGetTHeadMethodInfo
    ResolveDOMHTMLTableElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLTableElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLTableElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLTableElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLTableElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLTableElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLTableElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableElementMethod "getWidth" o = DOMHTMLTableElementGetWidthMethodInfo
    ResolveDOMHTMLTableElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLTableElementMethod "setAlign" o = DOMHTMLTableElementSetAlignMethodInfo
    ResolveDOMHTMLTableElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLTableElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLTableElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLTableElementMethod "setBgColor" o = DOMHTMLTableElementSetBgColorMethodInfo
    ResolveDOMHTMLTableElementMethod "setBorder" o = DOMHTMLTableElementSetBorderMethodInfo
    ResolveDOMHTMLTableElementMethod "setCaption" o = DOMHTMLTableElementSetCaptionMethodInfo
    ResolveDOMHTMLTableElementMethod "setCellPadding" o = DOMHTMLTableElementSetCellPaddingMethodInfo
    ResolveDOMHTMLTableElementMethod "setCellSpacing" o = DOMHTMLTableElementSetCellSpacingMethodInfo
    ResolveDOMHTMLTableElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLTableElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLTableElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLTableElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLTableElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLTableElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLTableElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLTableElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLTableElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLTableElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLTableElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLTableElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLTableElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLTableElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLTableElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLTableElementMethod "setRules" o = DOMHTMLTableElementSetRulesMethodInfo
    ResolveDOMHTMLTableElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLTableElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLTableElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLTableElementMethod "setSummary" o = DOMHTMLTableElementSetSummaryMethodInfo
    ResolveDOMHTMLTableElementMethod "setTFoot" o = DOMHTMLTableElementSetTFootMethodInfo
    ResolveDOMHTMLTableElementMethod "setTHead" o = DOMHTMLTableElementSetTHeadMethodInfo
    ResolveDOMHTMLTableElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLTableElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLTableElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLTableElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLTableElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableElementMethod "setWidth" o = DOMHTMLTableElementSetWidthMethodInfo
    ResolveDOMHTMLTableElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLTableElementMethod t DOMHTMLTableElement, O.MethodInfo info DOMHTMLTableElement p) => OL.IsLabel t (DOMHTMLTableElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #align
@
-}
getDOMHTMLTableElementAlign :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementAlign :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementAlign :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementAlignPropertyInfo
instance AttrInfo DOMHTMLTableElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementAlignPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLTableElementAlignPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementAlign
    attrSet _ = setDOMHTMLTableElementAlign
    attrConstruct _ = constructDOMHTMLTableElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "bg-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #bgColor
@
-}
getDOMHTMLTableElementBgColor :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementBgColor obj = liftIO $ B.Properties.getObjectPropertyString obj "bg-color"

{- |
Set the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #bgColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementBgColor :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementBgColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "bg-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@bg-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementBgColor :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementBgColor val = B.Properties.constructObjectPropertyString "bg-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementBgColorPropertyInfo
instance AttrInfo DOMHTMLTableElementBgColorPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementBgColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementBgColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementBgColorPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementBgColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementBgColorPropertyInfo = "bg-color"
    type AttrOrigin DOMHTMLTableElementBgColorPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementBgColor
    attrSet _ = setDOMHTMLTableElementBgColor
    attrConstruct _ = constructDOMHTMLTableElementBgColor
    attrClear _ = undefined
#endif

-- VVV Prop "border"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #border
@
-}
getDOMHTMLTableElementBorder :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementBorder obj = liftIO $ B.Properties.getObjectPropertyString obj "border"

{- |
Set the value of the “@border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #border 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementBorder :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementBorder obj val = liftIO $ B.Properties.setObjectPropertyString obj "border" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@border@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementBorder :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementBorder val = B.Properties.constructObjectPropertyString "border" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementBorderPropertyInfo
instance AttrInfo DOMHTMLTableElementBorderPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementBorderPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementBorderPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementBorderPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementBorderPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementBorderPropertyInfo = "border"
    type AttrOrigin DOMHTMLTableElementBorderPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementBorder
    attrSet _ = setDOMHTMLTableElementBorder
    attrConstruct _ = constructDOMHTMLTableElementBorder
    attrClear _ = undefined
#endif

-- VVV Prop "caption"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCaptionElement"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@caption@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #caption
@
-}
getDOMHTMLTableElementCaption :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement
getDOMHTMLTableElementCaption obj = liftIO $ checkUnexpectedNothing "getDOMHTMLTableElementCaption" $ B.Properties.getObjectPropertyObject obj "caption" WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement

#if ENABLE_OVERLOADING
data DOMHTMLTableElementCaptionPropertyInfo
instance AttrInfo DOMHTMLTableElementCaptionPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementCaptionPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableElementCaptionPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableElementCaptionPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementCaptionPropertyInfo = WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement
    type AttrLabel DOMHTMLTableElementCaptionPropertyInfo = "caption"
    type AttrOrigin DOMHTMLTableElementCaptionPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementCaption
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "cell-padding"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@cell-padding@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #cellPadding
@
-}
getDOMHTMLTableElementCellPadding :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementCellPadding obj = liftIO $ B.Properties.getObjectPropertyString obj "cell-padding"

{- |
Set the value of the “@cell-padding@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #cellPadding 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementCellPadding :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementCellPadding obj val = liftIO $ B.Properties.setObjectPropertyString obj "cell-padding" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@cell-padding@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementCellPadding :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementCellPadding val = B.Properties.constructObjectPropertyString "cell-padding" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementCellPaddingPropertyInfo
instance AttrInfo DOMHTMLTableElementCellPaddingPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementCellPaddingPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementCellPaddingPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementCellPaddingPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementCellPaddingPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementCellPaddingPropertyInfo = "cell-padding"
    type AttrOrigin DOMHTMLTableElementCellPaddingPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementCellPadding
    attrSet _ = setDOMHTMLTableElementCellPadding
    attrConstruct _ = constructDOMHTMLTableElementCellPadding
    attrClear _ = undefined
#endif

-- VVV Prop "cell-spacing"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@cell-spacing@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #cellSpacing
@
-}
getDOMHTMLTableElementCellSpacing :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementCellSpacing obj = liftIO $ B.Properties.getObjectPropertyString obj "cell-spacing"

{- |
Set the value of the “@cell-spacing@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #cellSpacing 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementCellSpacing :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementCellSpacing obj val = liftIO $ B.Properties.setObjectPropertyString obj "cell-spacing" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@cell-spacing@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementCellSpacing :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementCellSpacing val = B.Properties.constructObjectPropertyString "cell-spacing" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementCellSpacingPropertyInfo
instance AttrInfo DOMHTMLTableElementCellSpacingPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementCellSpacingPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementCellSpacingPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementCellSpacingPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementCellSpacingPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementCellSpacingPropertyInfo = "cell-spacing"
    type AttrOrigin DOMHTMLTableElementCellSpacingPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementCellSpacing
    attrSet _ = setDOMHTMLTableElementCellSpacing
    attrConstruct _ = constructDOMHTMLTableElementCellSpacing
    attrClear _ = undefined
#endif

-- VVV Prop "rows"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@rows@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #rows
@
-}
getDOMHTMLTableElementRows :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
getDOMHTMLTableElementRows obj = liftIO $ B.Properties.getObjectPropertyObject obj "rows" WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection

#if ENABLE_OVERLOADING
data DOMHTMLTableElementRowsPropertyInfo
instance AttrInfo DOMHTMLTableElementRowsPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementRowsPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableElementRowsPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableElementRowsPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementRowsPropertyInfo = (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
    type AttrLabel DOMHTMLTableElementRowsPropertyInfo = "rows"
    type AttrOrigin DOMHTMLTableElementRowsPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementRows
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "rules"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@rules@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #rules
@
-}
getDOMHTMLTableElementRules :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementRules obj = liftIO $ B.Properties.getObjectPropertyString obj "rules"

{- |
Set the value of the “@rules@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #rules 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementRules :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementRules obj val = liftIO $ B.Properties.setObjectPropertyString obj "rules" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@rules@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementRules :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementRules val = B.Properties.constructObjectPropertyString "rules" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementRulesPropertyInfo
instance AttrInfo DOMHTMLTableElementRulesPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementRulesPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementRulesPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementRulesPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementRulesPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementRulesPropertyInfo = "rules"
    type AttrOrigin DOMHTMLTableElementRulesPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementRules
    attrSet _ = setDOMHTMLTableElementRules
    attrConstruct _ = constructDOMHTMLTableElementRules
    attrClear _ = undefined
#endif

-- VVV Prop "summary"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@summary@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #summary
@
-}
getDOMHTMLTableElementSummary :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementSummary obj = liftIO $ B.Properties.getObjectPropertyString obj "summary"

{- |
Set the value of the “@summary@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #summary 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementSummary :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementSummary obj val = liftIO $ B.Properties.setObjectPropertyString obj "summary" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@summary@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementSummary :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementSummary val = B.Properties.constructObjectPropertyString "summary" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSummaryPropertyInfo
instance AttrInfo DOMHTMLTableElementSummaryPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementSummaryPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementSummaryPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementSummaryPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementSummaryPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementSummaryPropertyInfo = "summary"
    type AttrOrigin DOMHTMLTableElementSummaryPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementSummary
    attrSet _ = setDOMHTMLTableElementSummary
    attrConstruct _ = constructDOMHTMLTableElementSummary
    attrClear _ = undefined
#endif

-- VVV Prop "t-bodies"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@t-bodies@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #tBodies
@
-}
getDOMHTMLTableElementTBodies :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
getDOMHTMLTableElementTBodies obj = liftIO $ B.Properties.getObjectPropertyObject obj "t-bodies" WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection

#if ENABLE_OVERLOADING
data DOMHTMLTableElementTBodiesPropertyInfo
instance AttrInfo DOMHTMLTableElementTBodiesPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementTBodiesPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableElementTBodiesPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableElementTBodiesPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementTBodiesPropertyInfo = (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
    type AttrLabel DOMHTMLTableElementTBodiesPropertyInfo = "t-bodies"
    type AttrOrigin DOMHTMLTableElementTBodiesPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementTBodies
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "t-foot"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@t-foot@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #tFoot
@
-}
getDOMHTMLTableElementTFoot :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement
getDOMHTMLTableElementTFoot obj = liftIO $ checkUnexpectedNothing "getDOMHTMLTableElementTFoot" $ B.Properties.getObjectPropertyObject obj "t-foot" WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement

#if ENABLE_OVERLOADING
data DOMHTMLTableElementTFootPropertyInfo
instance AttrInfo DOMHTMLTableElementTFootPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementTFootPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableElementTFootPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableElementTFootPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementTFootPropertyInfo = WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement
    type AttrLabel DOMHTMLTableElementTFootPropertyInfo = "t-foot"
    type AttrOrigin DOMHTMLTableElementTFootPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementTFoot
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "t-head"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@t-head@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #tHead
@
-}
getDOMHTMLTableElementTHead :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement
getDOMHTMLTableElementTHead obj = liftIO $ checkUnexpectedNothing "getDOMHTMLTableElementTHead" $ B.Properties.getObjectPropertyObject obj "t-head" WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement

#if ENABLE_OVERLOADING
data DOMHTMLTableElementTHeadPropertyInfo
instance AttrInfo DOMHTMLTableElementTHeadPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementTHeadPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableElementTHeadPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableElementTHeadPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementTHeadPropertyInfo = WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement
    type AttrLabel DOMHTMLTableElementTHeadPropertyInfo = "t-head"
    type AttrOrigin DOMHTMLTableElementTHeadPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementTHead
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableElement #width
@
-}
getDOMHTMLTableElementWidth :: (MonadIO m, IsDOMHTMLTableElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableElementWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableElementWidth :: (MonadIO m, IsDOMHTMLTableElement o) => o -> T.Text -> m ()
setDOMHTMLTableElementWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableElementWidth :: (IsDOMHTMLTableElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableElementWidth val = B.Properties.constructObjectPropertyString "width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableElementWidthPropertyInfo
instance AttrInfo DOMHTMLTableElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLTableElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableElementWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableElementWidthPropertyInfo = IsDOMHTMLTableElement
    type AttrGetType DOMHTMLTableElementWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLTableElementWidthPropertyInfo = DOMHTMLTableElement
    attrGet _ = getDOMHTMLTableElementWidth
    attrSet _ = setDOMHTMLTableElementWidth
    attrConstruct _ = constructDOMHTMLTableElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLTableElement
type instance O.AttributeList DOMHTMLTableElement = DOMHTMLTableElementAttributeList
type DOMHTMLTableElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLTableElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("bgColor", DOMHTMLTableElementBgColorPropertyInfo), '("border", DOMHTMLTableElementBorderPropertyInfo), '("caption", DOMHTMLTableElementCaptionPropertyInfo), '("cellPadding", DOMHTMLTableElementCellPaddingPropertyInfo), '("cellSpacing", DOMHTMLTableElementCellSpacingPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("rows", DOMHTMLTableElementRowsPropertyInfo), '("rules", DOMHTMLTableElementRulesPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("summary", DOMHTMLTableElementSummaryPropertyInfo), '("tBodies", DOMHTMLTableElementTBodiesPropertyInfo), '("tFoot", DOMHTMLTableElementTFootPropertyInfo), '("tHead", DOMHTMLTableElementTHeadPropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLTableElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLTableElementAlign :: AttrLabelProxy "align"
dOMHTMLTableElementAlign = AttrLabelProxy

dOMHTMLTableElementBgColor :: AttrLabelProxy "bgColor"
dOMHTMLTableElementBgColor = AttrLabelProxy

dOMHTMLTableElementBorder :: AttrLabelProxy "border"
dOMHTMLTableElementBorder = AttrLabelProxy

dOMHTMLTableElementCaption :: AttrLabelProxy "caption"
dOMHTMLTableElementCaption = AttrLabelProxy

dOMHTMLTableElementCellPadding :: AttrLabelProxy "cellPadding"
dOMHTMLTableElementCellPadding = AttrLabelProxy

dOMHTMLTableElementCellSpacing :: AttrLabelProxy "cellSpacing"
dOMHTMLTableElementCellSpacing = AttrLabelProxy

dOMHTMLTableElementRows :: AttrLabelProxy "rows"
dOMHTMLTableElementRows = AttrLabelProxy

dOMHTMLTableElementRules :: AttrLabelProxy "rules"
dOMHTMLTableElementRules = AttrLabelProxy

dOMHTMLTableElementSummary :: AttrLabelProxy "summary"
dOMHTMLTableElementSummary = AttrLabelProxy

dOMHTMLTableElementTBodies :: AttrLabelProxy "tBodies"
dOMHTMLTableElementTBodies = AttrLabelProxy

dOMHTMLTableElementTFoot :: AttrLabelProxy "tFoot"
dOMHTMLTableElementTFoot = AttrLabelProxy

dOMHTMLTableElementTHead :: AttrLabelProxy "tHead"
dOMHTMLTableElementTHead = AttrLabelProxy

dOMHTMLTableElementWidth :: AttrLabelProxy "width"
dOMHTMLTableElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLTableElement = DOMHTMLTableElementSignalList
type DOMHTMLTableElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLTableElement::create_caption
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_create_caption" webkit_dom_html_table_element_create_caption :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement)

{-# DEPRECATED dOMHTMLTableElementCreateCaption ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementCreateCaption ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
dOMHTMLTableElementCreateCaption self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_create_caption self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementCreateCaption" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementCreateCaptionMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementCreateCaptionMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementCreateCaption

#endif

-- method DOMHTMLTableElement::create_t_foot
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_create_t_foot" webkit_dom_html_table_element_create_t_foot :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement)

{-# DEPRECATED dOMHTMLTableElementCreateTFoot ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementCreateTFoot ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
dOMHTMLTableElementCreateTFoot self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_create_t_foot self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementCreateTFoot" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementCreateTFootMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementCreateTFootMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementCreateTFoot

#endif

-- method DOMHTMLTableElement::create_t_head
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_create_t_head" webkit_dom_html_table_element_create_t_head :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement)

{-# DEPRECATED dOMHTMLTableElementCreateTHead ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementCreateTHead ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
dOMHTMLTableElementCreateTHead self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_create_t_head self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementCreateTHead" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementCreateTHeadMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementCreateTHeadMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementCreateTHead

#endif

-- method DOMHTMLTableElement::delete_caption
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_delete_caption" webkit_dom_html_table_element_delete_caption :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO ()

{-# DEPRECATED dOMHTMLTableElementDeleteCaption ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementDeleteCaption ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m ()
dOMHTMLTableElementDeleteCaption self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_table_element_delete_caption self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteCaptionMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementDeleteCaptionMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementDeleteCaption

#endif

-- method DOMHTMLTableElement::delete_row
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "index", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_delete_row" webkit_dom_html_table_element_delete_row :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CLong ->                                -- index : TBasicType TLong
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLTableElementDeleteRow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementDeleteRow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> CLong
    {- ^ /@index@/: A @/glong/@ -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableElementDeleteRow self index = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    onException (do
        propagateGError $ webkit_dom_html_table_element_delete_row self' index
        touchManagedPtr self
        return ()
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteRowMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementDeleteRowMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementDeleteRow

#endif

-- method DOMHTMLTableElement::delete_t_foot
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_delete_t_foot" webkit_dom_html_table_element_delete_t_foot :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO ()

{-# DEPRECATED dOMHTMLTableElementDeleteTFoot ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementDeleteTFoot ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m ()
dOMHTMLTableElementDeleteTFoot self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_table_element_delete_t_foot self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteTFootMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementDeleteTFootMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementDeleteTFoot

#endif

-- method DOMHTMLTableElement::delete_t_head
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_delete_t_head" webkit_dom_html_table_element_delete_t_head :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO ()

{-# DEPRECATED dOMHTMLTableElementDeleteTHead ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementDeleteTHead ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m ()
dOMHTMLTableElementDeleteTHead self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_table_element_delete_t_head self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteTHeadMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementDeleteTHeadMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementDeleteTHead

#endif

-- method DOMHTMLTableElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_align" webkit_dom_html_table_element_get_align :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetAlign

#endif

-- method DOMHTMLTableElement::get_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_bg_color" webkit_dom_html_table_element_get_bg_color :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetBgColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_bg_color self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetBgColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetBgColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetBgColor

#endif

-- method DOMHTMLTableElement::get_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_border" webkit_dom_html_table_element_get_border :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetBorder self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_border self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetBorder" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetBorderMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetBorder

#endif

-- method DOMHTMLTableElement::get_caption
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCaptionElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_caption" webkit_dom_html_table_element_get_caption :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement)

{-# DEPRECATED dOMHTMLTableElementGetCaption ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetCaption ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement' -}
dOMHTMLTableElementGetCaption self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_caption self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetCaption" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetCaptionMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetCaptionMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetCaption

#endif

-- method DOMHTMLTableElement::get_cell_padding
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_cell_padding" webkit_dom_html_table_element_get_cell_padding :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetCellPadding ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetCellPadding ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetCellPadding self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_cell_padding self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetCellPadding" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetCellPaddingMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetCellPaddingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetCellPadding

#endif

-- method DOMHTMLTableElement::get_cell_spacing
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_cell_spacing" webkit_dom_html_table_element_get_cell_spacing :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetCellSpacing ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetCellSpacing ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetCellSpacing self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_cell_spacing self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetCellSpacing" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetCellSpacingMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetCellSpacingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetCellSpacing

#endif

-- method DOMHTMLTableElement::get_rows
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_rows" webkit_dom_html_table_element_get_rows :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLTableElementGetRows ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetRows ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLTableElementGetRows self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_rows self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetRows" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetRowsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetRowsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetRows

#endif

-- method DOMHTMLTableElement::get_rules
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_rules" webkit_dom_html_table_element_get_rules :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetRules ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetRules ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetRules self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_rules self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetRules" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetRulesMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetRulesMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetRules

#endif

-- method DOMHTMLTableElement::get_summary
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_summary" webkit_dom_html_table_element_get_summary :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetSummary ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetSummary ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetSummary self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_summary self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetSummary" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetSummaryMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetSummaryMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetSummary

#endif

-- method DOMHTMLTableElement::get_t_bodies
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_t_bodies" webkit_dom_html_table_element_get_t_bodies :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLTableElementGetTBodies ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetTBodies ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLTableElementGetTBodies self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_t_bodies self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetTBodies" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetTBodiesMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetTBodiesMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetTBodies

#endif

-- method DOMHTMLTableElement::get_t_foot
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_t_foot" webkit_dom_html_table_element_get_t_foot :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement)

{-# DEPRECATED dOMHTMLTableElementGetTFoot ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetTFoot ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
dOMHTMLTableElementGetTFoot self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_t_foot self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetTFoot" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetTFootMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetTFootMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetTFoot

#endif

-- method DOMHTMLTableElement::get_t_head
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_t_head" webkit_dom_html_table_element_get_t_head :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement)

{-# DEPRECATED dOMHTMLTableElementGetTHead ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetTHead ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
dOMHTMLTableElementGetTHead self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_t_head self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetTHead" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetTHeadMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetTHeadMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetTHead

#endif

-- method DOMHTMLTableElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_get_width" webkit_dom_html_table_element_get_width :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_element_get_width self'
    checkUnexpectedReturnNULL "dOMHTMLTableElementGetWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementGetWidth

#endif

-- method DOMHTMLTableElement::insert_row
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "index", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}))
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_insert_row" webkit_dom_html_table_element_insert_row :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CLong ->                                -- index : TBasicType TLong
    Ptr (Ptr GError) ->                     -- error
    IO (Ptr WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement)

{-# DEPRECATED dOMHTMLTableElementInsertRow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementInsertRow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> CLong
    {- ^ /@index@/: A @/glong/@ -}
    -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableElementInsertRow self index = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    onException (do
        result <- propagateGError $ webkit_dom_html_table_element_insert_row self' index
        checkUnexpectedReturnNULL "dOMHTMLTableElementInsertRow" result
        result' <- (newObject WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement) result
        touchManagedPtr self
        return result'
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableElementInsertRowMethodInfo
instance (signature ~ (CLong -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementInsertRowMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementInsertRow

#endif

-- method DOMHTMLTableElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_align" webkit_dom_html_table_element_set_align :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetAlign

#endif

-- method DOMHTMLTableElement::set_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_bg_color" webkit_dom_html_table_element_set_bg_color :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetBgColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_bg_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetBgColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetBgColor

#endif

-- method DOMHTMLTableElement::set_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_border" webkit_dom_html_table_element_set_border :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetBorder self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_border self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetBorderMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetBorder

#endif

-- method DOMHTMLTableElement::set_caption
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCaptionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCaptionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_caption" webkit_dom_html_table_element_set_caption :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    Ptr WebKit2WebExtension.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement -> -- value : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCaptionElement"})
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetCaption ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetCaption ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a, WebKit2WebExtension.DOMHTMLTableCaptionElement.IsDOMHTMLTableCaptionElement b) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> b
    {- ^ /@value@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCaptionElement.DOMHTMLTableCaptionElement' -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableElementSetCaption self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- unsafeManagedPtrCastPtr value
    onException (do
        propagateGError $ webkit_dom_html_table_element_set_caption self' value'
        touchManagedPtr self
        touchManagedPtr value
        return ()
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetCaptionMethodInfo
instance (signature ~ (b -> m ()), MonadIO m, IsDOMHTMLTableElement a, WebKit2WebExtension.DOMHTMLTableCaptionElement.IsDOMHTMLTableCaptionElement b) => O.MethodInfo DOMHTMLTableElementSetCaptionMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetCaption

#endif

-- method DOMHTMLTableElement::set_cell_padding
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_cell_padding" webkit_dom_html_table_element_set_cell_padding :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetCellPadding ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetCellPadding ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetCellPadding self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_cell_padding self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetCellPaddingMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetCellPaddingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetCellPadding

#endif

-- method DOMHTMLTableElement::set_cell_spacing
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_cell_spacing" webkit_dom_html_table_element_set_cell_spacing :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetCellSpacing ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetCellSpacing ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetCellSpacing self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_cell_spacing self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetCellSpacingMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetCellSpacingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetCellSpacing

#endif

-- method DOMHTMLTableElement::set_rules
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_rules" webkit_dom_html_table_element_set_rules :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetRules ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetRules ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetRules self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_rules self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetRulesMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetRulesMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetRules

#endif

-- method DOMHTMLTableElement::set_summary
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_summary" webkit_dom_html_table_element_set_summary :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetSummary ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetSummary ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetSummary self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_summary self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetSummaryMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetSummaryMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetSummary

#endif

-- method DOMHTMLTableElement::set_t_foot
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_t_foot" webkit_dom_html_table_element_set_t_foot :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    Ptr WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement -> -- value : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetTFoot ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetTFoot ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a, WebKit2WebExtension.DOMHTMLTableSectionElement.IsDOMHTMLTableSectionElement b) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> b
    {- ^ /@value@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableElementSetTFoot self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- unsafeManagedPtrCastPtr value
    onException (do
        propagateGError $ webkit_dom_html_table_element_set_t_foot self' value'
        touchManagedPtr self
        touchManagedPtr value
        return ()
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetTFootMethodInfo
instance (signature ~ (b -> m ()), MonadIO m, IsDOMHTMLTableElement a, WebKit2WebExtension.DOMHTMLTableSectionElement.IsDOMHTMLTableSectionElement b) => O.MethodInfo DOMHTMLTableElementSetTFootMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetTFoot

#endif

-- method DOMHTMLTableElement::set_t_head
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_t_head" webkit_dom_html_table_element_set_t_head :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    Ptr WebKit2WebExtension.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement -> -- value : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetTHead ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetTHead ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a, WebKit2WebExtension.DOMHTMLTableSectionElement.IsDOMHTMLTableSectionElement b) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> b
    {- ^ /@value@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableElementSetTHead self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- unsafeManagedPtrCastPtr value
    onException (do
        propagateGError $ webkit_dom_html_table_element_set_t_head self' value'
        touchManagedPtr self
        touchManagedPtr value
        return ()
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetTHeadMethodInfo
instance (signature ~ (b -> m ()), MonadIO m, IsDOMHTMLTableElement a, WebKit2WebExtension.DOMHTMLTableSectionElement.IsDOMHTMLTableSectionElement b) => O.MethodInfo DOMHTMLTableElementSetTHeadMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetTHead

#endif

-- method DOMHTMLTableElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_element_set_width" webkit_dom_html_table_element_set_width :: 
    Ptr DOMHTMLTableElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableElement.DOMHTMLTableElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_element_set_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableElement a) => O.MethodInfo DOMHTMLTableElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableElementSetWidth

#endif


