#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLTableElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLTableElement = DOMHTMLTableElement (ManagedPtr DOMHTMLTableElement)
instance GObject DOMHTMLTableElement where
class (GObject o, O.IsDescendantOf DOMHTMLTableElement o) => IsDOMHTMLTableElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableElement o) => IsDOMHTMLTableElement o
instance O.HasParentTypes DOMHTMLTableElement
#if ENABLE_OVERLOADING
data DOMHTMLTableElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementBgColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementCaptionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementCellPaddingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementCellSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementRowsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementRulesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSummaryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementTBodiesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementTFootPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementTHeadPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementCreateCaptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementCreateTFootMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementCreateTHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteCaptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteTFootMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementDeleteTHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetCaptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetCellPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetCellSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetRulesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetSummaryMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetTBodiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetTFootMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetTHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementInsertRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetCaptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetCellPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetCellSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetRulesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetSummaryMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetTFootMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetTHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableElementSetWidthMethodInfo
#endif
