

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement
    ( 

-- * Exported types
    DOMHTMLTableRowElement(..)              ,
    IsDOMHTMLTableRowElement                ,
    toDOMHTMLTableRowElement                ,
    noDOMHTMLTableRowElement                ,


 -- * Methods
-- ** deleteCell #method:deleteCell#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementDeleteCellMethodInfo,
#endif
    dOMHTMLTableRowElementDeleteCell        ,


-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetAlignMethodInfo,
#endif
    dOMHTMLTableRowElementGetAlign          ,


-- ** getBgColor #method:getBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetBgColorMethodInfo,
#endif
    dOMHTMLTableRowElementGetBgColor        ,


-- ** getCells #method:getCells#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetCellsMethodInfo,
#endif
    dOMHTMLTableRowElementGetCells          ,


-- ** getCh #method:getCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetChMethodInfo   ,
#endif
    dOMHTMLTableRowElementGetCh             ,


-- ** getChOff #method:getChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetChOffMethodInfo,
#endif
    dOMHTMLTableRowElementGetChOff          ,


-- ** getRowIndex #method:getRowIndex#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetRowIndexMethodInfo,
#endif
    dOMHTMLTableRowElementGetRowIndex       ,


-- ** getSectionRowIndex #method:getSectionRowIndex#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetSectionRowIndexMethodInfo,
#endif
    dOMHTMLTableRowElementGetSectionRowIndex,


-- ** getVAlign #method:getVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementGetVAlignMethodInfo,
#endif
    dOMHTMLTableRowElementGetVAlign         ,


-- ** insertCell #method:insertCell#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementInsertCellMethodInfo,
#endif
    dOMHTMLTableRowElementInsertCell        ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementSetAlignMethodInfo,
#endif
    dOMHTMLTableRowElementSetAlign          ,


-- ** setBgColor #method:setBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementSetBgColorMethodInfo,
#endif
    dOMHTMLTableRowElementSetBgColor        ,


-- ** setCh #method:setCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementSetChMethodInfo   ,
#endif
    dOMHTMLTableRowElementSetCh             ,


-- ** setChOff #method:setChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementSetChOffMethodInfo,
#endif
    dOMHTMLTableRowElementSetChOff          ,


-- ** setVAlign #method:setVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementSetVAlignMethodInfo,
#endif
    dOMHTMLTableRowElementSetVAlign         ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementAlignPropertyInfo ,
#endif
    constructDOMHTMLTableRowElementAlign    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementAlign             ,
#endif
    getDOMHTMLTableRowElementAlign          ,
    setDOMHTMLTableRowElementAlign          ,


-- ** bgColor #attr:bgColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementBgColorPropertyInfo,
#endif
    constructDOMHTMLTableRowElementBgColor  ,
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementBgColor           ,
#endif
    getDOMHTMLTableRowElementBgColor        ,
    setDOMHTMLTableRowElementBgColor        ,


-- ** cells #attr:cells#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementCellsPropertyInfo ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementCells             ,
#endif
    getDOMHTMLTableRowElementCells          ,


-- ** ch #attr:ch#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementChPropertyInfo    ,
#endif
    constructDOMHTMLTableRowElementCh       ,
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementCh                ,
#endif
    getDOMHTMLTableRowElementCh             ,
    setDOMHTMLTableRowElementCh             ,


-- ** chOff #attr:chOff#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementChOffPropertyInfo ,
#endif
    constructDOMHTMLTableRowElementChOff    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementChOff             ,
#endif
    getDOMHTMLTableRowElementChOff          ,
    setDOMHTMLTableRowElementChOff          ,


-- ** rowIndex #attr:rowIndex#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementRowIndexPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementRowIndex          ,
#endif
    getDOMHTMLTableRowElementRowIndex       ,


-- ** sectionRowIndex #attr:sectionRowIndex#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementSectionRowIndexPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementSectionRowIndex   ,
#endif
    getDOMHTMLTableRowElementSectionRowIndex,


-- ** vAlign #attr:vAlign#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableRowElementVAlignPropertyInfo,
#endif
    constructDOMHTMLTableRowElementVAlign   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableRowElementVAlign            ,
#endif
    getDOMHTMLTableRowElementVAlign         ,
    setDOMHTMLTableRowElementVAlign         ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLCollection as WebKit2WebExtension.DOMHTMLCollection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLTableRowElement = DOMHTMLTableRowElement (ManagedPtr DOMHTMLTableRowElement)
foreign import ccall "webkit_dom_html_table_row_element_get_type"
    c_webkit_dom_html_table_row_element_get_type :: IO GType

instance GObject DOMHTMLTableRowElement where
    gobjectType = c_webkit_dom_html_table_row_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLTableRowElement`, for instance with `toDOMHTMLTableRowElement`.
class (GObject o, O.IsDescendantOf DOMHTMLTableRowElement o) => IsDOMHTMLTableRowElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableRowElement o) => IsDOMHTMLTableRowElement o

instance O.HasParentTypes DOMHTMLTableRowElement
type instance O.ParentTypes DOMHTMLTableRowElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLTableRowElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLTableRowElement :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m DOMHTMLTableRowElement
toDOMHTMLTableRowElement = liftIO . unsafeCastTo DOMHTMLTableRowElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLTableRowElement`.
noDOMHTMLTableRowElement :: Maybe DOMHTMLTableRowElement
noDOMHTMLTableRowElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLTableRowElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLTableRowElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLTableRowElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLTableRowElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLTableRowElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLTableRowElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLTableRowElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLTableRowElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLTableRowElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "deleteCell" o = DOMHTMLTableRowElementDeleteCellMethodInfo
    ResolveDOMHTMLTableRowElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLTableRowElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLTableRowElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLTableRowElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLTableRowElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLTableRowElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLTableRowElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLTableRowElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLTableRowElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLTableRowElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLTableRowElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLTableRowElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "insertCell" o = DOMHTMLTableRowElementInsertCellMethodInfo
    ResolveDOMHTMLTableRowElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLTableRowElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLTableRowElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLTableRowElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLTableRowElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLTableRowElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLTableRowElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLTableRowElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLTableRowElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLTableRowElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLTableRowElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLTableRowElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLTableRowElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLTableRowElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLTableRowElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLTableRowElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLTableRowElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLTableRowElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLTableRowElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLTableRowElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLTableRowElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAlign" o = DOMHTMLTableRowElementGetAlignMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getBgColor" o = DOMHTMLTableRowElementGetBgColorMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getCells" o = DOMHTMLTableRowElementGetCellsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getCh" o = DOMHTMLTableRowElementGetChMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getChOff" o = DOMHTMLTableRowElementGetChOffMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getRowIndex" o = DOMHTMLTableRowElementGetRowIndexMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getSectionRowIndex" o = DOMHTMLTableRowElementGetSectionRowIndexMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getVAlign" o = DOMHTMLTableRowElementGetVAlignMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLTableRowElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setAlign" o = DOMHTMLTableRowElementSetAlignMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setBgColor" o = DOMHTMLTableRowElementSetBgColorMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setCh" o = DOMHTMLTableRowElementSetChMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setChOff" o = DOMHTMLTableRowElementSetChOffMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setVAlign" o = DOMHTMLTableRowElementSetVAlignMethodInfo
    ResolveDOMHTMLTableRowElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableRowElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLTableRowElementMethod t DOMHTMLTableRowElement, O.MethodInfo info DOMHTMLTableRowElement p) => OL.IsLabel t (DOMHTMLTableRowElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #align
@
-}
getDOMHTMLTableRowElementAlign :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableRowElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableRowElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableRowElementAlign :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> T.Text -> m ()
setDOMHTMLTableRowElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableRowElementAlign :: (IsDOMHTMLTableRowElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableRowElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementAlignPropertyInfo
instance AttrInfo DOMHTMLTableRowElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableRowElementAlignPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableRowElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLTableRowElementAlignPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementAlign
    attrSet _ = setDOMHTMLTableRowElementAlign
    attrConstruct _ = constructDOMHTMLTableRowElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "bg-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #bgColor
@
-}
getDOMHTMLTableRowElementBgColor :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableRowElementBgColor obj = liftIO $ B.Properties.getObjectPropertyString obj "bg-color"

{- |
Set the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableRowElement [ #bgColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableRowElementBgColor :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> T.Text -> m ()
setDOMHTMLTableRowElementBgColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "bg-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@bg-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableRowElementBgColor :: (IsDOMHTMLTableRowElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableRowElementBgColor val = B.Properties.constructObjectPropertyString "bg-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementBgColorPropertyInfo
instance AttrInfo DOMHTMLTableRowElementBgColorPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementBgColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementBgColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableRowElementBgColorPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementBgColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableRowElementBgColorPropertyInfo = "bg-color"
    type AttrOrigin DOMHTMLTableRowElementBgColorPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementBgColor
    attrSet _ = setDOMHTMLTableRowElementBgColor
    attrConstruct _ = constructDOMHTMLTableRowElementBgColor
    attrClear _ = undefined
#endif

-- VVV Prop "cells"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@cells@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #cells
@
-}
getDOMHTMLTableRowElementCells :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
getDOMHTMLTableRowElementCells obj = liftIO $ B.Properties.getObjectPropertyObject obj "cells" WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementCellsPropertyInfo
instance AttrInfo DOMHTMLTableRowElementCellsPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementCellsPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableRowElementCellsPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableRowElementCellsPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementCellsPropertyInfo = (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
    type AttrLabel DOMHTMLTableRowElementCellsPropertyInfo = "cells"
    type AttrOrigin DOMHTMLTableRowElementCellsPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementCells
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "ch"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #ch
@
-}
getDOMHTMLTableRowElementCh :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableRowElementCh obj = liftIO $ B.Properties.getObjectPropertyString obj "ch"

{- |
Set the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableRowElement [ #ch 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableRowElementCh :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> T.Text -> m ()
setDOMHTMLTableRowElementCh obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableRowElementCh :: (IsDOMHTMLTableRowElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableRowElementCh val = B.Properties.constructObjectPropertyString "ch" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementChPropertyInfo
instance AttrInfo DOMHTMLTableRowElementChPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementChPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementChPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableRowElementChPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementChPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableRowElementChPropertyInfo = "ch"
    type AttrOrigin DOMHTMLTableRowElementChPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementCh
    attrSet _ = setDOMHTMLTableRowElementCh
    attrConstruct _ = constructDOMHTMLTableRowElementCh
    attrClear _ = undefined
#endif

-- VVV Prop "ch-off"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #chOff
@
-}
getDOMHTMLTableRowElementChOff :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableRowElementChOff obj = liftIO $ B.Properties.getObjectPropertyString obj "ch-off"

{- |
Set the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableRowElement [ #chOff 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableRowElementChOff :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> T.Text -> m ()
setDOMHTMLTableRowElementChOff obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch-off" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch-off@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableRowElementChOff :: (IsDOMHTMLTableRowElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableRowElementChOff val = B.Properties.constructObjectPropertyString "ch-off" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementChOffPropertyInfo
instance AttrInfo DOMHTMLTableRowElementChOffPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementChOffPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementChOffPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableRowElementChOffPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementChOffPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableRowElementChOffPropertyInfo = "ch-off"
    type AttrOrigin DOMHTMLTableRowElementChOffPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementChOff
    attrSet _ = setDOMHTMLTableRowElementChOff
    attrConstruct _ = constructDOMHTMLTableRowElementChOff
    attrClear _ = undefined
#endif

-- VVV Prop "row-index"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@row-index@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #rowIndex
@
-}
getDOMHTMLTableRowElementRowIndex :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m CLong
getDOMHTMLTableRowElementRowIndex obj = liftIO $ B.Properties.getObjectPropertyLong obj "row-index"

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementRowIndexPropertyInfo
instance AttrInfo DOMHTMLTableRowElementRowIndexPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementRowIndexPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementRowIndexPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableRowElementRowIndexPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementRowIndexPropertyInfo = CLong
    type AttrLabel DOMHTMLTableRowElementRowIndexPropertyInfo = "row-index"
    type AttrOrigin DOMHTMLTableRowElementRowIndexPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementRowIndex
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "section-row-index"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@section-row-index@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #sectionRowIndex
@
-}
getDOMHTMLTableRowElementSectionRowIndex :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m CLong
getDOMHTMLTableRowElementSectionRowIndex obj = liftIO $ B.Properties.getObjectPropertyLong obj "section-row-index"

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementSectionRowIndexPropertyInfo
instance AttrInfo DOMHTMLTableRowElementSectionRowIndexPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementSectionRowIndexPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementSectionRowIndexPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableRowElementSectionRowIndexPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementSectionRowIndexPropertyInfo = CLong
    type AttrLabel DOMHTMLTableRowElementSectionRowIndexPropertyInfo = "section-row-index"
    type AttrOrigin DOMHTMLTableRowElementSectionRowIndexPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementSectionRowIndex
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "v-align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableRowElement #vAlign
@
-}
getDOMHTMLTableRowElementVAlign :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableRowElementVAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "v-align"

{- |
Set the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableRowElement [ #vAlign 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableRowElementVAlign :: (MonadIO m, IsDOMHTMLTableRowElement o) => o -> T.Text -> m ()
setDOMHTMLTableRowElementVAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "v-align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@v-align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableRowElementVAlign :: (IsDOMHTMLTableRowElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableRowElementVAlign val = B.Properties.constructObjectPropertyString "v-align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementVAlignPropertyInfo
instance AttrInfo DOMHTMLTableRowElementVAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableRowElementVAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableRowElementVAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableRowElementVAlignPropertyInfo = IsDOMHTMLTableRowElement
    type AttrGetType DOMHTMLTableRowElementVAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableRowElementVAlignPropertyInfo = "v-align"
    type AttrOrigin DOMHTMLTableRowElementVAlignPropertyInfo = DOMHTMLTableRowElement
    attrGet _ = getDOMHTMLTableRowElementVAlign
    attrSet _ = setDOMHTMLTableRowElementVAlign
    attrConstruct _ = constructDOMHTMLTableRowElementVAlign
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLTableRowElement
type instance O.AttributeList DOMHTMLTableRowElement = DOMHTMLTableRowElementAttributeList
type DOMHTMLTableRowElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLTableRowElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("bgColor", DOMHTMLTableRowElementBgColorPropertyInfo), '("cells", DOMHTMLTableRowElementCellsPropertyInfo), '("ch", DOMHTMLTableRowElementChPropertyInfo), '("chOff", DOMHTMLTableRowElementChOffPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("rowIndex", DOMHTMLTableRowElementRowIndexPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("sectionRowIndex", DOMHTMLTableRowElementSectionRowIndexPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("vAlign", DOMHTMLTableRowElementVAlignPropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLTableRowElementAlign :: AttrLabelProxy "align"
dOMHTMLTableRowElementAlign = AttrLabelProxy

dOMHTMLTableRowElementBgColor :: AttrLabelProxy "bgColor"
dOMHTMLTableRowElementBgColor = AttrLabelProxy

dOMHTMLTableRowElementCells :: AttrLabelProxy "cells"
dOMHTMLTableRowElementCells = AttrLabelProxy

dOMHTMLTableRowElementCh :: AttrLabelProxy "ch"
dOMHTMLTableRowElementCh = AttrLabelProxy

dOMHTMLTableRowElementChOff :: AttrLabelProxy "chOff"
dOMHTMLTableRowElementChOff = AttrLabelProxy

dOMHTMLTableRowElementRowIndex :: AttrLabelProxy "rowIndex"
dOMHTMLTableRowElementRowIndex = AttrLabelProxy

dOMHTMLTableRowElementSectionRowIndex :: AttrLabelProxy "sectionRowIndex"
dOMHTMLTableRowElementSectionRowIndex = AttrLabelProxy

dOMHTMLTableRowElementVAlign :: AttrLabelProxy "vAlign"
dOMHTMLTableRowElementVAlign = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLTableRowElement = DOMHTMLTableRowElementSignalList
type DOMHTMLTableRowElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLTableRowElement::delete_cell
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "index", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_delete_cell" webkit_dom_html_table_row_element_delete_cell :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CLong ->                                -- index : TBasicType TLong
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLTableRowElementDeleteCell ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementDeleteCell ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> CLong
    {- ^ /@index@/: A @/glong/@ -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableRowElementDeleteCell self index = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    onException (do
        propagateGError $ webkit_dom_html_table_row_element_delete_cell self' index
        touchManagedPtr self
        return ()
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementDeleteCellMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementDeleteCellMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementDeleteCell

#endif

-- method DOMHTMLTableRowElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_align" webkit_dom_html_table_row_element_get_align :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableRowElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableRowElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableRowElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetAlign

#endif

-- method DOMHTMLTableRowElement::get_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_bg_color" webkit_dom_html_table_row_element_get_bg_color :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableRowElementGetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableRowElementGetBgColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_bg_color self'
    checkUnexpectedReturnNULL "dOMHTMLTableRowElementGetBgColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetBgColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetBgColor

#endif

-- method DOMHTMLTableRowElement::get_cells
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_cells" webkit_dom_html_table_row_element_get_cells :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLTableRowElementGetCells ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetCells ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLTableRowElementGetCells self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_cells self'
    checkUnexpectedReturnNULL "dOMHTMLTableRowElementGetCells" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetCellsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetCellsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetCells

#endif

-- method DOMHTMLTableRowElement::get_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_ch" webkit_dom_html_table_row_element_get_ch :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableRowElementGetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableRowElementGetCh self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_ch self'
    checkUnexpectedReturnNULL "dOMHTMLTableRowElementGetCh" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetChMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetCh

#endif

-- method DOMHTMLTableRowElement::get_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_ch_off" webkit_dom_html_table_row_element_get_ch_off :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableRowElementGetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableRowElementGetChOff self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_ch_off self'
    checkUnexpectedReturnNULL "dOMHTMLTableRowElementGetChOff" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetChOffMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetChOff

#endif

-- method DOMHTMLTableRowElement::get_row_index
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_row_index" webkit_dom_html_table_row_element_get_row_index :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTableRowElementGetRowIndex ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetRowIndex ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTableRowElementGetRowIndex self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_row_index self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetRowIndexMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetRowIndexMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetRowIndex

#endif

-- method DOMHTMLTableRowElement::get_section_row_index
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_section_row_index" webkit_dom_html_table_row_element_get_section_row_index :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTableRowElementGetSectionRowIndex ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetSectionRowIndex ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTableRowElementGetSectionRowIndex self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_section_row_index self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetSectionRowIndexMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetSectionRowIndexMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetSectionRowIndex

#endif

-- method DOMHTMLTableRowElement::get_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_get_v_align" webkit_dom_html_table_row_element_get_v_align :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableRowElementGetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementGetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableRowElementGetVAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_row_element_get_v_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableRowElementGetVAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementGetVAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementGetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementGetVAlign

#endif

-- method DOMHTMLTableRowElement::insert_cell
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "index", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}))
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_insert_cell" webkit_dom_html_table_row_element_insert_cell :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CLong ->                                -- index : TBasicType TLong
    Ptr (Ptr GError) ->                     -- error
    IO (Ptr WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement)

{-# DEPRECATED dOMHTMLTableRowElementInsertCell ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementInsertCell ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> CLong
    {- ^ /@index@/: A @/glong/@ -}
    -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableRowElementInsertCell self index = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    onException (do
        result <- propagateGError $ webkit_dom_html_table_row_element_insert_cell self' index
        checkUnexpectedReturnNULL "dOMHTMLTableRowElementInsertCell" result
        result' <- (newObject WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement) result
        touchManagedPtr self
        return result'
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementInsertCellMethodInfo
instance (signature ~ (CLong -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementInsertCellMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementInsertCell

#endif

-- method DOMHTMLTableRowElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_set_align" webkit_dom_html_table_row_element_set_align :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableRowElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableRowElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_row_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementSetAlign

#endif

-- method DOMHTMLTableRowElement::set_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_set_bg_color" webkit_dom_html_table_row_element_set_bg_color :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableRowElementSetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementSetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableRowElementSetBgColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_row_element_set_bg_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementSetBgColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementSetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementSetBgColor

#endif

-- method DOMHTMLTableRowElement::set_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_set_ch" webkit_dom_html_table_row_element_set_ch :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableRowElementSetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementSetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableRowElementSetCh self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_row_element_set_ch self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementSetChMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementSetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementSetCh

#endif

-- method DOMHTMLTableRowElement::set_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_set_ch_off" webkit_dom_html_table_row_element_set_ch_off :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableRowElementSetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementSetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableRowElementSetChOff self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_row_element_set_ch_off self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementSetChOffMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementSetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementSetChOff

#endif

-- method DOMHTMLTableRowElement::set_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableRowElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_row_element_set_v_align" webkit_dom_html_table_row_element_set_v_align :: 
    Ptr DOMHTMLTableRowElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableRowElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableRowElementSetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableRowElementSetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableRowElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableRowElement.DOMHTMLTableRowElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableRowElementSetVAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_row_element_set_v_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableRowElementSetVAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableRowElement a) => O.MethodInfo DOMHTMLTableRowElementSetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableRowElementSetVAlign

#endif


