

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement
    ( 

-- * Exported types
    DOMHTMLTableSectionElement(..)          ,
    IsDOMHTMLTableSectionElement            ,
    toDOMHTMLTableSectionElement            ,
    noDOMHTMLTableSectionElement            ,


 -- * Methods
-- ** deleteRow #method:deleteRow#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementDeleteRowMethodInfo,
#endif
    dOMHTMLTableSectionElementDeleteRow     ,


-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementGetAlignMethodInfo,
#endif
    dOMHTMLTableSectionElementGetAlign      ,


-- ** getCh #method:getCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementGetChMethodInfo,
#endif
    dOMHTMLTableSectionElementGetCh         ,


-- ** getChOff #method:getChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementGetChOffMethodInfo,
#endif
    dOMHTMLTableSectionElementGetChOff      ,


-- ** getRows #method:getRows#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementGetRowsMethodInfo,
#endif
    dOMHTMLTableSectionElementGetRows       ,


-- ** getVAlign #method:getVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementGetVAlignMethodInfo,
#endif
    dOMHTMLTableSectionElementGetVAlign     ,


-- ** insertRow #method:insertRow#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementInsertRowMethodInfo,
#endif
    dOMHTMLTableSectionElementInsertRow     ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementSetAlignMethodInfo,
#endif
    dOMHTMLTableSectionElementSetAlign      ,


-- ** setCh #method:setCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementSetChMethodInfo,
#endif
    dOMHTMLTableSectionElementSetCh         ,


-- ** setChOff #method:setChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementSetChOffMethodInfo,
#endif
    dOMHTMLTableSectionElementSetChOff      ,


-- ** setVAlign #method:setVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementSetVAlignMethodInfo,
#endif
    dOMHTMLTableSectionElementSetVAlign     ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementAlignPropertyInfo,
#endif
    constructDOMHTMLTableSectionElementAlign,
#if ENABLE_OVERLOADING
    dOMHTMLTableSectionElementAlign         ,
#endif
    getDOMHTMLTableSectionElementAlign      ,
    setDOMHTMLTableSectionElementAlign      ,


-- ** ch #attr:ch#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementChPropertyInfo,
#endif
    constructDOMHTMLTableSectionElementCh   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableSectionElementCh            ,
#endif
    getDOMHTMLTableSectionElementCh         ,
    setDOMHTMLTableSectionElementCh         ,


-- ** chOff #attr:chOff#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementChOffPropertyInfo,
#endif
    constructDOMHTMLTableSectionElementChOff,
#if ENABLE_OVERLOADING
    dOMHTMLTableSectionElementChOff         ,
#endif
    getDOMHTMLTableSectionElementChOff      ,
    setDOMHTMLTableSectionElementChOff      ,


-- ** rows #attr:rows#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementRowsPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableSectionElementRows          ,
#endif
    getDOMHTMLTableSectionElementRows       ,


-- ** vAlign #attr:vAlign#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableSectionElementVAlignPropertyInfo,
#endif
    constructDOMHTMLTableSectionElementVAlign,
#if ENABLE_OVERLOADING
    dOMHTMLTableSectionElementVAlign        ,
#endif
    getDOMHTMLTableSectionElementVAlign     ,
    setDOMHTMLTableSectionElementVAlign     ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLCollection as WebKit2WebExtension.DOMHTMLCollection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLTableSectionElement = DOMHTMLTableSectionElement (ManagedPtr DOMHTMLTableSectionElement)
foreign import ccall "webkit_dom_html_table_section_element_get_type"
    c_webkit_dom_html_table_section_element_get_type :: IO GType

instance GObject DOMHTMLTableSectionElement where
    gobjectType = c_webkit_dom_html_table_section_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLTableSectionElement`, for instance with `toDOMHTMLTableSectionElement`.
class (GObject o, O.IsDescendantOf DOMHTMLTableSectionElement o) => IsDOMHTMLTableSectionElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableSectionElement o) => IsDOMHTMLTableSectionElement o

instance O.HasParentTypes DOMHTMLTableSectionElement
type instance O.ParentTypes DOMHTMLTableSectionElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLTableSectionElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLTableSectionElement :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> m DOMHTMLTableSectionElement
toDOMHTMLTableSectionElement = liftIO . unsafeCastTo DOMHTMLTableSectionElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLTableSectionElement`.
noDOMHTMLTableSectionElement :: Maybe DOMHTMLTableSectionElement
noDOMHTMLTableSectionElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLTableSectionElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLTableSectionElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "deleteRow" o = DOMHTMLTableSectionElementDeleteRowMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "insertRow" o = DOMHTMLTableSectionElementInsertRowMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAlign" o = DOMHTMLTableSectionElementGetAlignMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getCh" o = DOMHTMLTableSectionElementGetChMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getChOff" o = DOMHTMLTableSectionElementGetChOffMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getRows" o = DOMHTMLTableSectionElementGetRowsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getVAlign" o = DOMHTMLTableSectionElementGetVAlignMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setAlign" o = DOMHTMLTableSectionElementSetAlignMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setCh" o = DOMHTMLTableSectionElementSetChMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setChOff" o = DOMHTMLTableSectionElementSetChOffMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setVAlign" o = DOMHTMLTableSectionElementSetVAlignMethodInfo
    ResolveDOMHTMLTableSectionElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableSectionElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLTableSectionElementMethod t DOMHTMLTableSectionElement, O.MethodInfo info DOMHTMLTableSectionElement p) => OL.IsLabel t (DOMHTMLTableSectionElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableSectionElement #align
@
-}
getDOMHTMLTableSectionElementAlign :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableSectionElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableSectionElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableSectionElementAlign :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> T.Text -> m ()
setDOMHTMLTableSectionElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableSectionElementAlign :: (IsDOMHTMLTableSectionElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableSectionElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementAlignPropertyInfo
instance AttrInfo DOMHTMLTableSectionElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableSectionElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableSectionElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableSectionElementAlignPropertyInfo = IsDOMHTMLTableSectionElement
    type AttrGetType DOMHTMLTableSectionElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableSectionElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLTableSectionElementAlignPropertyInfo = DOMHTMLTableSectionElement
    attrGet _ = getDOMHTMLTableSectionElementAlign
    attrSet _ = setDOMHTMLTableSectionElementAlign
    attrConstruct _ = constructDOMHTMLTableSectionElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "ch"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableSectionElement #ch
@
-}
getDOMHTMLTableSectionElementCh :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableSectionElementCh obj = liftIO $ B.Properties.getObjectPropertyString obj "ch"

{- |
Set the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableSectionElement [ #ch 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableSectionElementCh :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> T.Text -> m ()
setDOMHTMLTableSectionElementCh obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableSectionElementCh :: (IsDOMHTMLTableSectionElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableSectionElementCh val = B.Properties.constructObjectPropertyString "ch" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementChPropertyInfo
instance AttrInfo DOMHTMLTableSectionElementChPropertyInfo where
    type AttrAllowedOps DOMHTMLTableSectionElementChPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableSectionElementChPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableSectionElementChPropertyInfo = IsDOMHTMLTableSectionElement
    type AttrGetType DOMHTMLTableSectionElementChPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableSectionElementChPropertyInfo = "ch"
    type AttrOrigin DOMHTMLTableSectionElementChPropertyInfo = DOMHTMLTableSectionElement
    attrGet _ = getDOMHTMLTableSectionElementCh
    attrSet _ = setDOMHTMLTableSectionElementCh
    attrConstruct _ = constructDOMHTMLTableSectionElementCh
    attrClear _ = undefined
#endif

-- VVV Prop "ch-off"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableSectionElement #chOff
@
-}
getDOMHTMLTableSectionElementChOff :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableSectionElementChOff obj = liftIO $ B.Properties.getObjectPropertyString obj "ch-off"

{- |
Set the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableSectionElement [ #chOff 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableSectionElementChOff :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> T.Text -> m ()
setDOMHTMLTableSectionElementChOff obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch-off" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch-off@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableSectionElementChOff :: (IsDOMHTMLTableSectionElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableSectionElementChOff val = B.Properties.constructObjectPropertyString "ch-off" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementChOffPropertyInfo
instance AttrInfo DOMHTMLTableSectionElementChOffPropertyInfo where
    type AttrAllowedOps DOMHTMLTableSectionElementChOffPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableSectionElementChOffPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableSectionElementChOffPropertyInfo = IsDOMHTMLTableSectionElement
    type AttrGetType DOMHTMLTableSectionElementChOffPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableSectionElementChOffPropertyInfo = "ch-off"
    type AttrOrigin DOMHTMLTableSectionElementChOffPropertyInfo = DOMHTMLTableSectionElement
    attrGet _ = getDOMHTMLTableSectionElementChOff
    attrSet _ = setDOMHTMLTableSectionElementChOff
    attrConstruct _ = constructDOMHTMLTableSectionElementChOff
    attrClear _ = undefined
#endif

-- VVV Prop "rows"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@rows@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableSectionElement #rows
@
-}
getDOMHTMLTableSectionElementRows :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> m (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
getDOMHTMLTableSectionElementRows obj = liftIO $ B.Properties.getObjectPropertyObject obj "rows" WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementRowsPropertyInfo
instance AttrInfo DOMHTMLTableSectionElementRowsPropertyInfo where
    type AttrAllowedOps DOMHTMLTableSectionElementRowsPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTableSectionElementRowsPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableSectionElementRowsPropertyInfo = IsDOMHTMLTableSectionElement
    type AttrGetType DOMHTMLTableSectionElementRowsPropertyInfo = (Maybe WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)
    type AttrLabel DOMHTMLTableSectionElementRowsPropertyInfo = "rows"
    type AttrOrigin DOMHTMLTableSectionElementRowsPropertyInfo = DOMHTMLTableSectionElement
    attrGet _ = getDOMHTMLTableSectionElementRows
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "v-align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableSectionElement #vAlign
@
-}
getDOMHTMLTableSectionElementVAlign :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableSectionElementVAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "v-align"

{- |
Set the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableSectionElement [ #vAlign 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableSectionElementVAlign :: (MonadIO m, IsDOMHTMLTableSectionElement o) => o -> T.Text -> m ()
setDOMHTMLTableSectionElementVAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "v-align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@v-align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableSectionElementVAlign :: (IsDOMHTMLTableSectionElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableSectionElementVAlign val = B.Properties.constructObjectPropertyString "v-align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementVAlignPropertyInfo
instance AttrInfo DOMHTMLTableSectionElementVAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableSectionElementVAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableSectionElementVAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableSectionElementVAlignPropertyInfo = IsDOMHTMLTableSectionElement
    type AttrGetType DOMHTMLTableSectionElementVAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableSectionElementVAlignPropertyInfo = "v-align"
    type AttrOrigin DOMHTMLTableSectionElementVAlignPropertyInfo = DOMHTMLTableSectionElement
    attrGet _ = getDOMHTMLTableSectionElementVAlign
    attrSet _ = setDOMHTMLTableSectionElementVAlign
    attrConstruct _ = constructDOMHTMLTableSectionElementVAlign
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLTableSectionElement
type instance O.AttributeList DOMHTMLTableSectionElement = DOMHTMLTableSectionElementAttributeList
type DOMHTMLTableSectionElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLTableSectionElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("ch", DOMHTMLTableSectionElementChPropertyInfo), '("chOff", DOMHTMLTableSectionElementChOffPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("rows", DOMHTMLTableSectionElementRowsPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("vAlign", DOMHTMLTableSectionElementVAlignPropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLTableSectionElementAlign :: AttrLabelProxy "align"
dOMHTMLTableSectionElementAlign = AttrLabelProxy

dOMHTMLTableSectionElementCh :: AttrLabelProxy "ch"
dOMHTMLTableSectionElementCh = AttrLabelProxy

dOMHTMLTableSectionElementChOff :: AttrLabelProxy "chOff"
dOMHTMLTableSectionElementChOff = AttrLabelProxy

dOMHTMLTableSectionElementRows :: AttrLabelProxy "rows"
dOMHTMLTableSectionElementRows = AttrLabelProxy

dOMHTMLTableSectionElementVAlign :: AttrLabelProxy "vAlign"
dOMHTMLTableSectionElementVAlign = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLTableSectionElement = DOMHTMLTableSectionElementSignalList
type DOMHTMLTableSectionElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLTableSectionElement::delete_row
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "index", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_delete_row" webkit_dom_html_table_section_element_delete_row :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    CLong ->                                -- index : TBasicType TLong
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLTableSectionElementDeleteRow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementDeleteRow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> CLong
    {- ^ /@index@/: A @/glong/@ -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableSectionElementDeleteRow self index = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    onException (do
        propagateGError $ webkit_dom_html_table_section_element_delete_row self' index
        touchManagedPtr self
        return ()
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementDeleteRowMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementDeleteRowMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementDeleteRow

#endif

-- method DOMHTMLTableSectionElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_get_align" webkit_dom_html_table_section_element_get_align :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableSectionElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableSectionElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_section_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableSectionElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementGetAlign

#endif

-- method DOMHTMLTableSectionElement::get_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_get_ch" webkit_dom_html_table_section_element_get_ch :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableSectionElementGetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementGetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableSectionElementGetCh self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_section_element_get_ch self'
    checkUnexpectedReturnNULL "dOMHTMLTableSectionElementGetCh" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementGetChMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementGetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementGetCh

#endif

-- method DOMHTMLTableSectionElement::get_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_get_ch_off" webkit_dom_html_table_section_element_get_ch_off :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableSectionElementGetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementGetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableSectionElementGetChOff self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_section_element_get_ch_off self'
    checkUnexpectedReturnNULL "dOMHTMLTableSectionElementGetChOff" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementGetChOffMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementGetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementGetChOff

#endif

-- method DOMHTMLTableSectionElement::get_rows
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_get_rows" webkit_dom_html_table_section_element_get_rows :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLTableSectionElementGetRows ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementGetRows ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLTableSectionElementGetRows self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_section_element_get_rows self'
    checkUnexpectedReturnNULL "dOMHTMLTableSectionElementGetRows" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementGetRowsMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementGetRowsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementGetRows

#endif

-- method DOMHTMLTableSectionElement::get_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_get_v_align" webkit_dom_html_table_section_element_get_v_align :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableSectionElementGetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementGetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableSectionElementGetVAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_section_element_get_v_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableSectionElementGetVAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementGetVAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementGetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementGetVAlign

#endif

-- method DOMHTMLTableSectionElement::insert_row
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "index", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}))
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_insert_row" webkit_dom_html_table_section_element_insert_row :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    CLong ->                                -- index : TBasicType TLong
    Ptr (Ptr GError) ->                     -- error
    IO (Ptr WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement)

{-# DEPRECATED dOMHTMLTableSectionElementInsertRow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementInsertRow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> CLong
    {- ^ /@index@/: A @/glong/@ -}
    -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLTableSectionElementInsertRow self index = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    onException (do
        result <- propagateGError $ webkit_dom_html_table_section_element_insert_row self' index
        checkUnexpectedReturnNULL "dOMHTMLTableSectionElementInsertRow" result
        result' <- (newObject WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement) result
        touchManagedPtr self
        return result'
     ) (do
        return ()
     )

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementInsertRowMethodInfo
instance (signature ~ (CLong -> m WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementInsertRowMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementInsertRow

#endif

-- method DOMHTMLTableSectionElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_set_align" webkit_dom_html_table_section_element_set_align :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableSectionElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableSectionElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_section_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementSetAlign

#endif

-- method DOMHTMLTableSectionElement::set_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_set_ch" webkit_dom_html_table_section_element_set_ch :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableSectionElementSetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementSetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableSectionElementSetCh self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_section_element_set_ch self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementSetChMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementSetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementSetCh

#endif

-- method DOMHTMLTableSectionElement::set_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_set_ch_off" webkit_dom_html_table_section_element_set_ch_off :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableSectionElementSetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementSetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableSectionElementSetChOff self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_section_element_set_ch_off self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementSetChOffMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementSetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementSetChOff

#endif

-- method DOMHTMLTableSectionElement::set_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableSectionElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_section_element_set_v_align" webkit_dom_html_table_section_element_set_v_align :: 
    Ptr DOMHTMLTableSectionElement ->       -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableSectionElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableSectionElementSetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableSectionElementSetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableSectionElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableSectionElement.DOMHTMLTableSectionElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableSectionElementSetVAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_section_element_set_v_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableSectionElementSetVAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableSectionElement a) => O.MethodInfo DOMHTMLTableSectionElementSetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableSectionElementSetVAlign

#endif


