#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMNode where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMNode = DOMNode (ManagedPtr DOMNode)
instance GObject DOMNode where
class (GObject o, O.IsDescendantOf DOMNode o) => IsDOMNode o
instance (GObject o, O.IsDescendantOf DOMNode o) => IsDOMNode o
instance O.HasParentTypes DOMNode
#if ENABLE_OVERLOADING
data DOMNodeBaseUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeChildNodesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeFirstChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeLastChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeNextSiblingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeNodeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeNodeTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeNodeValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeOwnerDocumentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeParentElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeParentNodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodePreviousSiblingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeTextContentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeAppendChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeCloneNodeWithErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeCompareDocumentPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeContainsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetBaseUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetChildNodesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetFirstChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetLastChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetLocalNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetNamespaceUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetNextSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetNodeNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetNodeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetNodeValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetOwnerDocumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetParentElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetParentNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetPreviousSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeGetTextContentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeHasChildNodesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeInsertBeforeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeIsDefaultNamespaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeIsEqualNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeIsSameNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeIsSupportedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeLookupNamespaceUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeLookupPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeNormalizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeRemoveChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeReplaceChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeSetNodeValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeSetPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMNodeSetTextContentMethodInfo
#endif
