#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMXPathResult where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMXPathResult = DOMXPathResult (ManagedPtr DOMXPathResult)
instance GObject DOMXPathResult where
class (GObject o, O.IsDescendantOf DOMXPathResult o) => IsDOMXPathResult o
instance (GObject o, O.IsDescendantOf DOMXPathResult o) => IsDOMXPathResult o
instance O.HasParentTypes DOMXPathResult
#if ENABLE_OVERLOADING
data DOMXPathResultBooleanValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultInvalidIteratorStatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultNumberValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultResultTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultSingleNodeValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultSnapshotLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultStringValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetBooleanValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetInvalidIteratorStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetNumberValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetResultTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetSingleNodeValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetSnapshotLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultGetStringValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultIterateNextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMXPathResultSnapshotItemMethodInfo
#endif
