#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.URIResponse where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype URIResponse = URIResponse (ManagedPtr URIResponse)
instance GObject URIResponse where
class (GObject o, O.IsDescendantOf URIResponse o) => IsURIResponse o
instance (GObject o, O.IsDescendantOf URIResponse o) => IsURIResponse o
instance O.HasParentTypes URIResponse
#if ENABLE_OVERLOADING
data URIResponseContentLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseHttpHeadersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseMimeTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseStatusCodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseSuggestedFilenamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseGetContentLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseGetHttpHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseGetMimeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseGetStatusCodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseGetSuggestedFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIResponseGetUriMethodInfo
#endif
