#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMCSSStyleDeclaration where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMCSSStyleDeclaration = DOMCSSStyleDeclaration (ManagedPtr DOMCSSStyleDeclaration)
instance GObject DOMCSSStyleDeclaration where
class (GObject o, O.IsDescendantOf DOMCSSStyleDeclaration o) => IsDOMCSSStyleDeclaration o
instance (GObject o, O.IsDescendantOf DOMCSSStyleDeclaration o) => IsDOMCSSStyleDeclaration o
instance O.HasParentTypes DOMCSSStyleDeclaration
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationCssTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationParentRulePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationGetCssTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationGetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationGetParentRuleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationGetPropertyPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationGetPropertyShorthandMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationGetPropertyValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationIsPropertyImplicitMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationRemovePropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationSetCssTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMCSSStyleDeclarationSetPropertyMethodInfo
#endif
