

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMDOMWindow
    ( 

-- * Exported types
    DOMDOMWindow(..)                        ,
    IsDOMDOMWindow                          ,
    toDOMDOMWindow                          ,
    noDOMDOMWindow                          ,


 -- * Methods
-- ** alert #method:alert#

#if ENABLE_OVERLOADING
    DOMDOMWindowAlertMethodInfo             ,
#endif
    dOMDOMWindowAlert                       ,


-- ** blur #method:blur#

#if ENABLE_OVERLOADING
    DOMDOMWindowBlurMethodInfo              ,
#endif
    dOMDOMWindowBlur                        ,


-- ** captureEvents #method:captureEvents#

#if ENABLE_OVERLOADING
    DOMDOMWindowCaptureEventsMethodInfo     ,
#endif
    dOMDOMWindowCaptureEvents               ,


-- ** close #method:close#

#if ENABLE_OVERLOADING
    DOMDOMWindowCloseMethodInfo             ,
#endif
    dOMDOMWindowClose                       ,


-- ** confirm #method:confirm#

#if ENABLE_OVERLOADING
    DOMDOMWindowConfirmMethodInfo           ,
#endif
    dOMDOMWindowConfirm                     ,


-- ** find #method:find#

#if ENABLE_OVERLOADING
    DOMDOMWindowFindMethodInfo              ,
#endif
    dOMDOMWindowFind                        ,


-- ** focus #method:focus#

#if ENABLE_OVERLOADING
    DOMDOMWindowFocusMethodInfo             ,
#endif
    dOMDOMWindowFocus                       ,


-- ** getClosed #method:getClosed#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetClosedMethodInfo         ,
#endif
    dOMDOMWindowGetClosed                   ,


-- ** getComputedStyle #method:getComputedStyle#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetComputedStyleMethodInfo  ,
#endif
    dOMDOMWindowGetComputedStyle            ,


-- ** getDefaultStatus #method:getDefaultStatus#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetDefaultStatusMethodInfo  ,
#endif
    dOMDOMWindowGetDefaultStatus            ,


-- ** getDevicePixelRatio #method:getDevicePixelRatio#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetDevicePixelRatioMethodInfo,
#endif
    dOMDOMWindowGetDevicePixelRatio         ,


-- ** getDocument #method:getDocument#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetDocumentMethodInfo       ,
#endif
    dOMDOMWindowGetDocument                 ,


-- ** getFrameElement #method:getFrameElement#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetFrameElementMethodInfo   ,
#endif
    dOMDOMWindowGetFrameElement             ,


-- ** getFrames #method:getFrames#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetFramesMethodInfo         ,
#endif
    dOMDOMWindowGetFrames                   ,


-- ** getInnerHeight #method:getInnerHeight#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetInnerHeightMethodInfo    ,
#endif
    dOMDOMWindowGetInnerHeight              ,


-- ** getInnerWidth #method:getInnerWidth#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetInnerWidthMethodInfo     ,
#endif
    dOMDOMWindowGetInnerWidth               ,


-- ** getLength #method:getLength#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetLengthMethodInfo         ,
#endif
    dOMDOMWindowGetLength                   ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetNameMethodInfo           ,
#endif
    dOMDOMWindowGetName                     ,


-- ** getOffscreenBuffering #method:getOffscreenBuffering#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetOffscreenBufferingMethodInfo,
#endif
    dOMDOMWindowGetOffscreenBuffering       ,


-- ** getOpener #method:getOpener#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetOpenerMethodInfo         ,
#endif
    dOMDOMWindowGetOpener                   ,


-- ** getOrientation #method:getOrientation#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetOrientationMethodInfo    ,
#endif
    dOMDOMWindowGetOrientation              ,


-- ** getOuterHeight #method:getOuterHeight#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetOuterHeightMethodInfo    ,
#endif
    dOMDOMWindowGetOuterHeight              ,


-- ** getOuterWidth #method:getOuterWidth#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetOuterWidthMethodInfo     ,
#endif
    dOMDOMWindowGetOuterWidth               ,


-- ** getPageXOffset #method:getPageXOffset#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetPageXOffsetMethodInfo    ,
#endif
    dOMDOMWindowGetPageXOffset              ,


-- ** getPageYOffset #method:getPageYOffset#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetPageYOffsetMethodInfo    ,
#endif
    dOMDOMWindowGetPageYOffset              ,


-- ** getParent #method:getParent#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetParentMethodInfo         ,
#endif
    dOMDOMWindowGetParent                   ,


-- ** getScreenLeft #method:getScreenLeft#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetScreenLeftMethodInfo     ,
#endif
    dOMDOMWindowGetScreenLeft               ,


-- ** getScreenTop #method:getScreenTop#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetScreenTopMethodInfo      ,
#endif
    dOMDOMWindowGetScreenTop                ,


-- ** getScreenX #method:getScreenX#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetScreenXMethodInfo        ,
#endif
    dOMDOMWindowGetScreenX                  ,


-- ** getScreenY #method:getScreenY#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetScreenYMethodInfo        ,
#endif
    dOMDOMWindowGetScreenY                  ,


-- ** getScrollX #method:getScrollX#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetScrollXMethodInfo        ,
#endif
    dOMDOMWindowGetScrollX                  ,


-- ** getScrollY #method:getScrollY#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetScrollYMethodInfo        ,
#endif
    dOMDOMWindowGetScrollY                  ,


-- ** getSelection #method:getSelection#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetSelectionMethodInfo      ,
#endif
    dOMDOMWindowGetSelection                ,


-- ** getSelf #method:getSelf#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetSelfMethodInfo           ,
#endif
    dOMDOMWindowGetSelf                     ,


-- ** getStatus #method:getStatus#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetStatusMethodInfo         ,
#endif
    dOMDOMWindowGetStatus                   ,


-- ** getTop #method:getTop#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetTopMethodInfo            ,
#endif
    dOMDOMWindowGetTop                      ,


-- ** getWindow #method:getWindow#

#if ENABLE_OVERLOADING
    DOMDOMWindowGetWindowMethodInfo         ,
#endif
    dOMDOMWindowGetWindow                   ,


-- ** moveBy #method:moveBy#

#if ENABLE_OVERLOADING
    DOMDOMWindowMoveByMethodInfo            ,
#endif
    dOMDOMWindowMoveBy                      ,


-- ** moveTo #method:moveTo#

#if ENABLE_OVERLOADING
    DOMDOMWindowMoveToMethodInfo            ,
#endif
    dOMDOMWindowMoveTo                      ,


-- ** print #method:print#

#if ENABLE_OVERLOADING
    DOMDOMWindowPrintMethodInfo             ,
#endif
    dOMDOMWindowPrint                       ,


-- ** prompt #method:prompt#

#if ENABLE_OVERLOADING
    DOMDOMWindowPromptMethodInfo            ,
#endif
    dOMDOMWindowPrompt                      ,


-- ** releaseEvents #method:releaseEvents#

#if ENABLE_OVERLOADING
    DOMDOMWindowReleaseEventsMethodInfo     ,
#endif
    dOMDOMWindowReleaseEvents               ,


-- ** resizeBy #method:resizeBy#

#if ENABLE_OVERLOADING
    DOMDOMWindowResizeByMethodInfo          ,
#endif
    dOMDOMWindowResizeBy                    ,


-- ** resizeTo #method:resizeTo#

#if ENABLE_OVERLOADING
    DOMDOMWindowResizeToMethodInfo          ,
#endif
    dOMDOMWindowResizeTo                    ,


-- ** scrollBy #method:scrollBy#

#if ENABLE_OVERLOADING
    DOMDOMWindowScrollByMethodInfo          ,
#endif
    dOMDOMWindowScrollBy                    ,


-- ** scrollTo #method:scrollTo#

#if ENABLE_OVERLOADING
    DOMDOMWindowScrollToMethodInfo          ,
#endif
    dOMDOMWindowScrollTo                    ,


-- ** setDefaultStatus #method:setDefaultStatus#

#if ENABLE_OVERLOADING
    DOMDOMWindowSetDefaultStatusMethodInfo  ,
#endif
    dOMDOMWindowSetDefaultStatus            ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMDOMWindowSetNameMethodInfo           ,
#endif
    dOMDOMWindowSetName                     ,


-- ** setStatus #method:setStatus#

#if ENABLE_OVERLOADING
    DOMDOMWindowSetStatusMethodInfo         ,
#endif
    dOMDOMWindowSetStatus                   ,


-- ** stop #method:stop#

#if ENABLE_OVERLOADING
    DOMDOMWindowStopMethodInfo              ,
#endif
    dOMDOMWindowStop                        ,


-- ** webkitMessageHandlersPostMessage #method:webkitMessageHandlersPostMessage#

#if ENABLE_OVERLOADING
    DOMDOMWindowWebkitMessageHandlersPostMessageMethodInfo,
#endif
    dOMDOMWindowWebkitMessageHandlersPostMessage,




 -- * Properties
-- ** closed #attr:closed#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowClosedPropertyInfo          ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowClosed                      ,
#endif
    getDOMDOMWindowClosed                   ,


-- ** defaultStatus #attr:defaultStatus#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowDefaultStatusPropertyInfo   ,
#endif
    constructDOMDOMWindowDefaultStatus      ,
#if ENABLE_OVERLOADING
    dOMDOMWindowDefaultStatus               ,
#endif
    getDOMDOMWindowDefaultStatus            ,
    setDOMDOMWindowDefaultStatus            ,


-- ** devicePixelRatio #attr:devicePixelRatio#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowDevicePixelRatioPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowDevicePixelRatio            ,
#endif
    getDOMDOMWindowDevicePixelRatio         ,


-- ** document #attr:document#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowDocumentPropertyInfo        ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowDocument                    ,
#endif
    getDOMDOMWindowDocument                 ,


-- ** frameElement #attr:frameElement#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowFrameElementPropertyInfo    ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowFrameElement                ,
#endif
    getDOMDOMWindowFrameElement             ,


-- ** frames #attr:frames#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowFramesPropertyInfo          ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowFrames                      ,
#endif
    getDOMDOMWindowFrames                   ,


-- ** innerHeight #attr:innerHeight#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowInnerHeightPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowInnerHeight                 ,
#endif
    getDOMDOMWindowInnerHeight              ,


-- ** innerWidth #attr:innerWidth#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowInnerWidthPropertyInfo      ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowInnerWidth                  ,
#endif
    getDOMDOMWindowInnerWidth               ,


-- ** length #attr:length#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowLengthPropertyInfo          ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowLength                      ,
#endif
    getDOMDOMWindowLength                   ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowNamePropertyInfo            ,
#endif
    constructDOMDOMWindowName               ,
#if ENABLE_OVERLOADING
    dOMDOMWindowName                        ,
#endif
    getDOMDOMWindowName                     ,
    setDOMDOMWindowName                     ,


-- ** offscreenBuffering #attr:offscreenBuffering#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowOffscreenBufferingPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowOffscreenBuffering          ,
#endif
    getDOMDOMWindowOffscreenBuffering       ,


-- ** opener #attr:opener#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowOpenerPropertyInfo          ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowOpener                      ,
#endif
    getDOMDOMWindowOpener                   ,


-- ** orientation #attr:orientation#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowOrientationPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowOrientation                 ,
#endif
    getDOMDOMWindowOrientation              ,


-- ** outerHeight #attr:outerHeight#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowOuterHeightPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowOuterHeight                 ,
#endif
    getDOMDOMWindowOuterHeight              ,


-- ** outerWidth #attr:outerWidth#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowOuterWidthPropertyInfo      ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowOuterWidth                  ,
#endif
    getDOMDOMWindowOuterWidth               ,


-- ** pageXOffset #attr:pageXOffset#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowPageXOffsetPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowPageXOffset                 ,
#endif
    getDOMDOMWindowPageXOffset              ,


-- ** pageYOffset #attr:pageYOffset#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowPageYOffsetPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowPageYOffset                 ,
#endif
    getDOMDOMWindowPageYOffset              ,


-- ** parent #attr:parent#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowParentPropertyInfo          ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowParent                      ,
#endif
    getDOMDOMWindowParent                   ,


-- ** screenLeft #attr:screenLeft#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowScreenLeftPropertyInfo      ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowScreenLeft                  ,
#endif
    getDOMDOMWindowScreenLeft               ,


-- ** screenTop #attr:screenTop#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowScreenTopPropertyInfo       ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowScreenTop                   ,
#endif
    getDOMDOMWindowScreenTop                ,


-- ** screenX #attr:screenX#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowScreenXPropertyInfo         ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowScreenX                     ,
#endif
    getDOMDOMWindowScreenX                  ,


-- ** screenY #attr:screenY#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowScreenYPropertyInfo         ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowScreenY                     ,
#endif
    getDOMDOMWindowScreenY                  ,


-- ** scrollX #attr:scrollX#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowScrollXPropertyInfo         ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowScrollX                     ,
#endif
    getDOMDOMWindowScrollX                  ,


-- ** scrollY #attr:scrollY#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowScrollYPropertyInfo         ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowScrollY                     ,
#endif
    getDOMDOMWindowScrollY                  ,


-- ** self #attr:self#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowSelfPropertyInfo            ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowSelf                        ,
#endif
    getDOMDOMWindowSelf                     ,


-- ** status #attr:status#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowStatusPropertyInfo          ,
#endif
    constructDOMDOMWindowStatus             ,
#if ENABLE_OVERLOADING
    dOMDOMWindowStatus                      ,
#endif
    getDOMDOMWindowStatus                   ,
    setDOMDOMWindowStatus                   ,


-- ** top #attr:top#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowTopPropertyInfo             ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowTop                         ,
#endif
    getDOMDOMWindowTop                      ,


-- ** window #attr:window#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMDOMWindowWindowPropertyInfo          ,
#endif
#if ENABLE_OVERLOADING
    dOMDOMWindowWindow                      ,
#endif
    getDOMDOMWindowWindow                   ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMCSSStyleDeclaration as WebKit2WebExtension.DOMCSSStyleDeclaration
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDOMSelection as WebKit2WebExtension.DOMDOMSelection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDocument as WebKit2WebExtension.DOMDocument
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMDOMWindow = DOMDOMWindow (ManagedPtr DOMDOMWindow)
foreign import ccall "webkit_dom_dom_window_get_type"
    c_webkit_dom_dom_window_get_type :: IO GType

instance GObject DOMDOMWindow where
    gobjectType = c_webkit_dom_dom_window_get_type
    

-- | Type class for types which can be safely cast to `DOMDOMWindow`, for instance with `toDOMDOMWindow`.
class (GObject o, O.IsDescendantOf DOMDOMWindow o) => IsDOMDOMWindow o
instance (GObject o, O.IsDescendantOf DOMDOMWindow o) => IsDOMDOMWindow o

instance O.HasParentTypes DOMDOMWindow
type instance O.ParentTypes DOMDOMWindow = '[WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMDOMWindow`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMDOMWindow :: (MonadIO m, IsDOMDOMWindow o) => o -> m DOMDOMWindow
toDOMDOMWindow = liftIO . unsafeCastTo DOMDOMWindow

-- | A convenience alias for `Nothing` :: `Maybe` `DOMDOMWindow`.
noDOMDOMWindow :: Maybe DOMDOMWindow
noDOMDOMWindow = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMDOMWindowMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMDOMWindowMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMDOMWindowMethod "alert" o = DOMDOMWindowAlertMethodInfo
    ResolveDOMDOMWindowMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMDOMWindowMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMDOMWindowMethod "blur" o = DOMDOMWindowBlurMethodInfo
    ResolveDOMDOMWindowMethod "captureEvents" o = DOMDOMWindowCaptureEventsMethodInfo
    ResolveDOMDOMWindowMethod "close" o = DOMDOMWindowCloseMethodInfo
    ResolveDOMDOMWindowMethod "confirm" o = DOMDOMWindowConfirmMethodInfo
    ResolveDOMDOMWindowMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMDOMWindowMethod "find" o = DOMDOMWindowFindMethodInfo
    ResolveDOMDOMWindowMethod "focus" o = DOMDOMWindowFocusMethodInfo
    ResolveDOMDOMWindowMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMDOMWindowMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMDOMWindowMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMDOMWindowMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMDOMWindowMethod "moveBy" o = DOMDOMWindowMoveByMethodInfo
    ResolveDOMDOMWindowMethod "moveTo" o = DOMDOMWindowMoveToMethodInfo
    ResolveDOMDOMWindowMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMDOMWindowMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMDOMWindowMethod "print" o = DOMDOMWindowPrintMethodInfo
    ResolveDOMDOMWindowMethod "prompt" o = DOMDOMWindowPromptMethodInfo
    ResolveDOMDOMWindowMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMDOMWindowMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMDOMWindowMethod "releaseEvents" o = DOMDOMWindowReleaseEventsMethodInfo
    ResolveDOMDOMWindowMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMDOMWindowMethod "resizeBy" o = DOMDOMWindowResizeByMethodInfo
    ResolveDOMDOMWindowMethod "resizeTo" o = DOMDOMWindowResizeToMethodInfo
    ResolveDOMDOMWindowMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMDOMWindowMethod "scrollBy" o = DOMDOMWindowScrollByMethodInfo
    ResolveDOMDOMWindowMethod "scrollTo" o = DOMDOMWindowScrollToMethodInfo
    ResolveDOMDOMWindowMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMDOMWindowMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMDOMWindowMethod "stop" o = DOMDOMWindowStopMethodInfo
    ResolveDOMDOMWindowMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMDOMWindowMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMDOMWindowMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMDOMWindowMethod "webkitMessageHandlersPostMessage" o = DOMDOMWindowWebkitMessageHandlersPostMessageMethodInfo
    ResolveDOMDOMWindowMethod "getClosed" o = DOMDOMWindowGetClosedMethodInfo
    ResolveDOMDOMWindowMethod "getComputedStyle" o = DOMDOMWindowGetComputedStyleMethodInfo
    ResolveDOMDOMWindowMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMDOMWindowMethod "getDefaultStatus" o = DOMDOMWindowGetDefaultStatusMethodInfo
    ResolveDOMDOMWindowMethod "getDevicePixelRatio" o = DOMDOMWindowGetDevicePixelRatioMethodInfo
    ResolveDOMDOMWindowMethod "getDocument" o = DOMDOMWindowGetDocumentMethodInfo
    ResolveDOMDOMWindowMethod "getFrameElement" o = DOMDOMWindowGetFrameElementMethodInfo
    ResolveDOMDOMWindowMethod "getFrames" o = DOMDOMWindowGetFramesMethodInfo
    ResolveDOMDOMWindowMethod "getInnerHeight" o = DOMDOMWindowGetInnerHeightMethodInfo
    ResolveDOMDOMWindowMethod "getInnerWidth" o = DOMDOMWindowGetInnerWidthMethodInfo
    ResolveDOMDOMWindowMethod "getLength" o = DOMDOMWindowGetLengthMethodInfo
    ResolveDOMDOMWindowMethod "getName" o = DOMDOMWindowGetNameMethodInfo
    ResolveDOMDOMWindowMethod "getOffscreenBuffering" o = DOMDOMWindowGetOffscreenBufferingMethodInfo
    ResolveDOMDOMWindowMethod "getOpener" o = DOMDOMWindowGetOpenerMethodInfo
    ResolveDOMDOMWindowMethod "getOrientation" o = DOMDOMWindowGetOrientationMethodInfo
    ResolveDOMDOMWindowMethod "getOuterHeight" o = DOMDOMWindowGetOuterHeightMethodInfo
    ResolveDOMDOMWindowMethod "getOuterWidth" o = DOMDOMWindowGetOuterWidthMethodInfo
    ResolveDOMDOMWindowMethod "getPageXOffset" o = DOMDOMWindowGetPageXOffsetMethodInfo
    ResolveDOMDOMWindowMethod "getPageYOffset" o = DOMDOMWindowGetPageYOffsetMethodInfo
    ResolveDOMDOMWindowMethod "getParent" o = DOMDOMWindowGetParentMethodInfo
    ResolveDOMDOMWindowMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMDOMWindowMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMDOMWindowMethod "getScreenLeft" o = DOMDOMWindowGetScreenLeftMethodInfo
    ResolveDOMDOMWindowMethod "getScreenTop" o = DOMDOMWindowGetScreenTopMethodInfo
    ResolveDOMDOMWindowMethod "getScreenX" o = DOMDOMWindowGetScreenXMethodInfo
    ResolveDOMDOMWindowMethod "getScreenY" o = DOMDOMWindowGetScreenYMethodInfo
    ResolveDOMDOMWindowMethod "getScrollX" o = DOMDOMWindowGetScrollXMethodInfo
    ResolveDOMDOMWindowMethod "getScrollY" o = DOMDOMWindowGetScrollYMethodInfo
    ResolveDOMDOMWindowMethod "getSelection" o = DOMDOMWindowGetSelectionMethodInfo
    ResolveDOMDOMWindowMethod "getSelf" o = DOMDOMWindowGetSelfMethodInfo
    ResolveDOMDOMWindowMethod "getStatus" o = DOMDOMWindowGetStatusMethodInfo
    ResolveDOMDOMWindowMethod "getTop" o = DOMDOMWindowGetTopMethodInfo
    ResolveDOMDOMWindowMethod "getWindow" o = DOMDOMWindowGetWindowMethodInfo
    ResolveDOMDOMWindowMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMDOMWindowMethod "setDefaultStatus" o = DOMDOMWindowSetDefaultStatusMethodInfo
    ResolveDOMDOMWindowMethod "setName" o = DOMDOMWindowSetNameMethodInfo
    ResolveDOMDOMWindowMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMDOMWindowMethod "setStatus" o = DOMDOMWindowSetStatusMethodInfo
    ResolveDOMDOMWindowMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMDOMWindowMethod t DOMDOMWindow, O.MethodInfo info DOMDOMWindow p) => OL.IsLabel t (DOMDOMWindow -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "closed"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@closed@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #closed
@
-}
getDOMDOMWindowClosed :: (MonadIO m, IsDOMDOMWindow o) => o -> m Bool
getDOMDOMWindowClosed obj = liftIO $ B.Properties.getObjectPropertyBool obj "closed"

#if ENABLE_OVERLOADING
data DOMDOMWindowClosedPropertyInfo
instance AttrInfo DOMDOMWindowClosedPropertyInfo where
    type AttrAllowedOps DOMDOMWindowClosedPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowClosedPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowClosedPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowClosedPropertyInfo = Bool
    type AttrLabel DOMDOMWindowClosedPropertyInfo = "closed"
    type AttrOrigin DOMDOMWindowClosedPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowClosed
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "default-status"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@default-status@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #defaultStatus
@
-}
getDOMDOMWindowDefaultStatus :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe T.Text)
getDOMDOMWindowDefaultStatus obj = liftIO $ B.Properties.getObjectPropertyString obj "default-status"

{- |
Set the value of the “@default-status@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMDOMWindow [ #defaultStatus 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMDOMWindowDefaultStatus :: (MonadIO m, IsDOMDOMWindow o) => o -> T.Text -> m ()
setDOMDOMWindowDefaultStatus obj val = liftIO $ B.Properties.setObjectPropertyString obj "default-status" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@default-status@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMDOMWindowDefaultStatus :: (IsDOMDOMWindow o) => T.Text -> IO (GValueConstruct o)
constructDOMDOMWindowDefaultStatus val = B.Properties.constructObjectPropertyString "default-status" (Just val)

#if ENABLE_OVERLOADING
data DOMDOMWindowDefaultStatusPropertyInfo
instance AttrInfo DOMDOMWindowDefaultStatusPropertyInfo where
    type AttrAllowedOps DOMDOMWindowDefaultStatusPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowDefaultStatusPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMDOMWindowDefaultStatusPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowDefaultStatusPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMDOMWindowDefaultStatusPropertyInfo = "default-status"
    type AttrOrigin DOMDOMWindowDefaultStatusPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowDefaultStatus
    attrSet _ = setDOMDOMWindowDefaultStatus
    attrConstruct _ = constructDOMDOMWindowDefaultStatus
    attrClear _ = undefined
#endif

-- VVV Prop "device-pixel-ratio"
   -- Type: TBasicType TDouble
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@device-pixel-ratio@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #devicePixelRatio
@
-}
getDOMDOMWindowDevicePixelRatio :: (MonadIO m, IsDOMDOMWindow o) => o -> m Double
getDOMDOMWindowDevicePixelRatio obj = liftIO $ B.Properties.getObjectPropertyDouble obj "device-pixel-ratio"

#if ENABLE_OVERLOADING
data DOMDOMWindowDevicePixelRatioPropertyInfo
instance AttrInfo DOMDOMWindowDevicePixelRatioPropertyInfo where
    type AttrAllowedOps DOMDOMWindowDevicePixelRatioPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowDevicePixelRatioPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowDevicePixelRatioPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowDevicePixelRatioPropertyInfo = Double
    type AttrLabel DOMDOMWindowDevicePixelRatioPropertyInfo = "device-pixel-ratio"
    type AttrOrigin DOMDOMWindowDevicePixelRatioPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowDevicePixelRatio
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "document"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@document@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #document
@
-}
getDOMDOMWindowDocument :: (MonadIO m, IsDOMDOMWindow o) => o -> m WebKit2WebExtension.DOMDocument.DOMDocument
getDOMDOMWindowDocument obj = liftIO $ checkUnexpectedNothing "getDOMDOMWindowDocument" $ B.Properties.getObjectPropertyObject obj "document" WebKit2WebExtension.DOMDocument.DOMDocument

#if ENABLE_OVERLOADING
data DOMDOMWindowDocumentPropertyInfo
instance AttrInfo DOMDOMWindowDocumentPropertyInfo where
    type AttrAllowedOps DOMDOMWindowDocumentPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowDocumentPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowDocumentPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowDocumentPropertyInfo = WebKit2WebExtension.DOMDocument.DOMDocument
    type AttrLabel DOMDOMWindowDocumentPropertyInfo = "document"
    type AttrOrigin DOMDOMWindowDocumentPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowDocument
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "frame-element"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMElement"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@frame-element@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #frameElement
@
-}
getDOMDOMWindowFrameElement :: (MonadIO m, IsDOMDOMWindow o) => o -> m WebKit2WebExtension.DOMElement.DOMElement
getDOMDOMWindowFrameElement obj = liftIO $ checkUnexpectedNothing "getDOMDOMWindowFrameElement" $ B.Properties.getObjectPropertyObject obj "frame-element" WebKit2WebExtension.DOMElement.DOMElement

#if ENABLE_OVERLOADING
data DOMDOMWindowFrameElementPropertyInfo
instance AttrInfo DOMDOMWindowFrameElementPropertyInfo where
    type AttrAllowedOps DOMDOMWindowFrameElementPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowFrameElementPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowFrameElementPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowFrameElementPropertyInfo = WebKit2WebExtension.DOMElement.DOMElement
    type AttrLabel DOMDOMWindowFrameElementPropertyInfo = "frame-element"
    type AttrOrigin DOMDOMWindowFrameElementPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowFrameElement
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "frames"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@frames@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #frames
@
-}
getDOMDOMWindowFrames :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe DOMDOMWindow)
getDOMDOMWindowFrames obj = liftIO $ B.Properties.getObjectPropertyObject obj "frames" DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMDOMWindowFramesPropertyInfo
instance AttrInfo DOMDOMWindowFramesPropertyInfo where
    type AttrAllowedOps DOMDOMWindowFramesPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowFramesPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowFramesPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowFramesPropertyInfo = (Maybe DOMDOMWindow)
    type AttrLabel DOMDOMWindowFramesPropertyInfo = "frames"
    type AttrOrigin DOMDOMWindowFramesPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowFrames
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "inner-height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@inner-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #innerHeight
@
-}
getDOMDOMWindowInnerHeight :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowInnerHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "inner-height"

#if ENABLE_OVERLOADING
data DOMDOMWindowInnerHeightPropertyInfo
instance AttrInfo DOMDOMWindowInnerHeightPropertyInfo where
    type AttrAllowedOps DOMDOMWindowInnerHeightPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowInnerHeightPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowInnerHeightPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowInnerHeightPropertyInfo = CLong
    type AttrLabel DOMDOMWindowInnerHeightPropertyInfo = "inner-height"
    type AttrOrigin DOMDOMWindowInnerHeightPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowInnerHeight
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "inner-width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@inner-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #innerWidth
@
-}
getDOMDOMWindowInnerWidth :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowInnerWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "inner-width"

#if ENABLE_OVERLOADING
data DOMDOMWindowInnerWidthPropertyInfo
instance AttrInfo DOMDOMWindowInnerWidthPropertyInfo where
    type AttrAllowedOps DOMDOMWindowInnerWidthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowInnerWidthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowInnerWidthPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowInnerWidthPropertyInfo = CLong
    type AttrLabel DOMDOMWindowInnerWidthPropertyInfo = "inner-width"
    type AttrOrigin DOMDOMWindowInnerWidthPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowInnerWidth
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "length"
   -- Type: TBasicType TULong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@length@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #length
@
-}
getDOMDOMWindowLength :: (MonadIO m, IsDOMDOMWindow o) => o -> m CULong
getDOMDOMWindowLength obj = liftIO $ B.Properties.getObjectPropertyULong obj "length"

#if ENABLE_OVERLOADING
data DOMDOMWindowLengthPropertyInfo
instance AttrInfo DOMDOMWindowLengthPropertyInfo where
    type AttrAllowedOps DOMDOMWindowLengthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowLengthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowLengthPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowLengthPropertyInfo = CULong
    type AttrLabel DOMDOMWindowLengthPropertyInfo = "length"
    type AttrOrigin DOMDOMWindowLengthPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowLength
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #name
@
-}
getDOMDOMWindowName :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe T.Text)
getDOMDOMWindowName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMDOMWindow [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMDOMWindowName :: (MonadIO m, IsDOMDOMWindow o) => o -> T.Text -> m ()
setDOMDOMWindowName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMDOMWindowName :: (IsDOMDOMWindow o) => T.Text -> IO (GValueConstruct o)
constructDOMDOMWindowName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMDOMWindowNamePropertyInfo
instance AttrInfo DOMDOMWindowNamePropertyInfo where
    type AttrAllowedOps DOMDOMWindowNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMDOMWindowNamePropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMDOMWindowNamePropertyInfo = "name"
    type AttrOrigin DOMDOMWindowNamePropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowName
    attrSet _ = setDOMDOMWindowName
    attrConstruct _ = constructDOMDOMWindowName
    attrClear _ = undefined
#endif

-- VVV Prop "offscreen-buffering"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@offscreen-buffering@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #offscreenBuffering
@
-}
getDOMDOMWindowOffscreenBuffering :: (MonadIO m, IsDOMDOMWindow o) => o -> m Bool
getDOMDOMWindowOffscreenBuffering obj = liftIO $ B.Properties.getObjectPropertyBool obj "offscreen-buffering"

#if ENABLE_OVERLOADING
data DOMDOMWindowOffscreenBufferingPropertyInfo
instance AttrInfo DOMDOMWindowOffscreenBufferingPropertyInfo where
    type AttrAllowedOps DOMDOMWindowOffscreenBufferingPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowOffscreenBufferingPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowOffscreenBufferingPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowOffscreenBufferingPropertyInfo = Bool
    type AttrLabel DOMDOMWindowOffscreenBufferingPropertyInfo = "offscreen-buffering"
    type AttrOrigin DOMDOMWindowOffscreenBufferingPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowOffscreenBuffering
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "opener"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@opener@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #opener
@
-}
getDOMDOMWindowOpener :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe DOMDOMWindow)
getDOMDOMWindowOpener obj = liftIO $ B.Properties.getObjectPropertyObject obj "opener" DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMDOMWindowOpenerPropertyInfo
instance AttrInfo DOMDOMWindowOpenerPropertyInfo where
    type AttrAllowedOps DOMDOMWindowOpenerPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowOpenerPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowOpenerPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowOpenerPropertyInfo = (Maybe DOMDOMWindow)
    type AttrLabel DOMDOMWindowOpenerPropertyInfo = "opener"
    type AttrOrigin DOMDOMWindowOpenerPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowOpener
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "orientation"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@orientation@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #orientation
@
-}
getDOMDOMWindowOrientation :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowOrientation obj = liftIO $ B.Properties.getObjectPropertyLong obj "orientation"

#if ENABLE_OVERLOADING
data DOMDOMWindowOrientationPropertyInfo
instance AttrInfo DOMDOMWindowOrientationPropertyInfo where
    type AttrAllowedOps DOMDOMWindowOrientationPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowOrientationPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowOrientationPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowOrientationPropertyInfo = CLong
    type AttrLabel DOMDOMWindowOrientationPropertyInfo = "orientation"
    type AttrOrigin DOMDOMWindowOrientationPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowOrientation
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "outer-height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@outer-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #outerHeight
@
-}
getDOMDOMWindowOuterHeight :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowOuterHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "outer-height"

#if ENABLE_OVERLOADING
data DOMDOMWindowOuterHeightPropertyInfo
instance AttrInfo DOMDOMWindowOuterHeightPropertyInfo where
    type AttrAllowedOps DOMDOMWindowOuterHeightPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowOuterHeightPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowOuterHeightPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowOuterHeightPropertyInfo = CLong
    type AttrLabel DOMDOMWindowOuterHeightPropertyInfo = "outer-height"
    type AttrOrigin DOMDOMWindowOuterHeightPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowOuterHeight
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "outer-width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@outer-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #outerWidth
@
-}
getDOMDOMWindowOuterWidth :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowOuterWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "outer-width"

#if ENABLE_OVERLOADING
data DOMDOMWindowOuterWidthPropertyInfo
instance AttrInfo DOMDOMWindowOuterWidthPropertyInfo where
    type AttrAllowedOps DOMDOMWindowOuterWidthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowOuterWidthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowOuterWidthPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowOuterWidthPropertyInfo = CLong
    type AttrLabel DOMDOMWindowOuterWidthPropertyInfo = "outer-width"
    type AttrOrigin DOMDOMWindowOuterWidthPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowOuterWidth
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "page-x-offset"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@page-x-offset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #pageXOffset
@
-}
getDOMDOMWindowPageXOffset :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowPageXOffset obj = liftIO $ B.Properties.getObjectPropertyLong obj "page-x-offset"

#if ENABLE_OVERLOADING
data DOMDOMWindowPageXOffsetPropertyInfo
instance AttrInfo DOMDOMWindowPageXOffsetPropertyInfo where
    type AttrAllowedOps DOMDOMWindowPageXOffsetPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowPageXOffsetPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowPageXOffsetPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowPageXOffsetPropertyInfo = CLong
    type AttrLabel DOMDOMWindowPageXOffsetPropertyInfo = "page-x-offset"
    type AttrOrigin DOMDOMWindowPageXOffsetPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowPageXOffset
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "page-y-offset"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@page-y-offset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #pageYOffset
@
-}
getDOMDOMWindowPageYOffset :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowPageYOffset obj = liftIO $ B.Properties.getObjectPropertyLong obj "page-y-offset"

#if ENABLE_OVERLOADING
data DOMDOMWindowPageYOffsetPropertyInfo
instance AttrInfo DOMDOMWindowPageYOffsetPropertyInfo where
    type AttrAllowedOps DOMDOMWindowPageYOffsetPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowPageYOffsetPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowPageYOffsetPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowPageYOffsetPropertyInfo = CLong
    type AttrLabel DOMDOMWindowPageYOffsetPropertyInfo = "page-y-offset"
    type AttrOrigin DOMDOMWindowPageYOffsetPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowPageYOffset
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "parent"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@parent@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #parent
@
-}
getDOMDOMWindowParent :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe DOMDOMWindow)
getDOMDOMWindowParent obj = liftIO $ B.Properties.getObjectPropertyObject obj "parent" DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMDOMWindowParentPropertyInfo
instance AttrInfo DOMDOMWindowParentPropertyInfo where
    type AttrAllowedOps DOMDOMWindowParentPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowParentPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowParentPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowParentPropertyInfo = (Maybe DOMDOMWindow)
    type AttrLabel DOMDOMWindowParentPropertyInfo = "parent"
    type AttrOrigin DOMDOMWindowParentPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowParent
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "screen-left"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@screen-left@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #screenLeft
@
-}
getDOMDOMWindowScreenLeft :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowScreenLeft obj = liftIO $ B.Properties.getObjectPropertyLong obj "screen-left"

#if ENABLE_OVERLOADING
data DOMDOMWindowScreenLeftPropertyInfo
instance AttrInfo DOMDOMWindowScreenLeftPropertyInfo where
    type AttrAllowedOps DOMDOMWindowScreenLeftPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowScreenLeftPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowScreenLeftPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowScreenLeftPropertyInfo = CLong
    type AttrLabel DOMDOMWindowScreenLeftPropertyInfo = "screen-left"
    type AttrOrigin DOMDOMWindowScreenLeftPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowScreenLeft
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "screen-top"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@screen-top@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #screenTop
@
-}
getDOMDOMWindowScreenTop :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowScreenTop obj = liftIO $ B.Properties.getObjectPropertyLong obj "screen-top"

#if ENABLE_OVERLOADING
data DOMDOMWindowScreenTopPropertyInfo
instance AttrInfo DOMDOMWindowScreenTopPropertyInfo where
    type AttrAllowedOps DOMDOMWindowScreenTopPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowScreenTopPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowScreenTopPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowScreenTopPropertyInfo = CLong
    type AttrLabel DOMDOMWindowScreenTopPropertyInfo = "screen-top"
    type AttrOrigin DOMDOMWindowScreenTopPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowScreenTop
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "screen-x"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@screen-x@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #screenX
@
-}
getDOMDOMWindowScreenX :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowScreenX obj = liftIO $ B.Properties.getObjectPropertyLong obj "screen-x"

#if ENABLE_OVERLOADING
data DOMDOMWindowScreenXPropertyInfo
instance AttrInfo DOMDOMWindowScreenXPropertyInfo where
    type AttrAllowedOps DOMDOMWindowScreenXPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowScreenXPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowScreenXPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowScreenXPropertyInfo = CLong
    type AttrLabel DOMDOMWindowScreenXPropertyInfo = "screen-x"
    type AttrOrigin DOMDOMWindowScreenXPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowScreenX
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "screen-y"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@screen-y@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #screenY
@
-}
getDOMDOMWindowScreenY :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowScreenY obj = liftIO $ B.Properties.getObjectPropertyLong obj "screen-y"

#if ENABLE_OVERLOADING
data DOMDOMWindowScreenYPropertyInfo
instance AttrInfo DOMDOMWindowScreenYPropertyInfo where
    type AttrAllowedOps DOMDOMWindowScreenYPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowScreenYPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowScreenYPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowScreenYPropertyInfo = CLong
    type AttrLabel DOMDOMWindowScreenYPropertyInfo = "screen-y"
    type AttrOrigin DOMDOMWindowScreenYPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowScreenY
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "scroll-x"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@scroll-x@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #scrollX
@
-}
getDOMDOMWindowScrollX :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowScrollX obj = liftIO $ B.Properties.getObjectPropertyLong obj "scroll-x"

#if ENABLE_OVERLOADING
data DOMDOMWindowScrollXPropertyInfo
instance AttrInfo DOMDOMWindowScrollXPropertyInfo where
    type AttrAllowedOps DOMDOMWindowScrollXPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowScrollXPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowScrollXPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowScrollXPropertyInfo = CLong
    type AttrLabel DOMDOMWindowScrollXPropertyInfo = "scroll-x"
    type AttrOrigin DOMDOMWindowScrollXPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowScrollX
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "scroll-y"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@scroll-y@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #scrollY
@
-}
getDOMDOMWindowScrollY :: (MonadIO m, IsDOMDOMWindow o) => o -> m CLong
getDOMDOMWindowScrollY obj = liftIO $ B.Properties.getObjectPropertyLong obj "scroll-y"

#if ENABLE_OVERLOADING
data DOMDOMWindowScrollYPropertyInfo
instance AttrInfo DOMDOMWindowScrollYPropertyInfo where
    type AttrAllowedOps DOMDOMWindowScrollYPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowScrollYPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowScrollYPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowScrollYPropertyInfo = CLong
    type AttrLabel DOMDOMWindowScrollYPropertyInfo = "scroll-y"
    type AttrOrigin DOMDOMWindowScrollYPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowScrollY
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "self"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@self@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #self
@
-}
getDOMDOMWindowSelf :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe DOMDOMWindow)
getDOMDOMWindowSelf obj = liftIO $ B.Properties.getObjectPropertyObject obj "self" DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMDOMWindowSelfPropertyInfo
instance AttrInfo DOMDOMWindowSelfPropertyInfo where
    type AttrAllowedOps DOMDOMWindowSelfPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowSelfPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowSelfPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowSelfPropertyInfo = (Maybe DOMDOMWindow)
    type AttrLabel DOMDOMWindowSelfPropertyInfo = "self"
    type AttrOrigin DOMDOMWindowSelfPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowSelf
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "status"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@status@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #status
@
-}
getDOMDOMWindowStatus :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe T.Text)
getDOMDOMWindowStatus obj = liftIO $ B.Properties.getObjectPropertyString obj "status"

{- |
Set the value of the “@status@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMDOMWindow [ #status 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMDOMWindowStatus :: (MonadIO m, IsDOMDOMWindow o) => o -> T.Text -> m ()
setDOMDOMWindowStatus obj val = liftIO $ B.Properties.setObjectPropertyString obj "status" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@status@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMDOMWindowStatus :: (IsDOMDOMWindow o) => T.Text -> IO (GValueConstruct o)
constructDOMDOMWindowStatus val = B.Properties.constructObjectPropertyString "status" (Just val)

#if ENABLE_OVERLOADING
data DOMDOMWindowStatusPropertyInfo
instance AttrInfo DOMDOMWindowStatusPropertyInfo where
    type AttrAllowedOps DOMDOMWindowStatusPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMDOMWindowStatusPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMDOMWindowStatusPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowStatusPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMDOMWindowStatusPropertyInfo = "status"
    type AttrOrigin DOMDOMWindowStatusPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowStatus
    attrSet _ = setDOMDOMWindowStatus
    attrConstruct _ = constructDOMDOMWindowStatus
    attrClear _ = undefined
#endif

-- VVV Prop "top"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@top@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #top
@
-}
getDOMDOMWindowTop :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe DOMDOMWindow)
getDOMDOMWindowTop obj = liftIO $ B.Properties.getObjectPropertyObject obj "top" DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMDOMWindowTopPropertyInfo
instance AttrInfo DOMDOMWindowTopPropertyInfo where
    type AttrAllowedOps DOMDOMWindowTopPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowTopPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowTopPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowTopPropertyInfo = (Maybe DOMDOMWindow)
    type AttrLabel DOMDOMWindowTopPropertyInfo = "top"
    type AttrOrigin DOMDOMWindowTopPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowTop
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "window"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@window@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMDOMWindow #window
@
-}
getDOMDOMWindowWindow :: (MonadIO m, IsDOMDOMWindow o) => o -> m (Maybe DOMDOMWindow)
getDOMDOMWindowWindow obj = liftIO $ B.Properties.getObjectPropertyObject obj "window" DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMDOMWindowWindowPropertyInfo
instance AttrInfo DOMDOMWindowWindowPropertyInfo where
    type AttrAllowedOps DOMDOMWindowWindowPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMDOMWindowWindowPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMDOMWindowWindowPropertyInfo = IsDOMDOMWindow
    type AttrGetType DOMDOMWindowWindowPropertyInfo = (Maybe DOMDOMWindow)
    type AttrLabel DOMDOMWindowWindowPropertyInfo = "window"
    type AttrOrigin DOMDOMWindowWindowPropertyInfo = DOMDOMWindow
    attrGet _ = getDOMDOMWindowWindow
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMDOMWindow
type instance O.AttributeList DOMDOMWindow = DOMDOMWindowAttributeList
type DOMDOMWindowAttributeList = ('[ '("closed", DOMDOMWindowClosedPropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("defaultStatus", DOMDOMWindowDefaultStatusPropertyInfo), '("devicePixelRatio", DOMDOMWindowDevicePixelRatioPropertyInfo), '("document", DOMDOMWindowDocumentPropertyInfo), '("frameElement", DOMDOMWindowFrameElementPropertyInfo), '("frames", DOMDOMWindowFramesPropertyInfo), '("innerHeight", DOMDOMWindowInnerHeightPropertyInfo), '("innerWidth", DOMDOMWindowInnerWidthPropertyInfo), '("length", DOMDOMWindowLengthPropertyInfo), '("name", DOMDOMWindowNamePropertyInfo), '("offscreenBuffering", DOMDOMWindowOffscreenBufferingPropertyInfo), '("opener", DOMDOMWindowOpenerPropertyInfo), '("orientation", DOMDOMWindowOrientationPropertyInfo), '("outerHeight", DOMDOMWindowOuterHeightPropertyInfo), '("outerWidth", DOMDOMWindowOuterWidthPropertyInfo), '("pageXOffset", DOMDOMWindowPageXOffsetPropertyInfo), '("pageYOffset", DOMDOMWindowPageYOffsetPropertyInfo), '("parent", DOMDOMWindowParentPropertyInfo), '("screenLeft", DOMDOMWindowScreenLeftPropertyInfo), '("screenTop", DOMDOMWindowScreenTopPropertyInfo), '("screenX", DOMDOMWindowScreenXPropertyInfo), '("screenY", DOMDOMWindowScreenYPropertyInfo), '("scrollX", DOMDOMWindowScrollXPropertyInfo), '("scrollY", DOMDOMWindowScrollYPropertyInfo), '("self", DOMDOMWindowSelfPropertyInfo), '("status", DOMDOMWindowStatusPropertyInfo), '("top", DOMDOMWindowTopPropertyInfo), '("window", DOMDOMWindowWindowPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMDOMWindowClosed :: AttrLabelProxy "closed"
dOMDOMWindowClosed = AttrLabelProxy

dOMDOMWindowDefaultStatus :: AttrLabelProxy "defaultStatus"
dOMDOMWindowDefaultStatus = AttrLabelProxy

dOMDOMWindowDevicePixelRatio :: AttrLabelProxy "devicePixelRatio"
dOMDOMWindowDevicePixelRatio = AttrLabelProxy

dOMDOMWindowDocument :: AttrLabelProxy "document"
dOMDOMWindowDocument = AttrLabelProxy

dOMDOMWindowFrameElement :: AttrLabelProxy "frameElement"
dOMDOMWindowFrameElement = AttrLabelProxy

dOMDOMWindowFrames :: AttrLabelProxy "frames"
dOMDOMWindowFrames = AttrLabelProxy

dOMDOMWindowInnerHeight :: AttrLabelProxy "innerHeight"
dOMDOMWindowInnerHeight = AttrLabelProxy

dOMDOMWindowInnerWidth :: AttrLabelProxy "innerWidth"
dOMDOMWindowInnerWidth = AttrLabelProxy

dOMDOMWindowLength :: AttrLabelProxy "length"
dOMDOMWindowLength = AttrLabelProxy

dOMDOMWindowName :: AttrLabelProxy "name"
dOMDOMWindowName = AttrLabelProxy

dOMDOMWindowOffscreenBuffering :: AttrLabelProxy "offscreenBuffering"
dOMDOMWindowOffscreenBuffering = AttrLabelProxy

dOMDOMWindowOpener :: AttrLabelProxy "opener"
dOMDOMWindowOpener = AttrLabelProxy

dOMDOMWindowOrientation :: AttrLabelProxy "orientation"
dOMDOMWindowOrientation = AttrLabelProxy

dOMDOMWindowOuterHeight :: AttrLabelProxy "outerHeight"
dOMDOMWindowOuterHeight = AttrLabelProxy

dOMDOMWindowOuterWidth :: AttrLabelProxy "outerWidth"
dOMDOMWindowOuterWidth = AttrLabelProxy

dOMDOMWindowPageXOffset :: AttrLabelProxy "pageXOffset"
dOMDOMWindowPageXOffset = AttrLabelProxy

dOMDOMWindowPageYOffset :: AttrLabelProxy "pageYOffset"
dOMDOMWindowPageYOffset = AttrLabelProxy

dOMDOMWindowParent :: AttrLabelProxy "parent"
dOMDOMWindowParent = AttrLabelProxy

dOMDOMWindowScreenLeft :: AttrLabelProxy "screenLeft"
dOMDOMWindowScreenLeft = AttrLabelProxy

dOMDOMWindowScreenTop :: AttrLabelProxy "screenTop"
dOMDOMWindowScreenTop = AttrLabelProxy

dOMDOMWindowScreenX :: AttrLabelProxy "screenX"
dOMDOMWindowScreenX = AttrLabelProxy

dOMDOMWindowScreenY :: AttrLabelProxy "screenY"
dOMDOMWindowScreenY = AttrLabelProxy

dOMDOMWindowScrollX :: AttrLabelProxy "scrollX"
dOMDOMWindowScrollX = AttrLabelProxy

dOMDOMWindowScrollY :: AttrLabelProxy "scrollY"
dOMDOMWindowScrollY = AttrLabelProxy

dOMDOMWindowSelf :: AttrLabelProxy "self"
dOMDOMWindowSelf = AttrLabelProxy

dOMDOMWindowStatus :: AttrLabelProxy "status"
dOMDOMWindowStatus = AttrLabelProxy

dOMDOMWindowTop :: AttrLabelProxy "top"
dOMDOMWindowTop = AttrLabelProxy

dOMDOMWindowWindow :: AttrLabelProxy "window"
dOMDOMWindowWindow = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMDOMWindow = DOMDOMWindowSignalList
type DOMDOMWindowSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMDOMWindow::alert
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "message", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_alert" webkit_dom_dom_window_alert :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- message : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMDOMWindowAlert ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowAlert ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@message@/: A @/gchar/@ -}
    -> m ()
dOMDOMWindowAlert self message = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    message' <- textToCString message
    webkit_dom_dom_window_alert self' message'
    touchManagedPtr self
    freeMem message'
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowAlertMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowAlertMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowAlert

#endif

-- method DOMDOMWindow::blur
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_blur" webkit_dom_dom_window_blur :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowBlur ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowBlur ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowBlur self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_blur self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowBlurMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowBlurMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowBlur

#endif

-- method DOMDOMWindow::capture_events
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_capture_events" webkit_dom_dom_window_capture_events :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowCaptureEvents ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowCaptureEvents ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowCaptureEvents self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_capture_events self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowCaptureEventsMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowCaptureEventsMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowCaptureEvents

#endif

-- method DOMDOMWindow::close
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_close" webkit_dom_dom_window_close :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowClose ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowClose ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowClose self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_close self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowCloseMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowCloseMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowClose

#endif

-- method DOMDOMWindow::confirm
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "message", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_confirm" webkit_dom_dom_window_confirm :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- message : TBasicType TUTF8
    IO CInt

{-# DEPRECATED dOMDOMWindowConfirm ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowConfirm ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@message@/: A @/gchar/@ -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMDOMWindowConfirm self message = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    message' <- textToCString message
    result <- webkit_dom_dom_window_confirm self' message'
    let result' = (/= 0) result
    touchManagedPtr self
    freeMem message'
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowConfirmMethodInfo
instance (signature ~ (T.Text -> m Bool), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowConfirmMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowConfirm

#endif

-- method DOMDOMWindow::find
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "string", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "caseSensitive", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "backwards", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "wrap", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "wholeWord", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "searchInFrames", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "showDialog", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_find" webkit_dom_dom_window_find :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- string : TBasicType TUTF8
    CInt ->                                 -- caseSensitive : TBasicType TBoolean
    CInt ->                                 -- backwards : TBasicType TBoolean
    CInt ->                                 -- wrap : TBasicType TBoolean
    CInt ->                                 -- wholeWord : TBasicType TBoolean
    CInt ->                                 -- searchInFrames : TBasicType TBoolean
    CInt ->                                 -- showDialog : TBasicType TBoolean
    IO CInt

{-# DEPRECATED dOMDOMWindowFind ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowFind ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@string@/: A @/gchar/@ -}
    -> Bool
    {- ^ /@caseSensitive@/: A 'Bool' -}
    -> Bool
    {- ^ /@backwards@/: A 'Bool' -}
    -> Bool
    {- ^ /@wrap@/: A 'Bool' -}
    -> Bool
    {- ^ /@wholeWord@/: A 'Bool' -}
    -> Bool
    {- ^ /@searchInFrames@/: A 'Bool' -}
    -> Bool
    {- ^ /@showDialog@/: A 'Bool' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMDOMWindowFind self string caseSensitive backwards wrap wholeWord searchInFrames showDialog = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    string' <- textToCString string
    let caseSensitive' = (fromIntegral . fromEnum) caseSensitive
    let backwards' = (fromIntegral . fromEnum) backwards
    let wrap' = (fromIntegral . fromEnum) wrap
    let wholeWord' = (fromIntegral . fromEnum) wholeWord
    let searchInFrames' = (fromIntegral . fromEnum) searchInFrames
    let showDialog' = (fromIntegral . fromEnum) showDialog
    result <- webkit_dom_dom_window_find self' string' caseSensitive' backwards' wrap' wholeWord' searchInFrames' showDialog'
    let result' = (/= 0) result
    touchManagedPtr self
    freeMem string'
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowFindMethodInfo
instance (signature ~ (T.Text -> Bool -> Bool -> Bool -> Bool -> Bool -> Bool -> m Bool), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowFindMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowFind

#endif

-- method DOMDOMWindow::focus
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_focus" webkit_dom_dom_window_focus :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowFocus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowFocus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowFocus self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_focus self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowFocusMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowFocusMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowFocus

#endif

-- method DOMDOMWindow::get_closed
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_closed" webkit_dom_dom_window_get_closed :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CInt

{-# DEPRECATED dOMDOMWindowGetClosed ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetClosed ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMDOMWindowGetClosed self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_closed self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetClosedMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetClosedMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetClosed

#endif

-- method DOMDOMWindow::get_computed_style
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "element", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "pseudoElement", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = True, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMCSSStyleDeclaration"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_computed_style" webkit_dom_dom_window_get_computed_style :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    Ptr WebKit2WebExtension.DOMElement.DOMElement -> -- element : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMElement"})
    CString ->                              -- pseudoElement : TBasicType TUTF8
    IO (Ptr WebKit2WebExtension.DOMCSSStyleDeclaration.DOMCSSStyleDeclaration)

{-# DEPRECATED dOMDOMWindowGetComputedStyle ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetComputedStyle ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a, WebKit2WebExtension.DOMElement.IsDOMElement b) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> b
    {- ^ /@element@/: A 'GI.WebKit2WebExtension.Objects.DOMElement.DOMElement' -}
    -> Maybe (T.Text)
    {- ^ /@pseudoElement@/: A @/gchar/@ -}
    -> m WebKit2WebExtension.DOMCSSStyleDeclaration.DOMCSSStyleDeclaration
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMCSSStyleDeclaration.DOMCSSStyleDeclaration' -}
dOMDOMWindowGetComputedStyle self element pseudoElement = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    element' <- unsafeManagedPtrCastPtr element
    maybePseudoElement <- case pseudoElement of
        Nothing -> return nullPtr
        Just jPseudoElement -> do
            jPseudoElement' <- textToCString jPseudoElement
            return jPseudoElement'
    result <- webkit_dom_dom_window_get_computed_style self' element' maybePseudoElement
    checkUnexpectedReturnNULL "dOMDOMWindowGetComputedStyle" result
    result' <- (wrapObject WebKit2WebExtension.DOMCSSStyleDeclaration.DOMCSSStyleDeclaration) result
    touchManagedPtr self
    touchManagedPtr element
    freeMem maybePseudoElement
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetComputedStyleMethodInfo
instance (signature ~ (b -> Maybe (T.Text) -> m WebKit2WebExtension.DOMCSSStyleDeclaration.DOMCSSStyleDeclaration), MonadIO m, IsDOMDOMWindow a, WebKit2WebExtension.DOMElement.IsDOMElement b) => O.MethodInfo DOMDOMWindowGetComputedStyleMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetComputedStyle

#endif

-- method DOMDOMWindow::get_default_status
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_default_status" webkit_dom_dom_window_get_default_status :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CString

{-# DEPRECATED dOMDOMWindowGetDefaultStatus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetDefaultStatus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMDOMWindowGetDefaultStatus self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_default_status self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetDefaultStatus" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetDefaultStatusMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetDefaultStatusMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetDefaultStatus

#endif

-- method DOMDOMWindow::get_device_pixel_ratio
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TDouble)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_device_pixel_ratio" webkit_dom_dom_window_get_device_pixel_ratio :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CDouble

{-# DEPRECATED dOMDOMWindowGetDevicePixelRatio ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetDevicePixelRatio ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m Double
    {- ^ __Returns:__ A @/gdouble/@ -}
dOMDOMWindowGetDevicePixelRatio self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_device_pixel_ratio self'
    let result' = realToFrac result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetDevicePixelRatioMethodInfo
instance (signature ~ (m Double), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetDevicePixelRatioMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetDevicePixelRatio

#endif

-- method DOMDOMWindow::get_document
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_document" webkit_dom_dom_window_get_document :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr WebKit2WebExtension.DOMDocument.DOMDocument)

{-# DEPRECATED dOMDOMWindowGetDocument ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetDocument ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m WebKit2WebExtension.DOMDocument.DOMDocument
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDocument.DOMDocument' -}
dOMDOMWindowGetDocument self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_document self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetDocument" result
    result' <- (newObject WebKit2WebExtension.DOMDocument.DOMDocument) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetDocumentMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDocument.DOMDocument), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetDocumentMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetDocument

#endif

-- method DOMDOMWindow::get_frame_element
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_frame_element" webkit_dom_dom_window_get_frame_element :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr WebKit2WebExtension.DOMElement.DOMElement)

{-# DEPRECATED dOMDOMWindowGetFrameElement ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetFrameElement ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m WebKit2WebExtension.DOMElement.DOMElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMElement.DOMElement' -}
dOMDOMWindowGetFrameElement self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_frame_element self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetFrameElement" result
    result' <- (newObject WebKit2WebExtension.DOMElement.DOMElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetFrameElementMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMElement.DOMElement), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetFrameElementMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetFrameElement

#endif

-- method DOMDOMWindow::get_frames
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_frames" webkit_dom_dom_window_get_frames :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr DOMDOMWindow)

{-# DEPRECATED dOMDOMWindowGetFrames ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetFrames ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMDOMWindowGetFrames self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_frames self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetFrames" result
    result' <- (wrapObject DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetFramesMethodInfo
instance (signature ~ (m DOMDOMWindow), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetFramesMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetFrames

#endif

-- method DOMDOMWindow::get_inner_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_inner_height" webkit_dom_dom_window_get_inner_height :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetInnerHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetInnerHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetInnerHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_inner_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetInnerHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetInnerHeightMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetInnerHeight

#endif

-- method DOMDOMWindow::get_inner_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_inner_width" webkit_dom_dom_window_get_inner_width :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetInnerWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetInnerWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetInnerWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_inner_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetInnerWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetInnerWidthMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetInnerWidth

#endif

-- method DOMDOMWindow::get_length
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TULong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_length" webkit_dom_dom_window_get_length :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CULong

{-# DEPRECATED dOMDOMWindowGetLength ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetLength ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CULong
    {- ^ __Returns:__ A @/gulong/@ -}
dOMDOMWindowGetLength self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_length self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetLengthMethodInfo
instance (signature ~ (m CULong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetLengthMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetLength

#endif

-- method DOMDOMWindow::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_name" webkit_dom_dom_window_get_name :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CString

{-# DEPRECATED dOMDOMWindowGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMDOMWindowGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_name self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetNameMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetName

#endif

-- method DOMDOMWindow::get_offscreen_buffering
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_offscreen_buffering" webkit_dom_dom_window_get_offscreen_buffering :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CInt

{-# DEPRECATED dOMDOMWindowGetOffscreenBuffering ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetOffscreenBuffering ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMDOMWindowGetOffscreenBuffering self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_offscreen_buffering self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetOffscreenBufferingMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetOffscreenBufferingMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetOffscreenBuffering

#endif

-- method DOMDOMWindow::get_opener
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_opener" webkit_dom_dom_window_get_opener :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr DOMDOMWindow)

{-# DEPRECATED dOMDOMWindowGetOpener ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetOpener ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMDOMWindowGetOpener self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_opener self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetOpener" result
    result' <- (wrapObject DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetOpenerMethodInfo
instance (signature ~ (m DOMDOMWindow), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetOpenerMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetOpener

#endif

-- method DOMDOMWindow::get_orientation
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_orientation" webkit_dom_dom_window_get_orientation :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetOrientation ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetOrientation ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetOrientation self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_orientation self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetOrientationMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetOrientationMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetOrientation

#endif

-- method DOMDOMWindow::get_outer_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_outer_height" webkit_dom_dom_window_get_outer_height :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetOuterHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetOuterHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetOuterHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_outer_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetOuterHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetOuterHeightMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetOuterHeight

#endif

-- method DOMDOMWindow::get_outer_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_outer_width" webkit_dom_dom_window_get_outer_width :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetOuterWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetOuterWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetOuterWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_outer_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetOuterWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetOuterWidthMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetOuterWidth

#endif

-- method DOMDOMWindow::get_page_x_offset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_page_x_offset" webkit_dom_dom_window_get_page_x_offset :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetPageXOffset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetPageXOffset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetPageXOffset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_page_x_offset self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetPageXOffsetMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetPageXOffsetMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetPageXOffset

#endif

-- method DOMDOMWindow::get_page_y_offset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_page_y_offset" webkit_dom_dom_window_get_page_y_offset :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetPageYOffset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetPageYOffset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetPageYOffset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_page_y_offset self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetPageYOffsetMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetPageYOffsetMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetPageYOffset

#endif

-- method DOMDOMWindow::get_parent
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_parent" webkit_dom_dom_window_get_parent :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr DOMDOMWindow)

{-# DEPRECATED dOMDOMWindowGetParent ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetParent ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMDOMWindowGetParent self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_parent self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetParent" result
    result' <- (wrapObject DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetParentMethodInfo
instance (signature ~ (m DOMDOMWindow), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetParentMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetParent

#endif

-- method DOMDOMWindow::get_screen_left
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_screen_left" webkit_dom_dom_window_get_screen_left :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetScreenLeft ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetScreenLeft ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetScreenLeft self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_screen_left self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenLeftMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetScreenLeftMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetScreenLeft

#endif

-- method DOMDOMWindow::get_screen_top
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_screen_top" webkit_dom_dom_window_get_screen_top :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetScreenTop ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetScreenTop ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetScreenTop self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_screen_top self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenTopMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetScreenTopMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetScreenTop

#endif

-- method DOMDOMWindow::get_screen_x
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_screen_x" webkit_dom_dom_window_get_screen_x :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetScreenX ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetScreenX ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetScreenX self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_screen_x self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenXMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetScreenXMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetScreenX

#endif

-- method DOMDOMWindow::get_screen_y
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_screen_y" webkit_dom_dom_window_get_screen_y :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetScreenY ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetScreenY ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetScreenY self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_screen_y self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetScreenYMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetScreenYMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetScreenY

#endif

-- method DOMDOMWindow::get_scroll_x
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_scroll_x" webkit_dom_dom_window_get_scroll_x :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetScrollX ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetScrollX ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetScrollX self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_scroll_x self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetScrollXMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetScrollXMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetScrollX

#endif

-- method DOMDOMWindow::get_scroll_y
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_scroll_y" webkit_dom_dom_window_get_scroll_y :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CLong

{-# DEPRECATED dOMDOMWindowGetScrollY ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetScrollY ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMDOMWindowGetScrollY self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_scroll_y self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMDOMWindowGetScrollYMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetScrollYMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetScrollY

#endif

-- method DOMDOMWindow::get_selection
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMSelection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_selection" webkit_dom_dom_window_get_selection :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr WebKit2WebExtension.DOMDOMSelection.DOMDOMSelection)

{-# DEPRECATED dOMDOMWindowGetSelection ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetSelection ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m WebKit2WebExtension.DOMDOMSelection.DOMDOMSelection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMSelection.DOMDOMSelection' -}
dOMDOMWindowGetSelection self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_selection self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetSelection" result
    result' <- (wrapObject WebKit2WebExtension.DOMDOMSelection.DOMDOMSelection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetSelectionMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDOMSelection.DOMDOMSelection), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetSelectionMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetSelection

#endif

-- method DOMDOMWindow::get_self
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_self" webkit_dom_dom_window_get_self :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr DOMDOMWindow)

{-# DEPRECATED dOMDOMWindowGetSelf ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetSelf ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMDOMWindowGetSelf self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_self self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetSelf" result
    result' <- (wrapObject DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetSelfMethodInfo
instance (signature ~ (m DOMDOMWindow), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetSelfMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetSelf

#endif

-- method DOMDOMWindow::get_status
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_status" webkit_dom_dom_window_get_status :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO CString

{-# DEPRECATED dOMDOMWindowGetStatus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetStatus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMDOMWindowGetStatus self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_status self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetStatus" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetStatusMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetStatusMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetStatus

#endif

-- method DOMDOMWindow::get_top
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_top" webkit_dom_dom_window_get_top :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr DOMDOMWindow)

{-# DEPRECATED dOMDOMWindowGetTop ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetTop ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMDOMWindowGetTop self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_top self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetTop" result
    result' <- (wrapObject DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetTopMethodInfo
instance (signature ~ (m DOMDOMWindow), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetTopMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetTop

#endif

-- method DOMDOMWindow::get_window
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_get_window" webkit_dom_dom_window_get_window :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO (Ptr DOMDOMWindow)

{-# DEPRECATED dOMDOMWindowGetWindow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowGetWindow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMDOMWindowGetWindow self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_dom_window_get_window self'
    checkUnexpectedReturnNULL "dOMDOMWindowGetWindow" result
    result' <- (wrapObject DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowGetWindowMethodInfo
instance (signature ~ (m DOMDOMWindow), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowGetWindowMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowGetWindow

#endif

-- method DOMDOMWindow::move_by
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "x", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "y", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_move_by" webkit_dom_dom_window_move_by :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CFloat ->                               -- x : TBasicType TFloat
    CFloat ->                               -- y : TBasicType TFloat
    IO ()

{-# DEPRECATED dOMDOMWindowMoveBy ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowMoveBy ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> Float
    {- ^ /@x@/: A @/gfloat/@ -}
    -> Float
    {- ^ /@y@/: A @/gfloat/@ -}
    -> m ()
dOMDOMWindowMoveBy self x y = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let x' = realToFrac x
    let y' = realToFrac y
    webkit_dom_dom_window_move_by self' x' y'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowMoveByMethodInfo
instance (signature ~ (Float -> Float -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowMoveByMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowMoveBy

#endif

-- method DOMDOMWindow::move_to
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "x", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "y", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_move_to" webkit_dom_dom_window_move_to :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CFloat ->                               -- x : TBasicType TFloat
    CFloat ->                               -- y : TBasicType TFloat
    IO ()

{-# DEPRECATED dOMDOMWindowMoveTo ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowMoveTo ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> Float
    {- ^ /@x@/: A @/gfloat/@ -}
    -> Float
    {- ^ /@y@/: A @/gfloat/@ -}
    -> m ()
dOMDOMWindowMoveTo self x y = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let x' = realToFrac x
    let y' = realToFrac y
    webkit_dom_dom_window_move_to self' x' y'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowMoveToMethodInfo
instance (signature ~ (Float -> Float -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowMoveToMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowMoveTo

#endif

-- method DOMDOMWindow::print
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_print" webkit_dom_dom_window_print :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowPrint ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowPrint ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowPrint self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_print self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowPrintMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowPrintMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowPrint

#endif

-- method DOMDOMWindow::prompt
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "message", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "defaultValue", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_prompt" webkit_dom_dom_window_prompt :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- message : TBasicType TUTF8
    CString ->                              -- defaultValue : TBasicType TUTF8
    IO CString

{-# DEPRECATED dOMDOMWindowPrompt ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowPrompt ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@message@/: A @/gchar/@ -}
    -> T.Text
    {- ^ /@defaultValue@/: A @/gchar/@ -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMDOMWindowPrompt self message defaultValue = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    message' <- textToCString message
    defaultValue' <- textToCString defaultValue
    result <- webkit_dom_dom_window_prompt self' message' defaultValue'
    checkUnexpectedReturnNULL "dOMDOMWindowPrompt" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    freeMem message'
    freeMem defaultValue'
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowPromptMethodInfo
instance (signature ~ (T.Text -> T.Text -> m T.Text), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowPromptMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowPrompt

#endif

-- method DOMDOMWindow::release_events
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_release_events" webkit_dom_dom_window_release_events :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowReleaseEvents ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowReleaseEvents ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowReleaseEvents self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_release_events self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowReleaseEventsMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowReleaseEventsMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowReleaseEvents

#endif

-- method DOMDOMWindow::resize_by
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "x", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "y", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_resize_by" webkit_dom_dom_window_resize_by :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CFloat ->                               -- x : TBasicType TFloat
    CFloat ->                               -- y : TBasicType TFloat
    IO ()

{-# DEPRECATED dOMDOMWindowResizeBy ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowResizeBy ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> Float
    {- ^ /@x@/: A @/gfloat/@ -}
    -> Float
    {- ^ /@y@/: A @/gfloat/@ -}
    -> m ()
dOMDOMWindowResizeBy self x y = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let x' = realToFrac x
    let y' = realToFrac y
    webkit_dom_dom_window_resize_by self' x' y'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowResizeByMethodInfo
instance (signature ~ (Float -> Float -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowResizeByMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowResizeBy

#endif

-- method DOMDOMWindow::resize_to
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "width", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "height", argType = TBasicType TFloat, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gfloat", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_resize_to" webkit_dom_dom_window_resize_to :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CFloat ->                               -- width : TBasicType TFloat
    CFloat ->                               -- height : TBasicType TFloat
    IO ()

{-# DEPRECATED dOMDOMWindowResizeTo ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowResizeTo ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> Float
    {- ^ /@width@/: A @/gfloat/@ -}
    -> Float
    {- ^ /@height@/: A @/gfloat/@ -}
    -> m ()
dOMDOMWindowResizeTo self width height = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let width' = realToFrac width
    let height' = realToFrac height
    webkit_dom_dom_window_resize_to self' width' height'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowResizeToMethodInfo
instance (signature ~ (Float -> Float -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowResizeToMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowResizeTo

#endif

-- method DOMDOMWindow::scroll_by
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "x", argType = TBasicType TDouble, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gdouble", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "y", argType = TBasicType TDouble, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gdouble", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_scroll_by" webkit_dom_dom_window_scroll_by :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CDouble ->                              -- x : TBasicType TDouble
    CDouble ->                              -- y : TBasicType TDouble
    IO ()

{-# DEPRECATED dOMDOMWindowScrollBy ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowScrollBy ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> Double
    {- ^ /@x@/: A @/gdouble/@ -}
    -> Double
    {- ^ /@y@/: A @/gdouble/@ -}
    -> m ()
dOMDOMWindowScrollBy self x y = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let x' = realToFrac x
    let y' = realToFrac y
    webkit_dom_dom_window_scroll_by self' x' y'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowScrollByMethodInfo
instance (signature ~ (Double -> Double -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowScrollByMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowScrollBy

#endif

-- method DOMDOMWindow::scroll_to
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "x", argType = TBasicType TDouble, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gdouble", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "y", argType = TBasicType TDouble, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gdouble", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_scroll_to" webkit_dom_dom_window_scroll_to :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CDouble ->                              -- x : TBasicType TDouble
    CDouble ->                              -- y : TBasicType TDouble
    IO ()

{-# DEPRECATED dOMDOMWindowScrollTo ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowScrollTo ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> Double
    {- ^ /@x@/: A @/gdouble/@ -}
    -> Double
    {- ^ /@y@/: A @/gdouble/@ -}
    -> m ()
dOMDOMWindowScrollTo self x y = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let x' = realToFrac x
    let y' = realToFrac y
    webkit_dom_dom_window_scroll_to self' x' y'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowScrollToMethodInfo
instance (signature ~ (Double -> Double -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowScrollToMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowScrollTo

#endif

-- method DOMDOMWindow::set_default_status
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_set_default_status" webkit_dom_dom_window_set_default_status :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMDOMWindowSetDefaultStatus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowSetDefaultStatus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMDOMWindowSetDefaultStatus self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_dom_window_set_default_status self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowSetDefaultStatusMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowSetDefaultStatusMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowSetDefaultStatus

#endif

-- method DOMDOMWindow::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_set_name" webkit_dom_dom_window_set_name :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMDOMWindowSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMDOMWindowSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_dom_window_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowSetNameMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowSetName

#endif

-- method DOMDOMWindow::set_status
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_set_status" webkit_dom_dom_window_set_status :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMDOMWindowSetStatus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowSetStatus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMDOMWindowSetStatus self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_dom_window_set_status self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowSetStatusMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowSetStatusMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowSetStatus

#endif

-- method DOMDOMWindow::stop
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMDOMWindow", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_stop" webkit_dom_dom_window_stop :: 
    Ptr DOMDOMWindow ->                     -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    IO ()

{-# DEPRECATED dOMDOMWindowStop ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMDOMWindowStop ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
    -> m ()
dOMDOMWindowStop self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_dom_window_stop self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMDOMWindowStopMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowStopMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowStop

#endif

-- method DOMDOMWindow::webkit_message_handlers_post_message
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "window", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Nothing, sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "handler", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Nothing, sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "message", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Nothing, sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_dom_window_webkit_message_handlers_post_message" webkit_dom_dom_window_webkit_message_handlers_post_message :: 
    Ptr DOMDOMWindow ->                     -- window : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
    CString ->                              -- handler : TBasicType TUTF8
    CString ->                              -- message : TBasicType TUTF8
    IO CInt

{- |
/No description available in the introspection data./
-}
dOMDOMWindowWebkitMessageHandlersPostMessage ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMDOMWindow a) =>
    a
    -> T.Text
    -> T.Text
    -> m Bool
dOMDOMWindowWebkitMessageHandlersPostMessage window handler message = liftIO $ do
    window' <- unsafeManagedPtrCastPtr window
    handler' <- textToCString handler
    message' <- textToCString message
    result <- webkit_dom_dom_window_webkit_message_handlers_post_message window' handler' message'
    let result' = (/= 0) result
    touchManagedPtr window
    freeMem handler'
    freeMem message'
    return result'

#if ENABLE_OVERLOADING
data DOMDOMWindowWebkitMessageHandlersPostMessageMethodInfo
instance (signature ~ (T.Text -> T.Text -> m Bool), MonadIO m, IsDOMDOMWindow a) => O.MethodInfo DOMDOMWindowWebkitMessageHandlersPostMessageMethodInfo a signature where
    overloadedMethod _ = dOMDOMWindowWebkitMessageHandlersPostMessage

#endif


