#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMEvent where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMEvent = DOMEvent (ManagedPtr DOMEvent)
instance GObject DOMEvent where
class (GObject o, O.IsDescendantOf DOMEvent o) => IsDOMEvent o
instance (GObject o, O.IsDescendantOf DOMEvent o) => IsDOMEvent o
instance O.HasParentTypes DOMEvent
#if ENABLE_OVERLOADING
data DOMEventBubblesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventCancelBubblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventCancelablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventCurrentTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventEventPhasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventReturnValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventSrcElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventTimeStampPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetBubblesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetCancelBubbleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetCancelableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetCurrentTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetEventPhaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetEventTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetReturnValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetSrcElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventGetTimeStampMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventInitEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventPreventDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventSetCancelBubbleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventSetReturnValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMEventStopPropagationMethodInfo
#endif
