

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement
    ( 

-- * Exported types
    DOMHTMLAnchorElement(..)                ,
    IsDOMHTMLAnchorElement                  ,
    toDOMHTMLAnchorElement                  ,
    noDOMHTMLAnchorElement                  ,


 -- * Methods
-- ** getCharset #method:getCharset#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetCharsetMethodInfo,
#endif
    dOMHTMLAnchorElementGetCharset          ,


-- ** getCoords #method:getCoords#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetCoordsMethodInfo ,
#endif
    dOMHTMLAnchorElementGetCoords           ,


-- ** getHash #method:getHash#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetHashMethodInfo   ,
#endif
    dOMHTMLAnchorElementGetHash             ,


-- ** getHost #method:getHost#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetHostMethodInfo   ,
#endif
    dOMHTMLAnchorElementGetHost             ,


-- ** getHostname #method:getHostname#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetHostnameMethodInfo,
#endif
    dOMHTMLAnchorElementGetHostname         ,


-- ** getHref #method:getHref#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetHrefMethodInfo   ,
#endif
    dOMHTMLAnchorElementGetHref             ,


-- ** getHreflang #method:getHreflang#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetHreflangMethodInfo,
#endif
    dOMHTMLAnchorElementGetHreflang         ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetNameMethodInfo   ,
#endif
    dOMHTMLAnchorElementGetName             ,


-- ** getPathname #method:getPathname#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetPathnameMethodInfo,
#endif
    dOMHTMLAnchorElementGetPathname         ,


-- ** getPort #method:getPort#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetPortMethodInfo   ,
#endif
    dOMHTMLAnchorElementGetPort             ,


-- ** getProtocol #method:getProtocol#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetProtocolMethodInfo,
#endif
    dOMHTMLAnchorElementGetProtocol         ,


-- ** getRel #method:getRel#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetRelMethodInfo    ,
#endif
    dOMHTMLAnchorElementGetRel              ,


-- ** getRev #method:getRev#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetRevMethodInfo    ,
#endif
    dOMHTMLAnchorElementGetRev              ,


-- ** getSearch #method:getSearch#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetSearchMethodInfo ,
#endif
    dOMHTMLAnchorElementGetSearch           ,


-- ** getShape #method:getShape#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetShapeMethodInfo  ,
#endif
    dOMHTMLAnchorElementGetShape            ,


-- ** getTarget #method:getTarget#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetTargetMethodInfo ,
#endif
    dOMHTMLAnchorElementGetTarget           ,


-- ** getText #method:getText#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetTextMethodInfo   ,
#endif
    dOMHTMLAnchorElementGetText             ,


-- ** getTypeAttr #method:getTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementGetTypeAttrMethodInfo,
#endif
    dOMHTMLAnchorElementGetTypeAttr         ,


-- ** setCharset #method:setCharset#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetCharsetMethodInfo,
#endif
    dOMHTMLAnchorElementSetCharset          ,


-- ** setCoords #method:setCoords#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetCoordsMethodInfo ,
#endif
    dOMHTMLAnchorElementSetCoords           ,


-- ** setHash #method:setHash#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetHashMethodInfo   ,
#endif
    dOMHTMLAnchorElementSetHash             ,


-- ** setHost #method:setHost#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetHostMethodInfo   ,
#endif
    dOMHTMLAnchorElementSetHost             ,


-- ** setHostname #method:setHostname#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetHostnameMethodInfo,
#endif
    dOMHTMLAnchorElementSetHostname         ,


-- ** setHref #method:setHref#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetHrefMethodInfo   ,
#endif
    dOMHTMLAnchorElementSetHref             ,


-- ** setHreflang #method:setHreflang#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetHreflangMethodInfo,
#endif
    dOMHTMLAnchorElementSetHreflang         ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetNameMethodInfo   ,
#endif
    dOMHTMLAnchorElementSetName             ,


-- ** setPathname #method:setPathname#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetPathnameMethodInfo,
#endif
    dOMHTMLAnchorElementSetPathname         ,


-- ** setPort #method:setPort#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetPortMethodInfo   ,
#endif
    dOMHTMLAnchorElementSetPort             ,


-- ** setProtocol #method:setProtocol#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetProtocolMethodInfo,
#endif
    dOMHTMLAnchorElementSetProtocol         ,


-- ** setRel #method:setRel#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetRelMethodInfo    ,
#endif
    dOMHTMLAnchorElementSetRel              ,


-- ** setRev #method:setRev#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetRevMethodInfo    ,
#endif
    dOMHTMLAnchorElementSetRev              ,


-- ** setSearch #method:setSearch#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetSearchMethodInfo ,
#endif
    dOMHTMLAnchorElementSetSearch           ,


-- ** setShape #method:setShape#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetShapeMethodInfo  ,
#endif
    dOMHTMLAnchorElementSetShape            ,


-- ** setTarget #method:setTarget#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetTargetMethodInfo ,
#endif
    dOMHTMLAnchorElementSetTarget           ,


-- ** setText #method:setText#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetTextMethodInfo   ,
#endif
    dOMHTMLAnchorElementSetText             ,


-- ** setTypeAttr #method:setTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSetTypeAttrMethodInfo,
#endif
    dOMHTMLAnchorElementSetTypeAttr         ,




 -- * Properties
-- ** charset #attr:charset#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementCharsetPropertyInfo ,
#endif
    constructDOMHTMLAnchorElementCharset    ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementCharset             ,
#endif
    getDOMHTMLAnchorElementCharset          ,
    setDOMHTMLAnchorElementCharset          ,


-- ** coords #attr:coords#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementCoordsPropertyInfo  ,
#endif
    constructDOMHTMLAnchorElementCoords     ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementCoords              ,
#endif
    getDOMHTMLAnchorElementCoords           ,
    setDOMHTMLAnchorElementCoords           ,


-- ** hash #attr:hash#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementHashPropertyInfo    ,
#endif
    constructDOMHTMLAnchorElementHash       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementHash                ,
#endif
    getDOMHTMLAnchorElementHash             ,
    setDOMHTMLAnchorElementHash             ,


-- ** host #attr:host#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementHostPropertyInfo    ,
#endif
    constructDOMHTMLAnchorElementHost       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementHost                ,
#endif
    getDOMHTMLAnchorElementHost             ,
    setDOMHTMLAnchorElementHost             ,


-- ** hostname #attr:hostname#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementHostnamePropertyInfo,
#endif
    constructDOMHTMLAnchorElementHostname   ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementHostname            ,
#endif
    getDOMHTMLAnchorElementHostname         ,
    setDOMHTMLAnchorElementHostname         ,


-- ** href #attr:href#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementHrefPropertyInfo    ,
#endif
    constructDOMHTMLAnchorElementHref       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementHref                ,
#endif
    getDOMHTMLAnchorElementHref             ,
    setDOMHTMLAnchorElementHref             ,


-- ** hreflang #attr:hreflang#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementHreflangPropertyInfo,
#endif
    constructDOMHTMLAnchorElementHreflang   ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementHreflang            ,
#endif
    getDOMHTMLAnchorElementHreflang         ,
    setDOMHTMLAnchorElementHreflang         ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementNamePropertyInfo    ,
#endif
    constructDOMHTMLAnchorElementName       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementName                ,
#endif
    getDOMHTMLAnchorElementName             ,
    setDOMHTMLAnchorElementName             ,


-- ** pathname #attr:pathname#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementPathnamePropertyInfo,
#endif
    constructDOMHTMLAnchorElementPathname   ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementPathname            ,
#endif
    getDOMHTMLAnchorElementPathname         ,
    setDOMHTMLAnchorElementPathname         ,


-- ** port #attr:port#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementPortPropertyInfo    ,
#endif
    constructDOMHTMLAnchorElementPort       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementPort                ,
#endif
    getDOMHTMLAnchorElementPort             ,
    setDOMHTMLAnchorElementPort             ,


-- ** protocol #attr:protocol#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementProtocolPropertyInfo,
#endif
    constructDOMHTMLAnchorElementProtocol   ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementProtocol            ,
#endif
    getDOMHTMLAnchorElementProtocol         ,
    setDOMHTMLAnchorElementProtocol         ,


-- ** rel #attr:rel#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementRelPropertyInfo     ,
#endif
    constructDOMHTMLAnchorElementRel        ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementRel                 ,
#endif
    getDOMHTMLAnchorElementRel              ,
    setDOMHTMLAnchorElementRel              ,


-- ** rev #attr:rev#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementRevPropertyInfo     ,
#endif
    constructDOMHTMLAnchorElementRev        ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementRev                 ,
#endif
    getDOMHTMLAnchorElementRev              ,
    setDOMHTMLAnchorElementRev              ,


-- ** search #attr:search#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementSearchPropertyInfo  ,
#endif
    constructDOMHTMLAnchorElementSearch     ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementSearch              ,
#endif
    getDOMHTMLAnchorElementSearch           ,
    setDOMHTMLAnchorElementSearch           ,


-- ** shape #attr:shape#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementShapePropertyInfo   ,
#endif
    constructDOMHTMLAnchorElementShape      ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementShape               ,
#endif
    getDOMHTMLAnchorElementShape            ,
    setDOMHTMLAnchorElementShape            ,


-- ** target #attr:target#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementTargetPropertyInfo  ,
#endif
    constructDOMHTMLAnchorElementTarget     ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementTarget              ,
#endif
    getDOMHTMLAnchorElementTarget           ,
    setDOMHTMLAnchorElementTarget           ,


-- ** text #attr:text#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementTextPropertyInfo    ,
#endif
    constructDOMHTMLAnchorElementText       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementText                ,
#endif
    getDOMHTMLAnchorElementText             ,
    setDOMHTMLAnchorElementText             ,


-- ** type #attr:type#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLAnchorElementTypePropertyInfo    ,
#endif
    clearDOMHTMLAnchorElementType           ,
    constructDOMHTMLAnchorElementType       ,
#if ENABLE_OVERLOADING
    dOMHTMLAnchorElementType                ,
#endif
    getDOMHTMLAnchorElementType             ,
    setDOMHTMLAnchorElementType             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLAnchorElement = DOMHTMLAnchorElement (ManagedPtr DOMHTMLAnchorElement)
foreign import ccall "webkit_dom_html_anchor_element_get_type"
    c_webkit_dom_html_anchor_element_get_type :: IO GType

instance GObject DOMHTMLAnchorElement where
    gobjectType = c_webkit_dom_html_anchor_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLAnchorElement`, for instance with `toDOMHTMLAnchorElement`.
class (GObject o, O.IsDescendantOf DOMHTMLAnchorElement o) => IsDOMHTMLAnchorElement o
instance (GObject o, O.IsDescendantOf DOMHTMLAnchorElement o) => IsDOMHTMLAnchorElement o

instance O.HasParentTypes DOMHTMLAnchorElement
type instance O.ParentTypes DOMHTMLAnchorElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLAnchorElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLAnchorElement :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m DOMHTMLAnchorElement
toDOMHTMLAnchorElement = liftIO . unsafeCastTo DOMHTMLAnchorElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLAnchorElement`.
noDOMHTMLAnchorElement :: Maybe DOMHTMLAnchorElement
noDOMHTMLAnchorElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLAnchorElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLAnchorElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLAnchorElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLAnchorElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLAnchorElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLAnchorElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLAnchorElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLAnchorElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLAnchorElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLAnchorElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLAnchorElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLAnchorElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLAnchorElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLAnchorElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLAnchorElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLAnchorElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLAnchorElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLAnchorElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLAnchorElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLAnchorElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLAnchorElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLAnchorElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLAnchorElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLAnchorElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLAnchorElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLAnchorElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLAnchorElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLAnchorElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLAnchorElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLAnchorElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLAnchorElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLAnchorElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLAnchorElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLAnchorElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLAnchorElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLAnchorElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLAnchorElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLAnchorElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLAnchorElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getCharset" o = DOMHTMLAnchorElementGetCharsetMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getCoords" o = DOMHTMLAnchorElementGetCoordsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getHash" o = DOMHTMLAnchorElementGetHashMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getHost" o = DOMHTMLAnchorElementGetHostMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getHostname" o = DOMHTMLAnchorElementGetHostnameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getHref" o = DOMHTMLAnchorElementGetHrefMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getHreflang" o = DOMHTMLAnchorElementGetHreflangMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getName" o = DOMHTMLAnchorElementGetNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getPathname" o = DOMHTMLAnchorElementGetPathnameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getPort" o = DOMHTMLAnchorElementGetPortMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getProtocol" o = DOMHTMLAnchorElementGetProtocolMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getRel" o = DOMHTMLAnchorElementGetRelMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getRev" o = DOMHTMLAnchorElementGetRevMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getSearch" o = DOMHTMLAnchorElementGetSearchMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getShape" o = DOMHTMLAnchorElementGetShapeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTarget" o = DOMHTMLAnchorElementGetTargetMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getText" o = DOMHTMLAnchorElementGetTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getTypeAttr" o = DOMHTMLAnchorElementGetTypeAttrMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLAnchorElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setCharset" o = DOMHTMLAnchorElementSetCharsetMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setCoords" o = DOMHTMLAnchorElementSetCoordsMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setHash" o = DOMHTMLAnchorElementSetHashMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setHost" o = DOMHTMLAnchorElementSetHostMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setHostname" o = DOMHTMLAnchorElementSetHostnameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setHref" o = DOMHTMLAnchorElementSetHrefMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setHreflang" o = DOMHTMLAnchorElementSetHreflangMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setName" o = DOMHTMLAnchorElementSetNameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setPathname" o = DOMHTMLAnchorElementSetPathnameMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setPort" o = DOMHTMLAnchorElementSetPortMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setProtocol" o = DOMHTMLAnchorElementSetProtocolMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setRel" o = DOMHTMLAnchorElementSetRelMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setRev" o = DOMHTMLAnchorElementSetRevMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setSearch" o = DOMHTMLAnchorElementSetSearchMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setShape" o = DOMHTMLAnchorElementSetShapeMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setTarget" o = DOMHTMLAnchorElementSetTargetMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setText" o = DOMHTMLAnchorElementSetTextMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setTypeAttr" o = DOMHTMLAnchorElementSetTypeAttrMethodInfo
    ResolveDOMHTMLAnchorElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLAnchorElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLAnchorElementMethod t DOMHTMLAnchorElement, O.MethodInfo info DOMHTMLAnchorElement p) => OL.IsLabel t (DOMHTMLAnchorElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "charset"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #charset
@
-}
getDOMHTMLAnchorElementCharset :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementCharset obj = liftIO $ B.Properties.getObjectPropertyString obj "charset"

{- |
Set the value of the “@charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #charset 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementCharset :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementCharset obj val = liftIO $ B.Properties.setObjectPropertyString obj "charset" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@charset@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementCharset :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementCharset val = B.Properties.constructObjectPropertyString "charset" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementCharsetPropertyInfo
instance AttrInfo DOMHTMLAnchorElementCharsetPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementCharsetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementCharsetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementCharsetPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementCharsetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementCharsetPropertyInfo = "charset"
    type AttrOrigin DOMHTMLAnchorElementCharsetPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementCharset
    attrSet _ = setDOMHTMLAnchorElementCharset
    attrConstruct _ = constructDOMHTMLAnchorElementCharset
    attrClear _ = undefined
#endif

-- VVV Prop "coords"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@coords@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #coords
@
-}
getDOMHTMLAnchorElementCoords :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementCoords obj = liftIO $ B.Properties.getObjectPropertyString obj "coords"

{- |
Set the value of the “@coords@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #coords 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementCoords :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementCoords obj val = liftIO $ B.Properties.setObjectPropertyString obj "coords" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@coords@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementCoords :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementCoords val = B.Properties.constructObjectPropertyString "coords" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementCoordsPropertyInfo
instance AttrInfo DOMHTMLAnchorElementCoordsPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementCoordsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementCoordsPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementCoordsPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementCoordsPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementCoordsPropertyInfo = "coords"
    type AttrOrigin DOMHTMLAnchorElementCoordsPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementCoords
    attrSet _ = setDOMHTMLAnchorElementCoords
    attrConstruct _ = constructDOMHTMLAnchorElementCoords
    attrClear _ = undefined
#endif

-- VVV Prop "hash"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@hash@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #hash
@
-}
getDOMHTMLAnchorElementHash :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementHash obj = liftIO $ B.Properties.getObjectPropertyString obj "hash"

{- |
Set the value of the “@hash@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #hash 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementHash :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementHash obj val = liftIO $ B.Properties.setObjectPropertyString obj "hash" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@hash@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementHash :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementHash val = B.Properties.constructObjectPropertyString "hash" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHashPropertyInfo
instance AttrInfo DOMHTMLAnchorElementHashPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementHashPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementHashPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementHashPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementHashPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementHashPropertyInfo = "hash"
    type AttrOrigin DOMHTMLAnchorElementHashPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementHash
    attrSet _ = setDOMHTMLAnchorElementHash
    attrConstruct _ = constructDOMHTMLAnchorElementHash
    attrClear _ = undefined
#endif

-- VVV Prop "host"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@host@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #host
@
-}
getDOMHTMLAnchorElementHost :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementHost obj = liftIO $ B.Properties.getObjectPropertyString obj "host"

{- |
Set the value of the “@host@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #host 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementHost :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementHost obj val = liftIO $ B.Properties.setObjectPropertyString obj "host" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@host@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementHost :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementHost val = B.Properties.constructObjectPropertyString "host" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHostPropertyInfo
instance AttrInfo DOMHTMLAnchorElementHostPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementHostPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementHostPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementHostPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementHostPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementHostPropertyInfo = "host"
    type AttrOrigin DOMHTMLAnchorElementHostPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementHost
    attrSet _ = setDOMHTMLAnchorElementHost
    attrConstruct _ = constructDOMHTMLAnchorElementHost
    attrClear _ = undefined
#endif

-- VVV Prop "hostname"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@hostname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #hostname
@
-}
getDOMHTMLAnchorElementHostname :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementHostname obj = liftIO $ B.Properties.getObjectPropertyString obj "hostname"

{- |
Set the value of the “@hostname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #hostname 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementHostname :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementHostname obj val = liftIO $ B.Properties.setObjectPropertyString obj "hostname" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@hostname@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementHostname :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementHostname val = B.Properties.constructObjectPropertyString "hostname" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHostnamePropertyInfo
instance AttrInfo DOMHTMLAnchorElementHostnamePropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementHostnamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementHostnamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementHostnamePropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementHostnamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementHostnamePropertyInfo = "hostname"
    type AttrOrigin DOMHTMLAnchorElementHostnamePropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementHostname
    attrSet _ = setDOMHTMLAnchorElementHostname
    attrConstruct _ = constructDOMHTMLAnchorElementHostname
    attrClear _ = undefined
#endif

-- VVV Prop "href"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #href
@
-}
getDOMHTMLAnchorElementHref :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementHref obj = liftIO $ B.Properties.getObjectPropertyString obj "href"

{- |
Set the value of the “@href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #href 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementHref :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementHref obj val = liftIO $ B.Properties.setObjectPropertyString obj "href" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@href@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementHref :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementHref val = B.Properties.constructObjectPropertyString "href" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHrefPropertyInfo
instance AttrInfo DOMHTMLAnchorElementHrefPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementHrefPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementHrefPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementHrefPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementHrefPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementHrefPropertyInfo = "href"
    type AttrOrigin DOMHTMLAnchorElementHrefPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementHref
    attrSet _ = setDOMHTMLAnchorElementHref
    attrConstruct _ = constructDOMHTMLAnchorElementHref
    attrClear _ = undefined
#endif

-- VVV Prop "hreflang"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@hreflang@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #hreflang
@
-}
getDOMHTMLAnchorElementHreflang :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementHreflang obj = liftIO $ B.Properties.getObjectPropertyString obj "hreflang"

{- |
Set the value of the “@hreflang@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #hreflang 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementHreflang :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementHreflang obj val = liftIO $ B.Properties.setObjectPropertyString obj "hreflang" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@hreflang@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementHreflang :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementHreflang val = B.Properties.constructObjectPropertyString "hreflang" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementHreflangPropertyInfo
instance AttrInfo DOMHTMLAnchorElementHreflangPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementHreflangPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementHreflangPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementHreflangPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementHreflangPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementHreflangPropertyInfo = "hreflang"
    type AttrOrigin DOMHTMLAnchorElementHreflangPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementHreflang
    attrSet _ = setDOMHTMLAnchorElementHreflang
    attrConstruct _ = constructDOMHTMLAnchorElementHreflang
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #name
@
-}
getDOMHTMLAnchorElementName :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementName :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementName :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementNamePropertyInfo
instance AttrInfo DOMHTMLAnchorElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementNamePropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLAnchorElementNamePropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementName
    attrSet _ = setDOMHTMLAnchorElementName
    attrConstruct _ = constructDOMHTMLAnchorElementName
    attrClear _ = undefined
#endif

-- VVV Prop "pathname"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@pathname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #pathname
@
-}
getDOMHTMLAnchorElementPathname :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementPathname obj = liftIO $ B.Properties.getObjectPropertyString obj "pathname"

{- |
Set the value of the “@pathname@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #pathname 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementPathname :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementPathname obj val = liftIO $ B.Properties.setObjectPropertyString obj "pathname" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@pathname@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementPathname :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementPathname val = B.Properties.constructObjectPropertyString "pathname" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementPathnamePropertyInfo
instance AttrInfo DOMHTMLAnchorElementPathnamePropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementPathnamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementPathnamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementPathnamePropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementPathnamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementPathnamePropertyInfo = "pathname"
    type AttrOrigin DOMHTMLAnchorElementPathnamePropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementPathname
    attrSet _ = setDOMHTMLAnchorElementPathname
    attrConstruct _ = constructDOMHTMLAnchorElementPathname
    attrClear _ = undefined
#endif

-- VVV Prop "port"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@port@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #port
@
-}
getDOMHTMLAnchorElementPort :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementPort obj = liftIO $ B.Properties.getObjectPropertyString obj "port"

{- |
Set the value of the “@port@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #port 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementPort :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementPort obj val = liftIO $ B.Properties.setObjectPropertyString obj "port" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@port@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementPort :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementPort val = B.Properties.constructObjectPropertyString "port" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementPortPropertyInfo
instance AttrInfo DOMHTMLAnchorElementPortPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementPortPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementPortPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementPortPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementPortPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementPortPropertyInfo = "port"
    type AttrOrigin DOMHTMLAnchorElementPortPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementPort
    attrSet _ = setDOMHTMLAnchorElementPort
    attrConstruct _ = constructDOMHTMLAnchorElementPort
    attrClear _ = undefined
#endif

-- VVV Prop "protocol"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@protocol@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #protocol
@
-}
getDOMHTMLAnchorElementProtocol :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementProtocol obj = liftIO $ B.Properties.getObjectPropertyString obj "protocol"

{- |
Set the value of the “@protocol@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #protocol 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementProtocol :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementProtocol obj val = liftIO $ B.Properties.setObjectPropertyString obj "protocol" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@protocol@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementProtocol :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementProtocol val = B.Properties.constructObjectPropertyString "protocol" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementProtocolPropertyInfo
instance AttrInfo DOMHTMLAnchorElementProtocolPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementProtocolPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementProtocolPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementProtocolPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementProtocolPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementProtocolPropertyInfo = "protocol"
    type AttrOrigin DOMHTMLAnchorElementProtocolPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementProtocol
    attrSet _ = setDOMHTMLAnchorElementProtocol
    attrConstruct _ = constructDOMHTMLAnchorElementProtocol
    attrClear _ = undefined
#endif

-- VVV Prop "rel"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@rel@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #rel
@
-}
getDOMHTMLAnchorElementRel :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementRel obj = liftIO $ B.Properties.getObjectPropertyString obj "rel"

{- |
Set the value of the “@rel@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #rel 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementRel :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementRel obj val = liftIO $ B.Properties.setObjectPropertyString obj "rel" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@rel@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementRel :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementRel val = B.Properties.constructObjectPropertyString "rel" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementRelPropertyInfo
instance AttrInfo DOMHTMLAnchorElementRelPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementRelPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementRelPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementRelPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementRelPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementRelPropertyInfo = "rel"
    type AttrOrigin DOMHTMLAnchorElementRelPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementRel
    attrSet _ = setDOMHTMLAnchorElementRel
    attrConstruct _ = constructDOMHTMLAnchorElementRel
    attrClear _ = undefined
#endif

-- VVV Prop "rev"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@rev@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #rev
@
-}
getDOMHTMLAnchorElementRev :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementRev obj = liftIO $ B.Properties.getObjectPropertyString obj "rev"

{- |
Set the value of the “@rev@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #rev 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementRev :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementRev obj val = liftIO $ B.Properties.setObjectPropertyString obj "rev" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@rev@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementRev :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementRev val = B.Properties.constructObjectPropertyString "rev" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementRevPropertyInfo
instance AttrInfo DOMHTMLAnchorElementRevPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementRevPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementRevPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementRevPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementRevPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementRevPropertyInfo = "rev"
    type AttrOrigin DOMHTMLAnchorElementRevPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementRev
    attrSet _ = setDOMHTMLAnchorElementRev
    attrConstruct _ = constructDOMHTMLAnchorElementRev
    attrClear _ = undefined
#endif

-- VVV Prop "search"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@search@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #search
@
-}
getDOMHTMLAnchorElementSearch :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementSearch obj = liftIO $ B.Properties.getObjectPropertyString obj "search"

{- |
Set the value of the “@search@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #search 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementSearch :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementSearch obj val = liftIO $ B.Properties.setObjectPropertyString obj "search" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@search@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementSearch :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementSearch val = B.Properties.constructObjectPropertyString "search" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSearchPropertyInfo
instance AttrInfo DOMHTMLAnchorElementSearchPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementSearchPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementSearchPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementSearchPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementSearchPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementSearchPropertyInfo = "search"
    type AttrOrigin DOMHTMLAnchorElementSearchPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementSearch
    attrSet _ = setDOMHTMLAnchorElementSearch
    attrConstruct _ = constructDOMHTMLAnchorElementSearch
    attrClear _ = undefined
#endif

-- VVV Prop "shape"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@shape@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #shape
@
-}
getDOMHTMLAnchorElementShape :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementShape obj = liftIO $ B.Properties.getObjectPropertyString obj "shape"

{- |
Set the value of the “@shape@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #shape 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementShape :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementShape obj val = liftIO $ B.Properties.setObjectPropertyString obj "shape" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@shape@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementShape :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementShape val = B.Properties.constructObjectPropertyString "shape" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementShapePropertyInfo
instance AttrInfo DOMHTMLAnchorElementShapePropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementShapePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementShapePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementShapePropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementShapePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementShapePropertyInfo = "shape"
    type AttrOrigin DOMHTMLAnchorElementShapePropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementShape
    attrSet _ = setDOMHTMLAnchorElementShape
    attrConstruct _ = constructDOMHTMLAnchorElementShape
    attrClear _ = undefined
#endif

-- VVV Prop "target"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #target
@
-}
getDOMHTMLAnchorElementTarget :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementTarget obj = liftIO $ B.Properties.getObjectPropertyString obj "target"

{- |
Set the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #target 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementTarget :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementTarget obj val = liftIO $ B.Properties.setObjectPropertyString obj "target" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@target@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementTarget :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementTarget val = B.Properties.constructObjectPropertyString "target" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementTargetPropertyInfo
instance AttrInfo DOMHTMLAnchorElementTargetPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementTargetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementTargetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementTargetPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementTargetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementTargetPropertyInfo = "target"
    type AttrOrigin DOMHTMLAnchorElementTargetPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementTarget
    attrSet _ = setDOMHTMLAnchorElementTarget
    attrConstruct _ = constructDOMHTMLAnchorElementTarget
    attrClear _ = undefined
#endif

-- VVV Prop "text"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #text
@
-}
getDOMHTMLAnchorElementText :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementText obj = liftIO $ B.Properties.getObjectPropertyString obj "text"

{- |
Set the value of the “@text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #text 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementText :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementText obj val = liftIO $ B.Properties.setObjectPropertyString obj "text" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@text@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementText :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementText val = B.Properties.constructObjectPropertyString "text" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementTextPropertyInfo
instance AttrInfo DOMHTMLAnchorElementTextPropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementTextPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLAnchorElementTextPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementTextPropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementTextPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementTextPropertyInfo = "text"
    type AttrOrigin DOMHTMLAnchorElementTextPropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementText
    attrSet _ = setDOMHTMLAnchorElementText
    attrConstruct _ = constructDOMHTMLAnchorElementText
    attrClear _ = undefined
#endif

-- VVV Prop "type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLAnchorElement #type
@
-}
getDOMHTMLAnchorElementType :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m (Maybe T.Text)
getDOMHTMLAnchorElementType obj = liftIO $ B.Properties.getObjectPropertyString obj "type"

{- |
Set the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLAnchorElement [ #type 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLAnchorElementType :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> T.Text -> m ()
setDOMHTMLAnchorElementType obj val = liftIO $ B.Properties.setObjectPropertyString obj "type" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@type@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLAnchorElementType :: (IsDOMHTMLAnchorElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLAnchorElementType val = B.Properties.constructObjectPropertyString "type" (Just val)

{- |
Set the value of the “@type@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #type
@
-}
clearDOMHTMLAnchorElementType :: (MonadIO m, IsDOMHTMLAnchorElement o) => o -> m ()
clearDOMHTMLAnchorElementType obj = liftIO $ B.Properties.setObjectPropertyString obj "type" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementTypePropertyInfo
instance AttrInfo DOMHTMLAnchorElementTypePropertyInfo where
    type AttrAllowedOps DOMHTMLAnchorElementTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLAnchorElementTypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLAnchorElementTypePropertyInfo = IsDOMHTMLAnchorElement
    type AttrGetType DOMHTMLAnchorElementTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLAnchorElementTypePropertyInfo = "type"
    type AttrOrigin DOMHTMLAnchorElementTypePropertyInfo = DOMHTMLAnchorElement
    attrGet _ = getDOMHTMLAnchorElementType
    attrSet _ = setDOMHTMLAnchorElementType
    attrConstruct _ = constructDOMHTMLAnchorElementType
    attrClear _ = clearDOMHTMLAnchorElementType
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLAnchorElement
type instance O.AttributeList DOMHTMLAnchorElement = DOMHTMLAnchorElementAttributeList
type DOMHTMLAnchorElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("charset", DOMHTMLAnchorElementCharsetPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coords", DOMHTMLAnchorElementCoordsPropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hash", DOMHTMLAnchorElementHashPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("host", DOMHTMLAnchorElementHostPropertyInfo), '("hostname", DOMHTMLAnchorElementHostnamePropertyInfo), '("href", DOMHTMLAnchorElementHrefPropertyInfo), '("hreflang", DOMHTMLAnchorElementHreflangPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("name", DOMHTMLAnchorElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("pathname", DOMHTMLAnchorElementPathnamePropertyInfo), '("port", DOMHTMLAnchorElementPortPropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("protocol", DOMHTMLAnchorElementProtocolPropertyInfo), '("rel", DOMHTMLAnchorElementRelPropertyInfo), '("rev", DOMHTMLAnchorElementRevPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("search", DOMHTMLAnchorElementSearchPropertyInfo), '("shape", DOMHTMLAnchorElementShapePropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("target", DOMHTMLAnchorElementTargetPropertyInfo), '("text", DOMHTMLAnchorElementTextPropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("type", DOMHTMLAnchorElementTypePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLAnchorElementCharset :: AttrLabelProxy "charset"
dOMHTMLAnchorElementCharset = AttrLabelProxy

dOMHTMLAnchorElementCoords :: AttrLabelProxy "coords"
dOMHTMLAnchorElementCoords = AttrLabelProxy

dOMHTMLAnchorElementHash :: AttrLabelProxy "hash"
dOMHTMLAnchorElementHash = AttrLabelProxy

dOMHTMLAnchorElementHost :: AttrLabelProxy "host"
dOMHTMLAnchorElementHost = AttrLabelProxy

dOMHTMLAnchorElementHostname :: AttrLabelProxy "hostname"
dOMHTMLAnchorElementHostname = AttrLabelProxy

dOMHTMLAnchorElementHref :: AttrLabelProxy "href"
dOMHTMLAnchorElementHref = AttrLabelProxy

dOMHTMLAnchorElementHreflang :: AttrLabelProxy "hreflang"
dOMHTMLAnchorElementHreflang = AttrLabelProxy

dOMHTMLAnchorElementName :: AttrLabelProxy "name"
dOMHTMLAnchorElementName = AttrLabelProxy

dOMHTMLAnchorElementPathname :: AttrLabelProxy "pathname"
dOMHTMLAnchorElementPathname = AttrLabelProxy

dOMHTMLAnchorElementPort :: AttrLabelProxy "port"
dOMHTMLAnchorElementPort = AttrLabelProxy

dOMHTMLAnchorElementProtocol :: AttrLabelProxy "protocol"
dOMHTMLAnchorElementProtocol = AttrLabelProxy

dOMHTMLAnchorElementRel :: AttrLabelProxy "rel"
dOMHTMLAnchorElementRel = AttrLabelProxy

dOMHTMLAnchorElementRev :: AttrLabelProxy "rev"
dOMHTMLAnchorElementRev = AttrLabelProxy

dOMHTMLAnchorElementSearch :: AttrLabelProxy "search"
dOMHTMLAnchorElementSearch = AttrLabelProxy

dOMHTMLAnchorElementShape :: AttrLabelProxy "shape"
dOMHTMLAnchorElementShape = AttrLabelProxy

dOMHTMLAnchorElementTarget :: AttrLabelProxy "target"
dOMHTMLAnchorElementTarget = AttrLabelProxy

dOMHTMLAnchorElementText :: AttrLabelProxy "text"
dOMHTMLAnchorElementText = AttrLabelProxy

dOMHTMLAnchorElementType :: AttrLabelProxy "type"
dOMHTMLAnchorElementType = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLAnchorElement = DOMHTMLAnchorElementSignalList
type DOMHTMLAnchorElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLAnchorElement::get_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_charset" webkit_dom_html_anchor_element_get_charset :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetCharset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_charset self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetCharset" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetCharsetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetCharset

#endif

-- method DOMHTMLAnchorElement::get_coords
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_coords" webkit_dom_html_anchor_element_get_coords :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetCoords ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetCoords ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetCoords self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_coords self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetCoords" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetCoordsMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetCoordsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetCoords

#endif

-- method DOMHTMLAnchorElement::get_hash
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_hash" webkit_dom_html_anchor_element_get_hash :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetHash ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetHash ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetHash self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_hash self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetHash" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHashMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetHashMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetHash

#endif

-- method DOMHTMLAnchorElement::get_host
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_host" webkit_dom_html_anchor_element_get_host :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetHost ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetHost ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetHost self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_host self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetHost" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHostMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetHostMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetHost

#endif

-- method DOMHTMLAnchorElement::get_hostname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_hostname" webkit_dom_html_anchor_element_get_hostname :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetHostname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetHostname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetHostname self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_hostname self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetHostname" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHostnameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetHostnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetHostname

#endif

-- method DOMHTMLAnchorElement::get_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_href" webkit_dom_html_anchor_element_get_href :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetHref self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_href self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetHref" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHrefMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetHref

#endif

-- method DOMHTMLAnchorElement::get_hreflang
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_hreflang" webkit_dom_html_anchor_element_get_hreflang :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetHreflang ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetHreflang ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetHreflang self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_hreflang self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetHreflang" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetHreflangMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetHreflangMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetHreflang

#endif

-- method DOMHTMLAnchorElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_name" webkit_dom_html_anchor_element_get_name :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetName

#endif

-- method DOMHTMLAnchorElement::get_pathname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_pathname" webkit_dom_html_anchor_element_get_pathname :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetPathname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetPathname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetPathname self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_pathname self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetPathname" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetPathnameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetPathnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetPathname

#endif

-- method DOMHTMLAnchorElement::get_port
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_port" webkit_dom_html_anchor_element_get_port :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetPort ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetPort ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetPort self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_port self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetPort" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetPortMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetPortMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetPort

#endif

-- method DOMHTMLAnchorElement::get_protocol
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_protocol" webkit_dom_html_anchor_element_get_protocol :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetProtocol ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetProtocol ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetProtocol self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_protocol self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetProtocol" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetProtocolMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetProtocolMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetProtocol

#endif

-- method DOMHTMLAnchorElement::get_rel
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_rel" webkit_dom_html_anchor_element_get_rel :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetRel ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetRel ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetRel self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_rel self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetRel" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetRelMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetRelMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetRel

#endif

-- method DOMHTMLAnchorElement::get_rev
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_rev" webkit_dom_html_anchor_element_get_rev :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetRev ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetRev ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetRev self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_rev self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetRev" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetRevMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetRevMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetRev

#endif

-- method DOMHTMLAnchorElement::get_search
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_search" webkit_dom_html_anchor_element_get_search :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetSearch ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetSearch ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetSearch self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_search self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetSearch" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetSearchMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetSearchMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetSearch

#endif

-- method DOMHTMLAnchorElement::get_shape
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_shape" webkit_dom_html_anchor_element_get_shape :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetShape ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetShape ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetShape self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_shape self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetShape" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetShapeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetShapeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetShape

#endif

-- method DOMHTMLAnchorElement::get_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_target" webkit_dom_html_anchor_element_get_target :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetTarget self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_target self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetTarget" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetTargetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetTarget

#endif

-- method DOMHTMLAnchorElement::get_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_text" webkit_dom_html_anchor_element_get_text :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetText self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_text self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetText" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetTextMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetText

#endif

-- method DOMHTMLAnchorElement::get_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_get_type_attr" webkit_dom_html_anchor_element_get_type_attr :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    IO CString

{-# DEPRECATED dOMHTMLAnchorElementGetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementGetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLAnchorElementGetTypeAttr self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_anchor_element_get_type_attr self'
    checkUnexpectedReturnNULL "dOMHTMLAnchorElementGetTypeAttr" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementGetTypeAttrMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementGetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementGetTypeAttr

#endif

-- method DOMHTMLAnchorElement::set_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_charset" webkit_dom_html_anchor_element_set_charset :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetCharset self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_charset self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetCharsetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetCharset

#endif

-- method DOMHTMLAnchorElement::set_coords
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_coords" webkit_dom_html_anchor_element_set_coords :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetCoords ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetCoords ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetCoords self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_coords self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetCoordsMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetCoordsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetCoords

#endif

-- method DOMHTMLAnchorElement::set_hash
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_hash" webkit_dom_html_anchor_element_set_hash :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetHash ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetHash ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetHash self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_hash self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHashMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetHashMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetHash

#endif

-- method DOMHTMLAnchorElement::set_host
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_host" webkit_dom_html_anchor_element_set_host :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetHost ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetHost ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetHost self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_host self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHostMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetHostMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetHost

#endif

-- method DOMHTMLAnchorElement::set_hostname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_hostname" webkit_dom_html_anchor_element_set_hostname :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetHostname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetHostname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetHostname self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_hostname self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHostnameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetHostnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetHostname

#endif

-- method DOMHTMLAnchorElement::set_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_href" webkit_dom_html_anchor_element_set_href :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetHref self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_href self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHrefMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetHref

#endif

-- method DOMHTMLAnchorElement::set_hreflang
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_hreflang" webkit_dom_html_anchor_element_set_hreflang :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetHreflang ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetHreflang ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetHreflang self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_hreflang self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetHreflangMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetHreflangMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetHreflang

#endif

-- method DOMHTMLAnchorElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_name" webkit_dom_html_anchor_element_set_name :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetName

#endif

-- method DOMHTMLAnchorElement::set_pathname
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_pathname" webkit_dom_html_anchor_element_set_pathname :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetPathname ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetPathname ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetPathname self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_pathname self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetPathnameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetPathnameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetPathname

#endif

-- method DOMHTMLAnchorElement::set_port
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_port" webkit_dom_html_anchor_element_set_port :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetPort ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetPort ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetPort self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_port self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetPortMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetPortMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetPort

#endif

-- method DOMHTMLAnchorElement::set_protocol
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_protocol" webkit_dom_html_anchor_element_set_protocol :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetProtocol ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetProtocol ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetProtocol self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_protocol self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetProtocolMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetProtocolMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetProtocol

#endif

-- method DOMHTMLAnchorElement::set_rel
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_rel" webkit_dom_html_anchor_element_set_rel :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetRel ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetRel ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetRel self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_rel self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetRelMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetRelMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetRel

#endif

-- method DOMHTMLAnchorElement::set_rev
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_rev" webkit_dom_html_anchor_element_set_rev :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetRev ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetRev ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetRev self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_rev self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetRevMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetRevMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetRev

#endif

-- method DOMHTMLAnchorElement::set_search
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_search" webkit_dom_html_anchor_element_set_search :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetSearch ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetSearch ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetSearch self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_search self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetSearchMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetSearchMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetSearch

#endif

-- method DOMHTMLAnchorElement::set_shape
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_shape" webkit_dom_html_anchor_element_set_shape :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetShape ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetShape ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetShape self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_shape self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetShapeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetShapeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetShape

#endif

-- method DOMHTMLAnchorElement::set_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_target" webkit_dom_html_anchor_element_set_target :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetTarget self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_target self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetTargetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetTarget

#endif

-- method DOMHTMLAnchorElement::set_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_text" webkit_dom_html_anchor_element_set_text :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLAnchorElementSetText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetText self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_text self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetTextMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetText

#endif

-- method DOMHTMLAnchorElement::set_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLAnchorElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_anchor_element_set_type_attr" webkit_dom_html_anchor_element_set_type_attr :: 
    Ptr DOMHTMLAnchorElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLAnchorElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLAnchorElementSetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLAnchorElementSetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLAnchorElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement.DOMHTMLAnchorElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLAnchorElementSetTypeAttr self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_anchor_element_set_type_attr self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLAnchorElementSetTypeAttrMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLAnchorElement a) => O.MethodInfo DOMHTMLAnchorElementSetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLAnchorElementSetTypeAttr

#endif


