#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLAppletElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLAppletElement = DOMHTMLAppletElement (ManagedPtr DOMHTMLAppletElement)
instance GObject DOMHTMLAppletElement where
class (GObject o, O.IsDescendantOf DOMHTMLAppletElement o) => IsDOMHTMLAppletElement o
instance (GObject o, O.IsDescendantOf DOMHTMLAppletElement o) => IsDOMHTMLAppletElement o
instance O.HasParentTypes DOMHTMLAppletElement
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementAltPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementArchivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementCodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementCodeBasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementHspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementObjectPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementVspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetArchiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetCodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetCodeBaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetHspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetVspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetArchiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetCodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetCodeBaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetHspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetVspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLAppletElementSetWidthMethodInfo
#endif
