#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLBaseElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLBaseElement = DOMHTMLBaseElement (ManagedPtr DOMHTMLBaseElement)
instance GObject DOMHTMLBaseElement where
class (GObject o, O.IsDescendantOf DOMHTMLBaseElement o) => IsDOMHTMLBaseElement o
instance (GObject o, O.IsDescendantOf DOMHTMLBaseElement o) => IsDOMHTMLBaseElement o
instance O.HasParentTypes DOMHTMLBaseElement
#if ENABLE_OVERLOADING
data DOMHTMLBaseElementHrefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBaseElementTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBaseElementGetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBaseElementGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBaseElementSetHrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBaseElementSetTargetMethodInfo
#endif
