#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLBodyElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLBodyElement = DOMHTMLBodyElement (ManagedPtr DOMHTMLBodyElement)
instance GObject DOMHTMLBodyElement where
class (GObject o, O.IsDescendantOf DOMHTMLBodyElement o) => IsDOMHTMLBodyElement o
instance (GObject o, O.IsDescendantOf DOMHTMLBodyElement o) => IsDOMHTMLBodyElement o
instance O.HasParentTypes DOMHTMLBodyElement
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementALinkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementBackgroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementBgColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementLinkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementVLinkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementGetALinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementGetBackgroundMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementGetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementGetLinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementGetVLinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementSetALinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementSetBackgroundMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementSetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementSetLinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementSetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLBodyElementSetVLinkMethodInfo
#endif
