

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLElement
    ( 

-- * Exported types
    DOMHTMLElement(..)                      ,
    IsDOMHTMLElement                        ,
    toDOMHTMLElement                        ,
    noDOMHTMLElement                        ,


 -- * Methods
-- ** click #method:click#

#if ENABLE_OVERLOADING
    DOMHTMLElementClickMethodInfo           ,
#endif
    dOMHTMLElementClick                     ,


-- ** getAccessKey #method:getAccessKey#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetAccessKeyMethodInfo    ,
#endif
    dOMHTMLElementGetAccessKey              ,


-- ** getChildren #method:getChildren#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetChildrenMethodInfo     ,
#endif
    dOMHTMLElementGetChildren               ,


-- ** getContentEditable #method:getContentEditable#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetContentEditableMethodInfo,
#endif
    dOMHTMLElementGetContentEditable        ,


-- ** getDir #method:getDir#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetDirMethodInfo          ,
#endif
    dOMHTMLElementGetDir                    ,


-- ** getDraggable #method:getDraggable#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetDraggableMethodInfo    ,
#endif
    dOMHTMLElementGetDraggable              ,


-- ** getHidden #method:getHidden#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetHiddenMethodInfo       ,
#endif
    dOMHTMLElementGetHidden                 ,


-- ** getInnerHtml #method:getInnerHtml#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetInnerHtmlMethodInfo    ,
#endif
    dOMHTMLElementGetInnerHtml              ,


-- ** getInnerText #method:getInnerText#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetInnerTextMethodInfo    ,
#endif
    dOMHTMLElementGetInnerText              ,


-- ** getIsContentEditable #method:getIsContentEditable#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetIsContentEditableMethodInfo,
#endif
    dOMHTMLElementGetIsContentEditable      ,


-- ** getLang #method:getLang#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetLangMethodInfo         ,
#endif
    dOMHTMLElementGetLang                   ,


-- ** getOuterHtml #method:getOuterHtml#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetOuterHtmlMethodInfo    ,
#endif
    dOMHTMLElementGetOuterHtml              ,


-- ** getOuterText #method:getOuterText#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetOuterTextMethodInfo    ,
#endif
    dOMHTMLElementGetOuterText              ,


-- ** getSpellcheck #method:getSpellcheck#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetSpellcheckMethodInfo   ,
#endif
    dOMHTMLElementGetSpellcheck             ,


-- ** getTabIndex #method:getTabIndex#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetTabIndexMethodInfo     ,
#endif
    dOMHTMLElementGetTabIndex               ,


-- ** getTitle #method:getTitle#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetTitleMethodInfo        ,
#endif
    dOMHTMLElementGetTitle                  ,


-- ** getTranslate #method:getTranslate#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetTranslateMethodInfo    ,
#endif
    dOMHTMLElementGetTranslate              ,


-- ** getWebkitdropzone #method:getWebkitdropzone#

#if ENABLE_OVERLOADING
    DOMHTMLElementGetWebkitdropzoneMethodInfo,
#endif
    dOMHTMLElementGetWebkitdropzone         ,


-- ** setAccessKey #method:setAccessKey#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetAccessKeyMethodInfo    ,
#endif
    dOMHTMLElementSetAccessKey              ,


-- ** setContentEditable #method:setContentEditable#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetContentEditableMethodInfo,
#endif
    dOMHTMLElementSetContentEditable        ,


-- ** setDir #method:setDir#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetDirMethodInfo          ,
#endif
    dOMHTMLElementSetDir                    ,


-- ** setDraggable #method:setDraggable#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetDraggableMethodInfo    ,
#endif
    dOMHTMLElementSetDraggable              ,


-- ** setHidden #method:setHidden#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetHiddenMethodInfo       ,
#endif
    dOMHTMLElementSetHidden                 ,


-- ** setInnerHtml #method:setInnerHtml#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetInnerHtmlMethodInfo    ,
#endif
    dOMHTMLElementSetInnerHtml              ,


-- ** setInnerText #method:setInnerText#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetInnerTextMethodInfo    ,
#endif
    dOMHTMLElementSetInnerText              ,


-- ** setLang #method:setLang#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetLangMethodInfo         ,
#endif
    dOMHTMLElementSetLang                   ,


-- ** setOuterHtml #method:setOuterHtml#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetOuterHtmlMethodInfo    ,
#endif
    dOMHTMLElementSetOuterHtml              ,


-- ** setOuterText #method:setOuterText#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetOuterTextMethodInfo    ,
#endif
    dOMHTMLElementSetOuterText              ,


-- ** setSpellcheck #method:setSpellcheck#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetSpellcheckMethodInfo   ,
#endif
    dOMHTMLElementSetSpellcheck             ,


-- ** setTabIndex #method:setTabIndex#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetTabIndexMethodInfo     ,
#endif
    dOMHTMLElementSetTabIndex               ,


-- ** setTitle #method:setTitle#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetTitleMethodInfo        ,
#endif
    dOMHTMLElementSetTitle                  ,


-- ** setTranslate #method:setTranslate#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetTranslateMethodInfo    ,
#endif
    dOMHTMLElementSetTranslate              ,


-- ** setWebkitdropzone #method:setWebkitdropzone#

#if ENABLE_OVERLOADING
    DOMHTMLElementSetWebkitdropzoneMethodInfo,
#endif
    dOMHTMLElementSetWebkitdropzone         ,




 -- * Properties
-- ** accessKey #attr:accessKey#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementAccessKeyPropertyInfo     ,
#endif
    constructDOMHTMLElementAccessKey        ,
#if ENABLE_OVERLOADING
    dOMHTMLElementAccessKey                 ,
#endif
    getDOMHTMLElementAccessKey              ,
    setDOMHTMLElementAccessKey              ,


-- ** contentEditable #attr:contentEditable#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementContentEditablePropertyInfo,
#endif
    clearDOMHTMLElementContentEditable      ,
    constructDOMHTMLElementContentEditable  ,
#if ENABLE_OVERLOADING
    dOMHTMLElementContentEditable           ,
#endif
    getDOMHTMLElementContentEditable        ,
    setDOMHTMLElementContentEditable        ,


-- ** dir #attr:dir#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementDirPropertyInfo           ,
#endif
    constructDOMHTMLElementDir              ,
#if ENABLE_OVERLOADING
    dOMHTMLElementDir                       ,
#endif
    getDOMHTMLElementDir                    ,
    setDOMHTMLElementDir                    ,


-- ** draggable #attr:draggable#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementDraggablePropertyInfo     ,
#endif
    constructDOMHTMLElementDraggable        ,
#if ENABLE_OVERLOADING
    dOMHTMLElementDraggable                 ,
#endif
    getDOMHTMLElementDraggable              ,
    setDOMHTMLElementDraggable              ,


-- ** hidden #attr:hidden#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementHiddenPropertyInfo        ,
#endif
    constructDOMHTMLElementHidden           ,
#if ENABLE_OVERLOADING
    dOMHTMLElementHidden                    ,
#endif
    getDOMHTMLElementHidden                 ,
    setDOMHTMLElementHidden                 ,


-- ** innerText #attr:innerText#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementInnerTextPropertyInfo     ,
#endif
    clearDOMHTMLElementInnerText            ,
    constructDOMHTMLElementInnerText        ,
#if ENABLE_OVERLOADING
    dOMHTMLElementInnerText                 ,
#endif
    getDOMHTMLElementInnerText              ,
    setDOMHTMLElementInnerText              ,


-- ** isContentEditable #attr:isContentEditable#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementIsContentEditablePropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLElementIsContentEditable         ,
#endif
    getDOMHTMLElementIsContentEditable      ,


-- ** lang #attr:lang#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementLangPropertyInfo          ,
#endif
    constructDOMHTMLElementLang             ,
#if ENABLE_OVERLOADING
    dOMHTMLElementLang                      ,
#endif
    getDOMHTMLElementLang                   ,
    setDOMHTMLElementLang                   ,


-- ** outerText #attr:outerText#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementOuterTextPropertyInfo     ,
#endif
    clearDOMHTMLElementOuterText            ,
    constructDOMHTMLElementOuterText        ,
#if ENABLE_OVERLOADING
    dOMHTMLElementOuterText                 ,
#endif
    getDOMHTMLElementOuterText              ,
    setDOMHTMLElementOuterText              ,


-- ** spellcheck #attr:spellcheck#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementSpellcheckPropertyInfo    ,
#endif
    constructDOMHTMLElementSpellcheck       ,
#if ENABLE_OVERLOADING
    dOMHTMLElementSpellcheck                ,
#endif
    getDOMHTMLElementSpellcheck             ,
    setDOMHTMLElementSpellcheck             ,


-- ** tabIndex #attr:tabIndex#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementTabIndexPropertyInfo      ,
#endif
    constructDOMHTMLElementTabIndex         ,
#if ENABLE_OVERLOADING
    dOMHTMLElementTabIndex                  ,
#endif
    getDOMHTMLElementTabIndex               ,
    setDOMHTMLElementTabIndex               ,


-- ** title #attr:title#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementTitlePropertyInfo         ,
#endif
    constructDOMHTMLElementTitle            ,
#if ENABLE_OVERLOADING
    dOMHTMLElementTitle                     ,
#endif
    getDOMHTMLElementTitle                  ,
    setDOMHTMLElementTitle                  ,


-- ** translate #attr:translate#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementTranslatePropertyInfo     ,
#endif
    constructDOMHTMLElementTranslate        ,
#if ENABLE_OVERLOADING
    dOMHTMLElementTranslate                 ,
#endif
    getDOMHTMLElementTranslate              ,
    setDOMHTMLElementTranslate              ,


-- ** webkitdropzone #attr:webkitdropzone#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLElementWebkitdropzonePropertyInfo,
#endif
    constructDOMHTMLElementWebkitdropzone   ,
#if ENABLE_OVERLOADING
    dOMHTMLElementWebkitdropzone            ,
#endif
    getDOMHTMLElementWebkitdropzone         ,
    setDOMHTMLElementWebkitdropzone         ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLCollection as WebKit2WebExtension.DOMHTMLCollection
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLElement = DOMHTMLElement (ManagedPtr DOMHTMLElement)
foreign import ccall "webkit_dom_html_element_get_type"
    c_webkit_dom_html_element_get_type :: IO GType

instance GObject DOMHTMLElement where
    gobjectType = c_webkit_dom_html_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLElement`, for instance with `toDOMHTMLElement`.
class (GObject o, O.IsDescendantOf DOMHTMLElement o) => IsDOMHTMLElement o
instance (GObject o, O.IsDescendantOf DOMHTMLElement o) => IsDOMHTMLElement o

instance O.HasParentTypes DOMHTMLElement
type instance O.ParentTypes DOMHTMLElement = '[WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLElement :: (MonadIO m, IsDOMHTMLElement o) => o -> m DOMHTMLElement
toDOMHTMLElement = liftIO . unsafeCastTo DOMHTMLElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLElement`.
noDOMHTMLElement :: Maybe DOMHTMLElement
noDOMHTMLElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLElementMethod "click" o = DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLElementMethod "getAccessKey" o = DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLElementMethod "getChildren" o = DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLElementMethod "getContentEditable" o = DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLElementMethod "getDir" o = DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLElementMethod "getDraggable" o = DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLElementMethod "getHidden" o = DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLElementMethod "getInnerHtml" o = DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLElementMethod "getInnerText" o = DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLElementMethod "getIsContentEditable" o = DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLElementMethod "getLang" o = DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLElementMethod "getOuterHtml" o = DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLElementMethod "getOuterText" o = DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLElementMethod "getSpellcheck" o = DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLElementMethod "getTabIndex" o = DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLElementMethod "getTitle" o = DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLElementMethod "getTranslate" o = DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLElementMethod "getWebkitdropzone" o = DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLElementMethod "setAccessKey" o = DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLElementMethod "setContentEditable" o = DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLElementMethod "setDir" o = DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLElementMethod "setDraggable" o = DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLElementMethod "setHidden" o = DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLElementMethod "setInnerHtml" o = DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLElementMethod "setInnerText" o = DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLElementMethod "setLang" o = DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLElementMethod "setOuterHtml" o = DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLElementMethod "setOuterText" o = DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLElementMethod "setSpellcheck" o = DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLElementMethod "setTabIndex" o = DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLElementMethod "setTitle" o = DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLElementMethod "setTranslate" o = DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLElementMethod "setWebkitdropzone" o = DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLElementMethod t DOMHTMLElement, O.MethodInfo info DOMHTMLElement p) => OL.IsLabel t (DOMHTMLElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "access-key"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@access-key@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #accessKey
@
-}
getDOMHTMLElementAccessKey :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementAccessKey obj = liftIO $ B.Properties.getObjectPropertyString obj "access-key"

{- |
Set the value of the “@access-key@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #accessKey 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementAccessKey :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementAccessKey obj val = liftIO $ B.Properties.setObjectPropertyString obj "access-key" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@access-key@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementAccessKey :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementAccessKey val = B.Properties.constructObjectPropertyString "access-key" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLElementAccessKeyPropertyInfo
instance AttrInfo DOMHTMLElementAccessKeyPropertyInfo where
    type AttrAllowedOps DOMHTMLElementAccessKeyPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementAccessKeyPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementAccessKeyPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementAccessKeyPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementAccessKeyPropertyInfo = "access-key"
    type AttrOrigin DOMHTMLElementAccessKeyPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementAccessKey
    attrSet _ = setDOMHTMLElementAccessKey
    attrConstruct _ = constructDOMHTMLElementAccessKey
    attrClear _ = undefined
#endif

-- VVV Prop "content-editable"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@content-editable@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #contentEditable
@
-}
getDOMHTMLElementContentEditable :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementContentEditable obj = liftIO $ B.Properties.getObjectPropertyString obj "content-editable"

{- |
Set the value of the “@content-editable@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #contentEditable 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementContentEditable :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementContentEditable obj val = liftIO $ B.Properties.setObjectPropertyString obj "content-editable" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@content-editable@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementContentEditable :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementContentEditable val = B.Properties.constructObjectPropertyString "content-editable" (Just val)

{- |
Set the value of the “@content-editable@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #contentEditable
@
-}
clearDOMHTMLElementContentEditable :: (MonadIO m, IsDOMHTMLElement o) => o -> m ()
clearDOMHTMLElementContentEditable obj = liftIO $ B.Properties.setObjectPropertyString obj "content-editable" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLElementContentEditablePropertyInfo
instance AttrInfo DOMHTMLElementContentEditablePropertyInfo where
    type AttrAllowedOps DOMHTMLElementContentEditablePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLElementContentEditablePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementContentEditablePropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementContentEditablePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementContentEditablePropertyInfo = "content-editable"
    type AttrOrigin DOMHTMLElementContentEditablePropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementContentEditable
    attrSet _ = setDOMHTMLElementContentEditable
    attrConstruct _ = constructDOMHTMLElementContentEditable
    attrClear _ = clearDOMHTMLElementContentEditable
#endif

-- VVV Prop "dir"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@dir@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #dir
@
-}
getDOMHTMLElementDir :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementDir obj = liftIO $ B.Properties.getObjectPropertyString obj "dir"

{- |
Set the value of the “@dir@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #dir 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementDir :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementDir obj val = liftIO $ B.Properties.setObjectPropertyString obj "dir" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@dir@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementDir :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementDir val = B.Properties.constructObjectPropertyString "dir" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLElementDirPropertyInfo
instance AttrInfo DOMHTMLElementDirPropertyInfo where
    type AttrAllowedOps DOMHTMLElementDirPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementDirPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementDirPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementDirPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementDirPropertyInfo = "dir"
    type AttrOrigin DOMHTMLElementDirPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementDir
    attrSet _ = setDOMHTMLElementDir
    attrConstruct _ = constructDOMHTMLElementDir
    attrClear _ = undefined
#endif

-- VVV Prop "draggable"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@draggable@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #draggable
@
-}
getDOMHTMLElementDraggable :: (MonadIO m, IsDOMHTMLElement o) => o -> m Bool
getDOMHTMLElementDraggable obj = liftIO $ B.Properties.getObjectPropertyBool obj "draggable"

{- |
Set the value of the “@draggable@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #draggable 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementDraggable :: (MonadIO m, IsDOMHTMLElement o) => o -> Bool -> m ()
setDOMHTMLElementDraggable obj val = liftIO $ B.Properties.setObjectPropertyBool obj "draggable" val

{- |
Construct a `GValueConstruct` with valid value for the “@draggable@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementDraggable :: (IsDOMHTMLElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLElementDraggable val = B.Properties.constructObjectPropertyBool "draggable" val

#if ENABLE_OVERLOADING
data DOMHTMLElementDraggablePropertyInfo
instance AttrInfo DOMHTMLElementDraggablePropertyInfo where
    type AttrAllowedOps DOMHTMLElementDraggablePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementDraggablePropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLElementDraggablePropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementDraggablePropertyInfo = Bool
    type AttrLabel DOMHTMLElementDraggablePropertyInfo = "draggable"
    type AttrOrigin DOMHTMLElementDraggablePropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementDraggable
    attrSet _ = setDOMHTMLElementDraggable
    attrConstruct _ = constructDOMHTMLElementDraggable
    attrClear _ = undefined
#endif

-- VVV Prop "hidden"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@hidden@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #hidden
@
-}
getDOMHTMLElementHidden :: (MonadIO m, IsDOMHTMLElement o) => o -> m Bool
getDOMHTMLElementHidden obj = liftIO $ B.Properties.getObjectPropertyBool obj "hidden"

{- |
Set the value of the “@hidden@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #hidden 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementHidden :: (MonadIO m, IsDOMHTMLElement o) => o -> Bool -> m ()
setDOMHTMLElementHidden obj val = liftIO $ B.Properties.setObjectPropertyBool obj "hidden" val

{- |
Construct a `GValueConstruct` with valid value for the “@hidden@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementHidden :: (IsDOMHTMLElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLElementHidden val = B.Properties.constructObjectPropertyBool "hidden" val

#if ENABLE_OVERLOADING
data DOMHTMLElementHiddenPropertyInfo
instance AttrInfo DOMHTMLElementHiddenPropertyInfo where
    type AttrAllowedOps DOMHTMLElementHiddenPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementHiddenPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLElementHiddenPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementHiddenPropertyInfo = Bool
    type AttrLabel DOMHTMLElementHiddenPropertyInfo = "hidden"
    type AttrOrigin DOMHTMLElementHiddenPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementHidden
    attrSet _ = setDOMHTMLElementHidden
    attrConstruct _ = constructDOMHTMLElementHidden
    attrClear _ = undefined
#endif

-- VVV Prop "inner-text"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@inner-text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #innerText
@
-}
getDOMHTMLElementInnerText :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementInnerText obj = liftIO $ B.Properties.getObjectPropertyString obj "inner-text"

{- |
Set the value of the “@inner-text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #innerText 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementInnerText :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementInnerText obj val = liftIO $ B.Properties.setObjectPropertyString obj "inner-text" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@inner-text@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementInnerText :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementInnerText val = B.Properties.constructObjectPropertyString "inner-text" (Just val)

{- |
Set the value of the “@inner-text@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #innerText
@
-}
clearDOMHTMLElementInnerText :: (MonadIO m, IsDOMHTMLElement o) => o -> m ()
clearDOMHTMLElementInnerText obj = liftIO $ B.Properties.setObjectPropertyString obj "inner-text" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLElementInnerTextPropertyInfo
instance AttrInfo DOMHTMLElementInnerTextPropertyInfo where
    type AttrAllowedOps DOMHTMLElementInnerTextPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLElementInnerTextPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementInnerTextPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementInnerTextPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementInnerTextPropertyInfo = "inner-text"
    type AttrOrigin DOMHTMLElementInnerTextPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementInnerText
    attrSet _ = setDOMHTMLElementInnerText
    attrConstruct _ = constructDOMHTMLElementInnerText
    attrClear _ = clearDOMHTMLElementInnerText
#endif

-- VVV Prop "is-content-editable"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@is-content-editable@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #isContentEditable
@
-}
getDOMHTMLElementIsContentEditable :: (MonadIO m, IsDOMHTMLElement o) => o -> m Bool
getDOMHTMLElementIsContentEditable obj = liftIO $ B.Properties.getObjectPropertyBool obj "is-content-editable"

#if ENABLE_OVERLOADING
data DOMHTMLElementIsContentEditablePropertyInfo
instance AttrInfo DOMHTMLElementIsContentEditablePropertyInfo where
    type AttrAllowedOps DOMHTMLElementIsContentEditablePropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementIsContentEditablePropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLElementIsContentEditablePropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementIsContentEditablePropertyInfo = Bool
    type AttrLabel DOMHTMLElementIsContentEditablePropertyInfo = "is-content-editable"
    type AttrOrigin DOMHTMLElementIsContentEditablePropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementIsContentEditable
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "lang"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@lang@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #lang
@
-}
getDOMHTMLElementLang :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementLang obj = liftIO $ B.Properties.getObjectPropertyString obj "lang"

{- |
Set the value of the “@lang@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #lang 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementLang :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementLang obj val = liftIO $ B.Properties.setObjectPropertyString obj "lang" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@lang@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementLang :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementLang val = B.Properties.constructObjectPropertyString "lang" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLElementLangPropertyInfo
instance AttrInfo DOMHTMLElementLangPropertyInfo where
    type AttrAllowedOps DOMHTMLElementLangPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementLangPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementLangPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementLangPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementLangPropertyInfo = "lang"
    type AttrOrigin DOMHTMLElementLangPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementLang
    attrSet _ = setDOMHTMLElementLang
    attrConstruct _ = constructDOMHTMLElementLang
    attrClear _ = undefined
#endif

-- VVV Prop "outer-text"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@outer-text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #outerText
@
-}
getDOMHTMLElementOuterText :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementOuterText obj = liftIO $ B.Properties.getObjectPropertyString obj "outer-text"

{- |
Set the value of the “@outer-text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #outerText 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementOuterText :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementOuterText obj val = liftIO $ B.Properties.setObjectPropertyString obj "outer-text" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@outer-text@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementOuterText :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementOuterText val = B.Properties.constructObjectPropertyString "outer-text" (Just val)

{- |
Set the value of the “@outer-text@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #outerText
@
-}
clearDOMHTMLElementOuterText :: (MonadIO m, IsDOMHTMLElement o) => o -> m ()
clearDOMHTMLElementOuterText obj = liftIO $ B.Properties.setObjectPropertyString obj "outer-text" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLElementOuterTextPropertyInfo
instance AttrInfo DOMHTMLElementOuterTextPropertyInfo where
    type AttrAllowedOps DOMHTMLElementOuterTextPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLElementOuterTextPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementOuterTextPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementOuterTextPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementOuterTextPropertyInfo = "outer-text"
    type AttrOrigin DOMHTMLElementOuterTextPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementOuterText
    attrSet _ = setDOMHTMLElementOuterText
    attrConstruct _ = constructDOMHTMLElementOuterText
    attrClear _ = clearDOMHTMLElementOuterText
#endif

-- VVV Prop "spellcheck"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@spellcheck@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #spellcheck
@
-}
getDOMHTMLElementSpellcheck :: (MonadIO m, IsDOMHTMLElement o) => o -> m Bool
getDOMHTMLElementSpellcheck obj = liftIO $ B.Properties.getObjectPropertyBool obj "spellcheck"

{- |
Set the value of the “@spellcheck@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #spellcheck 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementSpellcheck :: (MonadIO m, IsDOMHTMLElement o) => o -> Bool -> m ()
setDOMHTMLElementSpellcheck obj val = liftIO $ B.Properties.setObjectPropertyBool obj "spellcheck" val

{- |
Construct a `GValueConstruct` with valid value for the “@spellcheck@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementSpellcheck :: (IsDOMHTMLElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLElementSpellcheck val = B.Properties.constructObjectPropertyBool "spellcheck" val

#if ENABLE_OVERLOADING
data DOMHTMLElementSpellcheckPropertyInfo
instance AttrInfo DOMHTMLElementSpellcheckPropertyInfo where
    type AttrAllowedOps DOMHTMLElementSpellcheckPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementSpellcheckPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLElementSpellcheckPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementSpellcheckPropertyInfo = Bool
    type AttrLabel DOMHTMLElementSpellcheckPropertyInfo = "spellcheck"
    type AttrOrigin DOMHTMLElementSpellcheckPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementSpellcheck
    attrSet _ = setDOMHTMLElementSpellcheck
    attrConstruct _ = constructDOMHTMLElementSpellcheck
    attrClear _ = undefined
#endif

-- VVV Prop "tab-index"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@tab-index@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #tabIndex
@
-}
getDOMHTMLElementTabIndex :: (MonadIO m, IsDOMHTMLElement o) => o -> m CLong
getDOMHTMLElementTabIndex obj = liftIO $ B.Properties.getObjectPropertyLong obj "tab-index"

{- |
Set the value of the “@tab-index@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #tabIndex 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementTabIndex :: (MonadIO m, IsDOMHTMLElement o) => o -> CLong -> m ()
setDOMHTMLElementTabIndex obj val = liftIO $ B.Properties.setObjectPropertyLong obj "tab-index" val

{- |
Construct a `GValueConstruct` with valid value for the “@tab-index@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementTabIndex :: (IsDOMHTMLElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLElementTabIndex val = B.Properties.constructObjectPropertyLong "tab-index" val

#if ENABLE_OVERLOADING
data DOMHTMLElementTabIndexPropertyInfo
instance AttrInfo DOMHTMLElementTabIndexPropertyInfo where
    type AttrAllowedOps DOMHTMLElementTabIndexPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementTabIndexPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLElementTabIndexPropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementTabIndexPropertyInfo = CLong
    type AttrLabel DOMHTMLElementTabIndexPropertyInfo = "tab-index"
    type AttrOrigin DOMHTMLElementTabIndexPropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementTabIndex
    attrSet _ = setDOMHTMLElementTabIndex
    attrConstruct _ = constructDOMHTMLElementTabIndex
    attrClear _ = undefined
#endif

-- VVV Prop "title"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@title@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #title
@
-}
getDOMHTMLElementTitle :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementTitle obj = liftIO $ B.Properties.getObjectPropertyString obj "title"

{- |
Set the value of the “@title@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #title 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementTitle :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementTitle obj val = liftIO $ B.Properties.setObjectPropertyString obj "title" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@title@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementTitle :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementTitle val = B.Properties.constructObjectPropertyString "title" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLElementTitlePropertyInfo
instance AttrInfo DOMHTMLElementTitlePropertyInfo where
    type AttrAllowedOps DOMHTMLElementTitlePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementTitlePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementTitlePropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementTitlePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementTitlePropertyInfo = "title"
    type AttrOrigin DOMHTMLElementTitlePropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementTitle
    attrSet _ = setDOMHTMLElementTitle
    attrConstruct _ = constructDOMHTMLElementTitle
    attrClear _ = undefined
#endif

-- VVV Prop "translate"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@translate@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #translate
@
-}
getDOMHTMLElementTranslate :: (MonadIO m, IsDOMHTMLElement o) => o -> m Bool
getDOMHTMLElementTranslate obj = liftIO $ B.Properties.getObjectPropertyBool obj "translate"

{- |
Set the value of the “@translate@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #translate 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementTranslate :: (MonadIO m, IsDOMHTMLElement o) => o -> Bool -> m ()
setDOMHTMLElementTranslate obj val = liftIO $ B.Properties.setObjectPropertyBool obj "translate" val

{- |
Construct a `GValueConstruct` with valid value for the “@translate@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementTranslate :: (IsDOMHTMLElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLElementTranslate val = B.Properties.constructObjectPropertyBool "translate" val

#if ENABLE_OVERLOADING
data DOMHTMLElementTranslatePropertyInfo
instance AttrInfo DOMHTMLElementTranslatePropertyInfo where
    type AttrAllowedOps DOMHTMLElementTranslatePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementTranslatePropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLElementTranslatePropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementTranslatePropertyInfo = Bool
    type AttrLabel DOMHTMLElementTranslatePropertyInfo = "translate"
    type AttrOrigin DOMHTMLElementTranslatePropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementTranslate
    attrSet _ = setDOMHTMLElementTranslate
    attrConstruct _ = constructDOMHTMLElementTranslate
    attrClear _ = undefined
#endif

-- VVV Prop "webkitdropzone"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@webkitdropzone@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLElement #webkitdropzone
@
-}
getDOMHTMLElementWebkitdropzone :: (MonadIO m, IsDOMHTMLElement o) => o -> m (Maybe T.Text)
getDOMHTMLElementWebkitdropzone obj = liftIO $ B.Properties.getObjectPropertyString obj "webkitdropzone"

{- |
Set the value of the “@webkitdropzone@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLElement [ #webkitdropzone 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLElementWebkitdropzone :: (MonadIO m, IsDOMHTMLElement o) => o -> T.Text -> m ()
setDOMHTMLElementWebkitdropzone obj val = liftIO $ B.Properties.setObjectPropertyString obj "webkitdropzone" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@webkitdropzone@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLElementWebkitdropzone :: (IsDOMHTMLElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLElementWebkitdropzone val = B.Properties.constructObjectPropertyString "webkitdropzone" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLElementWebkitdropzonePropertyInfo
instance AttrInfo DOMHTMLElementWebkitdropzonePropertyInfo where
    type AttrAllowedOps DOMHTMLElementWebkitdropzonePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLElementWebkitdropzonePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLElementWebkitdropzonePropertyInfo = IsDOMHTMLElement
    type AttrGetType DOMHTMLElementWebkitdropzonePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLElementWebkitdropzonePropertyInfo = "webkitdropzone"
    type AttrOrigin DOMHTMLElementWebkitdropzonePropertyInfo = DOMHTMLElement
    attrGet _ = getDOMHTMLElementWebkitdropzone
    attrSet _ = setDOMHTMLElementWebkitdropzone
    attrConstruct _ = constructDOMHTMLElementWebkitdropzone
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLElement
type instance O.AttributeList DOMHTMLElement = DOMHTMLElementAttributeList
type DOMHTMLElementAttributeList = ('[ '("accessKey", DOMHTMLElementAccessKeyPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", DOMHTMLElementDirPropertyInfo), '("draggable", DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", DOMHTMLElementIsContentEditablePropertyInfo), '("lang", DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", DOMHTMLElementTitlePropertyInfo), '("translate", DOMHTMLElementTranslatePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLElementAccessKey :: AttrLabelProxy "accessKey"
dOMHTMLElementAccessKey = AttrLabelProxy

dOMHTMLElementContentEditable :: AttrLabelProxy "contentEditable"
dOMHTMLElementContentEditable = AttrLabelProxy

dOMHTMLElementDir :: AttrLabelProxy "dir"
dOMHTMLElementDir = AttrLabelProxy

dOMHTMLElementDraggable :: AttrLabelProxy "draggable"
dOMHTMLElementDraggable = AttrLabelProxy

dOMHTMLElementHidden :: AttrLabelProxy "hidden"
dOMHTMLElementHidden = AttrLabelProxy

dOMHTMLElementInnerText :: AttrLabelProxy "innerText"
dOMHTMLElementInnerText = AttrLabelProxy

dOMHTMLElementIsContentEditable :: AttrLabelProxy "isContentEditable"
dOMHTMLElementIsContentEditable = AttrLabelProxy

dOMHTMLElementLang :: AttrLabelProxy "lang"
dOMHTMLElementLang = AttrLabelProxy

dOMHTMLElementOuterText :: AttrLabelProxy "outerText"
dOMHTMLElementOuterText = AttrLabelProxy

dOMHTMLElementSpellcheck :: AttrLabelProxy "spellcheck"
dOMHTMLElementSpellcheck = AttrLabelProxy

dOMHTMLElementTabIndex :: AttrLabelProxy "tabIndex"
dOMHTMLElementTabIndex = AttrLabelProxy

dOMHTMLElementTitle :: AttrLabelProxy "title"
dOMHTMLElementTitle = AttrLabelProxy

dOMHTMLElementTranslate :: AttrLabelProxy "translate"
dOMHTMLElementTranslate = AttrLabelProxy

dOMHTMLElementWebkitdropzone :: AttrLabelProxy "webkitdropzone"
dOMHTMLElementWebkitdropzone = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLElement = DOMHTMLElementSignalList
type DOMHTMLElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLElement::click
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_click" webkit_dom_html_element_click :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO ()

{-# DEPRECATED dOMHTMLElementClick ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementClick ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m ()
dOMHTMLElementClick self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_element_click self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementClickMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementClickMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementClick

#endif

-- method DOMHTMLElement::get_access_key
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_access_key" webkit_dom_html_element_get_access_key :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetAccessKey ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetAccessKey ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetAccessKey self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_access_key self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetAccessKey" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetAccessKeyMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetAccessKeyMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetAccessKey

#endif

-- method DOMHTMLElement::get_children
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLCollection"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_children" webkit_dom_html_element_get_children :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection)

{-# DEPRECATED dOMHTMLElementGetChildren ["(Since version 2.10)","Use 'GI.WebKit2WebExtension.Objects.DOMElement.dOMElementGetChildren' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetChildren ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLCollection.DOMHTMLCollection' -}
dOMHTMLElementGetChildren self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_children self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetChildren" result
    result' <- (wrapObject WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetChildrenMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLCollection.DOMHTMLCollection), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetChildrenMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetChildren

#endif

-- method DOMHTMLElement::get_content_editable
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_content_editable" webkit_dom_html_element_get_content_editable :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetContentEditable ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetContentEditable ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetContentEditable self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_content_editable self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetContentEditable" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetContentEditableMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetContentEditableMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetContentEditable

#endif

-- method DOMHTMLElement::get_dir
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_dir" webkit_dom_html_element_get_dir :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetDir ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetDir ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetDir self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_dir self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetDir" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetDirMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetDirMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetDir

#endif

-- method DOMHTMLElement::get_draggable
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_draggable" webkit_dom_html_element_get_draggable :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CInt

{-# DEPRECATED dOMHTMLElementGetDraggable ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementGetDraggable ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLElementGetDraggable self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_draggable self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetDraggableMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetDraggableMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetDraggable

#endif

-- method DOMHTMLElement::get_hidden
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_hidden" webkit_dom_html_element_get_hidden :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CInt

{-# DEPRECATED dOMHTMLElementGetHidden ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementGetHidden ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLElementGetHidden self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_hidden self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetHiddenMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetHiddenMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetHidden

#endif

-- method DOMHTMLElement::get_inner_html
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_inner_html" webkit_dom_html_element_get_inner_html :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetInnerHtml ["(Since version 2.8)","Use 'GI.WebKit2WebExtension.Objects.DOMElement.dOMElementGetInnerHtml' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetInnerHtml ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: a 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ a @/gchar/@ -}
dOMHTMLElementGetInnerHtml self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_inner_html self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetInnerHtml" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetInnerHtmlMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetInnerHtmlMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetInnerHtml

#endif

-- method DOMHTMLElement::get_inner_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_inner_text" webkit_dom_html_element_get_inner_text :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetInnerText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetInnerText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetInnerText self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_inner_text self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetInnerText" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetInnerTextMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetInnerTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetInnerText

#endif

-- method DOMHTMLElement::get_is_content_editable
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_is_content_editable" webkit_dom_html_element_get_is_content_editable :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CInt

{-# DEPRECATED dOMHTMLElementGetIsContentEditable ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetIsContentEditable ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLElementGetIsContentEditable self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_is_content_editable self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetIsContentEditableMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetIsContentEditableMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetIsContentEditable

#endif

-- method DOMHTMLElement::get_lang
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_lang" webkit_dom_html_element_get_lang :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetLang ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetLang ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetLang self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_lang self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetLang" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetLangMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetLangMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetLang

#endif

-- method DOMHTMLElement::get_outer_html
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_outer_html" webkit_dom_html_element_get_outer_html :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetOuterHtml ["(Since version 2.8)","Use 'GI.WebKit2WebExtension.Objects.DOMElement.dOMElementGetOuterHtml' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetOuterHtml ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: a 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ a @/gchar/@ -}
dOMHTMLElementGetOuterHtml self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_outer_html self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetOuterHtml" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetOuterHtmlMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetOuterHtmlMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetOuterHtml

#endif

-- method DOMHTMLElement::get_outer_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_outer_text" webkit_dom_html_element_get_outer_text :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetOuterText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetOuterText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetOuterText self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_outer_text self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetOuterText" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetOuterTextMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetOuterTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetOuterText

#endif

-- method DOMHTMLElement::get_spellcheck
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_spellcheck" webkit_dom_html_element_get_spellcheck :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CInt

{-# DEPRECATED dOMHTMLElementGetSpellcheck ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementGetSpellcheck ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLElementGetSpellcheck self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_spellcheck self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetSpellcheckMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetSpellcheckMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetSpellcheck

#endif

-- method DOMHTMLElement::get_tab_index
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_tab_index" webkit_dom_html_element_get_tab_index :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CLong

{-# DEPRECATED dOMHTMLElementGetTabIndex ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetTabIndex ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLElementGetTabIndex self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_tab_index self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLElementGetTabIndexMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetTabIndexMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetTabIndex

#endif

-- method DOMHTMLElement::get_title
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_title" webkit_dom_html_element_get_title :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetTitle ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementGetTitle ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetTitle self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_title self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetTitle" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetTitleMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetTitleMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetTitle

#endif

-- method DOMHTMLElement::get_translate
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_translate" webkit_dom_html_element_get_translate :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CInt

{-# DEPRECATED dOMHTMLElementGetTranslate ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementGetTranslate ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLElementGetTranslate self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_translate self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetTranslateMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetTranslateMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetTranslate

#endif

-- method DOMHTMLElement::get_webkitdropzone
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_get_webkitdropzone" webkit_dom_html_element_get_webkitdropzone :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    IO CString

{-# DEPRECATED dOMHTMLElementGetWebkitdropzone ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementGetWebkitdropzone ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLElementGetWebkitdropzone self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_element_get_webkitdropzone self'
    checkUnexpectedReturnNULL "dOMHTMLElementGetWebkitdropzone" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLElementGetWebkitdropzoneMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementGetWebkitdropzoneMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementGetWebkitdropzone

#endif

-- method DOMHTMLElement::set_access_key
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_access_key" webkit_dom_html_element_set_access_key :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLElementSetAccessKey ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetAccessKey ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLElementSetAccessKey self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_element_set_access_key self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetAccessKeyMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetAccessKeyMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetAccessKey

#endif

-- method DOMHTMLElement::set_content_editable
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_content_editable" webkit_dom_html_element_set_content_editable :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLElementSetContentEditable ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetContentEditable ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLElementSetContentEditable self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    onException (do
        propagateGError $ webkit_dom_html_element_set_content_editable self' value'
        touchManagedPtr self
        freeMem value'
        return ()
     ) (do
        freeMem value'
     )

#if ENABLE_OVERLOADING
data DOMHTMLElementSetContentEditableMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetContentEditableMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetContentEditable

#endif

-- method DOMHTMLElement::set_dir
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_dir" webkit_dom_html_element_set_dir :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLElementSetDir ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetDir ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLElementSetDir self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_element_set_dir self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetDirMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetDirMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetDir

#endif

-- method DOMHTMLElement::set_draggable
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_draggable" webkit_dom_html_element_set_draggable :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLElementSetDraggable ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementSetDraggable ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLElementSetDraggable self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_element_set_draggable self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetDraggableMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetDraggableMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetDraggable

#endif

-- method DOMHTMLElement::set_hidden
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_hidden" webkit_dom_html_element_set_hidden :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLElementSetHidden ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementSetHidden ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLElementSetHidden self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_element_set_hidden self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetHiddenMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetHiddenMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetHidden

#endif

-- method DOMHTMLElement::set_inner_html
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "contents", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #gchar with contents to set", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_inner_html" webkit_dom_html_element_set_inner_html :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- contents : TBasicType TUTF8
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLElementSetInnerHtml ["(Since version 2.8)","Use 'GI.WebKit2WebExtension.Objects.DOMElement.dOMElementSetInnerHtml' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetInnerHtml ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: a 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@contents@/: a @/gchar/@ with contents to set -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLElementSetInnerHtml self contents = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    contents' <- textToCString contents
    onException (do
        propagateGError $ webkit_dom_html_element_set_inner_html self' contents'
        touchManagedPtr self
        freeMem contents'
        return ()
     ) (do
        freeMem contents'
     )

#if ENABLE_OVERLOADING
data DOMHTMLElementSetInnerHtmlMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetInnerHtmlMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetInnerHtml

#endif

-- method DOMHTMLElement::set_inner_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_inner_text" webkit_dom_html_element_set_inner_text :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLElementSetInnerText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetInnerText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLElementSetInnerText self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    onException (do
        propagateGError $ webkit_dom_html_element_set_inner_text self' value'
        touchManagedPtr self
        freeMem value'
        return ()
     ) (do
        freeMem value'
     )

#if ENABLE_OVERLOADING
data DOMHTMLElementSetInnerTextMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetInnerTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetInnerText

#endif

-- method DOMHTMLElement::set_lang
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_lang" webkit_dom_html_element_set_lang :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLElementSetLang ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetLang ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLElementSetLang self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_element_set_lang self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetLangMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetLangMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetLang

#endif

-- method DOMHTMLElement::set_outer_html
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "contents", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #gchar with contents to set", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_outer_html" webkit_dom_html_element_set_outer_html :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- contents : TBasicType TUTF8
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLElementSetOuterHtml ["(Since version 2.8)","Use 'GI.WebKit2WebExtension.Objects.DOMElement.dOMElementSetOuterHtml' instead."] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetOuterHtml ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: a 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@contents@/: a @/gchar/@ with contents to set -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLElementSetOuterHtml self contents = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    contents' <- textToCString contents
    onException (do
        propagateGError $ webkit_dom_html_element_set_outer_html self' contents'
        touchManagedPtr self
        freeMem contents'
        return ()
     ) (do
        freeMem contents'
     )

#if ENABLE_OVERLOADING
data DOMHTMLElementSetOuterHtmlMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetOuterHtmlMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetOuterHtml

#endif

-- method DOMHTMLElement::set_outer_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : True
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_outer_text" webkit_dom_html_element_set_outer_text :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    Ptr (Ptr GError) ->                     -- error
    IO ()

{-# DEPRECATED dOMHTMLElementSetOuterText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetOuterText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
    {- ^ /(Can throw 'Data.GI.Base.GError.GError')/ -}
dOMHTMLElementSetOuterText self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    onException (do
        propagateGError $ webkit_dom_html_element_set_outer_text self' value'
        touchManagedPtr self
        freeMem value'
        return ()
     ) (do
        freeMem value'
     )

#if ENABLE_OVERLOADING
data DOMHTMLElementSetOuterTextMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetOuterTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetOuterText

#endif

-- method DOMHTMLElement::set_spellcheck
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_spellcheck" webkit_dom_html_element_set_spellcheck :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLElementSetSpellcheck ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementSetSpellcheck ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLElementSetSpellcheck self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_element_set_spellcheck self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetSpellcheckMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetSpellcheckMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetSpellcheck

#endif

-- method DOMHTMLElement::set_tab_index
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_tab_index" webkit_dom_html_element_set_tab_index :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLElementSetTabIndex ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetTabIndex ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLElementSetTabIndex self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_element_set_tab_index self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetTabIndexMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetTabIndexMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetTabIndex

#endif

-- method DOMHTMLElement::set_title
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_title" webkit_dom_html_element_set_title :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLElementSetTitle ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLElementSetTitle ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLElementSetTitle self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_element_set_title self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetTitleMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetTitleMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetTitle

#endif

-- method DOMHTMLElement::set_translate
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_translate" webkit_dom_html_element_set_translate :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLElementSetTranslate ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementSetTranslate ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLElementSetTranslate self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_element_set_translate self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetTranslateMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetTranslateMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetTranslate

#endif

-- method DOMHTMLElement::set_webkitdropzone
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_element_set_webkitdropzone" webkit_dom_html_element_set_webkitdropzone :: 
    Ptr DOMHTMLElement ->                   -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLElementSetWebkitdropzone ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLElementSetWebkitdropzone ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLElement.DOMHTMLElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLElementSetWebkitdropzone self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_element_set_webkitdropzone self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLElementSetWebkitdropzoneMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLElement a) => O.MethodInfo DOMHTMLElementSetWebkitdropzoneMethodInfo a signature where
    overloadedMethod _ = dOMHTMLElementSetWebkitdropzone

#endif


