#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLElement = DOMHTMLElement (ManagedPtr DOMHTMLElement)
instance GObject DOMHTMLElement where
class (GObject o, O.IsDescendantOf DOMHTMLElement o) => IsDOMHTMLElement o
instance (GObject o, O.IsDescendantOf DOMHTMLElement o) => IsDOMHTMLElement o
instance O.HasParentTypes DOMHTMLElement
#if ENABLE_OVERLOADING
data DOMHTMLElementAccessKeyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementContentEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementDirPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementDraggablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementHiddenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementInnerTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementIsContentEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementLangPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementOuterTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSpellcheckPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementTabIndexPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementTranslatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementWebkitdropzonePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetAccessKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetContentEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetDraggableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetInnerHtmlMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetInnerTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetIsContentEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetLangMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetOuterHtmlMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetOuterTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetSpellcheckMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetTabIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetTranslateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementGetWebkitdropzoneMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetAccessKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetContentEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetDirMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetDraggableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetInnerHtmlMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetInnerTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetLangMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetOuterHtmlMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetOuterTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetSpellcheckMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetTabIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetTranslateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLElementSetWebkitdropzoneMethodInfo
#endif
