

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement
    ( 

-- * Exported types
    DOMHTMLFrameElement(..)                 ,
    IsDOMHTMLFrameElement                   ,
    toDOMHTMLFrameElement                   ,
    noDOMHTMLFrameElement                   ,


 -- * Methods
-- ** getContentDocument #method:getContentDocument#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetContentDocumentMethodInfo,
#endif
    dOMHTMLFrameElementGetContentDocument   ,


-- ** getContentWindow #method:getContentWindow#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetContentWindowMethodInfo,
#endif
    dOMHTMLFrameElementGetContentWindow     ,


-- ** getFrameBorder #method:getFrameBorder#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetFrameBorderMethodInfo,
#endif
    dOMHTMLFrameElementGetFrameBorder       ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetHeightMethodInfo  ,
#endif
    dOMHTMLFrameElementGetHeight            ,


-- ** getLongDesc #method:getLongDesc#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetLongDescMethodInfo,
#endif
    dOMHTMLFrameElementGetLongDesc          ,


-- ** getMarginHeight #method:getMarginHeight#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetMarginHeightMethodInfo,
#endif
    dOMHTMLFrameElementGetMarginHeight      ,


-- ** getMarginWidth #method:getMarginWidth#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetMarginWidthMethodInfo,
#endif
    dOMHTMLFrameElementGetMarginWidth       ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetNameMethodInfo    ,
#endif
    dOMHTMLFrameElementGetName              ,


-- ** getNoResize #method:getNoResize#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetNoResizeMethodInfo,
#endif
    dOMHTMLFrameElementGetNoResize          ,


-- ** getScrolling #method:getScrolling#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetScrollingMethodInfo,
#endif
    dOMHTMLFrameElementGetScrolling         ,


-- ** getSrc #method:getSrc#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetSrcMethodInfo     ,
#endif
    dOMHTMLFrameElementGetSrc               ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementGetWidthMethodInfo   ,
#endif
    dOMHTMLFrameElementGetWidth             ,


-- ** setFrameBorder #method:setFrameBorder#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetFrameBorderMethodInfo,
#endif
    dOMHTMLFrameElementSetFrameBorder       ,


-- ** setLongDesc #method:setLongDesc#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetLongDescMethodInfo,
#endif
    dOMHTMLFrameElementSetLongDesc          ,


-- ** setMarginHeight #method:setMarginHeight#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetMarginHeightMethodInfo,
#endif
    dOMHTMLFrameElementSetMarginHeight      ,


-- ** setMarginWidth #method:setMarginWidth#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetMarginWidthMethodInfo,
#endif
    dOMHTMLFrameElementSetMarginWidth       ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetNameMethodInfo    ,
#endif
    dOMHTMLFrameElementSetName              ,


-- ** setNoResize #method:setNoResize#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetNoResizeMethodInfo,
#endif
    dOMHTMLFrameElementSetNoResize          ,


-- ** setScrolling #method:setScrolling#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetScrollingMethodInfo,
#endif
    dOMHTMLFrameElementSetScrolling         ,


-- ** setSrc #method:setSrc#

#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSetSrcMethodInfo     ,
#endif
    dOMHTMLFrameElementSetSrc               ,




 -- * Properties
-- ** contentDocument #attr:contentDocument#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementContentDocumentPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementContentDocument      ,
#endif
    getDOMHTMLFrameElementContentDocument   ,


-- ** contentWindow #attr:contentWindow#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementContentWindowPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementContentWindow        ,
#endif
    getDOMHTMLFrameElementContentWindow     ,


-- ** frameBorder #attr:frameBorder#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementFrameBorderPropertyInfo,
#endif
    constructDOMHTMLFrameElementFrameBorder ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementFrameBorder          ,
#endif
    getDOMHTMLFrameElementFrameBorder       ,
    setDOMHTMLFrameElementFrameBorder       ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementHeightPropertyInfo   ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementHeight               ,
#endif
    getDOMHTMLFrameElementHeight            ,


-- ** longDesc #attr:longDesc#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementLongDescPropertyInfo ,
#endif
    constructDOMHTMLFrameElementLongDesc    ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementLongDesc             ,
#endif
    getDOMHTMLFrameElementLongDesc          ,
    setDOMHTMLFrameElementLongDesc          ,


-- ** marginHeight #attr:marginHeight#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementMarginHeightPropertyInfo,
#endif
    constructDOMHTMLFrameElementMarginHeight,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementMarginHeight         ,
#endif
    getDOMHTMLFrameElementMarginHeight      ,
    setDOMHTMLFrameElementMarginHeight      ,


-- ** marginWidth #attr:marginWidth#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementMarginWidthPropertyInfo,
#endif
    constructDOMHTMLFrameElementMarginWidth ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementMarginWidth          ,
#endif
    getDOMHTMLFrameElementMarginWidth       ,
    setDOMHTMLFrameElementMarginWidth       ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementNamePropertyInfo     ,
#endif
    constructDOMHTMLFrameElementName        ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementName                 ,
#endif
    getDOMHTMLFrameElementName              ,
    setDOMHTMLFrameElementName              ,


-- ** noResize #attr:noResize#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementNoResizePropertyInfo ,
#endif
    constructDOMHTMLFrameElementNoResize    ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementNoResize             ,
#endif
    getDOMHTMLFrameElementNoResize          ,
    setDOMHTMLFrameElementNoResize          ,


-- ** scrolling #attr:scrolling#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementScrollingPropertyInfo,
#endif
    constructDOMHTMLFrameElementScrolling   ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementScrolling            ,
#endif
    getDOMHTMLFrameElementScrolling         ,
    setDOMHTMLFrameElementScrolling         ,


-- ** src #attr:src#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementSrcPropertyInfo      ,
#endif
    constructDOMHTMLFrameElementSrc         ,
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementSrc                  ,
#endif
    getDOMHTMLFrameElementSrc               ,
    setDOMHTMLFrameElementSrc               ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLFrameElementWidthPropertyInfo    ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLFrameElementWidth                ,
#endif
    getDOMHTMLFrameElementWidth             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDOMWindow as WebKit2WebExtension.DOMDOMWindow
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDocument as WebKit2WebExtension.DOMDocument
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLFrameElement = DOMHTMLFrameElement (ManagedPtr DOMHTMLFrameElement)
foreign import ccall "webkit_dom_html_frame_element_get_type"
    c_webkit_dom_html_frame_element_get_type :: IO GType

instance GObject DOMHTMLFrameElement where
    gobjectType = c_webkit_dom_html_frame_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLFrameElement`, for instance with `toDOMHTMLFrameElement`.
class (GObject o, O.IsDescendantOf DOMHTMLFrameElement o) => IsDOMHTMLFrameElement o
instance (GObject o, O.IsDescendantOf DOMHTMLFrameElement o) => IsDOMHTMLFrameElement o

instance O.HasParentTypes DOMHTMLFrameElement
type instance O.ParentTypes DOMHTMLFrameElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLFrameElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLFrameElement :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m DOMHTMLFrameElement
toDOMHTMLFrameElement = liftIO . unsafeCastTo DOMHTMLFrameElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLFrameElement`.
noDOMHTMLFrameElement :: Maybe DOMHTMLFrameElement
noDOMHTMLFrameElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLFrameElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLFrameElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLFrameElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLFrameElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLFrameElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLFrameElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLFrameElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLFrameElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLFrameElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLFrameElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLFrameElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLFrameElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLFrameElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLFrameElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLFrameElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLFrameElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLFrameElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLFrameElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLFrameElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLFrameElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLFrameElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLFrameElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLFrameElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLFrameElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLFrameElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLFrameElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLFrameElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLFrameElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLFrameElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLFrameElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLFrameElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLFrameElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLFrameElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLFrameElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLFrameElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLFrameElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLFrameElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLFrameElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLFrameElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLFrameElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLFrameElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLFrameElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLFrameElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLFrameElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLFrameElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLFrameElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLFrameElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLFrameElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLFrameElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLFrameElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLFrameElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLFrameElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLFrameElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLFrameElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLFrameElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLFrameElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLFrameElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLFrameElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLFrameElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLFrameElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLFrameElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLFrameElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLFrameElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLFrameElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLFrameElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLFrameElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLFrameElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLFrameElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLFrameElementMethod "getContentDocument" o = DOMHTMLFrameElementGetContentDocumentMethodInfo
    ResolveDOMHTMLFrameElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLFrameElementMethod "getContentWindow" o = DOMHTMLFrameElementGetContentWindowMethodInfo
    ResolveDOMHTMLFrameElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLFrameElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLFrameElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLFrameElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLFrameElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLFrameElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLFrameElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "getFrameBorder" o = DOMHTMLFrameElementGetFrameBorderMethodInfo
    ResolveDOMHTMLFrameElementMethod "getHeight" o = DOMHTMLFrameElementGetHeightMethodInfo
    ResolveDOMHTMLFrameElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLFrameElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLFrameElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLFrameElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLFrameElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLFrameElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLFrameElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLFrameElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getLongDesc" o = DOMHTMLFrameElementGetLongDescMethodInfo
    ResolveDOMHTMLFrameElementMethod "getMarginHeight" o = DOMHTMLFrameElementGetMarginHeightMethodInfo
    ResolveDOMHTMLFrameElementMethod "getMarginWidth" o = DOMHTMLFrameElementGetMarginWidthMethodInfo
    ResolveDOMHTMLFrameElementMethod "getName" o = DOMHTMLFrameElementGetNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNoResize" o = DOMHTMLFrameElementGetNoResizeMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLFrameElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLFrameElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLFrameElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLFrameElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLFrameElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLFrameElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLFrameElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLFrameElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLFrameElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLFrameElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLFrameElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLFrameElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLFrameElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLFrameElementMethod "getScrolling" o = DOMHTMLFrameElementGetScrollingMethodInfo
    ResolveDOMHTMLFrameElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLFrameElementMethod "getSrc" o = DOMHTMLFrameElementGetSrcMethodInfo
    ResolveDOMHTMLFrameElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLFrameElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLFrameElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLFrameElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLFrameElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLFrameElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLFrameElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLFrameElementMethod "getWidth" o = DOMHTMLFrameElementGetWidthMethodInfo
    ResolveDOMHTMLFrameElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLFrameElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLFrameElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLFrameElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLFrameElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLFrameElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLFrameElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLFrameElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLFrameElementMethod "setFrameBorder" o = DOMHTMLFrameElementSetFrameBorderMethodInfo
    ResolveDOMHTMLFrameElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLFrameElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLFrameElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLFrameElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLFrameElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLFrameElementMethod "setLongDesc" o = DOMHTMLFrameElementSetLongDescMethodInfo
    ResolveDOMHTMLFrameElementMethod "setMarginHeight" o = DOMHTMLFrameElementSetMarginHeightMethodInfo
    ResolveDOMHTMLFrameElementMethod "setMarginWidth" o = DOMHTMLFrameElementSetMarginWidthMethodInfo
    ResolveDOMHTMLFrameElementMethod "setName" o = DOMHTMLFrameElementSetNameMethodInfo
    ResolveDOMHTMLFrameElementMethod "setNoResize" o = DOMHTMLFrameElementSetNoResizeMethodInfo
    ResolveDOMHTMLFrameElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLFrameElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLFrameElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLFrameElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLFrameElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLFrameElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLFrameElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLFrameElementMethod "setScrolling" o = DOMHTMLFrameElementSetScrollingMethodInfo
    ResolveDOMHTMLFrameElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLFrameElementMethod "setSrc" o = DOMHTMLFrameElementSetSrcMethodInfo
    ResolveDOMHTMLFrameElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLFrameElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLFrameElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLFrameElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLFrameElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLFrameElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLFrameElementMethod t DOMHTMLFrameElement, O.MethodInfo info DOMHTMLFrameElement p) => OL.IsLabel t (DOMHTMLFrameElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "content-document"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@content-document@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #contentDocument
@
-}
getDOMHTMLFrameElementContentDocument :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m WebKit2WebExtension.DOMDocument.DOMDocument
getDOMHTMLFrameElementContentDocument obj = liftIO $ checkUnexpectedNothing "getDOMHTMLFrameElementContentDocument" $ B.Properties.getObjectPropertyObject obj "content-document" WebKit2WebExtension.DOMDocument.DOMDocument

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementContentDocumentPropertyInfo
instance AttrInfo DOMHTMLFrameElementContentDocumentPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementContentDocumentPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLFrameElementContentDocumentPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLFrameElementContentDocumentPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementContentDocumentPropertyInfo = WebKit2WebExtension.DOMDocument.DOMDocument
    type AttrLabel DOMHTMLFrameElementContentDocumentPropertyInfo = "content-document"
    type AttrOrigin DOMHTMLFrameElementContentDocumentPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementContentDocument
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "content-window"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@content-window@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #contentWindow
@
-}
getDOMHTMLFrameElementContentWindow :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow)
getDOMHTMLFrameElementContentWindow obj = liftIO $ B.Properties.getObjectPropertyObject obj "content-window" WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementContentWindowPropertyInfo
instance AttrInfo DOMHTMLFrameElementContentWindowPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementContentWindowPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLFrameElementContentWindowPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLFrameElementContentWindowPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementContentWindowPropertyInfo = (Maybe WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow)
    type AttrLabel DOMHTMLFrameElementContentWindowPropertyInfo = "content-window"
    type AttrOrigin DOMHTMLFrameElementContentWindowPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementContentWindow
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "frame-border"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@frame-border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #frameBorder
@
-}
getDOMHTMLFrameElementFrameBorder :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementFrameBorder obj = liftIO $ B.Properties.getObjectPropertyString obj "frame-border"

{- |
Set the value of the “@frame-border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #frameBorder 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementFrameBorder :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementFrameBorder obj val = liftIO $ B.Properties.setObjectPropertyString obj "frame-border" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@frame-border@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementFrameBorder :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementFrameBorder val = B.Properties.constructObjectPropertyString "frame-border" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementFrameBorderPropertyInfo
instance AttrInfo DOMHTMLFrameElementFrameBorderPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementFrameBorderPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementFrameBorderPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementFrameBorderPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementFrameBorderPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementFrameBorderPropertyInfo = "frame-border"
    type AttrOrigin DOMHTMLFrameElementFrameBorderPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementFrameBorder
    attrSet _ = setDOMHTMLFrameElementFrameBorder
    attrConstruct _ = constructDOMHTMLFrameElementFrameBorder
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #height
@
-}
getDOMHTMLFrameElementHeight :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m CLong
getDOMHTMLFrameElementHeight obj = liftIO $ B.Properties.getObjectPropertyLong obj "height"

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementHeightPropertyInfo
instance AttrInfo DOMHTMLFrameElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementHeightPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementHeightPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLFrameElementHeightPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementHeightPropertyInfo = CLong
    type AttrLabel DOMHTMLFrameElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLFrameElementHeightPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementHeight
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "long-desc"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@long-desc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #longDesc
@
-}
getDOMHTMLFrameElementLongDesc :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementLongDesc obj = liftIO $ B.Properties.getObjectPropertyString obj "long-desc"

{- |
Set the value of the “@long-desc@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #longDesc 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementLongDesc :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementLongDesc obj val = liftIO $ B.Properties.setObjectPropertyString obj "long-desc" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@long-desc@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementLongDesc :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementLongDesc val = B.Properties.constructObjectPropertyString "long-desc" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementLongDescPropertyInfo
instance AttrInfo DOMHTMLFrameElementLongDescPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementLongDescPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementLongDescPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementLongDescPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementLongDescPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementLongDescPropertyInfo = "long-desc"
    type AttrOrigin DOMHTMLFrameElementLongDescPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementLongDesc
    attrSet _ = setDOMHTMLFrameElementLongDesc
    attrConstruct _ = constructDOMHTMLFrameElementLongDesc
    attrClear _ = undefined
#endif

-- VVV Prop "margin-height"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@margin-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #marginHeight
@
-}
getDOMHTMLFrameElementMarginHeight :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementMarginHeight obj = liftIO $ B.Properties.getObjectPropertyString obj "margin-height"

{- |
Set the value of the “@margin-height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #marginHeight 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementMarginHeight :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementMarginHeight obj val = liftIO $ B.Properties.setObjectPropertyString obj "margin-height" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@margin-height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementMarginHeight :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementMarginHeight val = B.Properties.constructObjectPropertyString "margin-height" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementMarginHeightPropertyInfo
instance AttrInfo DOMHTMLFrameElementMarginHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementMarginHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementMarginHeightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementMarginHeightPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementMarginHeightPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementMarginHeightPropertyInfo = "margin-height"
    type AttrOrigin DOMHTMLFrameElementMarginHeightPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementMarginHeight
    attrSet _ = setDOMHTMLFrameElementMarginHeight
    attrConstruct _ = constructDOMHTMLFrameElementMarginHeight
    attrClear _ = undefined
#endif

-- VVV Prop "margin-width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@margin-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #marginWidth
@
-}
getDOMHTMLFrameElementMarginWidth :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementMarginWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "margin-width"

{- |
Set the value of the “@margin-width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #marginWidth 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementMarginWidth :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementMarginWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "margin-width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@margin-width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementMarginWidth :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementMarginWidth val = B.Properties.constructObjectPropertyString "margin-width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementMarginWidthPropertyInfo
instance AttrInfo DOMHTMLFrameElementMarginWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementMarginWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementMarginWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementMarginWidthPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementMarginWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementMarginWidthPropertyInfo = "margin-width"
    type AttrOrigin DOMHTMLFrameElementMarginWidthPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementMarginWidth
    attrSet _ = setDOMHTMLFrameElementMarginWidth
    attrConstruct _ = constructDOMHTMLFrameElementMarginWidth
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #name
@
-}
getDOMHTMLFrameElementName :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementName :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementName :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementNamePropertyInfo
instance AttrInfo DOMHTMLFrameElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementNamePropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLFrameElementNamePropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementName
    attrSet _ = setDOMHTMLFrameElementName
    attrConstruct _ = constructDOMHTMLFrameElementName
    attrClear _ = undefined
#endif

-- VVV Prop "no-resize"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@no-resize@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #noResize
@
-}
getDOMHTMLFrameElementNoResize :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m Bool
getDOMHTMLFrameElementNoResize obj = liftIO $ B.Properties.getObjectPropertyBool obj "no-resize"

{- |
Set the value of the “@no-resize@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #noResize 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementNoResize :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> Bool -> m ()
setDOMHTMLFrameElementNoResize obj val = liftIO $ B.Properties.setObjectPropertyBool obj "no-resize" val

{- |
Construct a `GValueConstruct` with valid value for the “@no-resize@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementNoResize :: (IsDOMHTMLFrameElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLFrameElementNoResize val = B.Properties.constructObjectPropertyBool "no-resize" val

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementNoResizePropertyInfo
instance AttrInfo DOMHTMLFrameElementNoResizePropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementNoResizePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementNoResizePropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLFrameElementNoResizePropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementNoResizePropertyInfo = Bool
    type AttrLabel DOMHTMLFrameElementNoResizePropertyInfo = "no-resize"
    type AttrOrigin DOMHTMLFrameElementNoResizePropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementNoResize
    attrSet _ = setDOMHTMLFrameElementNoResize
    attrConstruct _ = constructDOMHTMLFrameElementNoResize
    attrClear _ = undefined
#endif

-- VVV Prop "scrolling"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@scrolling@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #scrolling
@
-}
getDOMHTMLFrameElementScrolling :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementScrolling obj = liftIO $ B.Properties.getObjectPropertyString obj "scrolling"

{- |
Set the value of the “@scrolling@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #scrolling 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementScrolling :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementScrolling obj val = liftIO $ B.Properties.setObjectPropertyString obj "scrolling" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@scrolling@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementScrolling :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementScrolling val = B.Properties.constructObjectPropertyString "scrolling" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementScrollingPropertyInfo
instance AttrInfo DOMHTMLFrameElementScrollingPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementScrollingPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementScrollingPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementScrollingPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementScrollingPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementScrollingPropertyInfo = "scrolling"
    type AttrOrigin DOMHTMLFrameElementScrollingPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementScrolling
    attrSet _ = setDOMHTMLFrameElementScrolling
    attrConstruct _ = constructDOMHTMLFrameElementScrolling
    attrClear _ = undefined
#endif

-- VVV Prop "src"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #src
@
-}
getDOMHTMLFrameElementSrc :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m (Maybe T.Text)
getDOMHTMLFrameElementSrc obj = liftIO $ B.Properties.getObjectPropertyString obj "src"

{- |
Set the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLFrameElement [ #src 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLFrameElementSrc :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> T.Text -> m ()
setDOMHTMLFrameElementSrc obj val = liftIO $ B.Properties.setObjectPropertyString obj "src" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@src@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLFrameElementSrc :: (IsDOMHTMLFrameElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLFrameElementSrc val = B.Properties.constructObjectPropertyString "src" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSrcPropertyInfo
instance AttrInfo DOMHTMLFrameElementSrcPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementSrcPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementSrcPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLFrameElementSrcPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementSrcPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLFrameElementSrcPropertyInfo = "src"
    type AttrOrigin DOMHTMLFrameElementSrcPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementSrc
    attrSet _ = setDOMHTMLFrameElementSrc
    attrConstruct _ = constructDOMHTMLFrameElementSrc
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLFrameElement #width
@
-}
getDOMHTMLFrameElementWidth :: (MonadIO m, IsDOMHTMLFrameElement o) => o -> m CLong
getDOMHTMLFrameElementWidth obj = liftIO $ B.Properties.getObjectPropertyLong obj "width"

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementWidthPropertyInfo
instance AttrInfo DOMHTMLFrameElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLFrameElementWidthPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLFrameElementWidthPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLFrameElementWidthPropertyInfo = IsDOMHTMLFrameElement
    type AttrGetType DOMHTMLFrameElementWidthPropertyInfo = CLong
    type AttrLabel DOMHTMLFrameElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLFrameElementWidthPropertyInfo = DOMHTMLFrameElement
    attrGet _ = getDOMHTMLFrameElementWidth
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLFrameElement
type instance O.AttributeList DOMHTMLFrameElement = DOMHTMLFrameElementAttributeList
type DOMHTMLFrameElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentDocument", DOMHTMLFrameElementContentDocumentPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("contentWindow", DOMHTMLFrameElementContentWindowPropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("frameBorder", DOMHTMLFrameElementFrameBorderPropertyInfo), '("height", DOMHTMLFrameElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("longDesc", DOMHTMLFrameElementLongDescPropertyInfo), '("marginHeight", DOMHTMLFrameElementMarginHeightPropertyInfo), '("marginWidth", DOMHTMLFrameElementMarginWidthPropertyInfo), '("name", DOMHTMLFrameElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("noResize", DOMHTMLFrameElementNoResizePropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("scrolling", DOMHTMLFrameElementScrollingPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("src", DOMHTMLFrameElementSrcPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLFrameElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLFrameElementContentDocument :: AttrLabelProxy "contentDocument"
dOMHTMLFrameElementContentDocument = AttrLabelProxy

dOMHTMLFrameElementContentWindow :: AttrLabelProxy "contentWindow"
dOMHTMLFrameElementContentWindow = AttrLabelProxy

dOMHTMLFrameElementFrameBorder :: AttrLabelProxy "frameBorder"
dOMHTMLFrameElementFrameBorder = AttrLabelProxy

dOMHTMLFrameElementHeight :: AttrLabelProxy "height"
dOMHTMLFrameElementHeight = AttrLabelProxy

dOMHTMLFrameElementLongDesc :: AttrLabelProxy "longDesc"
dOMHTMLFrameElementLongDesc = AttrLabelProxy

dOMHTMLFrameElementMarginHeight :: AttrLabelProxy "marginHeight"
dOMHTMLFrameElementMarginHeight = AttrLabelProxy

dOMHTMLFrameElementMarginWidth :: AttrLabelProxy "marginWidth"
dOMHTMLFrameElementMarginWidth = AttrLabelProxy

dOMHTMLFrameElementName :: AttrLabelProxy "name"
dOMHTMLFrameElementName = AttrLabelProxy

dOMHTMLFrameElementNoResize :: AttrLabelProxy "noResize"
dOMHTMLFrameElementNoResize = AttrLabelProxy

dOMHTMLFrameElementScrolling :: AttrLabelProxy "scrolling"
dOMHTMLFrameElementScrolling = AttrLabelProxy

dOMHTMLFrameElementSrc :: AttrLabelProxy "src"
dOMHTMLFrameElementSrc = AttrLabelProxy

dOMHTMLFrameElementWidth :: AttrLabelProxy "width"
dOMHTMLFrameElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLFrameElement = DOMHTMLFrameElementSignalList
type DOMHTMLFrameElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLFrameElement::get_content_document
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_content_document" webkit_dom_html_frame_element_get_content_document :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO (Ptr WebKit2WebExtension.DOMDocument.DOMDocument)

{-# DEPRECATED dOMHTMLFrameElementGetContentDocument ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetContentDocument ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m WebKit2WebExtension.DOMDocument.DOMDocument
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDocument.DOMDocument' -}
dOMHTMLFrameElementGetContentDocument self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_content_document self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetContentDocument" result
    result' <- (newObject WebKit2WebExtension.DOMDocument.DOMDocument) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetContentDocumentMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDocument.DOMDocument), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetContentDocumentMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetContentDocument

#endif

-- method DOMHTMLFrameElement::get_content_window
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMWindow"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_content_window" webkit_dom_html_frame_element_get_content_window :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO (Ptr WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow)

{-# DEPRECATED dOMHTMLFrameElementGetContentWindow ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetContentWindow ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMWindow.DOMDOMWindow' -}
dOMHTMLFrameElementGetContentWindow self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_content_window self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetContentWindow" result
    result' <- (wrapObject WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetContentWindowMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDOMWindow.DOMDOMWindow), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetContentWindowMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetContentWindow

#endif

-- method DOMHTMLFrameElement::get_frame_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_frame_border" webkit_dom_html_frame_element_get_frame_border :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetFrameBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetFrameBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetFrameBorder self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_frame_border self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetFrameBorder" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetFrameBorderMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetFrameBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetFrameBorder

#endif

-- method DOMHTMLFrameElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_height" webkit_dom_html_frame_element_get_height :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CLong

{-# DEPRECATED dOMHTMLFrameElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLFrameElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_height self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetHeightMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetHeight

#endif

-- method DOMHTMLFrameElement::get_long_desc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_long_desc" webkit_dom_html_frame_element_get_long_desc :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetLongDesc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetLongDesc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetLongDesc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_long_desc self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetLongDesc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetLongDescMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetLongDescMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetLongDesc

#endif

-- method DOMHTMLFrameElement::get_margin_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_margin_height" webkit_dom_html_frame_element_get_margin_height :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetMarginHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetMarginHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetMarginHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_margin_height self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetMarginHeight" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetMarginHeightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetMarginHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetMarginHeight

#endif

-- method DOMHTMLFrameElement::get_margin_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_margin_width" webkit_dom_html_frame_element_get_margin_width :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetMarginWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetMarginWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetMarginWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_margin_width self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetMarginWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetMarginWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetMarginWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetMarginWidth

#endif

-- method DOMHTMLFrameElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_name" webkit_dom_html_frame_element_get_name :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetName

#endif

-- method DOMHTMLFrameElement::get_no_resize
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_no_resize" webkit_dom_html_frame_element_get_no_resize :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CInt

{-# DEPRECATED dOMHTMLFrameElementGetNoResize ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetNoResize ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLFrameElementGetNoResize self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_no_resize self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetNoResizeMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetNoResizeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetNoResize

#endif

-- method DOMHTMLFrameElement::get_scrolling
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_scrolling" webkit_dom_html_frame_element_get_scrolling :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetScrolling ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetScrolling ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetScrolling self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_scrolling self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetScrolling" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetScrollingMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetScrollingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetScrolling

#endif

-- method DOMHTMLFrameElement::get_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_src" webkit_dom_html_frame_element_get_src :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CString

{-# DEPRECATED dOMHTMLFrameElementGetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLFrameElementGetSrc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_src self'
    checkUnexpectedReturnNULL "dOMHTMLFrameElementGetSrc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetSrcMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetSrc

#endif

-- method DOMHTMLFrameElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_get_width" webkit_dom_html_frame_element_get_width :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    IO CLong

{-# DEPRECATED dOMHTMLFrameElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLFrameElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_frame_element_get_width self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementGetWidthMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementGetWidth

#endif

-- method DOMHTMLFrameElement::set_frame_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_frame_border" webkit_dom_html_frame_element_set_frame_border :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetFrameBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetFrameBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetFrameBorder self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_frame_border self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetFrameBorderMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetFrameBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetFrameBorder

#endif

-- method DOMHTMLFrameElement::set_long_desc
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_long_desc" webkit_dom_html_frame_element_set_long_desc :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetLongDesc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetLongDesc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetLongDesc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_long_desc self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetLongDescMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetLongDescMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetLongDesc

#endif

-- method DOMHTMLFrameElement::set_margin_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_margin_height" webkit_dom_html_frame_element_set_margin_height :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetMarginHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetMarginHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetMarginHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_margin_height self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetMarginHeightMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetMarginHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetMarginHeight

#endif

-- method DOMHTMLFrameElement::set_margin_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_margin_width" webkit_dom_html_frame_element_set_margin_width :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetMarginWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetMarginWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetMarginWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_margin_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetMarginWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetMarginWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetMarginWidth

#endif

-- method DOMHTMLFrameElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_name" webkit_dom_html_frame_element_set_name :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetName

#endif

-- method DOMHTMLFrameElement::set_no_resize
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_no_resize" webkit_dom_html_frame_element_set_no_resize :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetNoResize ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetNoResize ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLFrameElementSetNoResize self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_frame_element_set_no_resize self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetNoResizeMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetNoResizeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetNoResize

#endif

-- method DOMHTMLFrameElement::set_scrolling
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_scrolling" webkit_dom_html_frame_element_set_scrolling :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetScrolling ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetScrolling ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetScrolling self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_scrolling self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetScrollingMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetScrollingMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetScrolling

#endif

-- method DOMHTMLFrameElement::set_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLFrameElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_frame_element_set_src" webkit_dom_html_frame_element_set_src :: 
    Ptr DOMHTMLFrameElement ->              -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFrameElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLFrameElementSetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLFrameElementSetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLFrameElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement.DOMHTMLFrameElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLFrameElementSetSrc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_frame_element_set_src self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLFrameElementSetSrcMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLFrameElement a) => O.MethodInfo DOMHTMLFrameElementSetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLFrameElementSetSrc

#endif


