#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLIFrameElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLIFrameElement = DOMHTMLIFrameElement (ManagedPtr DOMHTMLIFrameElement)
instance GObject DOMHTMLIFrameElement where
class (GObject o, O.IsDescendantOf DOMHTMLIFrameElement o) => IsDOMHTMLIFrameElement o
instance (GObject o, O.IsDescendantOf DOMHTMLIFrameElement o) => IsDOMHTMLIFrameElement o
instance O.HasParentTypes DOMHTMLIFrameElement
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementContentDocumentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementContentWindowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementFrameBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementLongDescPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementMarginHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementMarginWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementScrollingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSrcPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetContentDocumentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetContentWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetFrameBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetLongDescMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetMarginHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetMarginWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetFrameBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetLongDescMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetMarginHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetMarginWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLIFrameElementSetWidthMethodInfo
#endif
