#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLInputElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLInputElement = DOMHTMLInputElement (ManagedPtr DOMHTMLInputElement)
instance GObject DOMHTMLInputElement where
class (GObject o, O.IsDescendantOf DOMHTMLInputElement o) => IsDOMHTMLInputElement o
instance (GObject o, O.IsDescendantOf DOMHTMLInputElement o) => IsDOMHTMLInputElement o
instance O.HasParentTypes DOMHTMLInputElement
#if ENABLE_OVERLOADING
data DOMHTMLInputElementAcceptPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementAltPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementAutofocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementCapturePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementCheckedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementDefaultCheckedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementDefaultValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementDisabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementFilesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementFormPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementIndeterminatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementMaxLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementMultiplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementReadOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSrcPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementUseMapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementWillValidatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetAcceptMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetAutoFilledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetAutofocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetCaptureMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetCaptureTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetCheckedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetDefaultCheckedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetDefaultValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetFilesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetFormMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetIndeterminateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetInputTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetMaxLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetReadOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetUseMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementGetWillValidateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementIsEditedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSelectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetAcceptMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetAltMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetAutoFilledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetAutofocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetCaptureTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetCheckedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetDefaultCheckedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetDefaultValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetEditingValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetFilesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetIndeterminateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetInputTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetMaxLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetReadOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetUseMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLInputElementSetWidthMethodInfo
#endif
