

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement
    ( 

-- * Exported types
    DOMHTMLLinkElement(..)                  ,
    IsDOMHTMLLinkElement                    ,
    toDOMHTMLLinkElement                    ,
    noDOMHTMLLinkElement                    ,


 -- * Methods
-- ** getCharset #method:getCharset#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetCharsetMethodInfo  ,
#endif
    dOMHTMLLinkElementGetCharset            ,


-- ** getDisabled #method:getDisabled#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetDisabledMethodInfo ,
#endif
    dOMHTMLLinkElementGetDisabled           ,


-- ** getHref #method:getHref#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetHrefMethodInfo     ,
#endif
    dOMHTMLLinkElementGetHref               ,


-- ** getHreflang #method:getHreflang#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetHreflangMethodInfo ,
#endif
    dOMHTMLLinkElementGetHreflang           ,


-- ** getMedia #method:getMedia#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetMediaMethodInfo    ,
#endif
    dOMHTMLLinkElementGetMedia              ,


-- ** getRel #method:getRel#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetRelMethodInfo      ,
#endif
    dOMHTMLLinkElementGetRel                ,


-- ** getRev #method:getRev#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetRevMethodInfo      ,
#endif
    dOMHTMLLinkElementGetRev                ,


-- ** getSheet #method:getSheet#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetSheetMethodInfo    ,
#endif
    dOMHTMLLinkElementGetSheet              ,


-- ** getSizes #method:getSizes#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetSizesMethodInfo    ,
#endif
    dOMHTMLLinkElementGetSizes              ,


-- ** getTarget #method:getTarget#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetTargetMethodInfo   ,
#endif
    dOMHTMLLinkElementGetTarget             ,


-- ** getTypeAttr #method:getTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementGetTypeAttrMethodInfo ,
#endif
    dOMHTMLLinkElementGetTypeAttr           ,


-- ** setCharset #method:setCharset#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetCharsetMethodInfo  ,
#endif
    dOMHTMLLinkElementSetCharset            ,


-- ** setDisabled #method:setDisabled#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetDisabledMethodInfo ,
#endif
    dOMHTMLLinkElementSetDisabled           ,


-- ** setHref #method:setHref#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetHrefMethodInfo     ,
#endif
    dOMHTMLLinkElementSetHref               ,


-- ** setHreflang #method:setHreflang#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetHreflangMethodInfo ,
#endif
    dOMHTMLLinkElementSetHreflang           ,


-- ** setMedia #method:setMedia#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetMediaMethodInfo    ,
#endif
    dOMHTMLLinkElementSetMedia              ,


-- ** setRel #method:setRel#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetRelMethodInfo      ,
#endif
    dOMHTMLLinkElementSetRel                ,


-- ** setRev #method:setRev#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetRevMethodInfo      ,
#endif
    dOMHTMLLinkElementSetRev                ,


-- ** setSizes #method:setSizes#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetSizesMethodInfo    ,
#endif
    dOMHTMLLinkElementSetSizes              ,


-- ** setTarget #method:setTarget#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetTargetMethodInfo   ,
#endif
    dOMHTMLLinkElementSetTarget             ,


-- ** setTypeAttr #method:setTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSetTypeAttrMethodInfo ,
#endif
    dOMHTMLLinkElementSetTypeAttr           ,




 -- * Properties
-- ** charset #attr:charset#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementCharsetPropertyInfo   ,
#endif
    constructDOMHTMLLinkElementCharset      ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementCharset               ,
#endif
    getDOMHTMLLinkElementCharset            ,
    setDOMHTMLLinkElementCharset            ,


-- ** disabled #attr:disabled#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementDisabledPropertyInfo  ,
#endif
    constructDOMHTMLLinkElementDisabled     ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementDisabled              ,
#endif
    getDOMHTMLLinkElementDisabled           ,
    setDOMHTMLLinkElementDisabled           ,


-- ** href #attr:href#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementHrefPropertyInfo      ,
#endif
    constructDOMHTMLLinkElementHref         ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementHref                  ,
#endif
    getDOMHTMLLinkElementHref               ,
    setDOMHTMLLinkElementHref               ,


-- ** hreflang #attr:hreflang#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementHreflangPropertyInfo  ,
#endif
    constructDOMHTMLLinkElementHreflang     ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementHreflang              ,
#endif
    getDOMHTMLLinkElementHreflang           ,
    setDOMHTMLLinkElementHreflang           ,


-- ** media #attr:media#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementMediaPropertyInfo     ,
#endif
    constructDOMHTMLLinkElementMedia        ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementMedia                 ,
#endif
    getDOMHTMLLinkElementMedia              ,
    setDOMHTMLLinkElementMedia              ,


-- ** rel #attr:rel#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementRelPropertyInfo       ,
#endif
    constructDOMHTMLLinkElementRel          ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementRel                   ,
#endif
    getDOMHTMLLinkElementRel                ,
    setDOMHTMLLinkElementRel                ,


-- ** rev #attr:rev#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementRevPropertyInfo       ,
#endif
    constructDOMHTMLLinkElementRev          ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementRev                   ,
#endif
    getDOMHTMLLinkElementRev                ,
    setDOMHTMLLinkElementRev                ,


-- ** sheet #attr:sheet#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSheetPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementSheet                 ,
#endif
    getDOMHTMLLinkElementSheet              ,


-- ** sizes #attr:sizes#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementSizesPropertyInfo     ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementSizes                 ,
#endif
    getDOMHTMLLinkElementSizes              ,


-- ** target #attr:target#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementTargetPropertyInfo    ,
#endif
    constructDOMHTMLLinkElementTarget       ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementTarget                ,
#endif
    getDOMHTMLLinkElementTarget             ,
    setDOMHTMLLinkElementTarget             ,


-- ** type #attr:type#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLLinkElementTypePropertyInfo      ,
#endif
    clearDOMHTMLLinkElementType             ,
    constructDOMHTMLLinkElementType         ,
#if ENABLE_OVERLOADING
    dOMHTMLLinkElementType                  ,
#endif
    getDOMHTMLLinkElementType               ,
    setDOMHTMLLinkElementType               ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDOMTokenList as WebKit2WebExtension.DOMDOMTokenList
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMStyleSheet as WebKit2WebExtension.DOMStyleSheet

-- | Memory-managed wrapper type.
newtype DOMHTMLLinkElement = DOMHTMLLinkElement (ManagedPtr DOMHTMLLinkElement)
foreign import ccall "webkit_dom_html_link_element_get_type"
    c_webkit_dom_html_link_element_get_type :: IO GType

instance GObject DOMHTMLLinkElement where
    gobjectType = c_webkit_dom_html_link_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLLinkElement`, for instance with `toDOMHTMLLinkElement`.
class (GObject o, O.IsDescendantOf DOMHTMLLinkElement o) => IsDOMHTMLLinkElement o
instance (GObject o, O.IsDescendantOf DOMHTMLLinkElement o) => IsDOMHTMLLinkElement o

instance O.HasParentTypes DOMHTMLLinkElement
type instance O.ParentTypes DOMHTMLLinkElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLLinkElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLLinkElement :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m DOMHTMLLinkElement
toDOMHTMLLinkElement = liftIO . unsafeCastTo DOMHTMLLinkElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLLinkElement`.
noDOMHTMLLinkElement :: Maybe DOMHTMLLinkElement
noDOMHTMLLinkElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLLinkElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLLinkElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLLinkElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLLinkElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLLinkElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLLinkElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLLinkElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLLinkElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLLinkElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLLinkElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLLinkElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLLinkElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLLinkElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLLinkElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLLinkElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLLinkElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLLinkElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLLinkElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLLinkElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLLinkElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLLinkElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLLinkElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLLinkElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLLinkElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLLinkElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLLinkElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLLinkElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLLinkElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLLinkElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLLinkElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLLinkElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLLinkElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLLinkElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLLinkElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLLinkElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLLinkElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLLinkElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLLinkElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLLinkElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLLinkElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLLinkElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLLinkElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLLinkElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLLinkElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLLinkElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLLinkElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLLinkElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLLinkElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLLinkElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLLinkElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLLinkElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLLinkElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLLinkElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLLinkElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLLinkElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLLinkElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLLinkElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLLinkElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLLinkElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLLinkElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLLinkElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLLinkElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLLinkElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLLinkElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLLinkElementMethod "getCharset" o = DOMHTMLLinkElementGetCharsetMethodInfo
    ResolveDOMHTMLLinkElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLLinkElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLLinkElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLLinkElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLLinkElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLLinkElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLLinkElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLLinkElementMethod "getDisabled" o = DOMHTMLLinkElementGetDisabledMethodInfo
    ResolveDOMHTMLLinkElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLLinkElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLLinkElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLLinkElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLLinkElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLLinkElementMethod "getHref" o = DOMHTMLLinkElementGetHrefMethodInfo
    ResolveDOMHTMLLinkElementMethod "getHreflang" o = DOMHTMLLinkElementGetHreflangMethodInfo
    ResolveDOMHTMLLinkElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLLinkElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLLinkElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLLinkElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLLinkElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLLinkElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLLinkElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "getMedia" o = DOMHTMLLinkElementGetMediaMethodInfo
    ResolveDOMHTMLLinkElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLLinkElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLLinkElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLLinkElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLLinkElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLLinkElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLLinkElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLLinkElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLLinkElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLLinkElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLLinkElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLLinkElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLLinkElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLLinkElementMethod "getRel" o = DOMHTMLLinkElementGetRelMethodInfo
    ResolveDOMHTMLLinkElementMethod "getRev" o = DOMHTMLLinkElementGetRevMethodInfo
    ResolveDOMHTMLLinkElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLLinkElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLLinkElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLLinkElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLLinkElementMethod "getSheet" o = DOMHTMLLinkElementGetSheetMethodInfo
    ResolveDOMHTMLLinkElementMethod "getSizes" o = DOMHTMLLinkElementGetSizesMethodInfo
    ResolveDOMHTMLLinkElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLLinkElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTarget" o = DOMHTMLLinkElementGetTargetMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLLinkElementMethod "getTypeAttr" o = DOMHTMLLinkElementGetTypeAttrMethodInfo
    ResolveDOMHTMLLinkElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLLinkElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLLinkElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLLinkElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLLinkElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLLinkElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLLinkElementMethod "setCharset" o = DOMHTMLLinkElementSetCharsetMethodInfo
    ResolveDOMHTMLLinkElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLLinkElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLLinkElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLLinkElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLLinkElementMethod "setDisabled" o = DOMHTMLLinkElementSetDisabledMethodInfo
    ResolveDOMHTMLLinkElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLLinkElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLLinkElementMethod "setHref" o = DOMHTMLLinkElementSetHrefMethodInfo
    ResolveDOMHTMLLinkElementMethod "setHreflang" o = DOMHTMLLinkElementSetHreflangMethodInfo
    ResolveDOMHTMLLinkElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLLinkElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLLinkElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLLinkElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLLinkElementMethod "setMedia" o = DOMHTMLLinkElementSetMediaMethodInfo
    ResolveDOMHTMLLinkElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLLinkElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLLinkElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLLinkElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLLinkElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLLinkElementMethod "setRel" o = DOMHTMLLinkElementSetRelMethodInfo
    ResolveDOMHTMLLinkElementMethod "setRev" o = DOMHTMLLinkElementSetRevMethodInfo
    ResolveDOMHTMLLinkElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLLinkElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLLinkElementMethod "setSizes" o = DOMHTMLLinkElementSetSizesMethodInfo
    ResolveDOMHTMLLinkElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLLinkElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLLinkElementMethod "setTarget" o = DOMHTMLLinkElementSetTargetMethodInfo
    ResolveDOMHTMLLinkElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLLinkElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLLinkElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLLinkElementMethod "setTypeAttr" o = DOMHTMLLinkElementSetTypeAttrMethodInfo
    ResolveDOMHTMLLinkElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLLinkElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLLinkElementMethod t DOMHTMLLinkElement, O.MethodInfo info DOMHTMLLinkElement p) => OL.IsLabel t (DOMHTMLLinkElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "charset"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #charset
@
-}
getDOMHTMLLinkElementCharset :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementCharset obj = liftIO $ B.Properties.getObjectPropertyString obj "charset"

{- |
Set the value of the “@charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #charset 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementCharset :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementCharset obj val = liftIO $ B.Properties.setObjectPropertyString obj "charset" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@charset@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementCharset :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementCharset val = B.Properties.constructObjectPropertyString "charset" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementCharsetPropertyInfo
instance AttrInfo DOMHTMLLinkElementCharsetPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementCharsetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementCharsetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementCharsetPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementCharsetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementCharsetPropertyInfo = "charset"
    type AttrOrigin DOMHTMLLinkElementCharsetPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementCharset
    attrSet _ = setDOMHTMLLinkElementCharset
    attrConstruct _ = constructDOMHTMLLinkElementCharset
    attrClear _ = undefined
#endif

-- VVV Prop "disabled"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@disabled@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #disabled
@
-}
getDOMHTMLLinkElementDisabled :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m Bool
getDOMHTMLLinkElementDisabled obj = liftIO $ B.Properties.getObjectPropertyBool obj "disabled"

{- |
Set the value of the “@disabled@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #disabled 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementDisabled :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> Bool -> m ()
setDOMHTMLLinkElementDisabled obj val = liftIO $ B.Properties.setObjectPropertyBool obj "disabled" val

{- |
Construct a `GValueConstruct` with valid value for the “@disabled@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementDisabled :: (IsDOMHTMLLinkElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLLinkElementDisabled val = B.Properties.constructObjectPropertyBool "disabled" val

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementDisabledPropertyInfo
instance AttrInfo DOMHTMLLinkElementDisabledPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementDisabledPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementDisabledPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLLinkElementDisabledPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementDisabledPropertyInfo = Bool
    type AttrLabel DOMHTMLLinkElementDisabledPropertyInfo = "disabled"
    type AttrOrigin DOMHTMLLinkElementDisabledPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementDisabled
    attrSet _ = setDOMHTMLLinkElementDisabled
    attrConstruct _ = constructDOMHTMLLinkElementDisabled
    attrClear _ = undefined
#endif

-- VVV Prop "href"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #href
@
-}
getDOMHTMLLinkElementHref :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementHref obj = liftIO $ B.Properties.getObjectPropertyString obj "href"

{- |
Set the value of the “@href@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #href 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementHref :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementHref obj val = liftIO $ B.Properties.setObjectPropertyString obj "href" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@href@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementHref :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementHref val = B.Properties.constructObjectPropertyString "href" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementHrefPropertyInfo
instance AttrInfo DOMHTMLLinkElementHrefPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementHrefPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementHrefPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementHrefPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementHrefPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementHrefPropertyInfo = "href"
    type AttrOrigin DOMHTMLLinkElementHrefPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementHref
    attrSet _ = setDOMHTMLLinkElementHref
    attrConstruct _ = constructDOMHTMLLinkElementHref
    attrClear _ = undefined
#endif

-- VVV Prop "hreflang"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@hreflang@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #hreflang
@
-}
getDOMHTMLLinkElementHreflang :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementHreflang obj = liftIO $ B.Properties.getObjectPropertyString obj "hreflang"

{- |
Set the value of the “@hreflang@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #hreflang 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementHreflang :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementHreflang obj val = liftIO $ B.Properties.setObjectPropertyString obj "hreflang" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@hreflang@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementHreflang :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementHreflang val = B.Properties.constructObjectPropertyString "hreflang" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementHreflangPropertyInfo
instance AttrInfo DOMHTMLLinkElementHreflangPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementHreflangPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementHreflangPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementHreflangPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementHreflangPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementHreflangPropertyInfo = "hreflang"
    type AttrOrigin DOMHTMLLinkElementHreflangPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementHreflang
    attrSet _ = setDOMHTMLLinkElementHreflang
    attrConstruct _ = constructDOMHTMLLinkElementHreflang
    attrClear _ = undefined
#endif

-- VVV Prop "media"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@media@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #media
@
-}
getDOMHTMLLinkElementMedia :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementMedia obj = liftIO $ B.Properties.getObjectPropertyString obj "media"

{- |
Set the value of the “@media@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #media 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementMedia :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementMedia obj val = liftIO $ B.Properties.setObjectPropertyString obj "media" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@media@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementMedia :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementMedia val = B.Properties.constructObjectPropertyString "media" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementMediaPropertyInfo
instance AttrInfo DOMHTMLLinkElementMediaPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementMediaPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementMediaPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementMediaPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementMediaPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementMediaPropertyInfo = "media"
    type AttrOrigin DOMHTMLLinkElementMediaPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementMedia
    attrSet _ = setDOMHTMLLinkElementMedia
    attrConstruct _ = constructDOMHTMLLinkElementMedia
    attrClear _ = undefined
#endif

-- VVV Prop "rel"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@rel@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #rel
@
-}
getDOMHTMLLinkElementRel :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementRel obj = liftIO $ B.Properties.getObjectPropertyString obj "rel"

{- |
Set the value of the “@rel@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #rel 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementRel :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementRel obj val = liftIO $ B.Properties.setObjectPropertyString obj "rel" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@rel@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementRel :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementRel val = B.Properties.constructObjectPropertyString "rel" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementRelPropertyInfo
instance AttrInfo DOMHTMLLinkElementRelPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementRelPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementRelPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementRelPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementRelPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementRelPropertyInfo = "rel"
    type AttrOrigin DOMHTMLLinkElementRelPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementRel
    attrSet _ = setDOMHTMLLinkElementRel
    attrConstruct _ = constructDOMHTMLLinkElementRel
    attrClear _ = undefined
#endif

-- VVV Prop "rev"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@rev@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #rev
@
-}
getDOMHTMLLinkElementRev :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementRev obj = liftIO $ B.Properties.getObjectPropertyString obj "rev"

{- |
Set the value of the “@rev@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #rev 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementRev :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementRev obj val = liftIO $ B.Properties.setObjectPropertyString obj "rev" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@rev@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementRev :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementRev val = B.Properties.constructObjectPropertyString "rev" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementRevPropertyInfo
instance AttrInfo DOMHTMLLinkElementRevPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementRevPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementRevPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementRevPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementRevPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementRevPropertyInfo = "rev"
    type AttrOrigin DOMHTMLLinkElementRevPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementRev
    attrSet _ = setDOMHTMLLinkElementRev
    attrConstruct _ = constructDOMHTMLLinkElementRev
    attrClear _ = undefined
#endif

-- VVV Prop "sheet"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMStyleSheet"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@sheet@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #sheet
@
-}
getDOMHTMLLinkElementSheet :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet)
getDOMHTMLLinkElementSheet obj = liftIO $ B.Properties.getObjectPropertyObject obj "sheet" WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSheetPropertyInfo
instance AttrInfo DOMHTMLLinkElementSheetPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementSheetPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLLinkElementSheetPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLLinkElementSheetPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementSheetPropertyInfo = (Maybe WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet)
    type AttrLabel DOMHTMLLinkElementSheetPropertyInfo = "sheet"
    type AttrOrigin DOMHTMLLinkElementSheetPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementSheet
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "sizes"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMTokenList"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@sizes@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #sizes
@
-}
getDOMHTMLLinkElementSizes :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList)
getDOMHTMLLinkElementSizes obj = liftIO $ B.Properties.getObjectPropertyObject obj "sizes" WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSizesPropertyInfo
instance AttrInfo DOMHTMLLinkElementSizesPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementSizesPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLLinkElementSizesPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLLinkElementSizesPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementSizesPropertyInfo = (Maybe WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList)
    type AttrLabel DOMHTMLLinkElementSizesPropertyInfo = "sizes"
    type AttrOrigin DOMHTMLLinkElementSizesPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementSizes
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "target"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #target
@
-}
getDOMHTMLLinkElementTarget :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementTarget obj = liftIO $ B.Properties.getObjectPropertyString obj "target"

{- |
Set the value of the “@target@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #target 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementTarget :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementTarget obj val = liftIO $ B.Properties.setObjectPropertyString obj "target" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@target@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementTarget :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementTarget val = B.Properties.constructObjectPropertyString "target" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementTargetPropertyInfo
instance AttrInfo DOMHTMLLinkElementTargetPropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementTargetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLLinkElementTargetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementTargetPropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementTargetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementTargetPropertyInfo = "target"
    type AttrOrigin DOMHTMLLinkElementTargetPropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementTarget
    attrSet _ = setDOMHTMLLinkElementTarget
    attrConstruct _ = constructDOMHTMLLinkElementTarget
    attrClear _ = undefined
#endif

-- VVV Prop "type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLLinkElement #type
@
-}
getDOMHTMLLinkElementType :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m (Maybe T.Text)
getDOMHTMLLinkElementType obj = liftIO $ B.Properties.getObjectPropertyString obj "type"

{- |
Set the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLLinkElement [ #type 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLLinkElementType :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> T.Text -> m ()
setDOMHTMLLinkElementType obj val = liftIO $ B.Properties.setObjectPropertyString obj "type" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@type@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLLinkElementType :: (IsDOMHTMLLinkElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLLinkElementType val = B.Properties.constructObjectPropertyString "type" (Just val)

{- |
Set the value of the “@type@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #type
@
-}
clearDOMHTMLLinkElementType :: (MonadIO m, IsDOMHTMLLinkElement o) => o -> m ()
clearDOMHTMLLinkElementType obj = liftIO $ B.Properties.setObjectPropertyString obj "type" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementTypePropertyInfo
instance AttrInfo DOMHTMLLinkElementTypePropertyInfo where
    type AttrAllowedOps DOMHTMLLinkElementTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLLinkElementTypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLLinkElementTypePropertyInfo = IsDOMHTMLLinkElement
    type AttrGetType DOMHTMLLinkElementTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLLinkElementTypePropertyInfo = "type"
    type AttrOrigin DOMHTMLLinkElementTypePropertyInfo = DOMHTMLLinkElement
    attrGet _ = getDOMHTMLLinkElementType
    attrSet _ = setDOMHTMLLinkElementType
    attrConstruct _ = constructDOMHTMLLinkElementType
    attrClear _ = clearDOMHTMLLinkElementType
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLLinkElement
type instance O.AttributeList DOMHTMLLinkElement = DOMHTMLLinkElementAttributeList
type DOMHTMLLinkElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("charset", DOMHTMLLinkElementCharsetPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("disabled", DOMHTMLLinkElementDisabledPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("href", DOMHTMLLinkElementHrefPropertyInfo), '("hreflang", DOMHTMLLinkElementHreflangPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("media", DOMHTMLLinkElementMediaPropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("rel", DOMHTMLLinkElementRelPropertyInfo), '("rev", DOMHTMLLinkElementRevPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("sheet", DOMHTMLLinkElementSheetPropertyInfo), '("sizes", DOMHTMLLinkElementSizesPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("target", DOMHTMLLinkElementTargetPropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("type", DOMHTMLLinkElementTypePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLLinkElementCharset :: AttrLabelProxy "charset"
dOMHTMLLinkElementCharset = AttrLabelProxy

dOMHTMLLinkElementDisabled :: AttrLabelProxy "disabled"
dOMHTMLLinkElementDisabled = AttrLabelProxy

dOMHTMLLinkElementHref :: AttrLabelProxy "href"
dOMHTMLLinkElementHref = AttrLabelProxy

dOMHTMLLinkElementHreflang :: AttrLabelProxy "hreflang"
dOMHTMLLinkElementHreflang = AttrLabelProxy

dOMHTMLLinkElementMedia :: AttrLabelProxy "media"
dOMHTMLLinkElementMedia = AttrLabelProxy

dOMHTMLLinkElementRel :: AttrLabelProxy "rel"
dOMHTMLLinkElementRel = AttrLabelProxy

dOMHTMLLinkElementRev :: AttrLabelProxy "rev"
dOMHTMLLinkElementRev = AttrLabelProxy

dOMHTMLLinkElementSheet :: AttrLabelProxy "sheet"
dOMHTMLLinkElementSheet = AttrLabelProxy

dOMHTMLLinkElementSizes :: AttrLabelProxy "sizes"
dOMHTMLLinkElementSizes = AttrLabelProxy

dOMHTMLLinkElementTarget :: AttrLabelProxy "target"
dOMHTMLLinkElementTarget = AttrLabelProxy

dOMHTMLLinkElementType :: AttrLabelProxy "type"
dOMHTMLLinkElementType = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLLinkElement = DOMHTMLLinkElementSignalList
type DOMHTMLLinkElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLLinkElement::get_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_charset" webkit_dom_html_link_element_get_charset :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetCharset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_charset self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetCharset" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetCharsetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetCharset

#endif

-- method DOMHTMLLinkElement::get_disabled
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_disabled" webkit_dom_html_link_element_get_disabled :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CInt

{-# DEPRECATED dOMHTMLLinkElementGetDisabled ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetDisabled ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLLinkElementGetDisabled self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_disabled self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetDisabledMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetDisabledMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetDisabled

#endif

-- method DOMHTMLLinkElement::get_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_href" webkit_dom_html_link_element_get_href :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetHref self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_href self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetHref" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetHrefMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetHref

#endif

-- method DOMHTMLLinkElement::get_hreflang
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_hreflang" webkit_dom_html_link_element_get_hreflang :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetHreflang ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetHreflang ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetHreflang self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_hreflang self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetHreflang" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetHreflangMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetHreflangMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetHreflang

#endif

-- method DOMHTMLLinkElement::get_media
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_media" webkit_dom_html_link_element_get_media :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetMedia ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetMedia ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetMedia self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_media self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetMedia" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetMediaMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetMediaMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetMedia

#endif

-- method DOMHTMLLinkElement::get_rel
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_rel" webkit_dom_html_link_element_get_rel :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetRel ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetRel ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetRel self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_rel self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetRel" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetRelMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetRelMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetRel

#endif

-- method DOMHTMLLinkElement::get_rev
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_rev" webkit_dom_html_link_element_get_rev :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetRev ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetRev ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetRev self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_rev self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetRev" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetRevMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetRevMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetRev

#endif

-- method DOMHTMLLinkElement::get_sheet
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMStyleSheet"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_sheet" webkit_dom_html_link_element_get_sheet :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO (Ptr WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet)

{-# DEPRECATED dOMHTMLLinkElementGetSheet ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetSheet ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMStyleSheet.DOMStyleSheet' -}
dOMHTMLLinkElementGetSheet self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_sheet self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetSheet" result
    result' <- (wrapObject WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetSheetMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMStyleSheet.DOMStyleSheet), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetSheetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetSheet

#endif

-- method DOMHTMLLinkElement::get_sizes
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDOMTokenList"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_sizes" webkit_dom_html_link_element_get_sizes :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO (Ptr WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList)

{-# DEPRECATED dOMHTMLLinkElementGetSizes ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLLinkElementGetSizes ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDOMTokenList.DOMDOMTokenList' -}
dOMHTMLLinkElementGetSizes self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_sizes self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetSizes" result
    result' <- (wrapObject WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetSizesMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDOMTokenList.DOMDOMTokenList), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetSizesMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetSizes

#endif

-- method DOMHTMLLinkElement::get_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_target" webkit_dom_html_link_element_get_target :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetTarget self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_target self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetTarget" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetTargetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetTarget

#endif

-- method DOMHTMLLinkElement::get_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_get_type_attr" webkit_dom_html_link_element_get_type_attr :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    IO CString

{-# DEPRECATED dOMHTMLLinkElementGetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementGetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLLinkElementGetTypeAttr self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_link_element_get_type_attr self'
    checkUnexpectedReturnNULL "dOMHTMLLinkElementGetTypeAttr" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementGetTypeAttrMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementGetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementGetTypeAttr

#endif

-- method DOMHTMLLinkElement::set_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_charset" webkit_dom_html_link_element_set_charset :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetCharset self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_charset self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetCharsetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetCharset

#endif

-- method DOMHTMLLinkElement::set_disabled
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_disabled" webkit_dom_html_link_element_set_disabled :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetDisabled ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetDisabled ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLLinkElementSetDisabled self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_link_element_set_disabled self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetDisabledMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetDisabledMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetDisabled

#endif

-- method DOMHTMLLinkElement::set_href
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_href" webkit_dom_html_link_element_set_href :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetHref ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetHref ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetHref self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_href self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetHrefMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetHrefMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetHref

#endif

-- method DOMHTMLLinkElement::set_hreflang
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_hreflang" webkit_dom_html_link_element_set_hreflang :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetHreflang ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetHreflang ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetHreflang self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_hreflang self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetHreflangMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetHreflangMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetHreflang

#endif

-- method DOMHTMLLinkElement::set_media
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_media" webkit_dom_html_link_element_set_media :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetMedia ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetMedia ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetMedia self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_media self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetMediaMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetMediaMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetMedia

#endif

-- method DOMHTMLLinkElement::set_rel
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_rel" webkit_dom_html_link_element_set_rel :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetRel ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetRel ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetRel self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_rel self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetRelMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetRelMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetRel

#endif

-- method DOMHTMLLinkElement::set_rev
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_rev" webkit_dom_html_link_element_set_rev :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetRev ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetRev ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetRev self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_rev self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetRevMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetRevMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetRev

#endif

-- method DOMHTMLLinkElement::set_sizes
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "a #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_sizes" webkit_dom_html_link_element_set_sizes :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetSizes ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLLinkElementSetSizes ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: a @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetSizes self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_sizes self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetSizesMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetSizesMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetSizes

#endif

-- method DOMHTMLLinkElement::set_target
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_target" webkit_dom_html_link_element_set_target :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetTarget ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetTarget ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetTarget self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_target self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetTargetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetTargetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetTarget

#endif

-- method DOMHTMLLinkElement::set_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLLinkElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_link_element_set_type_attr" webkit_dom_html_link_element_set_type_attr :: 
    Ptr DOMHTMLLinkElement ->               -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLLinkElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLLinkElementSetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLLinkElementSetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLLinkElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLLinkElement.DOMHTMLLinkElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLLinkElementSetTypeAttr self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_link_element_set_type_attr self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLLinkElementSetTypeAttrMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLLinkElement a) => O.MethodInfo DOMHTMLLinkElementSetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLLinkElementSetTypeAttr

#endif


