

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement
    ( 

-- * Exported types
    DOMHTMLObjectElement(..)                ,
    IsDOMHTMLObjectElement                  ,
    toDOMHTMLObjectElement                  ,
    noDOMHTMLObjectElement                  ,


 -- * Methods
-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetAlignMethodInfo  ,
#endif
    dOMHTMLObjectElementGetAlign            ,


-- ** getArchive #method:getArchive#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetArchiveMethodInfo,
#endif
    dOMHTMLObjectElementGetArchive          ,


-- ** getBorder #method:getBorder#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetBorderMethodInfo ,
#endif
    dOMHTMLObjectElementGetBorder           ,


-- ** getCode #method:getCode#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetCodeMethodInfo   ,
#endif
    dOMHTMLObjectElementGetCode             ,


-- ** getCodeBase #method:getCodeBase#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetCodeBaseMethodInfo,
#endif
    dOMHTMLObjectElementGetCodeBase         ,


-- ** getCodeType #method:getCodeType#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetCodeTypeMethodInfo,
#endif
    dOMHTMLObjectElementGetCodeType         ,


-- ** getContentDocument #method:getContentDocument#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetContentDocumentMethodInfo,
#endif
    dOMHTMLObjectElementGetContentDocument  ,


-- ** getData #method:getData#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetDataMethodInfo   ,
#endif
    dOMHTMLObjectElementGetData             ,


-- ** getDeclare #method:getDeclare#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetDeclareMethodInfo,
#endif
    dOMHTMLObjectElementGetDeclare          ,


-- ** getForm #method:getForm#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetFormMethodInfo   ,
#endif
    dOMHTMLObjectElementGetForm             ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetHeightMethodInfo ,
#endif
    dOMHTMLObjectElementGetHeight           ,


-- ** getHspace #method:getHspace#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetHspaceMethodInfo ,
#endif
    dOMHTMLObjectElementGetHspace           ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetNameMethodInfo   ,
#endif
    dOMHTMLObjectElementGetName             ,


-- ** getStandby #method:getStandby#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetStandbyMethodInfo,
#endif
    dOMHTMLObjectElementGetStandby          ,


-- ** getTypeAttr #method:getTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetTypeAttrMethodInfo,
#endif
    dOMHTMLObjectElementGetTypeAttr         ,


-- ** getUseMap #method:getUseMap#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetUseMapMethodInfo ,
#endif
    dOMHTMLObjectElementGetUseMap           ,


-- ** getVspace #method:getVspace#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetVspaceMethodInfo ,
#endif
    dOMHTMLObjectElementGetVspace           ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementGetWidthMethodInfo  ,
#endif
    dOMHTMLObjectElementGetWidth            ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetAlignMethodInfo  ,
#endif
    dOMHTMLObjectElementSetAlign            ,


-- ** setArchive #method:setArchive#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetArchiveMethodInfo,
#endif
    dOMHTMLObjectElementSetArchive          ,


-- ** setBorder #method:setBorder#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetBorderMethodInfo ,
#endif
    dOMHTMLObjectElementSetBorder           ,


-- ** setCode #method:setCode#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetCodeMethodInfo   ,
#endif
    dOMHTMLObjectElementSetCode             ,


-- ** setCodeBase #method:setCodeBase#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetCodeBaseMethodInfo,
#endif
    dOMHTMLObjectElementSetCodeBase         ,


-- ** setCodeType #method:setCodeType#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetCodeTypeMethodInfo,
#endif
    dOMHTMLObjectElementSetCodeType         ,


-- ** setData #method:setData#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetDataMethodInfo   ,
#endif
    dOMHTMLObjectElementSetData             ,


-- ** setDeclare #method:setDeclare#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetDeclareMethodInfo,
#endif
    dOMHTMLObjectElementSetDeclare          ,


-- ** setHeight #method:setHeight#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetHeightMethodInfo ,
#endif
    dOMHTMLObjectElementSetHeight           ,


-- ** setHspace #method:setHspace#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetHspaceMethodInfo ,
#endif
    dOMHTMLObjectElementSetHspace           ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetNameMethodInfo   ,
#endif
    dOMHTMLObjectElementSetName             ,


-- ** setStandby #method:setStandby#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetStandbyMethodInfo,
#endif
    dOMHTMLObjectElementSetStandby          ,


-- ** setTypeAttr #method:setTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetTypeAttrMethodInfo,
#endif
    dOMHTMLObjectElementSetTypeAttr         ,


-- ** setUseMap #method:setUseMap#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetUseMapMethodInfo ,
#endif
    dOMHTMLObjectElementSetUseMap           ,


-- ** setVspace #method:setVspace#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetVspaceMethodInfo ,
#endif
    dOMHTMLObjectElementSetVspace           ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLObjectElementSetWidthMethodInfo  ,
#endif
    dOMHTMLObjectElementSetWidth            ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementAlignPropertyInfo   ,
#endif
    constructDOMHTMLObjectElementAlign      ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementAlign               ,
#endif
    getDOMHTMLObjectElementAlign            ,
    setDOMHTMLObjectElementAlign            ,


-- ** archive #attr:archive#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementArchivePropertyInfo ,
#endif
    constructDOMHTMLObjectElementArchive    ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementArchive             ,
#endif
    getDOMHTMLObjectElementArchive          ,
    setDOMHTMLObjectElementArchive          ,


-- ** border #attr:border#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementBorderPropertyInfo  ,
#endif
    constructDOMHTMLObjectElementBorder     ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementBorder              ,
#endif
    getDOMHTMLObjectElementBorder           ,
    setDOMHTMLObjectElementBorder           ,


-- ** code #attr:code#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementCodePropertyInfo    ,
#endif
    constructDOMHTMLObjectElementCode       ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementCode                ,
#endif
    getDOMHTMLObjectElementCode             ,
    setDOMHTMLObjectElementCode             ,


-- ** codeBase #attr:codeBase#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementCodeBasePropertyInfo,
#endif
    constructDOMHTMLObjectElementCodeBase   ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementCodeBase            ,
#endif
    getDOMHTMLObjectElementCodeBase         ,
    setDOMHTMLObjectElementCodeBase         ,


-- ** codeType #attr:codeType#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementCodeTypePropertyInfo,
#endif
    constructDOMHTMLObjectElementCodeType   ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementCodeType            ,
#endif
    getDOMHTMLObjectElementCodeType         ,
    setDOMHTMLObjectElementCodeType         ,


-- ** contentDocument #attr:contentDocument#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementContentDocumentPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementContentDocument     ,
#endif
    getDOMHTMLObjectElementContentDocument  ,


-- ** data #attr:data#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementDataPropertyInfo    ,
#endif
    constructDOMHTMLObjectElementData       ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementData                ,
#endif
    getDOMHTMLObjectElementData             ,
    setDOMHTMLObjectElementData             ,


-- ** declare #attr:declare#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementDeclarePropertyInfo ,
#endif
    constructDOMHTMLObjectElementDeclare    ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementDeclare             ,
#endif
    getDOMHTMLObjectElementDeclare          ,
    setDOMHTMLObjectElementDeclare          ,


-- ** form #attr:form#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementFormPropertyInfo    ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementForm                ,
#endif
    getDOMHTMLObjectElementForm             ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementHeightPropertyInfo  ,
#endif
    constructDOMHTMLObjectElementHeight     ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementHeight              ,
#endif
    getDOMHTMLObjectElementHeight           ,
    setDOMHTMLObjectElementHeight           ,


-- ** hspace #attr:hspace#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementHspacePropertyInfo  ,
#endif
    constructDOMHTMLObjectElementHspace     ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementHspace              ,
#endif
    getDOMHTMLObjectElementHspace           ,
    setDOMHTMLObjectElementHspace           ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementNamePropertyInfo    ,
#endif
    constructDOMHTMLObjectElementName       ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementName                ,
#endif
    getDOMHTMLObjectElementName             ,
    setDOMHTMLObjectElementName             ,


-- ** standby #attr:standby#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementStandbyPropertyInfo ,
#endif
    constructDOMHTMLObjectElementStandby    ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementStandby             ,
#endif
    getDOMHTMLObjectElementStandby          ,
    setDOMHTMLObjectElementStandby          ,


-- ** type #attr:type#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementTypePropertyInfo    ,
#endif
    clearDOMHTMLObjectElementType           ,
    constructDOMHTMLObjectElementType       ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementType                ,
#endif
    getDOMHTMLObjectElementType             ,
    setDOMHTMLObjectElementType             ,


-- ** useMap #attr:useMap#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementUseMapPropertyInfo  ,
#endif
    constructDOMHTMLObjectElementUseMap     ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementUseMap              ,
#endif
    getDOMHTMLObjectElementUseMap           ,
    setDOMHTMLObjectElementUseMap           ,


-- ** vspace #attr:vspace#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementVspacePropertyInfo  ,
#endif
    constructDOMHTMLObjectElementVspace     ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementVspace              ,
#endif
    getDOMHTMLObjectElementVspace           ,
    setDOMHTMLObjectElementVspace           ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLObjectElementWidthPropertyInfo   ,
#endif
    constructDOMHTMLObjectElementWidth      ,
#if ENABLE_OVERLOADING
    dOMHTMLObjectElementWidth               ,
#endif
    getDOMHTMLObjectElementWidth            ,
    setDOMHTMLObjectElementWidth            ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMDocument as WebKit2WebExtension.DOMDocument
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLFormElement as WebKit2WebExtension.DOMHTMLFormElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLObjectElement = DOMHTMLObjectElement (ManagedPtr DOMHTMLObjectElement)
foreign import ccall "webkit_dom_html_object_element_get_type"
    c_webkit_dom_html_object_element_get_type :: IO GType

instance GObject DOMHTMLObjectElement where
    gobjectType = c_webkit_dom_html_object_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLObjectElement`, for instance with `toDOMHTMLObjectElement`.
class (GObject o, O.IsDescendantOf DOMHTMLObjectElement o) => IsDOMHTMLObjectElement o
instance (GObject o, O.IsDescendantOf DOMHTMLObjectElement o) => IsDOMHTMLObjectElement o

instance O.HasParentTypes DOMHTMLObjectElement
type instance O.ParentTypes DOMHTMLObjectElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLObjectElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLObjectElement :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m DOMHTMLObjectElement
toDOMHTMLObjectElement = liftIO . unsafeCastTo DOMHTMLObjectElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLObjectElement`.
noDOMHTMLObjectElement :: Maybe DOMHTMLObjectElement
noDOMHTMLObjectElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLObjectElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLObjectElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLObjectElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLObjectElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLObjectElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLObjectElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLObjectElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLObjectElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLObjectElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLObjectElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLObjectElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLObjectElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLObjectElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLObjectElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLObjectElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLObjectElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLObjectElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLObjectElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLObjectElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLObjectElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLObjectElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLObjectElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLObjectElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLObjectElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLObjectElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLObjectElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLObjectElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLObjectElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLObjectElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLObjectElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLObjectElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLObjectElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLObjectElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLObjectElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLObjectElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLObjectElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLObjectElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLObjectElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLObjectElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLObjectElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLObjectElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLObjectElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLObjectElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLObjectElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLObjectElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLObjectElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLObjectElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLObjectElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLObjectElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLObjectElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLObjectElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLObjectElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLObjectElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLObjectElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLObjectElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAlign" o = DOMHTMLObjectElementGetAlignMethodInfo
    ResolveDOMHTMLObjectElementMethod "getArchive" o = DOMHTMLObjectElementGetArchiveMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLObjectElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLObjectElementMethod "getBorder" o = DOMHTMLObjectElementGetBorderMethodInfo
    ResolveDOMHTMLObjectElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLObjectElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLObjectElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLObjectElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLObjectElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLObjectElementMethod "getCode" o = DOMHTMLObjectElementGetCodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "getCodeBase" o = DOMHTMLObjectElementGetCodeBaseMethodInfo
    ResolveDOMHTMLObjectElementMethod "getCodeType" o = DOMHTMLObjectElementGetCodeTypeMethodInfo
    ResolveDOMHTMLObjectElementMethod "getContentDocument" o = DOMHTMLObjectElementGetContentDocumentMethodInfo
    ResolveDOMHTMLObjectElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLObjectElementMethod "getData" o = DOMHTMLObjectElementGetDataMethodInfo
    ResolveDOMHTMLObjectElementMethod "getDeclare" o = DOMHTMLObjectElementGetDeclareMethodInfo
    ResolveDOMHTMLObjectElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLObjectElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLObjectElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLObjectElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLObjectElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLObjectElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "getForm" o = DOMHTMLObjectElementGetFormMethodInfo
    ResolveDOMHTMLObjectElementMethod "getHeight" o = DOMHTMLObjectElementGetHeightMethodInfo
    ResolveDOMHTMLObjectElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLObjectElementMethod "getHspace" o = DOMHTMLObjectElementGetHspaceMethodInfo
    ResolveDOMHTMLObjectElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLObjectElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLObjectElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLObjectElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLObjectElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLObjectElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLObjectElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getName" o = DOMHTMLObjectElementGetNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLObjectElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLObjectElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLObjectElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLObjectElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLObjectElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLObjectElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLObjectElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLObjectElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLObjectElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLObjectElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLObjectElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLObjectElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLObjectElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLObjectElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLObjectElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLObjectElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLObjectElementMethod "getStandby" o = DOMHTMLObjectElementGetStandbyMethodInfo
    ResolveDOMHTMLObjectElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLObjectElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLObjectElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLObjectElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLObjectElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLObjectElementMethod "getTypeAttr" o = DOMHTMLObjectElementGetTypeAttrMethodInfo
    ResolveDOMHTMLObjectElementMethod "getUseMap" o = DOMHTMLObjectElementGetUseMapMethodInfo
    ResolveDOMHTMLObjectElementMethod "getVspace" o = DOMHTMLObjectElementGetVspaceMethodInfo
    ResolveDOMHTMLObjectElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLObjectElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLObjectElementMethod "getWidth" o = DOMHTMLObjectElementGetWidthMethodInfo
    ResolveDOMHTMLObjectElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLObjectElementMethod "setAlign" o = DOMHTMLObjectElementSetAlignMethodInfo
    ResolveDOMHTMLObjectElementMethod "setArchive" o = DOMHTMLObjectElementSetArchiveMethodInfo
    ResolveDOMHTMLObjectElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLObjectElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLObjectElementMethod "setBorder" o = DOMHTMLObjectElementSetBorderMethodInfo
    ResolveDOMHTMLObjectElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "setCode" o = DOMHTMLObjectElementSetCodeMethodInfo
    ResolveDOMHTMLObjectElementMethod "setCodeBase" o = DOMHTMLObjectElementSetCodeBaseMethodInfo
    ResolveDOMHTMLObjectElementMethod "setCodeType" o = DOMHTMLObjectElementSetCodeTypeMethodInfo
    ResolveDOMHTMLObjectElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLObjectElementMethod "setData" o = DOMHTMLObjectElementSetDataMethodInfo
    ResolveDOMHTMLObjectElementMethod "setDeclare" o = DOMHTMLObjectElementSetDeclareMethodInfo
    ResolveDOMHTMLObjectElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLObjectElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLObjectElementMethod "setHeight" o = DOMHTMLObjectElementSetHeightMethodInfo
    ResolveDOMHTMLObjectElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLObjectElementMethod "setHspace" o = DOMHTMLObjectElementSetHspaceMethodInfo
    ResolveDOMHTMLObjectElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLObjectElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLObjectElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLObjectElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLObjectElementMethod "setName" o = DOMHTMLObjectElementSetNameMethodInfo
    ResolveDOMHTMLObjectElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLObjectElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLObjectElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLObjectElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLObjectElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLObjectElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLObjectElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLObjectElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLObjectElementMethod "setStandby" o = DOMHTMLObjectElementSetStandbyMethodInfo
    ResolveDOMHTMLObjectElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLObjectElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLObjectElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLObjectElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLObjectElementMethod "setTypeAttr" o = DOMHTMLObjectElementSetTypeAttrMethodInfo
    ResolveDOMHTMLObjectElementMethod "setUseMap" o = DOMHTMLObjectElementSetUseMapMethodInfo
    ResolveDOMHTMLObjectElementMethod "setVspace" o = DOMHTMLObjectElementSetVspaceMethodInfo
    ResolveDOMHTMLObjectElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLObjectElementMethod "setWidth" o = DOMHTMLObjectElementSetWidthMethodInfo
    ResolveDOMHTMLObjectElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLObjectElementMethod t DOMHTMLObjectElement, O.MethodInfo info DOMHTMLObjectElement p) => OL.IsLabel t (DOMHTMLObjectElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #align
@
-}
getDOMHTMLObjectElementAlign :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementAlign :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementAlign :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementAlignPropertyInfo
instance AttrInfo DOMHTMLObjectElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementAlignPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLObjectElementAlignPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementAlign
    attrSet _ = setDOMHTMLObjectElementAlign
    attrConstruct _ = constructDOMHTMLObjectElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "archive"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@archive@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #archive
@
-}
getDOMHTMLObjectElementArchive :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementArchive obj = liftIO $ B.Properties.getObjectPropertyString obj "archive"

{- |
Set the value of the “@archive@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #archive 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementArchive :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementArchive obj val = liftIO $ B.Properties.setObjectPropertyString obj "archive" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@archive@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementArchive :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementArchive val = B.Properties.constructObjectPropertyString "archive" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementArchivePropertyInfo
instance AttrInfo DOMHTMLObjectElementArchivePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementArchivePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementArchivePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementArchivePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementArchivePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementArchivePropertyInfo = "archive"
    type AttrOrigin DOMHTMLObjectElementArchivePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementArchive
    attrSet _ = setDOMHTMLObjectElementArchive
    attrConstruct _ = constructDOMHTMLObjectElementArchive
    attrClear _ = undefined
#endif

-- VVV Prop "border"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #border
@
-}
getDOMHTMLObjectElementBorder :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementBorder obj = liftIO $ B.Properties.getObjectPropertyString obj "border"

{- |
Set the value of the “@border@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #border 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementBorder :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementBorder obj val = liftIO $ B.Properties.setObjectPropertyString obj "border" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@border@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementBorder :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementBorder val = B.Properties.constructObjectPropertyString "border" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementBorderPropertyInfo
instance AttrInfo DOMHTMLObjectElementBorderPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementBorderPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementBorderPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementBorderPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementBorderPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementBorderPropertyInfo = "border"
    type AttrOrigin DOMHTMLObjectElementBorderPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementBorder
    attrSet _ = setDOMHTMLObjectElementBorder
    attrConstruct _ = constructDOMHTMLObjectElementBorder
    attrClear _ = undefined
#endif

-- VVV Prop "code"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@code@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #code
@
-}
getDOMHTMLObjectElementCode :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementCode obj = liftIO $ B.Properties.getObjectPropertyString obj "code"

{- |
Set the value of the “@code@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #code 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementCode :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementCode obj val = liftIO $ B.Properties.setObjectPropertyString obj "code" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@code@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementCode :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementCode val = B.Properties.constructObjectPropertyString "code" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementCodePropertyInfo
instance AttrInfo DOMHTMLObjectElementCodePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementCodePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementCodePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementCodePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementCodePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementCodePropertyInfo = "code"
    type AttrOrigin DOMHTMLObjectElementCodePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementCode
    attrSet _ = setDOMHTMLObjectElementCode
    attrConstruct _ = constructDOMHTMLObjectElementCode
    attrClear _ = undefined
#endif

-- VVV Prop "code-base"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@code-base@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #codeBase
@
-}
getDOMHTMLObjectElementCodeBase :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementCodeBase obj = liftIO $ B.Properties.getObjectPropertyString obj "code-base"

{- |
Set the value of the “@code-base@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #codeBase 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementCodeBase :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementCodeBase obj val = liftIO $ B.Properties.setObjectPropertyString obj "code-base" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@code-base@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementCodeBase :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementCodeBase val = B.Properties.constructObjectPropertyString "code-base" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementCodeBasePropertyInfo
instance AttrInfo DOMHTMLObjectElementCodeBasePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementCodeBasePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementCodeBasePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementCodeBasePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementCodeBasePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementCodeBasePropertyInfo = "code-base"
    type AttrOrigin DOMHTMLObjectElementCodeBasePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementCodeBase
    attrSet _ = setDOMHTMLObjectElementCodeBase
    attrConstruct _ = constructDOMHTMLObjectElementCodeBase
    attrClear _ = undefined
#endif

-- VVV Prop "code-type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@code-type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #codeType
@
-}
getDOMHTMLObjectElementCodeType :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementCodeType obj = liftIO $ B.Properties.getObjectPropertyString obj "code-type"

{- |
Set the value of the “@code-type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #codeType 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementCodeType :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementCodeType obj val = liftIO $ B.Properties.setObjectPropertyString obj "code-type" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@code-type@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementCodeType :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementCodeType val = B.Properties.constructObjectPropertyString "code-type" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementCodeTypePropertyInfo
instance AttrInfo DOMHTMLObjectElementCodeTypePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementCodeTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementCodeTypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementCodeTypePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementCodeTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementCodeTypePropertyInfo = "code-type"
    type AttrOrigin DOMHTMLObjectElementCodeTypePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementCodeType
    attrSet _ = setDOMHTMLObjectElementCodeType
    attrConstruct _ = constructDOMHTMLObjectElementCodeType
    attrClear _ = undefined
#endif

-- VVV Prop "content-document"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@content-document@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #contentDocument
@
-}
getDOMHTMLObjectElementContentDocument :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m WebKit2WebExtension.DOMDocument.DOMDocument
getDOMHTMLObjectElementContentDocument obj = liftIO $ checkUnexpectedNothing "getDOMHTMLObjectElementContentDocument" $ B.Properties.getObjectPropertyObject obj "content-document" WebKit2WebExtension.DOMDocument.DOMDocument

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementContentDocumentPropertyInfo
instance AttrInfo DOMHTMLObjectElementContentDocumentPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementContentDocumentPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLObjectElementContentDocumentPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLObjectElementContentDocumentPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementContentDocumentPropertyInfo = WebKit2WebExtension.DOMDocument.DOMDocument
    type AttrLabel DOMHTMLObjectElementContentDocumentPropertyInfo = "content-document"
    type AttrOrigin DOMHTMLObjectElementContentDocumentPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementContentDocument
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "data"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@data@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #data
@
-}
getDOMHTMLObjectElementData :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementData obj = liftIO $ B.Properties.getObjectPropertyString obj "data"

{- |
Set the value of the “@data@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #data 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementData :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementData obj val = liftIO $ B.Properties.setObjectPropertyString obj "data" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@data@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementData :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementData val = B.Properties.constructObjectPropertyString "data" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementDataPropertyInfo
instance AttrInfo DOMHTMLObjectElementDataPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementDataPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementDataPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementDataPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementDataPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementDataPropertyInfo = "data"
    type AttrOrigin DOMHTMLObjectElementDataPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementData
    attrSet _ = setDOMHTMLObjectElementData
    attrConstruct _ = constructDOMHTMLObjectElementData
    attrClear _ = undefined
#endif

-- VVV Prop "declare"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@declare@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #declare
@
-}
getDOMHTMLObjectElementDeclare :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m Bool
getDOMHTMLObjectElementDeclare obj = liftIO $ B.Properties.getObjectPropertyBool obj "declare"

{- |
Set the value of the “@declare@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #declare 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementDeclare :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> Bool -> m ()
setDOMHTMLObjectElementDeclare obj val = liftIO $ B.Properties.setObjectPropertyBool obj "declare" val

{- |
Construct a `GValueConstruct` with valid value for the “@declare@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementDeclare :: (IsDOMHTMLObjectElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLObjectElementDeclare val = B.Properties.constructObjectPropertyBool "declare" val

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementDeclarePropertyInfo
instance AttrInfo DOMHTMLObjectElementDeclarePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementDeclarePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementDeclarePropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLObjectElementDeclarePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementDeclarePropertyInfo = Bool
    type AttrLabel DOMHTMLObjectElementDeclarePropertyInfo = "declare"
    type AttrOrigin DOMHTMLObjectElementDeclarePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementDeclare
    attrSet _ = setDOMHTMLObjectElementDeclare
    attrConstruct _ = constructDOMHTMLObjectElementDeclare
    attrClear _ = undefined
#endif

-- VVV Prop "form"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@form@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #form
@
-}
getDOMHTMLObjectElementForm :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement
getDOMHTMLObjectElementForm obj = liftIO $ checkUnexpectedNothing "getDOMHTMLObjectElementForm" $ B.Properties.getObjectPropertyObject obj "form" WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementFormPropertyInfo
instance AttrInfo DOMHTMLObjectElementFormPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementFormPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLObjectElementFormPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLObjectElementFormPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementFormPropertyInfo = WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement
    type AttrLabel DOMHTMLObjectElementFormPropertyInfo = "form"
    type AttrOrigin DOMHTMLObjectElementFormPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementForm
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #height
@
-}
getDOMHTMLObjectElementHeight :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementHeight obj = liftIO $ B.Properties.getObjectPropertyString obj "height"

{- |
Set the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #height 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementHeight :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementHeight obj val = liftIO $ B.Properties.setObjectPropertyString obj "height" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementHeight :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementHeight val = B.Properties.constructObjectPropertyString "height" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementHeightPropertyInfo
instance AttrInfo DOMHTMLObjectElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementHeightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementHeightPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementHeightPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLObjectElementHeightPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementHeight
    attrSet _ = setDOMHTMLObjectElementHeight
    attrConstruct _ = constructDOMHTMLObjectElementHeight
    attrClear _ = undefined
#endif

-- VVV Prop "hspace"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@hspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #hspace
@
-}
getDOMHTMLObjectElementHspace :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m CLong
getDOMHTMLObjectElementHspace obj = liftIO $ B.Properties.getObjectPropertyLong obj "hspace"

{- |
Set the value of the “@hspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #hspace 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementHspace :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> CLong -> m ()
setDOMHTMLObjectElementHspace obj val = liftIO $ B.Properties.setObjectPropertyLong obj "hspace" val

{- |
Construct a `GValueConstruct` with valid value for the “@hspace@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementHspace :: (IsDOMHTMLObjectElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLObjectElementHspace val = B.Properties.constructObjectPropertyLong "hspace" val

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementHspacePropertyInfo
instance AttrInfo DOMHTMLObjectElementHspacePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementHspacePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementHspacePropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLObjectElementHspacePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementHspacePropertyInfo = CLong
    type AttrLabel DOMHTMLObjectElementHspacePropertyInfo = "hspace"
    type AttrOrigin DOMHTMLObjectElementHspacePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementHspace
    attrSet _ = setDOMHTMLObjectElementHspace
    attrConstruct _ = constructDOMHTMLObjectElementHspace
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #name
@
-}
getDOMHTMLObjectElementName :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementName :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementName :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementNamePropertyInfo
instance AttrInfo DOMHTMLObjectElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementNamePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLObjectElementNamePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementName
    attrSet _ = setDOMHTMLObjectElementName
    attrConstruct _ = constructDOMHTMLObjectElementName
    attrClear _ = undefined
#endif

-- VVV Prop "standby"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@standby@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #standby
@
-}
getDOMHTMLObjectElementStandby :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementStandby obj = liftIO $ B.Properties.getObjectPropertyString obj "standby"

{- |
Set the value of the “@standby@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #standby 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementStandby :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementStandby obj val = liftIO $ B.Properties.setObjectPropertyString obj "standby" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@standby@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementStandby :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementStandby val = B.Properties.constructObjectPropertyString "standby" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementStandbyPropertyInfo
instance AttrInfo DOMHTMLObjectElementStandbyPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementStandbyPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementStandbyPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementStandbyPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementStandbyPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementStandbyPropertyInfo = "standby"
    type AttrOrigin DOMHTMLObjectElementStandbyPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementStandby
    attrSet _ = setDOMHTMLObjectElementStandby
    attrConstruct _ = constructDOMHTMLObjectElementStandby
    attrClear _ = undefined
#endif

-- VVV Prop "type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #type
@
-}
getDOMHTMLObjectElementType :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementType obj = liftIO $ B.Properties.getObjectPropertyString obj "type"

{- |
Set the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #type 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementType :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementType obj val = liftIO $ B.Properties.setObjectPropertyString obj "type" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@type@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementType :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementType val = B.Properties.constructObjectPropertyString "type" (Just val)

{- |
Set the value of the “@type@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #type
@
-}
clearDOMHTMLObjectElementType :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m ()
clearDOMHTMLObjectElementType obj = liftIO $ B.Properties.setObjectPropertyString obj "type" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementTypePropertyInfo
instance AttrInfo DOMHTMLObjectElementTypePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLObjectElementTypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementTypePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementTypePropertyInfo = "type"
    type AttrOrigin DOMHTMLObjectElementTypePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementType
    attrSet _ = setDOMHTMLObjectElementType
    attrConstruct _ = constructDOMHTMLObjectElementType
    attrClear _ = clearDOMHTMLObjectElementType
#endif

-- VVV Prop "use-map"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@use-map@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #useMap
@
-}
getDOMHTMLObjectElementUseMap :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementUseMap obj = liftIO $ B.Properties.getObjectPropertyString obj "use-map"

{- |
Set the value of the “@use-map@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #useMap 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementUseMap :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementUseMap obj val = liftIO $ B.Properties.setObjectPropertyString obj "use-map" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@use-map@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementUseMap :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementUseMap val = B.Properties.constructObjectPropertyString "use-map" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementUseMapPropertyInfo
instance AttrInfo DOMHTMLObjectElementUseMapPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementUseMapPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementUseMapPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementUseMapPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementUseMapPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementUseMapPropertyInfo = "use-map"
    type AttrOrigin DOMHTMLObjectElementUseMapPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementUseMap
    attrSet _ = setDOMHTMLObjectElementUseMap
    attrConstruct _ = constructDOMHTMLObjectElementUseMap
    attrClear _ = undefined
#endif

-- VVV Prop "vspace"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@vspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #vspace
@
-}
getDOMHTMLObjectElementVspace :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m CLong
getDOMHTMLObjectElementVspace obj = liftIO $ B.Properties.getObjectPropertyLong obj "vspace"

{- |
Set the value of the “@vspace@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #vspace 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementVspace :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> CLong -> m ()
setDOMHTMLObjectElementVspace obj val = liftIO $ B.Properties.setObjectPropertyLong obj "vspace" val

{- |
Construct a `GValueConstruct` with valid value for the “@vspace@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementVspace :: (IsDOMHTMLObjectElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLObjectElementVspace val = B.Properties.constructObjectPropertyLong "vspace" val

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementVspacePropertyInfo
instance AttrInfo DOMHTMLObjectElementVspacePropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementVspacePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementVspacePropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLObjectElementVspacePropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementVspacePropertyInfo = CLong
    type AttrLabel DOMHTMLObjectElementVspacePropertyInfo = "vspace"
    type AttrOrigin DOMHTMLObjectElementVspacePropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementVspace
    attrSet _ = setDOMHTMLObjectElementVspace
    attrConstruct _ = constructDOMHTMLObjectElementVspace
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLObjectElement #width
@
-}
getDOMHTMLObjectElementWidth :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> m (Maybe T.Text)
getDOMHTMLObjectElementWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLObjectElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLObjectElementWidth :: (MonadIO m, IsDOMHTMLObjectElement o) => o -> T.Text -> m ()
setDOMHTMLObjectElementWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLObjectElementWidth :: (IsDOMHTMLObjectElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLObjectElementWidth val = B.Properties.constructObjectPropertyString "width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementWidthPropertyInfo
instance AttrInfo DOMHTMLObjectElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLObjectElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLObjectElementWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLObjectElementWidthPropertyInfo = IsDOMHTMLObjectElement
    type AttrGetType DOMHTMLObjectElementWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLObjectElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLObjectElementWidthPropertyInfo = DOMHTMLObjectElement
    attrGet _ = getDOMHTMLObjectElementWidth
    attrSet _ = setDOMHTMLObjectElementWidth
    attrConstruct _ = constructDOMHTMLObjectElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLObjectElement
type instance O.AttributeList DOMHTMLObjectElement = DOMHTMLObjectElementAttributeList
type DOMHTMLObjectElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLObjectElementAlignPropertyInfo), '("archive", DOMHTMLObjectElementArchivePropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("border", DOMHTMLObjectElementBorderPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("code", DOMHTMLObjectElementCodePropertyInfo), '("codeBase", DOMHTMLObjectElementCodeBasePropertyInfo), '("codeType", DOMHTMLObjectElementCodeTypePropertyInfo), '("contentDocument", DOMHTMLObjectElementContentDocumentPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("data", DOMHTMLObjectElementDataPropertyInfo), '("declare", DOMHTMLObjectElementDeclarePropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("form", DOMHTMLObjectElementFormPropertyInfo), '("height", DOMHTMLObjectElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("hspace", DOMHTMLObjectElementHspacePropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("name", DOMHTMLObjectElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("standby", DOMHTMLObjectElementStandbyPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("type", DOMHTMLObjectElementTypePropertyInfo), '("useMap", DOMHTMLObjectElementUseMapPropertyInfo), '("vspace", DOMHTMLObjectElementVspacePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLObjectElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLObjectElementAlign :: AttrLabelProxy "align"
dOMHTMLObjectElementAlign = AttrLabelProxy

dOMHTMLObjectElementArchive :: AttrLabelProxy "archive"
dOMHTMLObjectElementArchive = AttrLabelProxy

dOMHTMLObjectElementBorder :: AttrLabelProxy "border"
dOMHTMLObjectElementBorder = AttrLabelProxy

dOMHTMLObjectElementCode :: AttrLabelProxy "code"
dOMHTMLObjectElementCode = AttrLabelProxy

dOMHTMLObjectElementCodeBase :: AttrLabelProxy "codeBase"
dOMHTMLObjectElementCodeBase = AttrLabelProxy

dOMHTMLObjectElementCodeType :: AttrLabelProxy "codeType"
dOMHTMLObjectElementCodeType = AttrLabelProxy

dOMHTMLObjectElementContentDocument :: AttrLabelProxy "contentDocument"
dOMHTMLObjectElementContentDocument = AttrLabelProxy

dOMHTMLObjectElementData :: AttrLabelProxy "data"
dOMHTMLObjectElementData = AttrLabelProxy

dOMHTMLObjectElementDeclare :: AttrLabelProxy "declare"
dOMHTMLObjectElementDeclare = AttrLabelProxy

dOMHTMLObjectElementForm :: AttrLabelProxy "form"
dOMHTMLObjectElementForm = AttrLabelProxy

dOMHTMLObjectElementHeight :: AttrLabelProxy "height"
dOMHTMLObjectElementHeight = AttrLabelProxy

dOMHTMLObjectElementHspace :: AttrLabelProxy "hspace"
dOMHTMLObjectElementHspace = AttrLabelProxy

dOMHTMLObjectElementName :: AttrLabelProxy "name"
dOMHTMLObjectElementName = AttrLabelProxy

dOMHTMLObjectElementStandby :: AttrLabelProxy "standby"
dOMHTMLObjectElementStandby = AttrLabelProxy

dOMHTMLObjectElementType :: AttrLabelProxy "type"
dOMHTMLObjectElementType = AttrLabelProxy

dOMHTMLObjectElementUseMap :: AttrLabelProxy "useMap"
dOMHTMLObjectElementUseMap = AttrLabelProxy

dOMHTMLObjectElementVspace :: AttrLabelProxy "vspace"
dOMHTMLObjectElementVspace = AttrLabelProxy

dOMHTMLObjectElementWidth :: AttrLabelProxy "width"
dOMHTMLObjectElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLObjectElement = DOMHTMLObjectElementSignalList
type DOMHTMLObjectElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLObjectElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_align" webkit_dom_html_object_element_get_align :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetAlign

#endif

-- method DOMHTMLObjectElement::get_archive
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_archive" webkit_dom_html_object_element_get_archive :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetArchive ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetArchive ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetArchive self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_archive self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetArchive" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetArchiveMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetArchiveMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetArchive

#endif

-- method DOMHTMLObjectElement::get_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_border" webkit_dom_html_object_element_get_border :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetBorder self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_border self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetBorder" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetBorderMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetBorder

#endif

-- method DOMHTMLObjectElement::get_code
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_code" webkit_dom_html_object_element_get_code :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetCode ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetCode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetCode self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_code self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetCode" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetCodeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetCodeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetCode

#endif

-- method DOMHTMLObjectElement::get_code_base
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_code_base" webkit_dom_html_object_element_get_code_base :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetCodeBase ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetCodeBase ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetCodeBase self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_code_base self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetCodeBase" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetCodeBaseMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetCodeBaseMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetCodeBase

#endif

-- method DOMHTMLObjectElement::get_code_type
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_code_type" webkit_dom_html_object_element_get_code_type :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetCodeType ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetCodeType ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetCodeType self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_code_type self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetCodeType" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetCodeTypeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetCodeTypeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetCodeType

#endif

-- method DOMHTMLObjectElement::get_content_document
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMDocument"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_content_document" webkit_dom_html_object_element_get_content_document :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO (Ptr WebKit2WebExtension.DOMDocument.DOMDocument)

{-# DEPRECATED dOMHTMLObjectElementGetContentDocument ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetContentDocument ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m WebKit2WebExtension.DOMDocument.DOMDocument
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMDocument.DOMDocument' -}
dOMHTMLObjectElementGetContentDocument self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_content_document self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetContentDocument" result
    result' <- (newObject WebKit2WebExtension.DOMDocument.DOMDocument) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetContentDocumentMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMDocument.DOMDocument), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetContentDocumentMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetContentDocument

#endif

-- method DOMHTMLObjectElement::get_data
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_data" webkit_dom_html_object_element_get_data :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetData ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetData ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetData self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_data self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetData" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetDataMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetDataMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetData

#endif

-- method DOMHTMLObjectElement::get_declare
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_declare" webkit_dom_html_object_element_get_declare :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CInt

{-# DEPRECATED dOMHTMLObjectElementGetDeclare ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetDeclare ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLObjectElementGetDeclare self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_declare self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetDeclareMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetDeclareMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetDeclare

#endif

-- method DOMHTMLObjectElement::get_form
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_form" webkit_dom_html_object_element_get_form :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement)

{-# DEPRECATED dOMHTMLObjectElementGetForm ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetForm ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
dOMHTMLObjectElementGetForm self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_form self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetForm" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetFormMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetFormMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetForm

#endif

-- method DOMHTMLObjectElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_height" webkit_dom_html_object_element_get_height :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_height self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetHeight" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetHeightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetHeight

#endif

-- method DOMHTMLObjectElement::get_hspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_hspace" webkit_dom_html_object_element_get_hspace :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CLong

{-# DEPRECATED dOMHTMLObjectElementGetHspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetHspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLObjectElementGetHspace self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_hspace self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetHspaceMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetHspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetHspace

#endif

-- method DOMHTMLObjectElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_name" webkit_dom_html_object_element_get_name :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetName

#endif

-- method DOMHTMLObjectElement::get_standby
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_standby" webkit_dom_html_object_element_get_standby :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetStandby ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetStandby ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetStandby self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_standby self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetStandby" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetStandbyMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetStandbyMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetStandby

#endif

-- method DOMHTMLObjectElement::get_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_type_attr" webkit_dom_html_object_element_get_type_attr :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetTypeAttr self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_type_attr self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetTypeAttr" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetTypeAttrMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetTypeAttr

#endif

-- method DOMHTMLObjectElement::get_use_map
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_use_map" webkit_dom_html_object_element_get_use_map :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetUseMap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetUseMap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetUseMap self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_use_map self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetUseMap" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetUseMapMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetUseMapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetUseMap

#endif

-- method DOMHTMLObjectElement::get_vspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_vspace" webkit_dom_html_object_element_get_vspace :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CLong

{-# DEPRECATED dOMHTMLObjectElementGetVspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetVspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLObjectElementGetVspace self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_vspace self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetVspaceMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetVspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetVspace

#endif

-- method DOMHTMLObjectElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_get_width" webkit_dom_html_object_element_get_width :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    IO CString

{-# DEPRECATED dOMHTMLObjectElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLObjectElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_object_element_get_width self'
    checkUnexpectedReturnNULL "dOMHTMLObjectElementGetWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementGetWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementGetWidth

#endif

-- method DOMHTMLObjectElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_align" webkit_dom_html_object_element_set_align :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetAlign

#endif

-- method DOMHTMLObjectElement::set_archive
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_archive" webkit_dom_html_object_element_set_archive :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetArchive ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetArchive ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetArchive self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_archive self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetArchiveMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetArchiveMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetArchive

#endif

-- method DOMHTMLObjectElement::set_border
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_border" webkit_dom_html_object_element_set_border :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetBorder ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetBorder ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetBorder self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_border self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetBorderMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetBorderMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetBorder

#endif

-- method DOMHTMLObjectElement::set_code
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_code" webkit_dom_html_object_element_set_code :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetCode ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetCode ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetCode self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_code self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetCodeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetCodeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetCode

#endif

-- method DOMHTMLObjectElement::set_code_base
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_code_base" webkit_dom_html_object_element_set_code_base :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetCodeBase ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetCodeBase ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetCodeBase self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_code_base self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetCodeBaseMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetCodeBaseMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetCodeBase

#endif

-- method DOMHTMLObjectElement::set_code_type
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_code_type" webkit_dom_html_object_element_set_code_type :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetCodeType ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetCodeType ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetCodeType self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_code_type self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetCodeTypeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetCodeTypeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetCodeType

#endif

-- method DOMHTMLObjectElement::set_data
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_data" webkit_dom_html_object_element_set_data :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetData ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetData ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetData self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_data self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetDataMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetDataMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetData

#endif

-- method DOMHTMLObjectElement::set_declare
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_declare" webkit_dom_html_object_element_set_declare :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetDeclare ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetDeclare ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLObjectElementSetDeclare self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_object_element_set_declare self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetDeclareMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetDeclareMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetDeclare

#endif

-- method DOMHTMLObjectElement::set_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_height" webkit_dom_html_object_element_set_height :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_height self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetHeightMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetHeight

#endif

-- method DOMHTMLObjectElement::set_hspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_hspace" webkit_dom_html_object_element_set_hspace :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetHspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetHspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLObjectElementSetHspace self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_object_element_set_hspace self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetHspaceMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetHspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetHspace

#endif

-- method DOMHTMLObjectElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_name" webkit_dom_html_object_element_set_name :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetName

#endif

-- method DOMHTMLObjectElement::set_standby
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_standby" webkit_dom_html_object_element_set_standby :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetStandby ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetStandby ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetStandby self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_standby self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetStandbyMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetStandbyMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetStandby

#endif

-- method DOMHTMLObjectElement::set_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_type_attr" webkit_dom_html_object_element_set_type_attr :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetTypeAttr self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_type_attr self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetTypeAttrMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetTypeAttr

#endif

-- method DOMHTMLObjectElement::set_use_map
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_use_map" webkit_dom_html_object_element_set_use_map :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetUseMap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetUseMap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetUseMap self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_use_map self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetUseMapMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetUseMapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetUseMap

#endif

-- method DOMHTMLObjectElement::set_vspace
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_vspace" webkit_dom_html_object_element_set_vspace :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetVspace ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetVspace ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLObjectElementSetVspace self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_object_element_set_vspace self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetVspaceMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetVspaceMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetVspace

#endif

-- method DOMHTMLObjectElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLObjectElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_object_element_set_width" webkit_dom_html_object_element_set_width :: 
    Ptr DOMHTMLObjectElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLObjectElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLObjectElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLObjectElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLObjectElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLObjectElement.DOMHTMLObjectElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLObjectElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_object_element_set_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLObjectElementSetWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLObjectElement a) => O.MethodInfo DOMHTMLObjectElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLObjectElementSetWidth

#endif


