

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement
    ( 

-- * Exported types
    DOMHTMLScriptElement(..)                ,
    IsDOMHTMLScriptElement                  ,
    toDOMHTMLScriptElement                  ,
    noDOMHTMLScriptElement                  ,


 -- * Methods
-- ** getCharset #method:getCharset#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetCharsetMethodInfo,
#endif
    dOMHTMLScriptElementGetCharset          ,


-- ** getDefer #method:getDefer#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetDeferMethodInfo  ,
#endif
    dOMHTMLScriptElementGetDefer            ,


-- ** getEvent #method:getEvent#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetEventMethodInfo  ,
#endif
    dOMHTMLScriptElementGetEvent            ,


-- ** getHtmlFor #method:getHtmlFor#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetHtmlForMethodInfo,
#endif
    dOMHTMLScriptElementGetHtmlFor          ,


-- ** getSrc #method:getSrc#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetSrcMethodInfo    ,
#endif
    dOMHTMLScriptElementGetSrc              ,


-- ** getText #method:getText#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetTextMethodInfo   ,
#endif
    dOMHTMLScriptElementGetText             ,


-- ** getTypeAttr #method:getTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementGetTypeAttrMethodInfo,
#endif
    dOMHTMLScriptElementGetTypeAttr         ,


-- ** setCharset #method:setCharset#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetCharsetMethodInfo,
#endif
    dOMHTMLScriptElementSetCharset          ,


-- ** setDefer #method:setDefer#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetDeferMethodInfo  ,
#endif
    dOMHTMLScriptElementSetDefer            ,


-- ** setEvent #method:setEvent#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetEventMethodInfo  ,
#endif
    dOMHTMLScriptElementSetEvent            ,


-- ** setHtmlFor #method:setHtmlFor#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetHtmlForMethodInfo,
#endif
    dOMHTMLScriptElementSetHtmlFor          ,


-- ** setSrc #method:setSrc#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetSrcMethodInfo    ,
#endif
    dOMHTMLScriptElementSetSrc              ,


-- ** setText #method:setText#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetTextMethodInfo   ,
#endif
    dOMHTMLScriptElementSetText             ,


-- ** setTypeAttr #method:setTypeAttr#

#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSetTypeAttrMethodInfo,
#endif
    dOMHTMLScriptElementSetTypeAttr         ,




 -- * Properties
-- ** charset #attr:charset#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementCharsetPropertyInfo ,
#endif
    constructDOMHTMLScriptElementCharset    ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementCharset             ,
#endif
    getDOMHTMLScriptElementCharset          ,
    setDOMHTMLScriptElementCharset          ,


-- ** defer #attr:defer#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementDeferPropertyInfo   ,
#endif
    constructDOMHTMLScriptElementDefer      ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementDefer               ,
#endif
    getDOMHTMLScriptElementDefer            ,
    setDOMHTMLScriptElementDefer            ,


-- ** event #attr:event#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementEventPropertyInfo   ,
#endif
    constructDOMHTMLScriptElementEvent      ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementEvent               ,
#endif
    getDOMHTMLScriptElementEvent            ,
    setDOMHTMLScriptElementEvent            ,


-- ** htmlFor #attr:htmlFor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementHtmlForPropertyInfo ,
#endif
    constructDOMHTMLScriptElementHtmlFor    ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementHtmlFor             ,
#endif
    getDOMHTMLScriptElementHtmlFor          ,
    setDOMHTMLScriptElementHtmlFor          ,


-- ** src #attr:src#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementSrcPropertyInfo     ,
#endif
    constructDOMHTMLScriptElementSrc        ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementSrc                 ,
#endif
    getDOMHTMLScriptElementSrc              ,
    setDOMHTMLScriptElementSrc              ,


-- ** text #attr:text#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementTextPropertyInfo    ,
#endif
    constructDOMHTMLScriptElementText       ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementText                ,
#endif
    getDOMHTMLScriptElementText             ,
    setDOMHTMLScriptElementText             ,


-- ** type #attr:type#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLScriptElementTypePropertyInfo    ,
#endif
    clearDOMHTMLScriptElementType           ,
    constructDOMHTMLScriptElementType       ,
#if ENABLE_OVERLOADING
    dOMHTMLScriptElementType                ,
#endif
    getDOMHTMLScriptElementType             ,
    setDOMHTMLScriptElementType             ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLScriptElement = DOMHTMLScriptElement (ManagedPtr DOMHTMLScriptElement)
foreign import ccall "webkit_dom_html_script_element_get_type"
    c_webkit_dom_html_script_element_get_type :: IO GType

instance GObject DOMHTMLScriptElement where
    gobjectType = c_webkit_dom_html_script_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLScriptElement`, for instance with `toDOMHTMLScriptElement`.
class (GObject o, O.IsDescendantOf DOMHTMLScriptElement o) => IsDOMHTMLScriptElement o
instance (GObject o, O.IsDescendantOf DOMHTMLScriptElement o) => IsDOMHTMLScriptElement o

instance O.HasParentTypes DOMHTMLScriptElement
type instance O.ParentTypes DOMHTMLScriptElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLScriptElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLScriptElement :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m DOMHTMLScriptElement
toDOMHTMLScriptElement = liftIO . unsafeCastTo DOMHTMLScriptElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLScriptElement`.
noDOMHTMLScriptElement :: Maybe DOMHTMLScriptElement
noDOMHTMLScriptElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLScriptElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLScriptElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLScriptElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLScriptElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLScriptElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLScriptElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLScriptElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLScriptElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLScriptElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLScriptElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLScriptElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLScriptElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLScriptElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLScriptElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLScriptElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLScriptElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLScriptElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLScriptElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLScriptElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLScriptElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLScriptElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLScriptElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLScriptElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLScriptElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLScriptElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLScriptElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLScriptElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLScriptElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLScriptElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLScriptElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLScriptElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLScriptElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLScriptElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLScriptElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLScriptElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLScriptElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLScriptElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLScriptElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLScriptElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLScriptElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLScriptElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLScriptElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLScriptElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLScriptElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLScriptElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLScriptElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLScriptElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLScriptElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLScriptElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLScriptElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLScriptElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLScriptElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLScriptElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLScriptElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLScriptElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLScriptElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLScriptElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLScriptElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLScriptElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLScriptElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLScriptElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLScriptElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLScriptElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLScriptElementMethod "getCharset" o = DOMHTMLScriptElementGetCharsetMethodInfo
    ResolveDOMHTMLScriptElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLScriptElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLScriptElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLScriptElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLScriptElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLScriptElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLScriptElementMethod "getDefer" o = DOMHTMLScriptElementGetDeferMethodInfo
    ResolveDOMHTMLScriptElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLScriptElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLScriptElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLScriptElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLScriptElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLScriptElementMethod "getEvent" o = DOMHTMLScriptElementGetEventMethodInfo
    ResolveDOMHTMLScriptElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLScriptElementMethod "getHtmlFor" o = DOMHTMLScriptElementGetHtmlForMethodInfo
    ResolveDOMHTMLScriptElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLScriptElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLScriptElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLScriptElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLScriptElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLScriptElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLScriptElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLScriptElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLScriptElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLScriptElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLScriptElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLScriptElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLScriptElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLScriptElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLScriptElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLScriptElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLScriptElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLScriptElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLScriptElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLScriptElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLScriptElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLScriptElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLScriptElementMethod "getSrc" o = DOMHTMLScriptElementGetSrcMethodInfo
    ResolveDOMHTMLScriptElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLScriptElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLScriptElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "getText" o = DOMHTMLScriptElementGetTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLScriptElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLScriptElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLScriptElementMethod "getTypeAttr" o = DOMHTMLScriptElementGetTypeAttrMethodInfo
    ResolveDOMHTMLScriptElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLScriptElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLScriptElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLScriptElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLScriptElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLScriptElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLScriptElementMethod "setCharset" o = DOMHTMLScriptElementSetCharsetMethodInfo
    ResolveDOMHTMLScriptElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLScriptElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLScriptElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLScriptElementMethod "setDefer" o = DOMHTMLScriptElementSetDeferMethodInfo
    ResolveDOMHTMLScriptElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLScriptElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLScriptElementMethod "setEvent" o = DOMHTMLScriptElementSetEventMethodInfo
    ResolveDOMHTMLScriptElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLScriptElementMethod "setHtmlFor" o = DOMHTMLScriptElementSetHtmlForMethodInfo
    ResolveDOMHTMLScriptElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLScriptElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLScriptElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLScriptElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLScriptElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLScriptElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLScriptElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLScriptElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLScriptElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLScriptElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLScriptElementMethod "setSrc" o = DOMHTMLScriptElementSetSrcMethodInfo
    ResolveDOMHTMLScriptElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLScriptElementMethod "setText" o = DOMHTMLScriptElementSetTextMethodInfo
    ResolveDOMHTMLScriptElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLScriptElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLScriptElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLScriptElementMethod "setTypeAttr" o = DOMHTMLScriptElementSetTypeAttrMethodInfo
    ResolveDOMHTMLScriptElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLScriptElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLScriptElementMethod t DOMHTMLScriptElement, O.MethodInfo info DOMHTMLScriptElement p) => OL.IsLabel t (DOMHTMLScriptElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "charset"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #charset
@
-}
getDOMHTMLScriptElementCharset :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m (Maybe T.Text)
getDOMHTMLScriptElementCharset obj = liftIO $ B.Properties.getObjectPropertyString obj "charset"

{- |
Set the value of the “@charset@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #charset 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementCharset :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> T.Text -> m ()
setDOMHTMLScriptElementCharset obj val = liftIO $ B.Properties.setObjectPropertyString obj "charset" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@charset@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementCharset :: (IsDOMHTMLScriptElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLScriptElementCharset val = B.Properties.constructObjectPropertyString "charset" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementCharsetPropertyInfo
instance AttrInfo DOMHTMLScriptElementCharsetPropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementCharsetPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLScriptElementCharsetPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLScriptElementCharsetPropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementCharsetPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLScriptElementCharsetPropertyInfo = "charset"
    type AttrOrigin DOMHTMLScriptElementCharsetPropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementCharset
    attrSet _ = setDOMHTMLScriptElementCharset
    attrConstruct _ = constructDOMHTMLScriptElementCharset
    attrClear _ = undefined
#endif

-- VVV Prop "defer"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@defer@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #defer
@
-}
getDOMHTMLScriptElementDefer :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m Bool
getDOMHTMLScriptElementDefer obj = liftIO $ B.Properties.getObjectPropertyBool obj "defer"

{- |
Set the value of the “@defer@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #defer 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementDefer :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> Bool -> m ()
setDOMHTMLScriptElementDefer obj val = liftIO $ B.Properties.setObjectPropertyBool obj "defer" val

{- |
Construct a `GValueConstruct` with valid value for the “@defer@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementDefer :: (IsDOMHTMLScriptElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLScriptElementDefer val = B.Properties.constructObjectPropertyBool "defer" val

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementDeferPropertyInfo
instance AttrInfo DOMHTMLScriptElementDeferPropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementDeferPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLScriptElementDeferPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLScriptElementDeferPropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementDeferPropertyInfo = Bool
    type AttrLabel DOMHTMLScriptElementDeferPropertyInfo = "defer"
    type AttrOrigin DOMHTMLScriptElementDeferPropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementDefer
    attrSet _ = setDOMHTMLScriptElementDefer
    attrConstruct _ = constructDOMHTMLScriptElementDefer
    attrClear _ = undefined
#endif

-- VVV Prop "event"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@event@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #event
@
-}
getDOMHTMLScriptElementEvent :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m (Maybe T.Text)
getDOMHTMLScriptElementEvent obj = liftIO $ B.Properties.getObjectPropertyString obj "event"

{- |
Set the value of the “@event@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #event 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementEvent :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> T.Text -> m ()
setDOMHTMLScriptElementEvent obj val = liftIO $ B.Properties.setObjectPropertyString obj "event" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@event@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementEvent :: (IsDOMHTMLScriptElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLScriptElementEvent val = B.Properties.constructObjectPropertyString "event" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementEventPropertyInfo
instance AttrInfo DOMHTMLScriptElementEventPropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementEventPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLScriptElementEventPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLScriptElementEventPropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementEventPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLScriptElementEventPropertyInfo = "event"
    type AttrOrigin DOMHTMLScriptElementEventPropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementEvent
    attrSet _ = setDOMHTMLScriptElementEvent
    attrConstruct _ = constructDOMHTMLScriptElementEvent
    attrClear _ = undefined
#endif

-- VVV Prop "html-for"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@html-for@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #htmlFor
@
-}
getDOMHTMLScriptElementHtmlFor :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m (Maybe T.Text)
getDOMHTMLScriptElementHtmlFor obj = liftIO $ B.Properties.getObjectPropertyString obj "html-for"

{- |
Set the value of the “@html-for@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #htmlFor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementHtmlFor :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> T.Text -> m ()
setDOMHTMLScriptElementHtmlFor obj val = liftIO $ B.Properties.setObjectPropertyString obj "html-for" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@html-for@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementHtmlFor :: (IsDOMHTMLScriptElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLScriptElementHtmlFor val = B.Properties.constructObjectPropertyString "html-for" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementHtmlForPropertyInfo
instance AttrInfo DOMHTMLScriptElementHtmlForPropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementHtmlForPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLScriptElementHtmlForPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLScriptElementHtmlForPropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementHtmlForPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLScriptElementHtmlForPropertyInfo = "html-for"
    type AttrOrigin DOMHTMLScriptElementHtmlForPropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementHtmlFor
    attrSet _ = setDOMHTMLScriptElementHtmlFor
    attrConstruct _ = constructDOMHTMLScriptElementHtmlFor
    attrClear _ = undefined
#endif

-- VVV Prop "src"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #src
@
-}
getDOMHTMLScriptElementSrc :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m (Maybe T.Text)
getDOMHTMLScriptElementSrc obj = liftIO $ B.Properties.getObjectPropertyString obj "src"

{- |
Set the value of the “@src@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #src 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementSrc :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> T.Text -> m ()
setDOMHTMLScriptElementSrc obj val = liftIO $ B.Properties.setObjectPropertyString obj "src" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@src@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementSrc :: (IsDOMHTMLScriptElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLScriptElementSrc val = B.Properties.constructObjectPropertyString "src" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSrcPropertyInfo
instance AttrInfo DOMHTMLScriptElementSrcPropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementSrcPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLScriptElementSrcPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLScriptElementSrcPropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementSrcPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLScriptElementSrcPropertyInfo = "src"
    type AttrOrigin DOMHTMLScriptElementSrcPropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementSrc
    attrSet _ = setDOMHTMLScriptElementSrc
    attrConstruct _ = constructDOMHTMLScriptElementSrc
    attrClear _ = undefined
#endif

-- VVV Prop "text"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #text
@
-}
getDOMHTMLScriptElementText :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m (Maybe T.Text)
getDOMHTMLScriptElementText obj = liftIO $ B.Properties.getObjectPropertyString obj "text"

{- |
Set the value of the “@text@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #text 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementText :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> T.Text -> m ()
setDOMHTMLScriptElementText obj val = liftIO $ B.Properties.setObjectPropertyString obj "text" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@text@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementText :: (IsDOMHTMLScriptElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLScriptElementText val = B.Properties.constructObjectPropertyString "text" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementTextPropertyInfo
instance AttrInfo DOMHTMLScriptElementTextPropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementTextPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLScriptElementTextPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLScriptElementTextPropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementTextPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLScriptElementTextPropertyInfo = "text"
    type AttrOrigin DOMHTMLScriptElementTextPropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementText
    attrSet _ = setDOMHTMLScriptElementText
    attrConstruct _ = constructDOMHTMLScriptElementText
    attrClear _ = undefined
#endif

-- VVV Prop "type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLScriptElement #type
@
-}
getDOMHTMLScriptElementType :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m (Maybe T.Text)
getDOMHTMLScriptElementType obj = liftIO $ B.Properties.getObjectPropertyString obj "type"

{- |
Set the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLScriptElement [ #type 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLScriptElementType :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> T.Text -> m ()
setDOMHTMLScriptElementType obj val = liftIO $ B.Properties.setObjectPropertyString obj "type" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@type@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLScriptElementType :: (IsDOMHTMLScriptElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLScriptElementType val = B.Properties.constructObjectPropertyString "type" (Just val)

{- |
Set the value of the “@type@” property to `Nothing`.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.clear' #type
@
-}
clearDOMHTMLScriptElementType :: (MonadIO m, IsDOMHTMLScriptElement o) => o -> m ()
clearDOMHTMLScriptElementType obj = liftIO $ B.Properties.setObjectPropertyString obj "type" (Nothing :: Maybe T.Text)

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementTypePropertyInfo
instance AttrInfo DOMHTMLScriptElementTypePropertyInfo where
    type AttrAllowedOps DOMHTMLScriptElementTypePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLScriptElementTypePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLScriptElementTypePropertyInfo = IsDOMHTMLScriptElement
    type AttrGetType DOMHTMLScriptElementTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLScriptElementTypePropertyInfo = "type"
    type AttrOrigin DOMHTMLScriptElementTypePropertyInfo = DOMHTMLScriptElement
    attrGet _ = getDOMHTMLScriptElementType
    attrSet _ = setDOMHTMLScriptElementType
    attrConstruct _ = constructDOMHTMLScriptElementType
    attrClear _ = clearDOMHTMLScriptElementType
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLScriptElement
type instance O.AttributeList DOMHTMLScriptElement = DOMHTMLScriptElementAttributeList
type DOMHTMLScriptElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("charset", DOMHTMLScriptElementCharsetPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("defer", DOMHTMLScriptElementDeferPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("event", DOMHTMLScriptElementEventPropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("htmlFor", DOMHTMLScriptElementHtmlForPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("src", DOMHTMLScriptElementSrcPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("text", DOMHTMLScriptElementTextPropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("type", DOMHTMLScriptElementTypePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLScriptElementCharset :: AttrLabelProxy "charset"
dOMHTMLScriptElementCharset = AttrLabelProxy

dOMHTMLScriptElementDefer :: AttrLabelProxy "defer"
dOMHTMLScriptElementDefer = AttrLabelProxy

dOMHTMLScriptElementEvent :: AttrLabelProxy "event"
dOMHTMLScriptElementEvent = AttrLabelProxy

dOMHTMLScriptElementHtmlFor :: AttrLabelProxy "htmlFor"
dOMHTMLScriptElementHtmlFor = AttrLabelProxy

dOMHTMLScriptElementSrc :: AttrLabelProxy "src"
dOMHTMLScriptElementSrc = AttrLabelProxy

dOMHTMLScriptElementText :: AttrLabelProxy "text"
dOMHTMLScriptElementText = AttrLabelProxy

dOMHTMLScriptElementType :: AttrLabelProxy "type"
dOMHTMLScriptElementType = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLScriptElement = DOMHTMLScriptElementSignalList
type DOMHTMLScriptElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLScriptElement::get_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_charset" webkit_dom_html_script_element_get_charset :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CString

{-# DEPRECATED dOMHTMLScriptElementGetCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLScriptElementGetCharset self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_charset self'
    checkUnexpectedReturnNULL "dOMHTMLScriptElementGetCharset" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetCharsetMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetCharset

#endif

-- method DOMHTMLScriptElement::get_defer
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_defer" webkit_dom_html_script_element_get_defer :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CInt

{-# DEPRECATED dOMHTMLScriptElementGetDefer ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetDefer ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLScriptElementGetDefer self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_defer self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetDeferMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetDeferMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetDefer

#endif

-- method DOMHTMLScriptElement::get_event
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_event" webkit_dom_html_script_element_get_event :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CString

{-# DEPRECATED dOMHTMLScriptElementGetEvent ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetEvent ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLScriptElementGetEvent self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_event self'
    checkUnexpectedReturnNULL "dOMHTMLScriptElementGetEvent" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetEventMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetEventMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetEvent

#endif

-- method DOMHTMLScriptElement::get_html_for
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_html_for" webkit_dom_html_script_element_get_html_for :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CString

{-# DEPRECATED dOMHTMLScriptElementGetHtmlFor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetHtmlFor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLScriptElementGetHtmlFor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_html_for self'
    checkUnexpectedReturnNULL "dOMHTMLScriptElementGetHtmlFor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetHtmlForMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetHtmlForMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetHtmlFor

#endif

-- method DOMHTMLScriptElement::get_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_src" webkit_dom_html_script_element_get_src :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CString

{-# DEPRECATED dOMHTMLScriptElementGetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLScriptElementGetSrc self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_src self'
    checkUnexpectedReturnNULL "dOMHTMLScriptElementGetSrc" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetSrcMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetSrc

#endif

-- method DOMHTMLScriptElement::get_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_text" webkit_dom_html_script_element_get_text :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CString

{-# DEPRECATED dOMHTMLScriptElementGetText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLScriptElementGetText self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_text self'
    checkUnexpectedReturnNULL "dOMHTMLScriptElementGetText" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetTextMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetText

#endif

-- method DOMHTMLScriptElement::get_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_get_type_attr" webkit_dom_html_script_element_get_type_attr :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    IO CString

{-# DEPRECATED dOMHTMLScriptElementGetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementGetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLScriptElementGetTypeAttr self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_script_element_get_type_attr self'
    checkUnexpectedReturnNULL "dOMHTMLScriptElementGetTypeAttr" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementGetTypeAttrMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementGetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementGetTypeAttr

#endif

-- method DOMHTMLScriptElement::set_charset
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_charset" webkit_dom_html_script_element_set_charset :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetCharset ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./

/Since: 2.16/
-}
dOMHTMLScriptElementSetCharset ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLScriptElementSetCharset self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_script_element_set_charset self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetCharsetMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetCharsetMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetCharset

#endif

-- method DOMHTMLScriptElement::set_defer
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_defer" webkit_dom_html_script_element_set_defer :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetDefer ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementSetDefer ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLScriptElementSetDefer self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_script_element_set_defer self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetDeferMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetDeferMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetDefer

#endif

-- method DOMHTMLScriptElement::set_event
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_event" webkit_dom_html_script_element_set_event :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetEvent ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementSetEvent ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLScriptElementSetEvent self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_script_element_set_event self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetEventMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetEventMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetEvent

#endif

-- method DOMHTMLScriptElement::set_html_for
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_html_for" webkit_dom_html_script_element_set_html_for :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetHtmlFor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementSetHtmlFor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLScriptElementSetHtmlFor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_script_element_set_html_for self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetHtmlForMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetHtmlForMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetHtmlFor

#endif

-- method DOMHTMLScriptElement::set_src
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_src" webkit_dom_html_script_element_set_src :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetSrc ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementSetSrc ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLScriptElementSetSrc self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_script_element_set_src self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetSrcMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetSrcMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetSrc

#endif

-- method DOMHTMLScriptElement::set_text
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_text" webkit_dom_html_script_element_set_text :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetText ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementSetText ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLScriptElementSetText self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_script_element_set_text self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetTextMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetTextMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetText

#endif

-- method DOMHTMLScriptElement::set_type_attr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLScriptElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_script_element_set_type_attr" webkit_dom_html_script_element_set_type_attr :: 
    Ptr DOMHTMLScriptElement ->             -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLScriptElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLScriptElementSetTypeAttr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLScriptElementSetTypeAttr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLScriptElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLScriptElement.DOMHTMLScriptElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLScriptElementSetTypeAttr self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_script_element_set_type_attr self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLScriptElementSetTypeAttrMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLScriptElement a) => O.MethodInfo DOMHTMLScriptElementSetTypeAttrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLScriptElementSetTypeAttr

#endif


