

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement
    ( 

-- * Exported types
    DOMHTMLTableCellElement(..)             ,
    IsDOMHTMLTableCellElement               ,
    toDOMHTMLTableCellElement               ,
    noDOMHTMLTableCellElement               ,


 -- * Methods
-- ** getAbbr #method:getAbbr#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetAbbrMethodInfo,
#endif
    dOMHTMLTableCellElementGetAbbr          ,


-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetAlignMethodInfo,
#endif
    dOMHTMLTableCellElementGetAlign         ,


-- ** getAxis #method:getAxis#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetAxisMethodInfo,
#endif
    dOMHTMLTableCellElementGetAxis          ,


-- ** getBgColor #method:getBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetBgColorMethodInfo,
#endif
    dOMHTMLTableCellElementGetBgColor       ,


-- ** getCellIndex #method:getCellIndex#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetCellIndexMethodInfo,
#endif
    dOMHTMLTableCellElementGetCellIndex     ,


-- ** getCh #method:getCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetChMethodInfo  ,
#endif
    dOMHTMLTableCellElementGetCh            ,


-- ** getChOff #method:getChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetChOffMethodInfo,
#endif
    dOMHTMLTableCellElementGetChOff         ,


-- ** getColSpan #method:getColSpan#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetColSpanMethodInfo,
#endif
    dOMHTMLTableCellElementGetColSpan       ,


-- ** getHeaders #method:getHeaders#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetHeadersMethodInfo,
#endif
    dOMHTMLTableCellElementGetHeaders       ,


-- ** getHeight #method:getHeight#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetHeightMethodInfo,
#endif
    dOMHTMLTableCellElementGetHeight        ,


-- ** getNoWrap #method:getNoWrap#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetNoWrapMethodInfo,
#endif
    dOMHTMLTableCellElementGetNoWrap        ,


-- ** getRowSpan #method:getRowSpan#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetRowSpanMethodInfo,
#endif
    dOMHTMLTableCellElementGetRowSpan       ,


-- ** getScope #method:getScope#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetScopeMethodInfo,
#endif
    dOMHTMLTableCellElementGetScope         ,


-- ** getVAlign #method:getVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetVAlignMethodInfo,
#endif
    dOMHTMLTableCellElementGetVAlign        ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementGetWidthMethodInfo,
#endif
    dOMHTMLTableCellElementGetWidth         ,


-- ** setAbbr #method:setAbbr#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetAbbrMethodInfo,
#endif
    dOMHTMLTableCellElementSetAbbr          ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetAlignMethodInfo,
#endif
    dOMHTMLTableCellElementSetAlign         ,


-- ** setAxis #method:setAxis#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetAxisMethodInfo,
#endif
    dOMHTMLTableCellElementSetAxis          ,


-- ** setBgColor #method:setBgColor#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetBgColorMethodInfo,
#endif
    dOMHTMLTableCellElementSetBgColor       ,


-- ** setCh #method:setCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetChMethodInfo  ,
#endif
    dOMHTMLTableCellElementSetCh            ,


-- ** setChOff #method:setChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetChOffMethodInfo,
#endif
    dOMHTMLTableCellElementSetChOff         ,


-- ** setColSpan #method:setColSpan#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetColSpanMethodInfo,
#endif
    dOMHTMLTableCellElementSetColSpan       ,


-- ** setHeaders #method:setHeaders#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetHeadersMethodInfo,
#endif
    dOMHTMLTableCellElementSetHeaders       ,


-- ** setHeight #method:setHeight#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetHeightMethodInfo,
#endif
    dOMHTMLTableCellElementSetHeight        ,


-- ** setNoWrap #method:setNoWrap#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetNoWrapMethodInfo,
#endif
    dOMHTMLTableCellElementSetNoWrap        ,


-- ** setRowSpan #method:setRowSpan#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetRowSpanMethodInfo,
#endif
    dOMHTMLTableCellElementSetRowSpan       ,


-- ** setScope #method:setScope#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetScopeMethodInfo,
#endif
    dOMHTMLTableCellElementSetScope         ,


-- ** setVAlign #method:setVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetVAlignMethodInfo,
#endif
    dOMHTMLTableCellElementSetVAlign        ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementSetWidthMethodInfo,
#endif
    dOMHTMLTableCellElementSetWidth         ,




 -- * Properties
-- ** abbr #attr:abbr#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementAbbrPropertyInfo ,
#endif
    constructDOMHTMLTableCellElementAbbr    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementAbbr             ,
#endif
    getDOMHTMLTableCellElementAbbr          ,
    setDOMHTMLTableCellElementAbbr          ,


-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementAlignPropertyInfo,
#endif
    constructDOMHTMLTableCellElementAlign   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementAlign            ,
#endif
    getDOMHTMLTableCellElementAlign         ,
    setDOMHTMLTableCellElementAlign         ,


-- ** axis #attr:axis#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementAxisPropertyInfo ,
#endif
    constructDOMHTMLTableCellElementAxis    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementAxis             ,
#endif
    getDOMHTMLTableCellElementAxis          ,
    setDOMHTMLTableCellElementAxis          ,


-- ** bgColor #attr:bgColor#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementBgColorPropertyInfo,
#endif
    constructDOMHTMLTableCellElementBgColor ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementBgColor          ,
#endif
    getDOMHTMLTableCellElementBgColor       ,
    setDOMHTMLTableCellElementBgColor       ,


-- ** cellIndex #attr:cellIndex#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementCellIndexPropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementCellIndex        ,
#endif
    getDOMHTMLTableCellElementCellIndex     ,


-- ** ch #attr:ch#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementChPropertyInfo   ,
#endif
    constructDOMHTMLTableCellElementCh      ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementCh               ,
#endif
    getDOMHTMLTableCellElementCh            ,
    setDOMHTMLTableCellElementCh            ,


-- ** chOff #attr:chOff#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementChOffPropertyInfo,
#endif
    constructDOMHTMLTableCellElementChOff   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementChOff            ,
#endif
    getDOMHTMLTableCellElementChOff         ,
    setDOMHTMLTableCellElementChOff         ,


-- ** colSpan #attr:colSpan#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementColSpanPropertyInfo,
#endif
    constructDOMHTMLTableCellElementColSpan ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementColSpan          ,
#endif
    getDOMHTMLTableCellElementColSpan       ,
    setDOMHTMLTableCellElementColSpan       ,


-- ** headers #attr:headers#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementHeadersPropertyInfo,
#endif
    constructDOMHTMLTableCellElementHeaders ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementHeaders          ,
#endif
    getDOMHTMLTableCellElementHeaders       ,
    setDOMHTMLTableCellElementHeaders       ,


-- ** height #attr:height#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementHeightPropertyInfo,
#endif
    constructDOMHTMLTableCellElementHeight  ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementHeight           ,
#endif
    getDOMHTMLTableCellElementHeight        ,
    setDOMHTMLTableCellElementHeight        ,


-- ** noWrap #attr:noWrap#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementNoWrapPropertyInfo,
#endif
    constructDOMHTMLTableCellElementNoWrap  ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementNoWrap           ,
#endif
    getDOMHTMLTableCellElementNoWrap        ,
    setDOMHTMLTableCellElementNoWrap        ,


-- ** rowSpan #attr:rowSpan#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementRowSpanPropertyInfo,
#endif
    constructDOMHTMLTableCellElementRowSpan ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementRowSpan          ,
#endif
    getDOMHTMLTableCellElementRowSpan       ,
    setDOMHTMLTableCellElementRowSpan       ,


-- ** scope #attr:scope#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementScopePropertyInfo,
#endif
    constructDOMHTMLTableCellElementScope   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementScope            ,
#endif
    getDOMHTMLTableCellElementScope         ,
    setDOMHTMLTableCellElementScope         ,


-- ** vAlign #attr:vAlign#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementVAlignPropertyInfo,
#endif
    constructDOMHTMLTableCellElementVAlign  ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementVAlign           ,
#endif
    getDOMHTMLTableCellElementVAlign        ,
    setDOMHTMLTableCellElementVAlign        ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableCellElementWidthPropertyInfo,
#endif
    constructDOMHTMLTableCellElementWidth   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableCellElementWidth            ,
#endif
    getDOMHTMLTableCellElementWidth         ,
    setDOMHTMLTableCellElementWidth         ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLTableCellElement = DOMHTMLTableCellElement (ManagedPtr DOMHTMLTableCellElement)
foreign import ccall "webkit_dom_html_table_cell_element_get_type"
    c_webkit_dom_html_table_cell_element_get_type :: IO GType

instance GObject DOMHTMLTableCellElement where
    gobjectType = c_webkit_dom_html_table_cell_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLTableCellElement`, for instance with `toDOMHTMLTableCellElement`.
class (GObject o, O.IsDescendantOf DOMHTMLTableCellElement o) => IsDOMHTMLTableCellElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableCellElement o) => IsDOMHTMLTableCellElement o

instance O.HasParentTypes DOMHTMLTableCellElement
type instance O.ParentTypes DOMHTMLTableCellElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLTableCellElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLTableCellElement :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m DOMHTMLTableCellElement
toDOMHTMLTableCellElement = liftIO . unsafeCastTo DOMHTMLTableCellElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLTableCellElement`.
noDOMHTMLTableCellElement :: Maybe DOMHTMLTableCellElement
noDOMHTMLTableCellElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLTableCellElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLTableCellElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLTableCellElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLTableCellElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLTableCellElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLTableCellElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLTableCellElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLTableCellElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLTableCellElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLTableCellElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLTableCellElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLTableCellElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLTableCellElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLTableCellElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLTableCellElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLTableCellElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLTableCellElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLTableCellElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLTableCellElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLTableCellElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLTableCellElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLTableCellElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLTableCellElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLTableCellElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLTableCellElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLTableCellElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLTableCellElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLTableCellElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLTableCellElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLTableCellElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLTableCellElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLTableCellElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLTableCellElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLTableCellElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLTableCellElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLTableCellElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLTableCellElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLTableCellElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLTableCellElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLTableCellElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAbbr" o = DOMHTMLTableCellElementGetAbbrMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAlign" o = DOMHTMLTableCellElementGetAlignMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getAxis" o = DOMHTMLTableCellElementGetAxisMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getBgColor" o = DOMHTMLTableCellElementGetBgColorMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getCellIndex" o = DOMHTMLTableCellElementGetCellIndexMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getCh" o = DOMHTMLTableCellElementGetChMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getChOff" o = DOMHTMLTableCellElementGetChOffMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getColSpan" o = DOMHTMLTableCellElementGetColSpanMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getHeaders" o = DOMHTMLTableCellElementGetHeadersMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getHeight" o = DOMHTMLTableCellElementGetHeightMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNoWrap" o = DOMHTMLTableCellElementGetNoWrapMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getRowSpan" o = DOMHTMLTableCellElementGetRowSpanMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getScope" o = DOMHTMLTableCellElementGetScopeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getVAlign" o = DOMHTMLTableCellElementGetVAlignMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableCellElementMethod "getWidth" o = DOMHTMLTableCellElementGetWidthMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAbbr" o = DOMHTMLTableCellElementSetAbbrMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAlign" o = DOMHTMLTableCellElementSetAlignMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setAxis" o = DOMHTMLTableCellElementSetAxisMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setBgColor" o = DOMHTMLTableCellElementSetBgColorMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setCh" o = DOMHTMLTableCellElementSetChMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setChOff" o = DOMHTMLTableCellElementSetChOffMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setColSpan" o = DOMHTMLTableCellElementSetColSpanMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setHeaders" o = DOMHTMLTableCellElementSetHeadersMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setHeight" o = DOMHTMLTableCellElementSetHeightMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setNoWrap" o = DOMHTMLTableCellElementSetNoWrapMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setRowSpan" o = DOMHTMLTableCellElementSetRowSpanMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setScope" o = DOMHTMLTableCellElementSetScopeMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setVAlign" o = DOMHTMLTableCellElementSetVAlignMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableCellElementMethod "setWidth" o = DOMHTMLTableCellElementSetWidthMethodInfo
    ResolveDOMHTMLTableCellElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLTableCellElementMethod t DOMHTMLTableCellElement, O.MethodInfo info DOMHTMLTableCellElement p) => OL.IsLabel t (DOMHTMLTableCellElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "abbr"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@abbr@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #abbr
@
-}
getDOMHTMLTableCellElementAbbr :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementAbbr obj = liftIO $ B.Properties.getObjectPropertyString obj "abbr"

{- |
Set the value of the “@abbr@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #abbr 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementAbbr :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementAbbr obj val = liftIO $ B.Properties.setObjectPropertyString obj "abbr" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@abbr@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementAbbr :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementAbbr val = B.Properties.constructObjectPropertyString "abbr" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementAbbrPropertyInfo
instance AttrInfo DOMHTMLTableCellElementAbbrPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementAbbrPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementAbbrPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementAbbrPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementAbbrPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementAbbrPropertyInfo = "abbr"
    type AttrOrigin DOMHTMLTableCellElementAbbrPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementAbbr
    attrSet _ = setDOMHTMLTableCellElementAbbr
    attrConstruct _ = constructDOMHTMLTableCellElementAbbr
    attrClear _ = undefined
#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #align
@
-}
getDOMHTMLTableCellElementAlign :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementAlign :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementAlign :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementAlignPropertyInfo
instance AttrInfo DOMHTMLTableCellElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementAlignPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLTableCellElementAlignPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementAlign
    attrSet _ = setDOMHTMLTableCellElementAlign
    attrConstruct _ = constructDOMHTMLTableCellElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "axis"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@axis@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #axis
@
-}
getDOMHTMLTableCellElementAxis :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementAxis obj = liftIO $ B.Properties.getObjectPropertyString obj "axis"

{- |
Set the value of the “@axis@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #axis 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementAxis :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementAxis obj val = liftIO $ B.Properties.setObjectPropertyString obj "axis" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@axis@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementAxis :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementAxis val = B.Properties.constructObjectPropertyString "axis" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementAxisPropertyInfo
instance AttrInfo DOMHTMLTableCellElementAxisPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementAxisPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementAxisPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementAxisPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementAxisPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementAxisPropertyInfo = "axis"
    type AttrOrigin DOMHTMLTableCellElementAxisPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementAxis
    attrSet _ = setDOMHTMLTableCellElementAxis
    attrConstruct _ = constructDOMHTMLTableCellElementAxis
    attrClear _ = undefined
#endif

-- VVV Prop "bg-color"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #bgColor
@
-}
getDOMHTMLTableCellElementBgColor :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementBgColor obj = liftIO $ B.Properties.getObjectPropertyString obj "bg-color"

{- |
Set the value of the “@bg-color@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #bgColor 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementBgColor :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementBgColor obj val = liftIO $ B.Properties.setObjectPropertyString obj "bg-color" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@bg-color@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementBgColor :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementBgColor val = B.Properties.constructObjectPropertyString "bg-color" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementBgColorPropertyInfo
instance AttrInfo DOMHTMLTableCellElementBgColorPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementBgColorPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementBgColorPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementBgColorPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementBgColorPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementBgColorPropertyInfo = "bg-color"
    type AttrOrigin DOMHTMLTableCellElementBgColorPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementBgColor
    attrSet _ = setDOMHTMLTableCellElementBgColor
    attrConstruct _ = constructDOMHTMLTableCellElementBgColor
    attrClear _ = undefined
#endif

-- VVV Prop "cell-index"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@cell-index@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #cellIndex
@
-}
getDOMHTMLTableCellElementCellIndex :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m CLong
getDOMHTMLTableCellElementCellIndex obj = liftIO $ B.Properties.getObjectPropertyLong obj "cell-index"

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementCellIndexPropertyInfo
instance AttrInfo DOMHTMLTableCellElementCellIndexPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementCellIndexPropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementCellIndexPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTableCellElementCellIndexPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementCellIndexPropertyInfo = CLong
    type AttrLabel DOMHTMLTableCellElementCellIndexPropertyInfo = "cell-index"
    type AttrOrigin DOMHTMLTableCellElementCellIndexPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementCellIndex
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "ch"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #ch
@
-}
getDOMHTMLTableCellElementCh :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementCh obj = liftIO $ B.Properties.getObjectPropertyString obj "ch"

{- |
Set the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #ch 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementCh :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementCh obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementCh :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementCh val = B.Properties.constructObjectPropertyString "ch" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementChPropertyInfo
instance AttrInfo DOMHTMLTableCellElementChPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementChPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementChPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementChPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementChPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementChPropertyInfo = "ch"
    type AttrOrigin DOMHTMLTableCellElementChPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementCh
    attrSet _ = setDOMHTMLTableCellElementCh
    attrConstruct _ = constructDOMHTMLTableCellElementCh
    attrClear _ = undefined
#endif

-- VVV Prop "ch-off"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #chOff
@
-}
getDOMHTMLTableCellElementChOff :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementChOff obj = liftIO $ B.Properties.getObjectPropertyString obj "ch-off"

{- |
Set the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #chOff 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementChOff :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementChOff obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch-off" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch-off@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementChOff :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementChOff val = B.Properties.constructObjectPropertyString "ch-off" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementChOffPropertyInfo
instance AttrInfo DOMHTMLTableCellElementChOffPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementChOffPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementChOffPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementChOffPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementChOffPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementChOffPropertyInfo = "ch-off"
    type AttrOrigin DOMHTMLTableCellElementChOffPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementChOff
    attrSet _ = setDOMHTMLTableCellElementChOff
    attrConstruct _ = constructDOMHTMLTableCellElementChOff
    attrClear _ = undefined
#endif

-- VVV Prop "col-span"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@col-span@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #colSpan
@
-}
getDOMHTMLTableCellElementColSpan :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m CLong
getDOMHTMLTableCellElementColSpan obj = liftIO $ B.Properties.getObjectPropertyLong obj "col-span"

{- |
Set the value of the “@col-span@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #colSpan 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementColSpan :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> CLong -> m ()
setDOMHTMLTableCellElementColSpan obj val = liftIO $ B.Properties.setObjectPropertyLong obj "col-span" val

{- |
Construct a `GValueConstruct` with valid value for the “@col-span@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementColSpan :: (IsDOMHTMLTableCellElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementColSpan val = B.Properties.constructObjectPropertyLong "col-span" val

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementColSpanPropertyInfo
instance AttrInfo DOMHTMLTableCellElementColSpanPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementColSpanPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementColSpanPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTableCellElementColSpanPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementColSpanPropertyInfo = CLong
    type AttrLabel DOMHTMLTableCellElementColSpanPropertyInfo = "col-span"
    type AttrOrigin DOMHTMLTableCellElementColSpanPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementColSpan
    attrSet _ = setDOMHTMLTableCellElementColSpan
    attrConstruct _ = constructDOMHTMLTableCellElementColSpan
    attrClear _ = undefined
#endif

-- VVV Prop "headers"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@headers@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #headers
@
-}
getDOMHTMLTableCellElementHeaders :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementHeaders obj = liftIO $ B.Properties.getObjectPropertyString obj "headers"

{- |
Set the value of the “@headers@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #headers 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementHeaders :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementHeaders obj val = liftIO $ B.Properties.setObjectPropertyString obj "headers" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@headers@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementHeaders :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementHeaders val = B.Properties.constructObjectPropertyString "headers" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementHeadersPropertyInfo
instance AttrInfo DOMHTMLTableCellElementHeadersPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementHeadersPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementHeadersPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementHeadersPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementHeadersPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementHeadersPropertyInfo = "headers"
    type AttrOrigin DOMHTMLTableCellElementHeadersPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementHeaders
    attrSet _ = setDOMHTMLTableCellElementHeaders
    attrConstruct _ = constructDOMHTMLTableCellElementHeaders
    attrClear _ = undefined
#endif

-- VVV Prop "height"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #height
@
-}
getDOMHTMLTableCellElementHeight :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementHeight obj = liftIO $ B.Properties.getObjectPropertyString obj "height"

{- |
Set the value of the “@height@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #height 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementHeight :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementHeight obj val = liftIO $ B.Properties.setObjectPropertyString obj "height" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@height@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementHeight :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementHeight val = B.Properties.constructObjectPropertyString "height" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementHeightPropertyInfo
instance AttrInfo DOMHTMLTableCellElementHeightPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementHeightPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementHeightPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementHeightPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementHeightPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementHeightPropertyInfo = "height"
    type AttrOrigin DOMHTMLTableCellElementHeightPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementHeight
    attrSet _ = setDOMHTMLTableCellElementHeight
    attrConstruct _ = constructDOMHTMLTableCellElementHeight
    attrClear _ = undefined
#endif

-- VVV Prop "no-wrap"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@no-wrap@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #noWrap
@
-}
getDOMHTMLTableCellElementNoWrap :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m Bool
getDOMHTMLTableCellElementNoWrap obj = liftIO $ B.Properties.getObjectPropertyBool obj "no-wrap"

{- |
Set the value of the “@no-wrap@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #noWrap 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementNoWrap :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> Bool -> m ()
setDOMHTMLTableCellElementNoWrap obj val = liftIO $ B.Properties.setObjectPropertyBool obj "no-wrap" val

{- |
Construct a `GValueConstruct` with valid value for the “@no-wrap@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementNoWrap :: (IsDOMHTMLTableCellElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementNoWrap val = B.Properties.constructObjectPropertyBool "no-wrap" val

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementNoWrapPropertyInfo
instance AttrInfo DOMHTMLTableCellElementNoWrapPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementNoWrapPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementNoWrapPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLTableCellElementNoWrapPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementNoWrapPropertyInfo = Bool
    type AttrLabel DOMHTMLTableCellElementNoWrapPropertyInfo = "no-wrap"
    type AttrOrigin DOMHTMLTableCellElementNoWrapPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementNoWrap
    attrSet _ = setDOMHTMLTableCellElementNoWrap
    attrConstruct _ = constructDOMHTMLTableCellElementNoWrap
    attrClear _ = undefined
#endif

-- VVV Prop "row-span"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@row-span@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #rowSpan
@
-}
getDOMHTMLTableCellElementRowSpan :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m CLong
getDOMHTMLTableCellElementRowSpan obj = liftIO $ B.Properties.getObjectPropertyLong obj "row-span"

{- |
Set the value of the “@row-span@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #rowSpan 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementRowSpan :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> CLong -> m ()
setDOMHTMLTableCellElementRowSpan obj val = liftIO $ B.Properties.setObjectPropertyLong obj "row-span" val

{- |
Construct a `GValueConstruct` with valid value for the “@row-span@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementRowSpan :: (IsDOMHTMLTableCellElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementRowSpan val = B.Properties.constructObjectPropertyLong "row-span" val

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementRowSpanPropertyInfo
instance AttrInfo DOMHTMLTableCellElementRowSpanPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementRowSpanPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementRowSpanPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTableCellElementRowSpanPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementRowSpanPropertyInfo = CLong
    type AttrLabel DOMHTMLTableCellElementRowSpanPropertyInfo = "row-span"
    type AttrOrigin DOMHTMLTableCellElementRowSpanPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementRowSpan
    attrSet _ = setDOMHTMLTableCellElementRowSpan
    attrConstruct _ = constructDOMHTMLTableCellElementRowSpan
    attrClear _ = undefined
#endif

-- VVV Prop "scope"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@scope@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #scope
@
-}
getDOMHTMLTableCellElementScope :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementScope obj = liftIO $ B.Properties.getObjectPropertyString obj "scope"

{- |
Set the value of the “@scope@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #scope 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementScope :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementScope obj val = liftIO $ B.Properties.setObjectPropertyString obj "scope" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@scope@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementScope :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementScope val = B.Properties.constructObjectPropertyString "scope" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementScopePropertyInfo
instance AttrInfo DOMHTMLTableCellElementScopePropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementScopePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementScopePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementScopePropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementScopePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementScopePropertyInfo = "scope"
    type AttrOrigin DOMHTMLTableCellElementScopePropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementScope
    attrSet _ = setDOMHTMLTableCellElementScope
    attrConstruct _ = constructDOMHTMLTableCellElementScope
    attrClear _ = undefined
#endif

-- VVV Prop "v-align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #vAlign
@
-}
getDOMHTMLTableCellElementVAlign :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementVAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "v-align"

{- |
Set the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #vAlign 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementVAlign :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementVAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "v-align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@v-align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementVAlign :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementVAlign val = B.Properties.constructObjectPropertyString "v-align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementVAlignPropertyInfo
instance AttrInfo DOMHTMLTableCellElementVAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementVAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementVAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementVAlignPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementVAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementVAlignPropertyInfo = "v-align"
    type AttrOrigin DOMHTMLTableCellElementVAlignPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementVAlign
    attrSet _ = setDOMHTMLTableCellElementVAlign
    attrConstruct _ = constructDOMHTMLTableCellElementVAlign
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableCellElement #width
@
-}
getDOMHTMLTableCellElementWidth :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableCellElementWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableCellElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableCellElementWidth :: (MonadIO m, IsDOMHTMLTableCellElement o) => o -> T.Text -> m ()
setDOMHTMLTableCellElementWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableCellElementWidth :: (IsDOMHTMLTableCellElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableCellElementWidth val = B.Properties.constructObjectPropertyString "width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementWidthPropertyInfo
instance AttrInfo DOMHTMLTableCellElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLTableCellElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableCellElementWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableCellElementWidthPropertyInfo = IsDOMHTMLTableCellElement
    type AttrGetType DOMHTMLTableCellElementWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableCellElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLTableCellElementWidthPropertyInfo = DOMHTMLTableCellElement
    attrGet _ = getDOMHTMLTableCellElementWidth
    attrSet _ = setDOMHTMLTableCellElementWidth
    attrConstruct _ = constructDOMHTMLTableCellElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLTableCellElement
type instance O.AttributeList DOMHTMLTableCellElement = DOMHTMLTableCellElementAttributeList
type DOMHTMLTableCellElementAttributeList = ('[ '("abbr", DOMHTMLTableCellElementAbbrPropertyInfo), '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLTableCellElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("axis", DOMHTMLTableCellElementAxisPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("bgColor", DOMHTMLTableCellElementBgColorPropertyInfo), '("cellIndex", DOMHTMLTableCellElementCellIndexPropertyInfo), '("ch", DOMHTMLTableCellElementChPropertyInfo), '("chOff", DOMHTMLTableCellElementChOffPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("colSpan", DOMHTMLTableCellElementColSpanPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("headers", DOMHTMLTableCellElementHeadersPropertyInfo), '("height", DOMHTMLTableCellElementHeightPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("noWrap", DOMHTMLTableCellElementNoWrapPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("rowSpan", DOMHTMLTableCellElementRowSpanPropertyInfo), '("scope", DOMHTMLTableCellElementScopePropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("vAlign", DOMHTMLTableCellElementVAlignPropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLTableCellElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLTableCellElementAbbr :: AttrLabelProxy "abbr"
dOMHTMLTableCellElementAbbr = AttrLabelProxy

dOMHTMLTableCellElementAlign :: AttrLabelProxy "align"
dOMHTMLTableCellElementAlign = AttrLabelProxy

dOMHTMLTableCellElementAxis :: AttrLabelProxy "axis"
dOMHTMLTableCellElementAxis = AttrLabelProxy

dOMHTMLTableCellElementBgColor :: AttrLabelProxy "bgColor"
dOMHTMLTableCellElementBgColor = AttrLabelProxy

dOMHTMLTableCellElementCellIndex :: AttrLabelProxy "cellIndex"
dOMHTMLTableCellElementCellIndex = AttrLabelProxy

dOMHTMLTableCellElementCh :: AttrLabelProxy "ch"
dOMHTMLTableCellElementCh = AttrLabelProxy

dOMHTMLTableCellElementChOff :: AttrLabelProxy "chOff"
dOMHTMLTableCellElementChOff = AttrLabelProxy

dOMHTMLTableCellElementColSpan :: AttrLabelProxy "colSpan"
dOMHTMLTableCellElementColSpan = AttrLabelProxy

dOMHTMLTableCellElementHeaders :: AttrLabelProxy "headers"
dOMHTMLTableCellElementHeaders = AttrLabelProxy

dOMHTMLTableCellElementHeight :: AttrLabelProxy "height"
dOMHTMLTableCellElementHeight = AttrLabelProxy

dOMHTMLTableCellElementNoWrap :: AttrLabelProxy "noWrap"
dOMHTMLTableCellElementNoWrap = AttrLabelProxy

dOMHTMLTableCellElementRowSpan :: AttrLabelProxy "rowSpan"
dOMHTMLTableCellElementRowSpan = AttrLabelProxy

dOMHTMLTableCellElementScope :: AttrLabelProxy "scope"
dOMHTMLTableCellElementScope = AttrLabelProxy

dOMHTMLTableCellElementVAlign :: AttrLabelProxy "vAlign"
dOMHTMLTableCellElementVAlign = AttrLabelProxy

dOMHTMLTableCellElementWidth :: AttrLabelProxy "width"
dOMHTMLTableCellElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLTableCellElement = DOMHTMLTableCellElementSignalList
type DOMHTMLTableCellElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLTableCellElement::get_abbr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_abbr" webkit_dom_html_table_cell_element_get_abbr :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetAbbr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetAbbr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetAbbr self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_abbr self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetAbbr" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetAbbrMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetAbbrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetAbbr

#endif

-- method DOMHTMLTableCellElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_align" webkit_dom_html_table_cell_element_get_align :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetAlign

#endif

-- method DOMHTMLTableCellElement::get_axis
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_axis" webkit_dom_html_table_cell_element_get_axis :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetAxis ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetAxis ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetAxis self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_axis self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetAxis" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetAxisMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetAxisMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetAxis

#endif

-- method DOMHTMLTableCellElement::get_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_bg_color" webkit_dom_html_table_cell_element_get_bg_color :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetBgColor self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_bg_color self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetBgColor" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetBgColorMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetBgColor

#endif

-- method DOMHTMLTableCellElement::get_cell_index
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_cell_index" webkit_dom_html_table_cell_element_get_cell_index :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTableCellElementGetCellIndex ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetCellIndex ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTableCellElementGetCellIndex self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_cell_index self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetCellIndexMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetCellIndexMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetCellIndex

#endif

-- method DOMHTMLTableCellElement::get_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_ch" webkit_dom_html_table_cell_element_get_ch :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetCh self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_ch self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetCh" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetChMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetCh

#endif

-- method DOMHTMLTableCellElement::get_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_ch_off" webkit_dom_html_table_cell_element_get_ch_off :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetChOff self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_ch_off self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetChOff" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetChOffMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetChOff

#endif

-- method DOMHTMLTableCellElement::get_col_span
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_col_span" webkit_dom_html_table_cell_element_get_col_span :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTableCellElementGetColSpan ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetColSpan ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTableCellElementGetColSpan self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_col_span self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetColSpanMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetColSpanMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetColSpan

#endif

-- method DOMHTMLTableCellElement::get_headers
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_headers" webkit_dom_html_table_cell_element_get_headers :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetHeaders ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetHeaders ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetHeaders self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_headers self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetHeaders" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetHeadersMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetHeadersMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetHeaders

#endif

-- method DOMHTMLTableCellElement::get_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_height" webkit_dom_html_table_cell_element_get_height :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetHeight self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_height self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetHeight" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetHeightMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetHeight

#endif

-- method DOMHTMLTableCellElement::get_no_wrap
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_no_wrap" webkit_dom_html_table_cell_element_get_no_wrap :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CInt

{-# DEPRECATED dOMHTMLTableCellElementGetNoWrap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetNoWrap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLTableCellElementGetNoWrap self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_no_wrap self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetNoWrapMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetNoWrapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetNoWrap

#endif

-- method DOMHTMLTableCellElement::get_row_span
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_row_span" webkit_dom_html_table_cell_element_get_row_span :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTableCellElementGetRowSpan ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetRowSpan ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTableCellElementGetRowSpan self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_row_span self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetRowSpanMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetRowSpanMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetRowSpan

#endif

-- method DOMHTMLTableCellElement::get_scope
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_scope" webkit_dom_html_table_cell_element_get_scope :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetScope ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetScope ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetScope self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_scope self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetScope" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetScopeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetScopeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetScope

#endif

-- method DOMHTMLTableCellElement::get_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_v_align" webkit_dom_html_table_cell_element_get_v_align :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetVAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_v_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetVAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetVAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetVAlign

#endif

-- method DOMHTMLTableCellElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_get_width" webkit_dom_html_table_cell_element_get_width :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableCellElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableCellElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_cell_element_get_width self'
    checkUnexpectedReturnNULL "dOMHTMLTableCellElementGetWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementGetWidth

#endif

-- method DOMHTMLTableCellElement::set_abbr
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_abbr" webkit_dom_html_table_cell_element_set_abbr :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetAbbr ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetAbbr ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetAbbr self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_abbr self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetAbbrMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetAbbrMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetAbbr

#endif

-- method DOMHTMLTableCellElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_align" webkit_dom_html_table_cell_element_set_align :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetAlign

#endif

-- method DOMHTMLTableCellElement::set_axis
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_axis" webkit_dom_html_table_cell_element_set_axis :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetAxis ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetAxis ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetAxis self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_axis self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetAxisMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetAxisMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetAxis

#endif

-- method DOMHTMLTableCellElement::set_bg_color
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_bg_color" webkit_dom_html_table_cell_element_set_bg_color :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetBgColor ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetBgColor ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetBgColor self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_bg_color self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetBgColorMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetBgColorMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetBgColor

#endif

-- method DOMHTMLTableCellElement::set_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_ch" webkit_dom_html_table_cell_element_set_ch :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetCh self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_ch self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetChMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetCh

#endif

-- method DOMHTMLTableCellElement::set_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_ch_off" webkit_dom_html_table_cell_element_set_ch_off :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetChOff self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_ch_off self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetChOffMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetChOff

#endif

-- method DOMHTMLTableCellElement::set_col_span
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_col_span" webkit_dom_html_table_cell_element_set_col_span :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetColSpan ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetColSpan ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTableCellElementSetColSpan self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_table_cell_element_set_col_span self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetColSpanMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetColSpanMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetColSpan

#endif

-- method DOMHTMLTableCellElement::set_headers
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_headers" webkit_dom_html_table_cell_element_set_headers :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetHeaders ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetHeaders ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetHeaders self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_headers self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetHeadersMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetHeadersMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetHeaders

#endif

-- method DOMHTMLTableCellElement::set_height
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_height" webkit_dom_html_table_cell_element_set_height :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetHeight ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetHeight ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetHeight self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_height self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetHeightMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetHeightMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetHeight

#endif

-- method DOMHTMLTableCellElement::set_no_wrap
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_no_wrap" webkit_dom_html_table_cell_element_set_no_wrap :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetNoWrap ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetNoWrap ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLTableCellElementSetNoWrap self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_table_cell_element_set_no_wrap self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetNoWrapMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetNoWrapMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetNoWrap

#endif

-- method DOMHTMLTableCellElement::set_row_span
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_row_span" webkit_dom_html_table_cell_element_set_row_span :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetRowSpan ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetRowSpan ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTableCellElementSetRowSpan self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_table_cell_element_set_row_span self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetRowSpanMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetRowSpanMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetRowSpan

#endif

-- method DOMHTMLTableCellElement::set_scope
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_scope" webkit_dom_html_table_cell_element_set_scope :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetScope ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetScope ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetScope self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_scope self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetScopeMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetScopeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetScope

#endif

-- method DOMHTMLTableCellElement::set_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_v_align" webkit_dom_html_table_cell_element_set_v_align :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetVAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_v_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetVAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetVAlign

#endif

-- method DOMHTMLTableCellElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableCellElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_cell_element_set_width" webkit_dom_html_table_cell_element_set_width :: 
    Ptr DOMHTMLTableCellElement ->          -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableCellElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableCellElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableCellElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableCellElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement.DOMHTMLTableCellElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableCellElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_cell_element_set_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableCellElement a) => O.MethodInfo DOMHTMLTableCellElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableCellElementSetWidth

#endif


