#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLTableCellElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLTableCellElement = DOMHTMLTableCellElement (ManagedPtr DOMHTMLTableCellElement)
instance GObject DOMHTMLTableCellElement where
class (GObject o, O.IsDescendantOf DOMHTMLTableCellElement o) => IsDOMHTMLTableCellElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableCellElement o) => IsDOMHTMLTableCellElement o
instance O.HasParentTypes DOMHTMLTableCellElement
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementAbbrPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementAxisPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementBgColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementCellIndexPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementChPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementChOffPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementColSpanPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementHeadersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementNoWrapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementRowSpanPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementScopePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementVAlignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetAbbrMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetAxisMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetCellIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetChMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetChOffMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetColSpanMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetNoWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetRowSpanMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetScopeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetVAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetAbbrMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetAxisMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetBgColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetChMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetChOffMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetColSpanMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetNoWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetRowSpanMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetScopeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetVAlignMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTableCellElementSetWidthMethodInfo
#endif
