

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement
    ( 

-- * Exported types
    DOMHTMLTableColElement(..)              ,
    IsDOMHTMLTableColElement                ,
    toDOMHTMLTableColElement                ,
    noDOMHTMLTableColElement                ,


 -- * Methods
-- ** getAlign #method:getAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementGetAlignMethodInfo,
#endif
    dOMHTMLTableColElementGetAlign          ,


-- ** getCh #method:getCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementGetChMethodInfo   ,
#endif
    dOMHTMLTableColElementGetCh             ,


-- ** getChOff #method:getChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementGetChOffMethodInfo,
#endif
    dOMHTMLTableColElementGetChOff          ,


-- ** getSpan #method:getSpan#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementGetSpanMethodInfo ,
#endif
    dOMHTMLTableColElementGetSpan           ,


-- ** getVAlign #method:getVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementGetVAlignMethodInfo,
#endif
    dOMHTMLTableColElementGetVAlign         ,


-- ** getWidth #method:getWidth#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementGetWidthMethodInfo,
#endif
    dOMHTMLTableColElementGetWidth          ,


-- ** setAlign #method:setAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSetAlignMethodInfo,
#endif
    dOMHTMLTableColElementSetAlign          ,


-- ** setCh #method:setCh#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSetChMethodInfo   ,
#endif
    dOMHTMLTableColElementSetCh             ,


-- ** setChOff #method:setChOff#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSetChOffMethodInfo,
#endif
    dOMHTMLTableColElementSetChOff          ,


-- ** setSpan #method:setSpan#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSetSpanMethodInfo ,
#endif
    dOMHTMLTableColElementSetSpan           ,


-- ** setVAlign #method:setVAlign#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSetVAlignMethodInfo,
#endif
    dOMHTMLTableColElementSetVAlign         ,


-- ** setWidth #method:setWidth#

#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSetWidthMethodInfo,
#endif
    dOMHTMLTableColElementSetWidth          ,




 -- * Properties
-- ** align #attr:align#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableColElementAlignPropertyInfo ,
#endif
    constructDOMHTMLTableColElementAlign    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableColElementAlign             ,
#endif
    getDOMHTMLTableColElementAlign          ,
    setDOMHTMLTableColElementAlign          ,


-- ** ch #attr:ch#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableColElementChPropertyInfo    ,
#endif
    constructDOMHTMLTableColElementCh       ,
#if ENABLE_OVERLOADING
    dOMHTMLTableColElementCh                ,
#endif
    getDOMHTMLTableColElementCh             ,
    setDOMHTMLTableColElementCh             ,


-- ** chOff #attr:chOff#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableColElementChOffPropertyInfo ,
#endif
    constructDOMHTMLTableColElementChOff    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableColElementChOff             ,
#endif
    getDOMHTMLTableColElementChOff          ,
    setDOMHTMLTableColElementChOff          ,


-- ** span #attr:span#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableColElementSpanPropertyInfo  ,
#endif
    constructDOMHTMLTableColElementSpan     ,
#if ENABLE_OVERLOADING
    dOMHTMLTableColElementSpan              ,
#endif
    getDOMHTMLTableColElementSpan           ,
    setDOMHTMLTableColElementSpan           ,


-- ** vAlign #attr:vAlign#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableColElementVAlignPropertyInfo,
#endif
    constructDOMHTMLTableColElementVAlign   ,
#if ENABLE_OVERLOADING
    dOMHTMLTableColElementVAlign            ,
#endif
    getDOMHTMLTableColElementVAlign         ,
    setDOMHTMLTableColElementVAlign         ,


-- ** width #attr:width#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTableColElementWidthPropertyInfo ,
#endif
    constructDOMHTMLTableColElementWidth    ,
#if ENABLE_OVERLOADING
    dOMHTMLTableColElementWidth             ,
#endif
    getDOMHTMLTableColElementWidth          ,
    setDOMHTMLTableColElementWidth          ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLTableColElement = DOMHTMLTableColElement (ManagedPtr DOMHTMLTableColElement)
foreign import ccall "webkit_dom_html_table_col_element_get_type"
    c_webkit_dom_html_table_col_element_get_type :: IO GType

instance GObject DOMHTMLTableColElement where
    gobjectType = c_webkit_dom_html_table_col_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLTableColElement`, for instance with `toDOMHTMLTableColElement`.
class (GObject o, O.IsDescendantOf DOMHTMLTableColElement o) => IsDOMHTMLTableColElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTableColElement o) => IsDOMHTMLTableColElement o

instance O.HasParentTypes DOMHTMLTableColElement
type instance O.ParentTypes DOMHTMLTableColElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLTableColElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLTableColElement :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m DOMHTMLTableColElement
toDOMHTMLTableColElement = liftIO . unsafeCastTo DOMHTMLTableColElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLTableColElement`.
noDOMHTMLTableColElement :: Maybe DOMHTMLTableColElement
noDOMHTMLTableColElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLTableColElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLTableColElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLTableColElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLTableColElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLTableColElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLTableColElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLTableColElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLTableColElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLTableColElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLTableColElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLTableColElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLTableColElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLTableColElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLTableColElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLTableColElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLTableColElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLTableColElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLTableColElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLTableColElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLTableColElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLTableColElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLTableColElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLTableColElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLTableColElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLTableColElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLTableColElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLTableColElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLTableColElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLTableColElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLTableColElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLTableColElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLTableColElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLTableColElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLTableColElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLTableColElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLTableColElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLTableColElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLTableColElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLTableColElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLTableColElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLTableColElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLTableColElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLTableColElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLTableColElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLTableColElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLTableColElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLTableColElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLTableColElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLTableColElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLTableColElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLTableColElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLTableColElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLTableColElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLTableColElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLTableColElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLTableColElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLTableColElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLTableColElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAlign" o = DOMHTMLTableColElementGetAlignMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLTableColElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLTableColElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLTableColElementMethod "getCh" o = DOMHTMLTableColElementGetChMethodInfo
    ResolveDOMHTMLTableColElementMethod "getChOff" o = DOMHTMLTableColElementGetChOffMethodInfo
    ResolveDOMHTMLTableColElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLTableColElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLTableColElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLTableColElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLTableColElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLTableColElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLTableColElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLTableColElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLTableColElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableColElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableColElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTableColElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLTableColElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLTableColElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLTableColElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLTableColElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLTableColElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLTableColElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLTableColElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLTableColElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLTableColElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLTableColElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLTableColElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLTableColElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLTableColElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLTableColElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLTableColElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLTableColElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLTableColElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLTableColElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLTableColElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLTableColElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLTableColElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLTableColElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLTableColElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLTableColElementMethod "getSpan" o = DOMHTMLTableColElementGetSpanMethodInfo
    ResolveDOMHTMLTableColElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLTableColElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLTableColElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLTableColElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLTableColElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLTableColElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLTableColElementMethod "getVAlign" o = DOMHTMLTableColElementGetVAlignMethodInfo
    ResolveDOMHTMLTableColElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLTableColElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableColElementMethod "getWidth" o = DOMHTMLTableColElementGetWidthMethodInfo
    ResolveDOMHTMLTableColElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLTableColElementMethod "setAlign" o = DOMHTMLTableColElementSetAlignMethodInfo
    ResolveDOMHTMLTableColElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLTableColElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLTableColElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLTableColElementMethod "setCh" o = DOMHTMLTableColElementSetChMethodInfo
    ResolveDOMHTMLTableColElementMethod "setChOff" o = DOMHTMLTableColElementSetChOffMethodInfo
    ResolveDOMHTMLTableColElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLTableColElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLTableColElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLTableColElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLTableColElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLTableColElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLTableColElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLTableColElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLTableColElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLTableColElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLTableColElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLTableColElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLTableColElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLTableColElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLTableColElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLTableColElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLTableColElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLTableColElementMethod "setSpan" o = DOMHTMLTableColElementSetSpanMethodInfo
    ResolveDOMHTMLTableColElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLTableColElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLTableColElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLTableColElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLTableColElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLTableColElementMethod "setVAlign" o = DOMHTMLTableColElementSetVAlignMethodInfo
    ResolveDOMHTMLTableColElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTableColElementMethod "setWidth" o = DOMHTMLTableColElementSetWidthMethodInfo
    ResolveDOMHTMLTableColElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLTableColElementMethod t DOMHTMLTableColElement, O.MethodInfo info DOMHTMLTableColElement p) => OL.IsLabel t (DOMHTMLTableColElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableColElement #align
@
-}
getDOMHTMLTableColElementAlign :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableColElementAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "align"

{- |
Set the value of the “@align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableColElement [ #align 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableColElementAlign :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> T.Text -> m ()
setDOMHTMLTableColElementAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableColElementAlign :: (IsDOMHTMLTableColElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableColElementAlign val = B.Properties.constructObjectPropertyString "align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementAlignPropertyInfo
instance AttrInfo DOMHTMLTableColElementAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableColElementAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableColElementAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableColElementAlignPropertyInfo = IsDOMHTMLTableColElement
    type AttrGetType DOMHTMLTableColElementAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableColElementAlignPropertyInfo = "align"
    type AttrOrigin DOMHTMLTableColElementAlignPropertyInfo = DOMHTMLTableColElement
    attrGet _ = getDOMHTMLTableColElementAlign
    attrSet _ = setDOMHTMLTableColElementAlign
    attrConstruct _ = constructDOMHTMLTableColElementAlign
    attrClear _ = undefined
#endif

-- VVV Prop "ch"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableColElement #ch
@
-}
getDOMHTMLTableColElementCh :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableColElementCh obj = liftIO $ B.Properties.getObjectPropertyString obj "ch"

{- |
Set the value of the “@ch@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableColElement [ #ch 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableColElementCh :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> T.Text -> m ()
setDOMHTMLTableColElementCh obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableColElementCh :: (IsDOMHTMLTableColElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableColElementCh val = B.Properties.constructObjectPropertyString "ch" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementChPropertyInfo
instance AttrInfo DOMHTMLTableColElementChPropertyInfo where
    type AttrAllowedOps DOMHTMLTableColElementChPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableColElementChPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableColElementChPropertyInfo = IsDOMHTMLTableColElement
    type AttrGetType DOMHTMLTableColElementChPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableColElementChPropertyInfo = "ch"
    type AttrOrigin DOMHTMLTableColElementChPropertyInfo = DOMHTMLTableColElement
    attrGet _ = getDOMHTMLTableColElementCh
    attrSet _ = setDOMHTMLTableColElementCh
    attrConstruct _ = constructDOMHTMLTableColElementCh
    attrClear _ = undefined
#endif

-- VVV Prop "ch-off"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableColElement #chOff
@
-}
getDOMHTMLTableColElementChOff :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableColElementChOff obj = liftIO $ B.Properties.getObjectPropertyString obj "ch-off"

{- |
Set the value of the “@ch-off@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableColElement [ #chOff 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableColElementChOff :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> T.Text -> m ()
setDOMHTMLTableColElementChOff obj val = liftIO $ B.Properties.setObjectPropertyString obj "ch-off" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@ch-off@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableColElementChOff :: (IsDOMHTMLTableColElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableColElementChOff val = B.Properties.constructObjectPropertyString "ch-off" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementChOffPropertyInfo
instance AttrInfo DOMHTMLTableColElementChOffPropertyInfo where
    type AttrAllowedOps DOMHTMLTableColElementChOffPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableColElementChOffPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableColElementChOffPropertyInfo = IsDOMHTMLTableColElement
    type AttrGetType DOMHTMLTableColElementChOffPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableColElementChOffPropertyInfo = "ch-off"
    type AttrOrigin DOMHTMLTableColElementChOffPropertyInfo = DOMHTMLTableColElement
    attrGet _ = getDOMHTMLTableColElementChOff
    attrSet _ = setDOMHTMLTableColElementChOff
    attrConstruct _ = constructDOMHTMLTableColElementChOff
    attrClear _ = undefined
#endif

-- VVV Prop "span"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@span@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableColElement #span
@
-}
getDOMHTMLTableColElementSpan :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m CLong
getDOMHTMLTableColElementSpan obj = liftIO $ B.Properties.getObjectPropertyLong obj "span"

{- |
Set the value of the “@span@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableColElement [ #span 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableColElementSpan :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> CLong -> m ()
setDOMHTMLTableColElementSpan obj val = liftIO $ B.Properties.setObjectPropertyLong obj "span" val

{- |
Construct a `GValueConstruct` with valid value for the “@span@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableColElementSpan :: (IsDOMHTMLTableColElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTableColElementSpan val = B.Properties.constructObjectPropertyLong "span" val

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSpanPropertyInfo
instance AttrInfo DOMHTMLTableColElementSpanPropertyInfo where
    type AttrAllowedOps DOMHTMLTableColElementSpanPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableColElementSpanPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTableColElementSpanPropertyInfo = IsDOMHTMLTableColElement
    type AttrGetType DOMHTMLTableColElementSpanPropertyInfo = CLong
    type AttrLabel DOMHTMLTableColElementSpanPropertyInfo = "span"
    type AttrOrigin DOMHTMLTableColElementSpanPropertyInfo = DOMHTMLTableColElement
    attrGet _ = getDOMHTMLTableColElementSpan
    attrSet _ = setDOMHTMLTableColElementSpan
    attrConstruct _ = constructDOMHTMLTableColElementSpan
    attrClear _ = undefined
#endif

-- VVV Prop "v-align"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableColElement #vAlign
@
-}
getDOMHTMLTableColElementVAlign :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableColElementVAlign obj = liftIO $ B.Properties.getObjectPropertyString obj "v-align"

{- |
Set the value of the “@v-align@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableColElement [ #vAlign 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableColElementVAlign :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> T.Text -> m ()
setDOMHTMLTableColElementVAlign obj val = liftIO $ B.Properties.setObjectPropertyString obj "v-align" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@v-align@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableColElementVAlign :: (IsDOMHTMLTableColElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableColElementVAlign val = B.Properties.constructObjectPropertyString "v-align" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementVAlignPropertyInfo
instance AttrInfo DOMHTMLTableColElementVAlignPropertyInfo where
    type AttrAllowedOps DOMHTMLTableColElementVAlignPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableColElementVAlignPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableColElementVAlignPropertyInfo = IsDOMHTMLTableColElement
    type AttrGetType DOMHTMLTableColElementVAlignPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableColElementVAlignPropertyInfo = "v-align"
    type AttrOrigin DOMHTMLTableColElementVAlignPropertyInfo = DOMHTMLTableColElement
    attrGet _ = getDOMHTMLTableColElementVAlign
    attrSet _ = setDOMHTMLTableColElementVAlign
    attrConstruct _ = constructDOMHTMLTableColElementVAlign
    attrClear _ = undefined
#endif

-- VVV Prop "width"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTableColElement #width
@
-}
getDOMHTMLTableColElementWidth :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> m (Maybe T.Text)
getDOMHTMLTableColElementWidth obj = liftIO $ B.Properties.getObjectPropertyString obj "width"

{- |
Set the value of the “@width@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTableColElement [ #width 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTableColElementWidth :: (MonadIO m, IsDOMHTMLTableColElement o) => o -> T.Text -> m ()
setDOMHTMLTableColElementWidth obj val = liftIO $ B.Properties.setObjectPropertyString obj "width" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@width@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTableColElementWidth :: (IsDOMHTMLTableColElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTableColElementWidth val = B.Properties.constructObjectPropertyString "width" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementWidthPropertyInfo
instance AttrInfo DOMHTMLTableColElementWidthPropertyInfo where
    type AttrAllowedOps DOMHTMLTableColElementWidthPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTableColElementWidthPropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTableColElementWidthPropertyInfo = IsDOMHTMLTableColElement
    type AttrGetType DOMHTMLTableColElementWidthPropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTableColElementWidthPropertyInfo = "width"
    type AttrOrigin DOMHTMLTableColElementWidthPropertyInfo = DOMHTMLTableColElement
    attrGet _ = getDOMHTMLTableColElementWidth
    attrSet _ = setDOMHTMLTableColElementWidth
    attrConstruct _ = constructDOMHTMLTableColElementWidth
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLTableColElement
type instance O.AttributeList DOMHTMLTableColElement = DOMHTMLTableColElementAttributeList
type DOMHTMLTableColElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("align", DOMHTMLTableColElementAlignPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("ch", DOMHTMLTableColElementChPropertyInfo), '("chOff", DOMHTMLTableColElementChOffPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("span", DOMHTMLTableColElementSpanPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("vAlign", DOMHTMLTableColElementVAlignPropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("width", DOMHTMLTableColElementWidthPropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLTableColElementAlign :: AttrLabelProxy "align"
dOMHTMLTableColElementAlign = AttrLabelProxy

dOMHTMLTableColElementCh :: AttrLabelProxy "ch"
dOMHTMLTableColElementCh = AttrLabelProxy

dOMHTMLTableColElementChOff :: AttrLabelProxy "chOff"
dOMHTMLTableColElementChOff = AttrLabelProxy

dOMHTMLTableColElementSpan :: AttrLabelProxy "span"
dOMHTMLTableColElementSpan = AttrLabelProxy

dOMHTMLTableColElementVAlign :: AttrLabelProxy "vAlign"
dOMHTMLTableColElementVAlign = AttrLabelProxy

dOMHTMLTableColElementWidth :: AttrLabelProxy "width"
dOMHTMLTableColElementWidth = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLTableColElement = DOMHTMLTableColElementSignalList
type DOMHTMLTableColElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLTableColElement::get_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_get_align" webkit_dom_html_table_col_element_get_align :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableColElementGetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementGetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableColElementGetAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_col_element_get_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableColElementGetAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementGetAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementGetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementGetAlign

#endif

-- method DOMHTMLTableColElement::get_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_get_ch" webkit_dom_html_table_col_element_get_ch :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableColElementGetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementGetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableColElementGetCh self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_col_element_get_ch self'
    checkUnexpectedReturnNULL "dOMHTMLTableColElementGetCh" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementGetChMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementGetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementGetCh

#endif

-- method DOMHTMLTableColElement::get_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_get_ch_off" webkit_dom_html_table_col_element_get_ch_off :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableColElementGetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementGetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableColElementGetChOff self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_col_element_get_ch_off self'
    checkUnexpectedReturnNULL "dOMHTMLTableColElementGetChOff" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementGetChOffMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementGetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementGetChOff

#endif

-- method DOMHTMLTableColElement::get_span
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_get_span" webkit_dom_html_table_col_element_get_span :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTableColElementGetSpan ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementGetSpan ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTableColElementGetSpan self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_col_element_get_span self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementGetSpanMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementGetSpanMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementGetSpan

#endif

-- method DOMHTMLTableColElement::get_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_get_v_align" webkit_dom_html_table_col_element_get_v_align :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableColElementGetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementGetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableColElementGetVAlign self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_col_element_get_v_align self'
    checkUnexpectedReturnNULL "dOMHTMLTableColElementGetVAlign" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementGetVAlignMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementGetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementGetVAlign

#endif

-- method DOMHTMLTableColElement::get_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_get_width" webkit_dom_html_table_col_element_get_width :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    IO CString

{-# DEPRECATED dOMHTMLTableColElementGetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementGetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTableColElementGetWidth self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_table_col_element_get_width self'
    checkUnexpectedReturnNULL "dOMHTMLTableColElementGetWidth" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementGetWidthMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementGetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementGetWidth

#endif

-- method DOMHTMLTableColElement::set_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_set_align" webkit_dom_html_table_col_element_set_align :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableColElementSetAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementSetAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableColElementSetAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_col_element_set_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSetAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementSetAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementSetAlign

#endif

-- method DOMHTMLTableColElement::set_ch
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_set_ch" webkit_dom_html_table_col_element_set_ch :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableColElementSetCh ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementSetCh ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableColElementSetCh self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_col_element_set_ch self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSetChMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementSetChMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementSetCh

#endif

-- method DOMHTMLTableColElement::set_ch_off
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_set_ch_off" webkit_dom_html_table_col_element_set_ch_off :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableColElementSetChOff ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementSetChOff ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableColElementSetChOff self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_col_element_set_ch_off self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSetChOffMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementSetChOffMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementSetChOff

#endif

-- method DOMHTMLTableColElement::set_span
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_set_span" webkit_dom_html_table_col_element_set_span :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTableColElementSetSpan ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementSetSpan ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTableColElementSetSpan self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_table_col_element_set_span self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSetSpanMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementSetSpanMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementSetSpan

#endif

-- method DOMHTMLTableColElement::set_v_align
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_set_v_align" webkit_dom_html_table_col_element_set_v_align :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableColElementSetVAlign ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementSetVAlign ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableColElementSetVAlign self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_col_element_set_v_align self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSetVAlignMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementSetVAlignMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementSetVAlign

#endif

-- method DOMHTMLTableColElement::set_width
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTableColElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_table_col_element_set_width" webkit_dom_html_table_col_element_set_width :: 
    Ptr DOMHTMLTableColElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTableColElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTableColElementSetWidth ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTableColElementSetWidth ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTableColElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTableColElement.DOMHTMLTableColElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTableColElementSetWidth self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_table_col_element_set_width self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTableColElementSetWidthMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTableColElement a) => O.MethodInfo DOMHTMLTableColElementSetWidthMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTableColElementSetWidth

#endif


