

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)

/No description available in the introspection data./
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement
    ( 

-- * Exported types
    DOMHTMLTextAreaElement(..)              ,
    IsDOMHTMLTextAreaElement                ,
    toDOMHTMLTextAreaElement                ,
    noDOMHTMLTextAreaElement                ,


 -- * Methods
-- ** getAreaType #method:getAreaType#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetAreaTypeMethodInfo,
#endif
    dOMHTMLTextAreaElementGetAreaType       ,


-- ** getAutofocus #method:getAutofocus#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetAutofocusMethodInfo,
#endif
    dOMHTMLTextAreaElementGetAutofocus      ,


-- ** getCols #method:getCols#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetColsMethodInfo ,
#endif
    dOMHTMLTextAreaElementGetCols           ,


-- ** getDefaultValue #method:getDefaultValue#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetDefaultValueMethodInfo,
#endif
    dOMHTMLTextAreaElementGetDefaultValue   ,


-- ** getDisabled #method:getDisabled#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetDisabledMethodInfo,
#endif
    dOMHTMLTextAreaElementGetDisabled       ,


-- ** getForm #method:getForm#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetFormMethodInfo ,
#endif
    dOMHTMLTextAreaElementGetForm           ,


-- ** getName #method:getName#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetNameMethodInfo ,
#endif
    dOMHTMLTextAreaElementGetName           ,


-- ** getReadOnly #method:getReadOnly#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetReadOnlyMethodInfo,
#endif
    dOMHTMLTextAreaElementGetReadOnly       ,


-- ** getRows #method:getRows#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetRowsMethodInfo ,
#endif
    dOMHTMLTextAreaElementGetRows           ,


-- ** getSelectionEnd #method:getSelectionEnd#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetSelectionEndMethodInfo,
#endif
    dOMHTMLTextAreaElementGetSelectionEnd   ,


-- ** getSelectionStart #method:getSelectionStart#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetSelectionStartMethodInfo,
#endif
    dOMHTMLTextAreaElementGetSelectionStart ,


-- ** getValue #method:getValue#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetValueMethodInfo,
#endif
    dOMHTMLTextAreaElementGetValue          ,


-- ** getWillValidate #method:getWillValidate#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementGetWillValidateMethodInfo,
#endif
    dOMHTMLTextAreaElementGetWillValidate   ,


-- ** isEdited #method:isEdited#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementIsEditedMethodInfo,
#endif
    dOMHTMLTextAreaElementIsEdited          ,


-- ** select #method:select#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSelectMethodInfo  ,
#endif
    dOMHTMLTextAreaElementSelect            ,


-- ** setAutofocus #method:setAutofocus#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetAutofocusMethodInfo,
#endif
    dOMHTMLTextAreaElementSetAutofocus      ,


-- ** setCols #method:setCols#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetColsMethodInfo ,
#endif
    dOMHTMLTextAreaElementSetCols           ,


-- ** setDefaultValue #method:setDefaultValue#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetDefaultValueMethodInfo,
#endif
    dOMHTMLTextAreaElementSetDefaultValue   ,


-- ** setDisabled #method:setDisabled#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetDisabledMethodInfo,
#endif
    dOMHTMLTextAreaElementSetDisabled       ,


-- ** setName #method:setName#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetNameMethodInfo ,
#endif
    dOMHTMLTextAreaElementSetName           ,


-- ** setReadOnly #method:setReadOnly#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetReadOnlyMethodInfo,
#endif
    dOMHTMLTextAreaElementSetReadOnly       ,


-- ** setRows #method:setRows#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetRowsMethodInfo ,
#endif
    dOMHTMLTextAreaElementSetRows           ,


-- ** setSelectionEnd #method:setSelectionEnd#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetSelectionEndMethodInfo,
#endif
    dOMHTMLTextAreaElementSetSelectionEnd   ,


-- ** setSelectionRange #method:setSelectionRange#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetSelectionRangeMethodInfo,
#endif
    dOMHTMLTextAreaElementSetSelectionRange ,


-- ** setSelectionStart #method:setSelectionStart#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetSelectionStartMethodInfo,
#endif
    dOMHTMLTextAreaElementSetSelectionStart ,


-- ** setValue #method:setValue#

#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSetValueMethodInfo,
#endif
    dOMHTMLTextAreaElementSetValue          ,




 -- * Properties
-- ** autofocus #attr:autofocus#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementAutofocusPropertyInfo,
#endif
    constructDOMHTMLTextAreaElementAutofocus,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementAutofocus         ,
#endif
    getDOMHTMLTextAreaElementAutofocus      ,
    setDOMHTMLTextAreaElementAutofocus      ,


-- ** cols #attr:cols#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementColsPropertyInfo  ,
#endif
    constructDOMHTMLTextAreaElementCols     ,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementCols              ,
#endif
    getDOMHTMLTextAreaElementCols           ,
    setDOMHTMLTextAreaElementCols           ,


-- ** defaultValue #attr:defaultValue#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementDefaultValuePropertyInfo,
#endif
    constructDOMHTMLTextAreaElementDefaultValue,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementDefaultValue      ,
#endif
    getDOMHTMLTextAreaElementDefaultValue   ,
    setDOMHTMLTextAreaElementDefaultValue   ,


-- ** disabled #attr:disabled#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementDisabledPropertyInfo,
#endif
    constructDOMHTMLTextAreaElementDisabled ,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementDisabled          ,
#endif
    getDOMHTMLTextAreaElementDisabled       ,
    setDOMHTMLTextAreaElementDisabled       ,


-- ** form #attr:form#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementFormPropertyInfo  ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementForm              ,
#endif
    getDOMHTMLTextAreaElementForm           ,


-- ** name #attr:name#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementNamePropertyInfo  ,
#endif
    constructDOMHTMLTextAreaElementName     ,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementName              ,
#endif
    getDOMHTMLTextAreaElementName           ,
    setDOMHTMLTextAreaElementName           ,


-- ** readOnly #attr:readOnly#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementReadOnlyPropertyInfo,
#endif
    constructDOMHTMLTextAreaElementReadOnly ,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementReadOnly          ,
#endif
    getDOMHTMLTextAreaElementReadOnly       ,
    setDOMHTMLTextAreaElementReadOnly       ,


-- ** rows #attr:rows#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementRowsPropertyInfo  ,
#endif
    constructDOMHTMLTextAreaElementRows     ,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementRows              ,
#endif
    getDOMHTMLTextAreaElementRows           ,
    setDOMHTMLTextAreaElementRows           ,


-- ** selectionEnd #attr:selectionEnd#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSelectionEndPropertyInfo,
#endif
    constructDOMHTMLTextAreaElementSelectionEnd,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementSelectionEnd      ,
#endif
    getDOMHTMLTextAreaElementSelectionEnd   ,
    setDOMHTMLTextAreaElementSelectionEnd   ,


-- ** selectionStart #attr:selectionStart#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementSelectionStartPropertyInfo,
#endif
    constructDOMHTMLTextAreaElementSelectionStart,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementSelectionStart    ,
#endif
    getDOMHTMLTextAreaElementSelectionStart ,
    setDOMHTMLTextAreaElementSelectionStart ,


-- ** type #attr:type#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementTypePropertyInfo  ,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementType              ,
#endif
    getDOMHTMLTextAreaElementType           ,


-- ** value #attr:value#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementValuePropertyInfo ,
#endif
    constructDOMHTMLTextAreaElementValue    ,
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementValue             ,
#endif
    getDOMHTMLTextAreaElementValue          ,
    setDOMHTMLTextAreaElementValue          ,


-- ** willValidate #attr:willValidate#
{- | /No description available in the introspection data./
-}
#if ENABLE_OVERLOADING
    DOMHTMLTextAreaElementWillValidatePropertyInfo,
#endif
#if ENABLE_OVERLOADING
    dOMHTMLTextAreaElementWillValidate      ,
#endif
    getDOMHTMLTextAreaElementWillValidate   ,




    ) where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

import qualified GI.GObject.Objects.Object as GObject.Object
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Interfaces.DOMEventTarget as WebKit2WebExtension.DOMEventTarget
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMElement as WebKit2WebExtension.DOMElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLElement as WebKit2WebExtension.DOMHTMLElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMHTMLFormElement as WebKit2WebExtension.DOMHTMLFormElement
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMNode as WebKit2WebExtension.DOMNode
import {-# SOURCE #-} qualified GI.WebKit2WebExtension.Objects.DOMObject as WebKit2WebExtension.DOMObject

-- | Memory-managed wrapper type.
newtype DOMHTMLTextAreaElement = DOMHTMLTextAreaElement (ManagedPtr DOMHTMLTextAreaElement)
foreign import ccall "webkit_dom_html_text_area_element_get_type"
    c_webkit_dom_html_text_area_element_get_type :: IO GType

instance GObject DOMHTMLTextAreaElement where
    gobjectType = c_webkit_dom_html_text_area_element_get_type
    

-- | Type class for types which can be safely cast to `DOMHTMLTextAreaElement`, for instance with `toDOMHTMLTextAreaElement`.
class (GObject o, O.IsDescendantOf DOMHTMLTextAreaElement o) => IsDOMHTMLTextAreaElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTextAreaElement o) => IsDOMHTMLTextAreaElement o

instance O.HasParentTypes DOMHTMLTextAreaElement
type instance O.ParentTypes DOMHTMLTextAreaElement = '[WebKit2WebExtension.DOMHTMLElement.DOMHTMLElement, WebKit2WebExtension.DOMElement.DOMElement, WebKit2WebExtension.DOMNode.DOMNode, WebKit2WebExtension.DOMObject.DOMObject, GObject.Object.Object, WebKit2WebExtension.DOMEventTarget.DOMEventTarget]

-- | Cast to `DOMHTMLTextAreaElement`, for types for which this is known to be safe. For general casts, use `Data.GI.Base.ManagedPtr.castTo`.
toDOMHTMLTextAreaElement :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m DOMHTMLTextAreaElement
toDOMHTMLTextAreaElement = liftIO . unsafeCastTo DOMHTMLTextAreaElement

-- | A convenience alias for `Nothing` :: `Maybe` `DOMHTMLTextAreaElement`.
noDOMHTMLTextAreaElement :: Maybe DOMHTMLTextAreaElement
noDOMHTMLTextAreaElement = Nothing

#if ENABLE_OVERLOADING
type family ResolveDOMHTMLTextAreaElementMethod (t :: Symbol) (o :: *) :: * where
    ResolveDOMHTMLTextAreaElementMethod "addEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetAddEventListenerMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "appendChild" o = WebKit2WebExtension.DOMNode.DOMNodeAppendChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "bindProperty" o = GObject.Object.ObjectBindPropertyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "bindPropertyFull" o = GObject.Object.ObjectBindPropertyFullMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "blur" o = WebKit2WebExtension.DOMElement.DOMElementBlurMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "click" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementClickMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "cloneNodeWithError" o = WebKit2WebExtension.DOMNode.DOMNodeCloneNodeWithErrorMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "closest" o = WebKit2WebExtension.DOMElement.DOMElementClosestMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "compareDocumentPosition" o = WebKit2WebExtension.DOMNode.DOMNodeCompareDocumentPositionMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "contains" o = WebKit2WebExtension.DOMNode.DOMNodeContainsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "dispatchEvent" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetDispatchEventMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "focus" o = WebKit2WebExtension.DOMElement.DOMElementFocusMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "forceFloating" o = GObject.Object.ObjectForceFloatingMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "freezeNotify" o = GObject.Object.ObjectFreezeNotifyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getv" o = GObject.Object.ObjectGetvMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "hasAttribute" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "hasAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributeNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "hasAttributes" o = WebKit2WebExtension.DOMElement.DOMElementHasAttributesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "hasChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeHasChildNodesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "htmlInputElementGetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementGetAutoFilledMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "htmlInputElementIsUserEdited" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementIsUserEditedMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "htmlInputElementSetAutoFilled" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetAutoFilledMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "htmlInputElementSetEditingValue" o = WebKit2WebExtension.DOMElement.DOMElementHtmlInputElementSetEditingValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "insertAdjacentElement" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentElementMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "insertAdjacentHtml" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentHtmlMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "insertAdjacentText" o = WebKit2WebExtension.DOMElement.DOMElementInsertAdjacentTextMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "insertBefore" o = WebKit2WebExtension.DOMNode.DOMNodeInsertBeforeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "isDefaultNamespace" o = WebKit2WebExtension.DOMNode.DOMNodeIsDefaultNamespaceMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "isEdited" o = DOMHTMLTextAreaElementIsEditedMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "isEqualNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsEqualNodeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "isFloating" o = GObject.Object.ObjectIsFloatingMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "isSameNode" o = WebKit2WebExtension.DOMNode.DOMNodeIsSameNodeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "isSupported" o = WebKit2WebExtension.DOMNode.DOMNodeIsSupportedMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "lookupNamespaceUri" o = WebKit2WebExtension.DOMNode.DOMNodeLookupNamespaceUriMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "lookupPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeLookupPrefixMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "matches" o = WebKit2WebExtension.DOMElement.DOMElementMatchesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "normalize" o = WebKit2WebExtension.DOMNode.DOMNodeNormalizeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "notify" o = GObject.Object.ObjectNotifyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "notifyByPspec" o = GObject.Object.ObjectNotifyByPspecMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "querySelector" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "querySelectorAll" o = WebKit2WebExtension.DOMElement.DOMElementQuerySelectorAllMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "ref" o = GObject.Object.ObjectRefMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "refSink" o = GObject.Object.ObjectRefSinkMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "remove" o = WebKit2WebExtension.DOMElement.DOMElementRemoveMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "removeAttribute" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "removeAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNodeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "removeAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementRemoveAttributeNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "removeChild" o = WebKit2WebExtension.DOMNode.DOMNodeRemoveChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "removeEventListener" o = WebKit2WebExtension.DOMEventTarget.DOMEventTargetRemoveEventListenerMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "replaceChild" o = WebKit2WebExtension.DOMNode.DOMNodeReplaceChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "requestPointerLock" o = WebKit2WebExtension.DOMElement.DOMElementRequestPointerLockMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "runDispose" o = GObject.Object.ObjectRunDisposeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "scrollByLines" o = WebKit2WebExtension.DOMElement.DOMElementScrollByLinesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "scrollByPages" o = WebKit2WebExtension.DOMElement.DOMElementScrollByPagesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "scrollIntoView" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "scrollIntoViewIfNeeded" o = WebKit2WebExtension.DOMElement.DOMElementScrollIntoViewIfNeededMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "select" o = DOMHTMLTextAreaElementSelectMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "stealData" o = GObject.Object.ObjectStealDataMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "stealQdata" o = GObject.Object.ObjectStealQdataMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "thawNotify" o = GObject.Object.ObjectThawNotifyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "unref" o = GObject.Object.ObjectUnrefMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "watchClosure" o = GObject.Object.ObjectWatchClosureMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "webkitMatchesSelector" o = WebKit2WebExtension.DOMElement.DOMElementWebkitMatchesSelectorMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "webkitRequestFullscreen" o = WebKit2WebExtension.DOMElement.DOMElementWebkitRequestFullscreenMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetAccessKeyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAreaType" o = DOMHTMLTextAreaElementGetAreaTypeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAttribute" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributeNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAttributes" o = WebKit2WebExtension.DOMElement.DOMElementGetAttributesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getAutofocus" o = DOMHTMLTextAreaElementGetAutofocusMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getBaseUri" o = WebKit2WebExtension.DOMNode.DOMNodeGetBaseUriMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getBoundingClientRect" o = WebKit2WebExtension.DOMElement.DOMElementGetBoundingClientRectMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getChildElementCount" o = WebKit2WebExtension.DOMElement.DOMElementGetChildElementCountMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getChildNodes" o = WebKit2WebExtension.DOMNode.DOMNodeGetChildNodesMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getChildren" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetChildrenMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClassList" o = WebKit2WebExtension.DOMElement.DOMElementGetClassListMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetClassNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClientHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetClientHeightMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClientLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetClientLeftMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClientRects" o = WebKit2WebExtension.DOMElement.DOMElementGetClientRectsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClientTop" o = WebKit2WebExtension.DOMElement.DOMElementGetClientTopMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getClientWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetClientWidthMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getCols" o = DOMHTMLTextAreaElementGetColsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetContentEditableMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getData" o = GObject.Object.ObjectGetDataMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getDefaultValue" o = DOMHTMLTextAreaElementGetDefaultValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDirMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getDisabled" o = DOMHTMLTextAreaElementGetDisabledMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetDraggableMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getElementsByClassName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getElementsByClassNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByClassNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getElementsByTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getElementsByTagNameAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getElementsByTagNameNs" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getElementsByTagNameNsAsHtmlCollection" o = WebKit2WebExtension.DOMElement.DOMElementGetElementsByTagNameNsAsHtmlCollectionMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getFirstChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetFirstChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getFirstElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetFirstElementChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getForm" o = DOMHTMLTextAreaElementGetFormMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetHiddenMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getId" o = WebKit2WebExtension.DOMElement.DOMElementGetIdMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerHtmlMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetInnerTextMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getIsContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetIsContentEditableMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetLangMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getLastChild" o = WebKit2WebExtension.DOMNode.DOMNodeGetLastChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getLastElementChild" o = WebKit2WebExtension.DOMElement.DOMElementGetLastElementChildMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getLocalName" o = WebKit2WebExtension.DOMElement.DOMElementGetLocalNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getName" o = DOMHTMLTextAreaElementGetNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getNamespaceUri" o = WebKit2WebExtension.DOMElement.DOMElementGetNamespaceUriMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getNextElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetNextElementSiblingMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getNextSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetNextSiblingMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getNodeName" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getNodeType" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeTypeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeGetNodeValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOffsetHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetHeightMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOffsetLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetLeftMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOffsetParent" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetParentMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOffsetTop" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetTopMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOffsetWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetOffsetWidthMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterHtmlMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetOuterTextMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getOwnerDocument" o = WebKit2WebExtension.DOMNode.DOMNodeGetOwnerDocumentMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getParentElement" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentElementMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getParentNode" o = WebKit2WebExtension.DOMNode.DOMNodeGetParentNodeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getPrefix" o = WebKit2WebExtension.DOMElement.DOMElementGetPrefixMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getPreviousElementSibling" o = WebKit2WebExtension.DOMElement.DOMElementGetPreviousElementSiblingMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getPreviousSibling" o = WebKit2WebExtension.DOMNode.DOMNodeGetPreviousSiblingMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getProperty" o = GObject.Object.ObjectGetPropertyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getQdata" o = GObject.Object.ObjectGetQdataMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getReadOnly" o = DOMHTMLTextAreaElementGetReadOnlyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getRows" o = DOMHTMLTextAreaElementGetRowsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getScrollHeight" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollHeightMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollLeftMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollTopMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getScrollWidth" o = WebKit2WebExtension.DOMElement.DOMElementGetScrollWidthMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getSelectionEnd" o = DOMHTMLTextAreaElementGetSelectionEndMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getSelectionStart" o = DOMHTMLTextAreaElementGetSelectionStartMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetSpellcheckMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getStyle" o = WebKit2WebExtension.DOMElement.DOMElementGetStyleMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTabIndexMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getTagName" o = WebKit2WebExtension.DOMElement.DOMElementGetTagNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeGetTextContentMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTitleMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetTranslateMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getValue" o = DOMHTMLTextAreaElementGetValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getWebkitRegionOverset" o = WebKit2WebExtension.DOMElement.DOMElementGetWebkitRegionOversetMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementGetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "getWillValidate" o = DOMHTMLTextAreaElementGetWillValidateMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setAccessKey" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetAccessKeyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setAttribute" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setAttributeNode" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setAttributeNodeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNodeNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setAttributeNs" o = WebKit2WebExtension.DOMElement.DOMElementSetAttributeNsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setAutofocus" o = DOMHTMLTextAreaElementSetAutofocusMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setClassName" o = WebKit2WebExtension.DOMElement.DOMElementSetClassNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setCols" o = DOMHTMLTextAreaElementSetColsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setContentEditable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetContentEditableMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setData" o = GObject.Object.ObjectSetDataMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setDefaultValue" o = DOMHTMLTextAreaElementSetDefaultValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setDir" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDirMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setDisabled" o = DOMHTMLTextAreaElementSetDisabledMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setDraggable" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetDraggableMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setHidden" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetHiddenMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setId" o = WebKit2WebExtension.DOMElement.DOMElementSetIdMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setInnerHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerHtmlMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setInnerText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetInnerTextMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setLang" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetLangMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setName" o = DOMHTMLTextAreaElementSetNameMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setNodeValue" o = WebKit2WebExtension.DOMNode.DOMNodeSetNodeValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setOuterHtml" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterHtmlMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setOuterText" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetOuterTextMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setPrefix" o = WebKit2WebExtension.DOMNode.DOMNodeSetPrefixMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setProperty" o = GObject.Object.ObjectSetPropertyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setReadOnly" o = DOMHTMLTextAreaElementSetReadOnlyMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setRows" o = DOMHTMLTextAreaElementSetRowsMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setScrollLeft" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollLeftMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setScrollTop" o = WebKit2WebExtension.DOMElement.DOMElementSetScrollTopMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setSelectionEnd" o = DOMHTMLTextAreaElementSetSelectionEndMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setSelectionRange" o = DOMHTMLTextAreaElementSetSelectionRangeMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setSelectionStart" o = DOMHTMLTextAreaElementSetSelectionStartMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setSpellcheck" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetSpellcheckMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setTabIndex" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTabIndexMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setTextContent" o = WebKit2WebExtension.DOMNode.DOMNodeSetTextContentMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setTitle" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTitleMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setTranslate" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetTranslateMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setValue" o = DOMHTMLTextAreaElementSetValueMethodInfo
    ResolveDOMHTMLTextAreaElementMethod "setWebkitdropzone" o = WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSetWebkitdropzoneMethodInfo
    ResolveDOMHTMLTextAreaElementMethod l o = O.MethodResolutionFailed l o

instance (info ~ ResolveDOMHTMLTextAreaElementMethod t DOMHTMLTextAreaElement, O.MethodInfo info DOMHTMLTextAreaElement p) => OL.IsLabel t (DOMHTMLTextAreaElement -> p) where
#if MIN_VERSION_base(4,10,0)
    fromLabel = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#else
    fromLabel _ = O.overloadedMethod (O.MethodProxy :: O.MethodProxy info)
#endif

#endif

-- VVV Prop "autofocus"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@autofocus@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #autofocus
@
-}
getDOMHTMLTextAreaElementAutofocus :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m Bool
getDOMHTMLTextAreaElementAutofocus obj = liftIO $ B.Properties.getObjectPropertyBool obj "autofocus"

{- |
Set the value of the “@autofocus@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #autofocus 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementAutofocus :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> Bool -> m ()
setDOMHTMLTextAreaElementAutofocus obj val = liftIO $ B.Properties.setObjectPropertyBool obj "autofocus" val

{- |
Construct a `GValueConstruct` with valid value for the “@autofocus@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementAutofocus :: (IsDOMHTMLTextAreaElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementAutofocus val = B.Properties.constructObjectPropertyBool "autofocus" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementAutofocusPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementAutofocusPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementAutofocusPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementAutofocusPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementAutofocusPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementAutofocusPropertyInfo = Bool
    type AttrLabel DOMHTMLTextAreaElementAutofocusPropertyInfo = "autofocus"
    type AttrOrigin DOMHTMLTextAreaElementAutofocusPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementAutofocus
    attrSet _ = setDOMHTMLTextAreaElementAutofocus
    attrConstruct _ = constructDOMHTMLTextAreaElementAutofocus
    attrClear _ = undefined
#endif

-- VVV Prop "cols"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@cols@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #cols
@
-}
getDOMHTMLTextAreaElementCols :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m CLong
getDOMHTMLTextAreaElementCols obj = liftIO $ B.Properties.getObjectPropertyLong obj "cols"

{- |
Set the value of the “@cols@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #cols 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementCols :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> CLong -> m ()
setDOMHTMLTextAreaElementCols obj val = liftIO $ B.Properties.setObjectPropertyLong obj "cols" val

{- |
Construct a `GValueConstruct` with valid value for the “@cols@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementCols :: (IsDOMHTMLTextAreaElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementCols val = B.Properties.constructObjectPropertyLong "cols" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementColsPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementColsPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementColsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementColsPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementColsPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementColsPropertyInfo = CLong
    type AttrLabel DOMHTMLTextAreaElementColsPropertyInfo = "cols"
    type AttrOrigin DOMHTMLTextAreaElementColsPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementCols
    attrSet _ = setDOMHTMLTextAreaElementCols
    attrConstruct _ = constructDOMHTMLTextAreaElementCols
    attrClear _ = undefined
#endif

-- VVV Prop "default-value"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@default-value@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #defaultValue
@
-}
getDOMHTMLTextAreaElementDefaultValue :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLTextAreaElementDefaultValue obj = liftIO $ B.Properties.getObjectPropertyString obj "default-value"

{- |
Set the value of the “@default-value@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #defaultValue 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementDefaultValue :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> T.Text -> m ()
setDOMHTMLTextAreaElementDefaultValue obj val = liftIO $ B.Properties.setObjectPropertyString obj "default-value" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@default-value@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementDefaultValue :: (IsDOMHTMLTextAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementDefaultValue val = B.Properties.constructObjectPropertyString "default-value" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementDefaultValuePropertyInfo
instance AttrInfo DOMHTMLTextAreaElementDefaultValuePropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementDefaultValuePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementDefaultValuePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementDefaultValuePropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementDefaultValuePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTextAreaElementDefaultValuePropertyInfo = "default-value"
    type AttrOrigin DOMHTMLTextAreaElementDefaultValuePropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementDefaultValue
    attrSet _ = setDOMHTMLTextAreaElementDefaultValue
    attrConstruct _ = constructDOMHTMLTextAreaElementDefaultValue
    attrClear _ = undefined
#endif

-- VVV Prop "disabled"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@disabled@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #disabled
@
-}
getDOMHTMLTextAreaElementDisabled :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m Bool
getDOMHTMLTextAreaElementDisabled obj = liftIO $ B.Properties.getObjectPropertyBool obj "disabled"

{- |
Set the value of the “@disabled@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #disabled 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementDisabled :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> Bool -> m ()
setDOMHTMLTextAreaElementDisabled obj val = liftIO $ B.Properties.setObjectPropertyBool obj "disabled" val

{- |
Construct a `GValueConstruct` with valid value for the “@disabled@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementDisabled :: (IsDOMHTMLTextAreaElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementDisabled val = B.Properties.constructObjectPropertyBool "disabled" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementDisabledPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementDisabledPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementDisabledPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementDisabledPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementDisabledPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementDisabledPropertyInfo = Bool
    type AttrLabel DOMHTMLTextAreaElementDisabledPropertyInfo = "disabled"
    type AttrOrigin DOMHTMLTextAreaElementDisabledPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementDisabled
    attrSet _ = setDOMHTMLTextAreaElementDisabled
    attrConstruct _ = constructDOMHTMLTextAreaElementDisabled
    attrClear _ = undefined
#endif

-- VVV Prop "form"
   -- Type: TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"})
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@form@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #form
@
-}
getDOMHTMLTextAreaElementForm :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement
getDOMHTMLTextAreaElementForm obj = liftIO $ checkUnexpectedNothing "getDOMHTMLTextAreaElementForm" $ B.Properties.getObjectPropertyObject obj "form" WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementFormPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementFormPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementFormPropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementFormPropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementFormPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementFormPropertyInfo = WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement
    type AttrLabel DOMHTMLTextAreaElementFormPropertyInfo = "form"
    type AttrOrigin DOMHTMLTextAreaElementFormPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementForm
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "name"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #name
@
-}
getDOMHTMLTextAreaElementName :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLTextAreaElementName obj = liftIO $ B.Properties.getObjectPropertyString obj "name"

{- |
Set the value of the “@name@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #name 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementName :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> T.Text -> m ()
setDOMHTMLTextAreaElementName obj val = liftIO $ B.Properties.setObjectPropertyString obj "name" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@name@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementName :: (IsDOMHTMLTextAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementName val = B.Properties.constructObjectPropertyString "name" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementNamePropertyInfo
instance AttrInfo DOMHTMLTextAreaElementNamePropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementNamePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementNamePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementNamePropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementNamePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTextAreaElementNamePropertyInfo = "name"
    type AttrOrigin DOMHTMLTextAreaElementNamePropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementName
    attrSet _ = setDOMHTMLTextAreaElementName
    attrConstruct _ = constructDOMHTMLTextAreaElementName
    attrClear _ = undefined
#endif

-- VVV Prop "read-only"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@read-only@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #readOnly
@
-}
getDOMHTMLTextAreaElementReadOnly :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m Bool
getDOMHTMLTextAreaElementReadOnly obj = liftIO $ B.Properties.getObjectPropertyBool obj "read-only"

{- |
Set the value of the “@read-only@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #readOnly 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementReadOnly :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> Bool -> m ()
setDOMHTMLTextAreaElementReadOnly obj val = liftIO $ B.Properties.setObjectPropertyBool obj "read-only" val

{- |
Construct a `GValueConstruct` with valid value for the “@read-only@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementReadOnly :: (IsDOMHTMLTextAreaElement o) => Bool -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementReadOnly val = B.Properties.constructObjectPropertyBool "read-only" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementReadOnlyPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementReadOnlyPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementReadOnlyPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementReadOnlyPropertyInfo = (~) Bool
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementReadOnlyPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementReadOnlyPropertyInfo = Bool
    type AttrLabel DOMHTMLTextAreaElementReadOnlyPropertyInfo = "read-only"
    type AttrOrigin DOMHTMLTextAreaElementReadOnlyPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementReadOnly
    attrSet _ = setDOMHTMLTextAreaElementReadOnly
    attrConstruct _ = constructDOMHTMLTextAreaElementReadOnly
    attrClear _ = undefined
#endif

-- VVV Prop "rows"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@rows@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #rows
@
-}
getDOMHTMLTextAreaElementRows :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m CLong
getDOMHTMLTextAreaElementRows obj = liftIO $ B.Properties.getObjectPropertyLong obj "rows"

{- |
Set the value of the “@rows@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #rows 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementRows :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> CLong -> m ()
setDOMHTMLTextAreaElementRows obj val = liftIO $ B.Properties.setObjectPropertyLong obj "rows" val

{- |
Construct a `GValueConstruct` with valid value for the “@rows@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementRows :: (IsDOMHTMLTextAreaElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementRows val = B.Properties.constructObjectPropertyLong "rows" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementRowsPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementRowsPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementRowsPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementRowsPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementRowsPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementRowsPropertyInfo = CLong
    type AttrLabel DOMHTMLTextAreaElementRowsPropertyInfo = "rows"
    type AttrOrigin DOMHTMLTextAreaElementRowsPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementRows
    attrSet _ = setDOMHTMLTextAreaElementRows
    attrConstruct _ = constructDOMHTMLTextAreaElementRows
    attrClear _ = undefined
#endif

-- VVV Prop "selection-end"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@selection-end@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #selectionEnd
@
-}
getDOMHTMLTextAreaElementSelectionEnd :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m CLong
getDOMHTMLTextAreaElementSelectionEnd obj = liftIO $ B.Properties.getObjectPropertyLong obj "selection-end"

{- |
Set the value of the “@selection-end@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #selectionEnd 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementSelectionEnd :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> CLong -> m ()
setDOMHTMLTextAreaElementSelectionEnd obj val = liftIO $ B.Properties.setObjectPropertyLong obj "selection-end" val

{- |
Construct a `GValueConstruct` with valid value for the “@selection-end@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementSelectionEnd :: (IsDOMHTMLTextAreaElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementSelectionEnd val = B.Properties.constructObjectPropertyLong "selection-end" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSelectionEndPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementSelectionEndPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementSelectionEndPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementSelectionEndPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementSelectionEndPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementSelectionEndPropertyInfo = CLong
    type AttrLabel DOMHTMLTextAreaElementSelectionEndPropertyInfo = "selection-end"
    type AttrOrigin DOMHTMLTextAreaElementSelectionEndPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementSelectionEnd
    attrSet _ = setDOMHTMLTextAreaElementSelectionEnd
    attrConstruct _ = constructDOMHTMLTextAreaElementSelectionEnd
    attrClear _ = undefined
#endif

-- VVV Prop "selection-start"
   -- Type: TBasicType TLong
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Just False,Just False)

{- |
Get the value of the “@selection-start@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #selectionStart
@
-}
getDOMHTMLTextAreaElementSelectionStart :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m CLong
getDOMHTMLTextAreaElementSelectionStart obj = liftIO $ B.Properties.getObjectPropertyLong obj "selection-start"

{- |
Set the value of the “@selection-start@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #selectionStart 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementSelectionStart :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> CLong -> m ()
setDOMHTMLTextAreaElementSelectionStart obj val = liftIO $ B.Properties.setObjectPropertyLong obj "selection-start" val

{- |
Construct a `GValueConstruct` with valid value for the “@selection-start@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementSelectionStart :: (IsDOMHTMLTextAreaElement o) => CLong -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementSelectionStart val = B.Properties.constructObjectPropertyLong "selection-start" val

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSelectionStartPropertyInfo
instance AttrInfo DOMHTMLTextAreaElementSelectionStartPropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementSelectionStartPropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementSelectionStartPropertyInfo = (~) CLong
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementSelectionStartPropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementSelectionStartPropertyInfo = CLong
    type AttrLabel DOMHTMLTextAreaElementSelectionStartPropertyInfo = "selection-start"
    type AttrOrigin DOMHTMLTextAreaElementSelectionStartPropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementSelectionStart
    attrSet _ = setDOMHTMLTextAreaElementSelectionStart
    attrConstruct _ = constructDOMHTMLTextAreaElementSelectionStart
    attrClear _ = undefined
#endif

-- VVV Prop "type"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable]
   -- Nullable: (Nothing,Nothing)

{- |
Get the value of the “@type@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #type
@
-}
getDOMHTMLTextAreaElementType :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLTextAreaElementType obj = liftIO $ B.Properties.getObjectPropertyString obj "type"

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementTypePropertyInfo
instance AttrInfo DOMHTMLTextAreaElementTypePropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementTypePropertyInfo = '[ 'AttrGet, 'AttrClear]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementTypePropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementTypePropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementTypePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTextAreaElementTypePropertyInfo = "type"
    type AttrOrigin DOMHTMLTextAreaElementTypePropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementType
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

-- VVV Prop "value"
   -- Type: TBasicType TUTF8
   -- Flags: [PropertyReadable,PropertyWritable]
   -- Nullable: (Nothing,Just False)

{- |
Get the value of the “@value@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #value
@
-}
getDOMHTMLTextAreaElementValue :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m (Maybe T.Text)
getDOMHTMLTextAreaElementValue obj = liftIO $ B.Properties.getObjectPropertyString obj "value"

{- |
Set the value of the “@value@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.set' dOMHTMLTextAreaElement [ #value 'Data.GI.Base.Attributes.:=' value ]
@
-}
setDOMHTMLTextAreaElementValue :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> T.Text -> m ()
setDOMHTMLTextAreaElementValue obj val = liftIO $ B.Properties.setObjectPropertyString obj "value" (Just val)

{- |
Construct a `GValueConstruct` with valid value for the “@value@” property. This is rarely needed directly, but it is used by `Data.GI.Base.Constructible.new`.
-}
constructDOMHTMLTextAreaElementValue :: (IsDOMHTMLTextAreaElement o) => T.Text -> IO (GValueConstruct o)
constructDOMHTMLTextAreaElementValue val = B.Properties.constructObjectPropertyString "value" (Just val)

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementValuePropertyInfo
instance AttrInfo DOMHTMLTextAreaElementValuePropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementValuePropertyInfo = '[ 'AttrSet, 'AttrConstruct, 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementValuePropertyInfo = (~) T.Text
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementValuePropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementValuePropertyInfo = (Maybe T.Text)
    type AttrLabel DOMHTMLTextAreaElementValuePropertyInfo = "value"
    type AttrOrigin DOMHTMLTextAreaElementValuePropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementValue
    attrSet _ = setDOMHTMLTextAreaElementValue
    attrConstruct _ = constructDOMHTMLTextAreaElementValue
    attrClear _ = undefined
#endif

-- VVV Prop "will-validate"
   -- Type: TBasicType TBoolean
   -- Flags: [PropertyReadable]
   -- Nullable: (Just False,Nothing)

{- |
Get the value of the “@will-validate@” property.
When <https://github.com/haskell-gi/haskell-gi/wiki/Overloading overloading> is enabled, this is equivalent to

@
'Data.GI.Base.Attributes.get' dOMHTMLTextAreaElement #willValidate
@
-}
getDOMHTMLTextAreaElementWillValidate :: (MonadIO m, IsDOMHTMLTextAreaElement o) => o -> m Bool
getDOMHTMLTextAreaElementWillValidate obj = liftIO $ B.Properties.getObjectPropertyBool obj "will-validate"

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementWillValidatePropertyInfo
instance AttrInfo DOMHTMLTextAreaElementWillValidatePropertyInfo where
    type AttrAllowedOps DOMHTMLTextAreaElementWillValidatePropertyInfo = '[ 'AttrGet]
    type AttrSetTypeConstraint DOMHTMLTextAreaElementWillValidatePropertyInfo = (~) ()
    type AttrBaseTypeConstraint DOMHTMLTextAreaElementWillValidatePropertyInfo = IsDOMHTMLTextAreaElement
    type AttrGetType DOMHTMLTextAreaElementWillValidatePropertyInfo = Bool
    type AttrLabel DOMHTMLTextAreaElementWillValidatePropertyInfo = "will-validate"
    type AttrOrigin DOMHTMLTextAreaElementWillValidatePropertyInfo = DOMHTMLTextAreaElement
    attrGet _ = getDOMHTMLTextAreaElementWillValidate
    attrSet _ = undefined
    attrConstruct _ = undefined
    attrClear _ = undefined
#endif

#if ENABLE_OVERLOADING
instance O.HasAttributeList DOMHTMLTextAreaElement
type instance O.AttributeList DOMHTMLTextAreaElement = DOMHTMLTextAreaElementAttributeList
type DOMHTMLTextAreaElementAttributeList = ('[ '("accessKey", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementAccessKeyPropertyInfo), '("attributes", WebKit2WebExtension.DOMElement.DOMElementAttributesPropertyInfo), '("autofocus", DOMHTMLTextAreaElementAutofocusPropertyInfo), '("baseUri", WebKit2WebExtension.DOMNode.DOMNodeBaseUriPropertyInfo), '("childElementCount", WebKit2WebExtension.DOMElement.DOMElementChildElementCountPropertyInfo), '("childNodes", WebKit2WebExtension.DOMNode.DOMNodeChildNodesPropertyInfo), '("children", WebKit2WebExtension.DOMElement.DOMElementChildrenPropertyInfo), '("classList", WebKit2WebExtension.DOMElement.DOMElementClassListPropertyInfo), '("className", WebKit2WebExtension.DOMElement.DOMElementClassNamePropertyInfo), '("clientHeight", WebKit2WebExtension.DOMElement.DOMElementClientHeightPropertyInfo), '("clientLeft", WebKit2WebExtension.DOMElement.DOMElementClientLeftPropertyInfo), '("clientTop", WebKit2WebExtension.DOMElement.DOMElementClientTopPropertyInfo), '("clientWidth", WebKit2WebExtension.DOMElement.DOMElementClientWidthPropertyInfo), '("cols", DOMHTMLTextAreaElementColsPropertyInfo), '("contentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementContentEditablePropertyInfo), '("coreObject", WebKit2WebExtension.DOMObject.DOMObjectCoreObjectPropertyInfo), '("defaultValue", DOMHTMLTextAreaElementDefaultValuePropertyInfo), '("dir", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDirPropertyInfo), '("disabled", DOMHTMLTextAreaElementDisabledPropertyInfo), '("draggable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementDraggablePropertyInfo), '("firstChild", WebKit2WebExtension.DOMNode.DOMNodeFirstChildPropertyInfo), '("firstElementChild", WebKit2WebExtension.DOMElement.DOMElementFirstElementChildPropertyInfo), '("form", DOMHTMLTextAreaElementFormPropertyInfo), '("hidden", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementHiddenPropertyInfo), '("id", WebKit2WebExtension.DOMElement.DOMElementIdPropertyInfo), '("innerHtml", WebKit2WebExtension.DOMElement.DOMElementInnerHtmlPropertyInfo), '("innerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementInnerTextPropertyInfo), '("isContentEditable", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementIsContentEditablePropertyInfo), '("lang", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementLangPropertyInfo), '("lastChild", WebKit2WebExtension.DOMNode.DOMNodeLastChildPropertyInfo), '("lastElementChild", WebKit2WebExtension.DOMElement.DOMElementLastElementChildPropertyInfo), '("localName", WebKit2WebExtension.DOMElement.DOMElementLocalNamePropertyInfo), '("name", DOMHTMLTextAreaElementNamePropertyInfo), '("namespaceUri", WebKit2WebExtension.DOMElement.DOMElementNamespaceUriPropertyInfo), '("nextElementSibling", WebKit2WebExtension.DOMElement.DOMElementNextElementSiblingPropertyInfo), '("nextSibling", WebKit2WebExtension.DOMNode.DOMNodeNextSiblingPropertyInfo), '("nodeName", WebKit2WebExtension.DOMNode.DOMNodeNodeNamePropertyInfo), '("nodeType", WebKit2WebExtension.DOMNode.DOMNodeNodeTypePropertyInfo), '("nodeValue", WebKit2WebExtension.DOMNode.DOMNodeNodeValuePropertyInfo), '("offsetHeight", WebKit2WebExtension.DOMElement.DOMElementOffsetHeightPropertyInfo), '("offsetLeft", WebKit2WebExtension.DOMElement.DOMElementOffsetLeftPropertyInfo), '("offsetParent", WebKit2WebExtension.DOMElement.DOMElementOffsetParentPropertyInfo), '("offsetTop", WebKit2WebExtension.DOMElement.DOMElementOffsetTopPropertyInfo), '("offsetWidth", WebKit2WebExtension.DOMElement.DOMElementOffsetWidthPropertyInfo), '("outerHtml", WebKit2WebExtension.DOMElement.DOMElementOuterHtmlPropertyInfo), '("outerText", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementOuterTextPropertyInfo), '("ownerDocument", WebKit2WebExtension.DOMNode.DOMNodeOwnerDocumentPropertyInfo), '("parentElement", WebKit2WebExtension.DOMNode.DOMNodeParentElementPropertyInfo), '("parentNode", WebKit2WebExtension.DOMNode.DOMNodeParentNodePropertyInfo), '("prefix", WebKit2WebExtension.DOMElement.DOMElementPrefixPropertyInfo), '("previousElementSibling", WebKit2WebExtension.DOMElement.DOMElementPreviousElementSiblingPropertyInfo), '("previousSibling", WebKit2WebExtension.DOMNode.DOMNodePreviousSiblingPropertyInfo), '("readOnly", DOMHTMLTextAreaElementReadOnlyPropertyInfo), '("rows", DOMHTMLTextAreaElementRowsPropertyInfo), '("scrollHeight", WebKit2WebExtension.DOMElement.DOMElementScrollHeightPropertyInfo), '("scrollLeft", WebKit2WebExtension.DOMElement.DOMElementScrollLeftPropertyInfo), '("scrollTop", WebKit2WebExtension.DOMElement.DOMElementScrollTopPropertyInfo), '("scrollWidth", WebKit2WebExtension.DOMElement.DOMElementScrollWidthPropertyInfo), '("selectionEnd", DOMHTMLTextAreaElementSelectionEndPropertyInfo), '("selectionStart", DOMHTMLTextAreaElementSelectionStartPropertyInfo), '("spellcheck", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementSpellcheckPropertyInfo), '("style", WebKit2WebExtension.DOMElement.DOMElementStylePropertyInfo), '("tabIndex", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTabIndexPropertyInfo), '("tagName", WebKit2WebExtension.DOMElement.DOMElementTagNamePropertyInfo), '("textContent", WebKit2WebExtension.DOMNode.DOMNodeTextContentPropertyInfo), '("title", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTitlePropertyInfo), '("translate", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementTranslatePropertyInfo), '("type", DOMHTMLTextAreaElementTypePropertyInfo), '("value", DOMHTMLTextAreaElementValuePropertyInfo), '("webkitRegionOverset", WebKit2WebExtension.DOMElement.DOMElementWebkitRegionOversetPropertyInfo), '("webkitdropzone", WebKit2WebExtension.DOMHTMLElement.DOMHTMLElementWebkitdropzonePropertyInfo), '("willValidate", DOMHTMLTextAreaElementWillValidatePropertyInfo)] :: [(Symbol, *)])
#endif

#if ENABLE_OVERLOADING
dOMHTMLTextAreaElementAutofocus :: AttrLabelProxy "autofocus"
dOMHTMLTextAreaElementAutofocus = AttrLabelProxy

dOMHTMLTextAreaElementCols :: AttrLabelProxy "cols"
dOMHTMLTextAreaElementCols = AttrLabelProxy

dOMHTMLTextAreaElementDefaultValue :: AttrLabelProxy "defaultValue"
dOMHTMLTextAreaElementDefaultValue = AttrLabelProxy

dOMHTMLTextAreaElementDisabled :: AttrLabelProxy "disabled"
dOMHTMLTextAreaElementDisabled = AttrLabelProxy

dOMHTMLTextAreaElementForm :: AttrLabelProxy "form"
dOMHTMLTextAreaElementForm = AttrLabelProxy

dOMHTMLTextAreaElementName :: AttrLabelProxy "name"
dOMHTMLTextAreaElementName = AttrLabelProxy

dOMHTMLTextAreaElementReadOnly :: AttrLabelProxy "readOnly"
dOMHTMLTextAreaElementReadOnly = AttrLabelProxy

dOMHTMLTextAreaElementRows :: AttrLabelProxy "rows"
dOMHTMLTextAreaElementRows = AttrLabelProxy

dOMHTMLTextAreaElementSelectionEnd :: AttrLabelProxy "selectionEnd"
dOMHTMLTextAreaElementSelectionEnd = AttrLabelProxy

dOMHTMLTextAreaElementSelectionStart :: AttrLabelProxy "selectionStart"
dOMHTMLTextAreaElementSelectionStart = AttrLabelProxy

dOMHTMLTextAreaElementType :: AttrLabelProxy "type"
dOMHTMLTextAreaElementType = AttrLabelProxy

dOMHTMLTextAreaElementValue :: AttrLabelProxy "value"
dOMHTMLTextAreaElementValue = AttrLabelProxy

dOMHTMLTextAreaElementWillValidate :: AttrLabelProxy "willValidate"
dOMHTMLTextAreaElementWillValidate = AttrLabelProxy

#endif

#if ENABLE_OVERLOADING
type instance O.SignalList DOMHTMLTextAreaElement = DOMHTMLTextAreaElementSignalList
type DOMHTMLTextAreaElementSignalList = ('[ '("notify", GObject.Object.ObjectNotifySignalInfo)] :: [(Symbol, *)])

#endif

-- method DOMHTMLTextAreaElement::get_area_type
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_area_type" webkit_dom_html_text_area_element_get_area_type :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLTextAreaElementGetAreaType ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetAreaType ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTextAreaElementGetAreaType self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_area_type self'
    checkUnexpectedReturnNULL "dOMHTMLTextAreaElementGetAreaType" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetAreaTypeMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetAreaTypeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetAreaType

#endif

-- method DOMHTMLTextAreaElement::get_autofocus
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_autofocus" webkit_dom_html_text_area_element_get_autofocus :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CInt

{-# DEPRECATED dOMHTMLTextAreaElementGetAutofocus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetAutofocus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLTextAreaElementGetAutofocus self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_autofocus self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetAutofocusMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetAutofocusMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetAutofocus

#endif

-- method DOMHTMLTextAreaElement::get_cols
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_cols" webkit_dom_html_text_area_element_get_cols :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTextAreaElementGetCols ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetCols ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTextAreaElementGetCols self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_cols self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetColsMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetColsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetCols

#endif

-- method DOMHTMLTextAreaElement::get_default_value
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_default_value" webkit_dom_html_text_area_element_get_default_value :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLTextAreaElementGetDefaultValue ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetDefaultValue ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTextAreaElementGetDefaultValue self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_default_value self'
    checkUnexpectedReturnNULL "dOMHTMLTextAreaElementGetDefaultValue" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetDefaultValueMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetDefaultValueMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetDefaultValue

#endif

-- method DOMHTMLTextAreaElement::get_disabled
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_disabled" webkit_dom_html_text_area_element_get_disabled :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CInt

{-# DEPRECATED dOMHTMLTextAreaElementGetDisabled ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetDisabled ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLTextAreaElementGetDisabled self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_disabled self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetDisabledMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetDisabledMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetDisabled

#endif

-- method DOMHTMLTextAreaElement::get_form
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLFormElement"}))
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_form" webkit_dom_html_text_area_element_get_form :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO (Ptr WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement)

{-# DEPRECATED dOMHTMLTextAreaElementGetForm ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetForm ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement
    {- ^ __Returns:__ A 'GI.WebKit2WebExtension.Objects.DOMHTMLFormElement.DOMHTMLFormElement' -}
dOMHTMLTextAreaElementGetForm self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_form self'
    checkUnexpectedReturnNULL "dOMHTMLTextAreaElementGetForm" result
    result' <- (newObject WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetFormMethodInfo
instance (signature ~ (m WebKit2WebExtension.DOMHTMLFormElement.DOMHTMLFormElement), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetFormMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetForm

#endif

-- method DOMHTMLTextAreaElement::get_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_name" webkit_dom_html_text_area_element_get_name :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLTextAreaElementGetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTextAreaElementGetName self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_name self'
    checkUnexpectedReturnNULL "dOMHTMLTextAreaElementGetName" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetNameMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetName

#endif

-- method DOMHTMLTextAreaElement::get_read_only
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_read_only" webkit_dom_html_text_area_element_get_read_only :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CInt

{-# DEPRECATED dOMHTMLTextAreaElementGetReadOnly ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetReadOnly ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLTextAreaElementGetReadOnly self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_read_only self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetReadOnlyMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetReadOnlyMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetReadOnly

#endif

-- method DOMHTMLTextAreaElement::get_rows
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_rows" webkit_dom_html_text_area_element_get_rows :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTextAreaElementGetRows ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetRows ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTextAreaElementGetRows self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_rows self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetRowsMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetRowsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetRows

#endif

-- method DOMHTMLTextAreaElement::get_selection_end
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_selection_end" webkit_dom_html_text_area_element_get_selection_end :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTextAreaElementGetSelectionEnd ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetSelectionEnd ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTextAreaElementGetSelectionEnd self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_selection_end self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetSelectionEndMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetSelectionEndMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetSelectionEnd

#endif

-- method DOMHTMLTextAreaElement::get_selection_start
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TLong)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_selection_start" webkit_dom_html_text_area_element_get_selection_start :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CLong

{-# DEPRECATED dOMHTMLTextAreaElementGetSelectionStart ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetSelectionStart ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m CLong
    {- ^ __Returns:__ A @/glong/@ -}
dOMHTMLTextAreaElementGetSelectionStart self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_selection_start self'
    touchManagedPtr self
    return result

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetSelectionStartMethodInfo
instance (signature ~ (m CLong), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetSelectionStartMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetSelectionStart

#endif

-- method DOMHTMLTextAreaElement::get_value
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TUTF8)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_value" webkit_dom_html_text_area_element_get_value :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CString

{-# DEPRECATED dOMHTMLTextAreaElementGetValue ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetValue ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m T.Text
    {- ^ __Returns:__ A @/gchar/@ -}
dOMHTMLTextAreaElementGetValue self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_value self'
    checkUnexpectedReturnNULL "dOMHTMLTextAreaElementGetValue" result
    result' <- cstringToText result
    freeMem result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetValueMethodInfo
instance (signature ~ (m T.Text), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetValueMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetValue

#endif

-- method DOMHTMLTextAreaElement::get_will_validate
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_get_will_validate" webkit_dom_html_text_area_element_get_will_validate :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CInt

{-# DEPRECATED dOMHTMLTextAreaElementGetWillValidate ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementGetWillValidate ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLTextAreaElementGetWillValidate self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    result <- webkit_dom_html_text_area_element_get_will_validate self'
    let result' = (/= 0) result
    touchManagedPtr self
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetWillValidateMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementGetWillValidateMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementGetWillValidate

#endif

-- method DOMHTMLTextAreaElement::is_edited
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "input", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Just (TBasicType TBoolean)
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_is_edited" webkit_dom_html_text_area_element_is_edited :: 
    Ptr DOMHTMLTextAreaElement ->           -- input : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO CInt

{-# DEPRECATED dOMHTMLTextAreaElementIsEdited ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementIsEdited ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@input@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m Bool
    {- ^ __Returns:__ A 'Bool' -}
dOMHTMLTextAreaElementIsEdited input = liftIO $ do
    input' <- unsafeManagedPtrCastPtr input
    result <- webkit_dom_html_text_area_element_is_edited input'
    let result' = (/= 0) result
    touchManagedPtr input
    return result'

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementIsEditedMethodInfo
instance (signature ~ (m Bool), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementIsEditedMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementIsEdited

#endif

-- method DOMHTMLTextAreaElement::select
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_select" webkit_dom_html_text_area_element_select :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSelect ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSelect ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> m ()
dOMHTMLTextAreaElementSelect self = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_text_area_element_select self'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSelectMethodInfo
instance (signature ~ (m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSelectMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSelect

#endif

-- method DOMHTMLTextAreaElement::set_autofocus
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_autofocus" webkit_dom_html_text_area_element_set_autofocus :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetAutofocus ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetAutofocus ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLTextAreaElementSetAutofocus self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_text_area_element_set_autofocus self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetAutofocusMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetAutofocusMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetAutofocus

#endif

-- method DOMHTMLTextAreaElement::set_cols
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_cols" webkit_dom_html_text_area_element_set_cols :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetCols ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetCols ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTextAreaElementSetCols self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_text_area_element_set_cols self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetColsMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetColsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetCols

#endif

-- method DOMHTMLTextAreaElement::set_default_value
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_default_value" webkit_dom_html_text_area_element_set_default_value :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetDefaultValue ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetDefaultValue ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTextAreaElementSetDefaultValue self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_text_area_element_set_default_value self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetDefaultValueMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetDefaultValueMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetDefaultValue

#endif

-- method DOMHTMLTextAreaElement::set_disabled
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_disabled" webkit_dom_html_text_area_element_set_disabled :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetDisabled ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetDisabled ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLTextAreaElementSetDisabled self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_text_area_element_set_disabled self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetDisabledMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetDisabledMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetDisabled

#endif

-- method DOMHTMLTextAreaElement::set_name
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_name" webkit_dom_html_text_area_element_set_name :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetName ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetName ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTextAreaElementSetName self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_text_area_element_set_name self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetNameMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetNameMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetName

#endif

-- method DOMHTMLTextAreaElement::set_read_only
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TBoolean, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gboolean", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_read_only" webkit_dom_html_text_area_element_set_read_only :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CInt ->                                 -- value : TBasicType TBoolean
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetReadOnly ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetReadOnly ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> Bool
    {- ^ /@value@/: A 'Bool' -}
    -> m ()
dOMHTMLTextAreaElementSetReadOnly self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    let value' = (fromIntegral . fromEnum) value
    webkit_dom_html_text_area_element_set_read_only self' value'
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetReadOnlyMethodInfo
instance (signature ~ (Bool -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetReadOnlyMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetReadOnly

#endif

-- method DOMHTMLTextAreaElement::set_rows
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_rows" webkit_dom_html_text_area_element_set_rows :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetRows ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetRows ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTextAreaElementSetRows self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_text_area_element_set_rows self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetRowsMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetRowsMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetRows

#endif

-- method DOMHTMLTextAreaElement::set_selection_end
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_selection_end" webkit_dom_html_text_area_element_set_selection_end :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetSelectionEnd ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetSelectionEnd ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTextAreaElementSetSelectionEnd self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_text_area_element_set_selection_end self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetSelectionEndMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetSelectionEndMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetSelectionEnd

#endif

-- method DOMHTMLTextAreaElement::set_selection_range
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "start", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "end", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "direction", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_selection_range" webkit_dom_html_text_area_element_set_selection_range :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CLong ->                                -- start : TBasicType TLong
    CLong ->                                -- end : TBasicType TLong
    CString ->                              -- direction : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetSelectionRange ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetSelectionRange ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> CLong
    {- ^ /@start@/: A @/glong/@ -}
    -> CLong
    {- ^ /@end@/: A @/glong/@ -}
    -> T.Text
    {- ^ /@direction@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTextAreaElementSetSelectionRange self start end direction = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    direction' <- textToCString direction
    webkit_dom_html_text_area_element_set_selection_range self' start end direction'
    touchManagedPtr self
    freeMem direction'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetSelectionRangeMethodInfo
instance (signature ~ (CLong -> CLong -> T.Text -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetSelectionRangeMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetSelectionRange

#endif

-- method DOMHTMLTextAreaElement::set_selection_start
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TLong, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #glong", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_selection_start" webkit_dom_html_text_area_element_set_selection_start :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CLong ->                                -- value : TBasicType TLong
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetSelectionStart ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetSelectionStart ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> CLong
    {- ^ /@value@/: A @/glong/@ -}
    -> m ()
dOMHTMLTextAreaElementSetSelectionStart self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    webkit_dom_html_text_area_element_set_selection_start self' value
    touchManagedPtr self
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetSelectionStartMethodInfo
instance (signature ~ (CLong -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetSelectionStartMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetSelectionStart

#endif

-- method DOMHTMLTextAreaElement::set_value
-- method type : OrdinaryMethod
-- Args : [Arg {argCName = "self", argType = TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"}), direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #WebKitDOMHTMLTextAreaElement", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing},Arg {argCName = "value", argType = TBasicType TUTF8, direction = DirectionIn, mayBeNull = False, argDoc = Documentation {rawDocText = Just "A #gchar", sinceVersion = Nothing}, argScope = ScopeTypeInvalid, argClosure = -1, argDestroy = -1, argCallerAllocates = False, transfer = TransferNothing}]
-- Lengths : []
-- returnType : Nothing
-- throws : False
-- Skip return : False

foreign import ccall "webkit_dom_html_text_area_element_set_value" webkit_dom_html_text_area_element_set_value :: 
    Ptr DOMHTMLTextAreaElement ->           -- self : TInterface (Name {namespace = "WebKit2WebExtension", name = "DOMHTMLTextAreaElement"})
    CString ->                              -- value : TBasicType TUTF8
    IO ()

{-# DEPRECATED dOMHTMLTextAreaElementSetValue ["(Since version 2.22)","Use JavaScriptCore API instead"] #-}
{- |
/No description available in the introspection data./
-}
dOMHTMLTextAreaElementSetValue ::
    (B.CallStack.HasCallStack, MonadIO m, IsDOMHTMLTextAreaElement a) =>
    a
    {- ^ /@self@/: A 'GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement.DOMHTMLTextAreaElement' -}
    -> T.Text
    {- ^ /@value@/: A @/gchar/@ -}
    -> m ()
dOMHTMLTextAreaElementSetValue self value = liftIO $ do
    self' <- unsafeManagedPtrCastPtr self
    value' <- textToCString value
    webkit_dom_html_text_area_element_set_value self' value'
    touchManagedPtr self
    freeMem value'
    return ()

#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetValueMethodInfo
instance (signature ~ (T.Text -> m ()), MonadIO m, IsDOMHTMLTextAreaElement a) => O.MethodInfo DOMHTMLTextAreaElementSetValueMethodInfo a signature where
    overloadedMethod _ = dOMHTMLTextAreaElementSetValue

#endif


