#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMHTMLTextAreaElement where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMHTMLTextAreaElement = DOMHTMLTextAreaElement (ManagedPtr DOMHTMLTextAreaElement)
instance GObject DOMHTMLTextAreaElement where
class (GObject o, O.IsDescendantOf DOMHTMLTextAreaElement o) => IsDOMHTMLTextAreaElement o
instance (GObject o, O.IsDescendantOf DOMHTMLTextAreaElement o) => IsDOMHTMLTextAreaElement o
instance O.HasParentTypes DOMHTMLTextAreaElement
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementAutofocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementColsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementDefaultValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementDisabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementFormPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementReadOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementRowsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSelectionEndPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSelectionStartPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementWillValidatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetAreaTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetAutofocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetColsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetDefaultValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetFormMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetReadOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetSelectionEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetSelectionStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementGetWillValidateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementIsEditedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSelectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetAutofocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetColsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetDefaultValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetDisabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetReadOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetSelectionEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetSelectionRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetSelectionStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMHTMLTextAreaElementSetValueMethodInfo
#endif
