#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMMouseEvent where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMMouseEvent = DOMMouseEvent (ManagedPtr DOMMouseEvent)
instance GObject DOMMouseEvent where
class (GObject o, O.IsDescendantOf DOMMouseEvent o) => IsDOMMouseEvent o
instance (GObject o, O.IsDescendantOf DOMMouseEvent o) => IsDOMMouseEvent o
instance O.HasParentTypes DOMMouseEvent
#if ENABLE_OVERLOADING
data DOMMouseEventAltKeyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventButtonPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventClientXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventClientYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventCtrlKeyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventFromElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventMetaKeyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventOffsetXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventOffsetYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventRelatedTargetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventScreenXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventScreenYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventShiftKeyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventToElementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventXPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventYPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetAltKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetButtonMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetClientXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetClientYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetCtrlKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetFromElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetMetaKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetOffsetXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetOffsetYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetRelatedTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetScreenXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetScreenYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetShiftKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetToElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetXMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventGetYMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMMouseEventInitMouseEventMethodInfo
#endif
