#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMRange where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMRange = DOMRange (ManagedPtr DOMRange)
instance GObject DOMRange where
class (GObject o, O.IsDescendantOf DOMRange o) => IsDOMRange o
instance (GObject o, O.IsDescendantOf DOMRange o) => IsDOMRange o
instance O.HasParentTypes DOMRange
#if ENABLE_OVERLOADING
data DOMRangeCollapsedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCommonAncestorContainerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeEndContainerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeEndOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeStartContainerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeStartOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCloneContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCloneRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCollapseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCompareBoundaryPointsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCompareNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeComparePointMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeCreateContextualFragmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeDeleteContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeDetachMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeExtractContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetCollapsedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetCommonAncestorContainerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetEndContainerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetEndOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetStartContainerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetStartOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeInsertNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeIntersectsNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeIsPointInRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSelectNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSelectNodeContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSetEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSetEndAfterMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSetEndBeforeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSetStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSetStartAfterMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSetStartBeforeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeSurroundContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMRangeToStringMethodInfo
#endif
