#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2WebExtension.Objects.DOMTreeWalker where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DOMTreeWalker = DOMTreeWalker (ManagedPtr DOMTreeWalker)
instance GObject DOMTreeWalker where
class (GObject o, O.IsDescendantOf DOMTreeWalker o) => IsDOMTreeWalker o
instance (GObject o, O.IsDescendantOf DOMTreeWalker o) => IsDOMTreeWalker o
instance O.HasParentTypes DOMTreeWalker
#if ENABLE_OVERLOADING
data DOMTreeWalkerCurrentNodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerFilterPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerRootPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerWhatToShowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerFirstChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerGetCurrentNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerGetExpandEntityReferencesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerGetFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerGetRootMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerGetWhatToShowMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerLastChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerNextNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerNextSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerParentNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerPreviousNodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerPreviousSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DOMTreeWalkerSetCurrentNodeMethodInfo
#endif
